Microsoft FrontPage Help
What's New
Learn about the new Microsoft FrontPage and Office features.
Get Started
Create a web site now.
Microsoft Office Web site
Visit the Microsoft Office Web site to find additional products, services, and assistance.
Getting Help
Learn how to get assistance while you work.

Help Topics

  • Accessibility for people with disabilities
  • Keyboard shortcuts
  • Create a hyperlink
  • Publish a Web site
  • Add information from a database to your web site
  • Working with Web sites based on SharePoint Team Services

Web Pages
Click a link to visit the World Wide Web.

  • Microsoft Press
  • Microsoft Product Support Services


About bulleted, numbered, and multi-level lists

You can quickly add bullets or numbers to existing lines of text, or you can automatically create bulleted and numbered lists as you type. If you're creating bulleted lists for web pages, you can use any graphical image or picture as a bullet.

Bulleted list

You can create a bulleted list for presenting a list of unordered items — that is, items that don't need to be numbered:

  • pineapples
  • watermelons
  • papayas

Custom bulleted list

You can also create graphics and use them as bullets, rather than using the standard default bullets (circles or squares).

Numbered list

To display a sequential list of items, create a numbered list. You can choose from letters, numbers, or Roman numerals:

  1. Do this first
  2. Do this second
  3. Do this third

Definition list

When you want to present a list of terms and definitions, add a definition list to your page. Terms are usually displayed flush left, with indented definitions. The exact formatting of the list depends on the Web browser being used.

Term A
This is the definition for Term A.
Term B
This is the definition for Term B.

Outline or multilevel list

You can create lists that have multiple nested levels and paragraphs, and specify different list styles for each level. For example, an outline:

  1. Chapter
    1. Heading
      1. Subheading
        1. Topic

          Paragraph

        2. Topic
          1. Detail
          2. Detail
    2. Heading

The list above uses different numbering styles at each level. If a heading has only one item below it, you can list the item without numbers (note the way "Paragraph" is displayed above).

Collapsible lists

The following is an example of list is an example of a multilevel outline list, with each level using a different style. This list is also collapsible:


About customizing forms and views for SharePoint Team Services features

The layout customization view shows you where the fields are placed in a view or form of an interactive list, document library, or survey. The layout customization view is available when the page that contains the view or form is displayed in Page view in Microsoft FrontPage.

Layout Customization View

1 A view includes a region that is repeated for each item in the list, document library, or survey.

2 A form displays fields that store information for each item.

Using layout customization view, you can control how data appears in a view and how fields appear on a form. In a view, where the same set of fields are repeated for every item in a list, the modifications you make in the set of fields appear for every item in the list.

Using layout customization view, you can:

  • Change the order of the fields.

  • Remove fields from the view.

  • Replace one field with another from the same list, survey, or document library.

  • Change text formatting of fields, such as font size and color.

  • Modify table formatting, such as adding or removing rows and columns or merging cells.

  • Add custom content, such as text, a picture, a web component, and so on.

Note Once you have modified a view or form with the layout customization view in FrontPage, you can no longer edit the form or view using a Web browser. However, you can continue to maintain the customized version in FrontPage.


About Dynamic HTML (DHTML) effects

Dynamic HTML (DHTML) is a Microsoft enhancement to HTML version 4.0 that enables you to create visual effects or improve the layout of a web page.

For example, a visual effect might be an animation in which text appears to fly off the page one word at a time. A page layout improvement could take the form of a space-saving collapsible outline. The blue links below are designed using DHTML so that you can click them to show more content.

Turning DHTML on or off

If site visitors with older browsers (Microsoft Internet Explorer 3.0 or earlier or Netscape Navigator 3.0 or earlier) make up a large portion of your audience, you can turn off DHTML features using the Microsoft FrontPage browser compatibility settings.

If you disable DHTML, or if you design a web site to be compatible with a browser that doesn't support DHTML, the commands that use DHTML will be unavailable (that is, they will appear dimmed) on menus in FrontPage.

The following commands and settings are unavailable when DHTML is disabled:

  • Dynamic HTML Effects (Format menu)
  • Page Transition (Format menu)
  • Enable collapsible outlines (Bullets and Numbering dialog box)
  • Enable hyperlink rollover effects (Page Properties dialog box, Background tab)

Note If you choose a browser compatibility selection that doesn't support DHTML, but use it anyway, your pages might not be displayed properly, or they might contain errors.

Browser versions that support DHTML

While DHTML effects work with Microsoft Internet Explorer 4.0 or later and Netscape Navigator 4.0 or later, most of these effects appear static (not animated) when viewed in version 3 Web browsers.

Browser Version | DHTML Support
Internet Explorer 5.0 and later | Yes
Internet Explorer 4.0 and later | Yes
Internet Explorer 3.0 and later | No
Netscape Navigator 5.0 and later | Yes
Netscape Navigator 4.0 and later | Yes
Netscape Navigator 3.0 and later | No
Both Internet Explorer and Netscape Navigator 4.0 and later | Yes
Both Internet Explorer and Netscape Navigator 3.0 and later | No
Microsoft WebTV | No


About supporting pages for SharePoint Team Services features

When you create an interactive list, survey, or document library, the pages that enable site visitors to view, add, edit, and delete items are added to your web site. These pages contain forms and views, and are stored in the folder that constitutes the list, survey, or document library.

The default forms and views for built-in lists, surveys, and document libraries are as follows:

Note All pages that contain a view of a list, survey, or document library also include hyperlinks to the pages that contain forms for adding and editing items.

Announcements list

DispForm.htm Form displays an announcement, including hyperlinks to the forms for adding and editing announcements.

EditForm.htm Form displays list fields for editing an announcement.

NewForm.htm Form displays list fields for adding a new announcement.

AllItems.htm View displays all announcements. It is the default view.

Contacts list

DispForm.htm Form displays a contact, including hyperlinks to the forms for adding and editing contacts.

EditForm.htm Form displays list fields for editing a contact.

NewForm.htm Form displays list fields for adding a new contact.

AllItems.htm View displays all contacts. It is the default view.

MyItems.htm View displays contacts where the Created By or Modified By field equals the [Current User] variable.

Links list

DispForm.htm Form displays a link, including hyperlinks to the forms for adding and editing links.

EditForm.htm Form displays list fields for editing a link.

NewForm.htm Form displays list fields for adding a new link.

AllItems.htm View displays all links. It is the default view.

Tasks list

DispForm.htm Form displays a task, including hyperlinks to the forms for adding and editing tasks.

EditForm.htm Form displays list fields for editing a task.

NewForm.htm Form displays list fields for adding a new task.

AllItems.htm View displays all tasks. It is the default view.

ByOwner.htm View displays tasks sorted by Assigned To.

MyItems.htm View displays tasks where the Assigned To field equals the [Current User] variable.

Active.htm View displays tasks where Status does not equal Completed.

Events list

DispForm.htm Form displays an event, including hyperlinks to the forms for adding and editing events.

EditForm.htm Form displays list fields for editing an event.

NewForm.htm Form displays list fields for adding a new event.

AllItems.htm View displays all events. It is the default view.

Future.htm View displays events where the event date is greater than or equal to the [Current Day variable.

Today.htm View displays events where the event date is equal to the [Current Day variable.

MyItems.htm View displays events where the Created By or Modified By field equals the [Current User] variable.

Calendar.htm View displays a month-by-month calendar.

Discussion Board

DispForm.htm Form displays a discussion comment, including hyperlinks to the forms for adding and editing comments.

EditForm.htm Form displays list fields for editing a comment.

NewForm.htm Form displays list fields for adding a new comment.

AllItems.htm View displays all discussion comments by subject only. It is the default view.

Expanded.htm View displays both the subject and body of all the discussion comments.

Survey

DispForm.htm Form displays a response, including hyperlinks to the forms for adding and editing responses.

EditForm.htm Form displays list fields for editing a response.

NewForm.htm Form displays list fields for responding to the survey.

AllItems.htm View displays all responses.

Overview.htm View displays the name and description of the survey, with a hyperlink for responding to the survey. It is the default view.

Summary.htm View displays a graphical summary of responses.

Document Library

DispForm.htm Form displays properties for a document, including hyperlinks to the forms for adding and editing properties.

EditForm.htm Form displays list fields for editing document properties.

EditDlg.htm and FileDlg.htm Forms enable users to use WebView for the document library in Open and Save dialog boxes in Microsoft Office XP.

Note If you turn off the option to use WebView, these files are in the document library folder, but Office XP users do not use them.

Upload.htm Form displays list fields for adding a document.

WebFldr.htm View displays folders for storing files.

AllItems.htm View displays all items. It is the default view

Custom list

DispForm.htm Form displays an item, including hyperlinks to the forms for adding and editing items.

EditForm.htm Form displays list fields for editing an item.

NewForm.htm Form displays list fields for adding a new item.

AllItems.htm View displays all items. It is the default view.


About installing, licensing, and distributing Office Web Components

When you design a Web page using Microsoft Office Web Components, any user with an Office XP license can interact with the components in the browser to the level of interactivity you provide. That is, a user with an appropriate license can make changes to data in a spreadsheet, change formatting, drag fields in a chart or PivotTable List, and so on, as long as you didn't protect these options at design time. Users with an Office XP license can also create, design, and modify components in a design environment such as Microsoft FrontPage or Microsoft Access.

Users who do not have Office XP licenses can view the components and the data in them, and can print the view of the components, but they cannot interact with the components or manipulate them in a design environment. This means that if you distribute a Web page that uses components, users who have Office XP licenses will have access to all functionality provided, but users without a license can only view the data and information you've provided.

Details on licensing and functionality

Office XP installed on computer Users have full functionality and interactivity with components, including run-time and design-time capabilities.

Office XP application installed on computer Users can interact with the component in design mode in that application only (not in the browser or in other applications).

Office XP site license (user doesn't have Office XP installed on computer, but user's organization has an enterprise or site license agreement) Users have full functionality and interactivity with components, including run-time and design-time capabilities. However, the Web page designer must provide a location from which components can be downloaded, and must reference the site license in a license package file (.lpk) that is associated with one or more Web pages. You use the License Package Authoring Tool to create an appropriate license file for pages. For more information, see MSDN Online.

No Office XP, Office XP applications, or site licenses Users can view and print the components in view-only mode, but they cannot interact with the components or use the design capabilities.

Installation

Microsoft Office Web Components are installed with Microsoft Office XP and Microsoft Office applications, or they can be installed separately from an installation point provided by the Web page designer.

When you distribute a Web page that uses components, users who do not have the components installed will be prompted to install the components, provided the Web page designer configures the components to do so. The Web page designer must also provide an installation point for the components and a pointer to that location on the component installation page. For more information, see the Microsoft Office XP Resource Kit.

Once the Office Web Components are installed, users who have access to an Office XP license will be able to interact with and make changes to the components. Users without licenses will be able to view and print the components and the data in them, but they cannot interact with or make changes to them.


About list forms

You can place a form for working with information in a document library or an interactive list— including surveys — on a web page. This type of form is called a list form. A list form allows site visitors to add or edit items, or displays all the details for a single item.

Note A web page can contain only one list form.

The list fields that you work with in a list form are based on the fields in the document library or list that is associated with the form.

You can choose whether or not to include a command bar that enables site visitors to save their changes or to create or delete items.


About View Page wizards

If you are using Microsoft FrontPage 2002 to maintain a Web site based on SharePoint Team Services from Microsoft, you can use the List View Page Wizard or the Document Library View Page Wizard to create a page that contains a view of a list or document library. The page that the wizard creates automatically provides the same layout and elements that are included with all the other built-in pages of your SharePoint team web site.

1 Top link bar is created automatically

2 Table layout, color scheme, and images match other pages in your team web site

3 Name of the team web site and the list or document library are displayed automatically

4 View includes commands and default formatting that matches corresponding pages in your team web site

5 View bar automatically includes hyperlinks to all views of this list or document library

The wizards are included with the page templates that FrontPage provides.

Note If you use the View Page wizards in a Web site based on SharePoint Team Services that was not created with the SharePoint-based Team Web Site template, the resulting page contains a view of a list or document library, but there are no built-in elements to include in the page.


About plug-ins

A plug-in is one of a set of software modules that integrate into Web browsers to offer a range of interactive and multimedia capabilities.

Some plug-ins occupy a space on a web page, as in the case of certain MPEG video players. Those plug-ins may have a display area as well as video controls for playing, pausing or rewinding, for example.

Other plug-ins, like some MIDI players, needn't occupy any space on a web page. You might have encountered these plug-ins, which begin playing music as soon as you load a web page, but have no "on" or "off" buttons.

Many software engineers create their own plug-ins to enable software to run in a Web browser. Because software engineers may follow different conventions when designing plug-ins, different plug-ins might behave differently among different browser types and versions.


About reports

Web site reports can provide detailed records about the performance of your web site as well as information about the activities of your site visitors.

Microsoft FrontPage enables you to create reports used to analyze and summarize a wide range of web site information.

  • Monitor web site usage Usage reports track data such as frequently visited pages, the Web browsers used to visit your site, and so on.
  • View a web site summary You can get general information about the content in your web site, such as a summary of the number and types of files, or a listing of the number of hyperlinks contained in your web site.
  • View maintenance problems Reports can list maintenance problems, such as which pages have a large file size (and will download slowly as a result) or contain broken hyperlinks.
  • Manage workflow Reports can also help you manage your workflow by displaying the status of your web pages. Files in your web site can be categorized, assigned to different authors, and checked in and out using source control — all of which you can monitor using reports.


About scheduling a web page or picture to appear at a specific time

You can set a page or picture to be displayed on another page during a specific time period. This feature is useful for time-sensitive content. For example, you can display a special advertisement during a holiday weekend.

You can also specify a page or picture to be displayed outside of the time period; for example, you can specify a regular advertisement to be displayed before and after the holiday weekend.


About smart tags

A "smart tag" is a type of button that provides choices for enhancing content and layout in Microsoft Office. Smart tag buttons appear when you perform certain tasks — such as pasting text or graphics — and display a list of options when clicked.

Microsoft FrontPage uses a smart tag called the Paste Options [image] button. The Paste Options button appears after pasting text or a graphic, and provides quick and easy options for formatting your pasted item.

For more information about how smart tags work in specific Office programs, consult the Help topics for those programs.


About templates for document libraries

Some of the content in this topic may not be applicable to some languages.

You can establish consistency among the documents in a document library by specifying a file to use as a template for the library.

The template will open when site visitors click the New Document command on the page that displays the document library. The template is also available to users of a SharePoint Team Services-compatible client program. For example, in Microsoft Office XP the template is available in the New from Templates on my Web Sites dialog box.

Templates for document libraries can be in any file format that a SharePoint Team Services-compatible client program can open. However, there are advantages to using a web-based file format (web page or web archive) as a template:

  • Site visitors don't need to have the appropriate client program installed to read a document that's based on a web page or web archive.
  • Using the Web Discussions feature, you can attach threaded discussions within a document that's based on a web page or web archive.

Note The template for your document library must be stored in your Web site based on SharePoint Team Services from Microsoft, although it doesn't need to be in the document library that uses it.


About managing documents with rules

Some of the content in this topic may not be applicable to some languages.

You can manage documents in your document library by using rules to automatically perform actions based on document properties. These actions can be triggered on a scheduled basis or when certain conditions that you specify are met.

For example, you can automatically:

  • Archive a document by moving it to a hidden folder on your web site after a certain date.
  • Send e-mail to someone to approve documents that have a status such as "waiting for approval."

You can add exceptions to your rules, such as when a document has been modified within a certain time frame or is assigned to a certain person. A rule will not be applied to a document if any one of the exceptions you specify is met.

You can also run rules manually, instead of using the conditions in the rule. For example, you might want to run a rule manually to process documents that were in the library before you created the rule.

Examples of actions you can automate

The Rules Wizard includes templates that you can use as a starting point for creating your own rules. Using the templates, you can:

  • Set a document to expire after a time limit.
  • Request approval for documents.
  • Archive expired documents.
  • Make backup copies of approved documents.
  • Create a task for each new document of a particular type.
  • Create an announcement for each new document that has a certain word in the title.
  • Send an e-mail notification when a new document is created.


About View-only mode for Office Web Components

If you do not have a Microsoft Office XP software license installed on your computer or accessed via a Microsoft Office XP program, you can view a Microsoft Office Web Component — a Spreadsheet Component, Chart Component, or PivotTable Component — on a Web page, but you cannot interact with it.

To be able to interact with and use full functionality of the component you are viewing, you must install Microsoft Office XP or have access to an Office XP license. If you are in a corporate or group environment, check with your network administrator for assistance.

When you are in View-only mode, you can:

  • View data.
  • Print.
  • Select and scroll.
  • Use hyperlinks.
  • Resize a component.
  • Select sheets in the Spreadsheet Component.
  • Expand or collapse members in a PivotTable list.
  • Refresh data in a PivotTable list.
  • Use the About, Help, and Refresh commands. Help topics that deal with interactivity (such as formatting cells, dragging fields, sorting, filtering, and so on) do not apply.

All commands except About, Help, and Refresh are unavailable in View-only mode.


Add, modify, or remove a field from an interactive list or document library

  1. In Folders View, right-click the list folder List folder or document library folder Document library folder, and click Properties.
  2. On the Fields tab, do one of the following:

    Add a field

    1. Click Add.
    2. In the Field name box, type a name for the field.
    3. In the Description box, type a description.
    4. In the Information type list, select the type of information you want to store in this field, and then click Next.
    5. Specify the settings you want for the information type you selected, and click Finish.

    Note When you add a field, the field automatically appears in the default view of the list or document library.

    Modify a field

    Note Certain fields are built in, and you cannot modify them. You cannot change the information type of a field, but you can modify its settings.
    • Select the field you want to modify, and do one of the following:

      Modify field settings

      1. Click Modify.
      2. If you want to change the name or description of the field, type a new name and description in the Field Name and Description boxes.
      3. Click Next.
      4. If you want to change the settings for the field, such as its default value, make the changes, and click Finish.

      Change the order of the fields

      • Click Move Up or Move Down.

      Note The order of the fields determines the order of fields in data entry forms for the list or document library, but has no effect on views of the list or document library.

    Remove a field

    • Select the field you want to remove, and click Remove.

    Note Certain built-in fields are required, and you cannot remove them.


Add, modify, or remove a survey question

  1. In Folders View, right-click the survey folder Survey folder, and click Properties.
  2. On the Questions tab, do one of the following:

    Add a question

    1. Click Add.
    2. In the Question text box, type a question.
    3. In the Information type list, select the type of answer you want respondents to provide, and then click Next.
    4. Specify the settings you want for the information type you selected, and then click Finish.

    Modify a question

    1. Select the question you want to modify, and then click Modify.
    2. If you want to change the question, type a new question in the Question text box.

      Note You cannot change the information type of an answer, but you can modify its settings.

    3. Click Next.
    4. If you want to change the settings for the answer, such as its default value, make the changes, and then click Finish.

    Remove a question

    • Select the question you want to remove, and then click Remove.


Add, modify or remove a rule in a document library

  1. In Folders View, right-click the document library folder Document library folder, and click Properties.
  2. Do one of the following:

    Add a rule

    1. On the Rules tab, click Add.
    2. Do one of the following:
      • To base a rule on a template, click Start creating a rule from a template, and then select a template.
      • To start with a blank rule, click Start from a blank rule, and then select when to apply the rule.
    3. Click Next, and follow the instructions in the wizard.

    Modify a rule

    1. On the Rules tab, in the Apply rules in the following order box, click the rule you want to modify.

    2. Do one of the following:

      Change the variables of a rule

      • In the Rule description box, click an underlined value.

      Change what a rule does or change when a rule is applied

      1. Click Modify.
      2. Follow the instructions in the wizard

      Rename a rule

      1. Click Rename.

      2. In the New name of rule box, type a name.

      Change the the order of the rules

      • Click Move Up or Move Down.

      Note Rules that move documents to another folder are applied as a batch at the end of recalculation of hyperlinks, not according to the order listed in the Rules Wizard.

    Remove a rule

    1. On the Rules tab, in the Apply rules in the following order box, click the rule you want to remove.
    2. Click Remove.


Modify the data connection for a PivotTable list

Choose a data source for the PivotTable list.

Use an existing data source control

  1. Click inside the PivotTable list to activate it.

  2. Click the hyperlink that says Click here to connect to data.

  3. On the Data Source tab, select Data source control, and then select the control that you want from the drop-down list.

  4. Under Use data from, click Data member, table, view, or cube name, and then select the element you want from the list.

Change a connection to a data source

  1. Click inside the PivotTable list to activate it.

  2. Click the hyperlink that says Click here to connect to data.

  3. On the Data Source tab, select Connection, and then click Edit.

  4. Select the OLE DB provider you want to use to retrieve the data, and then click Open.

  5. Under Use data from, do one of the following:

    • To use the data from a specific record source within the data source, click Data member, table, view, or cube name, and then select the element you want from the list.

    • To use a query or command (such as an SQL statement) to select the data, click Command text or SQL, and then type the query or command in the box. For information about the query syntax, see the documentation for the external data source.

  6. Finish the PivotTable list by customizing the layout and using the toolbar. Use the Commands and Options dialog box in the PivotTable to add totals, set properties, and so on, until the control looks and behaves the way you want.

Create a connection to a new data source

  1. Click inside the PivotTable list to activate it.

  2. Click the hyperlink that says Click here to connect to data.

  3. On the Data Source tab, select Connection, and then click Edit.

  4. Click New Source, then click Open, and then choose the type of data source to which you want to connect.

  5. Under Use data from, do one of the following:
    • To use the data from a specific record source within the data source, click Data member, table, view, or cube name, and then select the element you want from the list.
    • To use a query or command (such as an SQL statement) to select the data, click Command text or SQL, and then type the query or command in the box. For information about the query syntax, see the documentation for the external data source.

  6. Finish the PivotTable list by customizing the layout and using the toolbar. Use the Commands and Options dialog box in the PivotTable list to add totals, set properties, and so on, until the control looks and behaves the way you want.

Note For more help on how to design and use a PivotTable list, click Help on the PivotTable toolbar. If the toolbar is not visible, in the Commands and Options dialog box, on the Behavior tab, select the Toolbar check box.


Change the name or description of an interactive list, survey, or document library

  1. In the Folder List, right-click the list folder List folder, survey folder Survey folder, or document library folder Document library folder, and click Properties.
  2. On the Settings tab, type a new name and description in the Name and Description boxes.


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z
A

Back to top

absolute URL
The full Internet address of a page or other World Wide Web resource. The absolute URL includes a protocol, such as "http," network location, and optional path and file name. For example, http://example.microsoft.com/ is an absolute URL. See also URL.
accessibility
The quality of a system incorporating hardware or software that makes it usable by people with one or more physical disabilities, such as restricted mobility, blindness, or deafness.
Active Data Objects
(ADO) Components that enable client applications to access and manipulate data in a file- or server-based database through a provider.
active hyperlink
A hyperlink that is currently selected in a Web browser. Some Web browsers indicate the active hyperlink by changing its color.
active page, active web
See current page, current web.
Active Server Page
(ASP) A document that contains embedded server-side scripting. ASP-compatible Web servers can execute these scripts. On the client side, an ASP is a standard HTML document that can be viewed on any platform using any Web browser.
ActiveX
A set of technologies that enables software components to interact with one another in a networked environment, regardless of the language in which the components were created. ActiveX is used primarily to develop interactive content for the World Wide Web, although it can be used in desktop applications and other programs. See also ActiveX controls.
ActiveX controls
Reusable software components that incorporate ActiveX technology. ActiveX controls can be embedded in Web pages to produce animation and other multimedia effects, interactive objects, and sophisticated applications. They can be written in a variety of programming languages, including C, C++, and Visual Basic.
anchor
See bookmark.
animated GIF
A file containing a series of GIF (Graphics Interchange Format) graphics that are displayed in rapid sequence in a Web browser, giving the appearance of a moving picture. See also GIF.
anonymous FTP
The ability to access a remote computer system on which one does not have an account, via the Internet's File Transfer Protocol (FTP). Users have restricted access rights with anonymous FTP and usually can only list, view, or copy files to or from a public directory on the remote system. Many FTP sites do not permit anonymous FTP access in order to maintain security. See also FTP.
applet
See Java applet.
article
A message or posting in a discussion group or an Internet newsgroup. An article can be a response to a previous article.
ASCII
(American Standard Code for Information Interchange) A coding scheme using 7 or 8 bits that assigns numeric values to up to 256 characters, including letters, numerals, punctuation marks, control characters, and other symbols. ASCII was developed in 1968 to standardize data transmission among disparate hardware and software systems and is built into all personal computers.
ASP
(Active Server Page) A document that contains embedded server-side scripting. ASP-compatible Web servers can execute these scripts. On the client side, an ASP is a standard HTML document that can be viewed on any platform using any Web browser.
aspect ratio
In computer displays and graphics, the ratio of the width of a picture or picture area to its height. For example, an aspect ratio of 2:1 indicates that the picture is twice as wide as it is high. The aspect ratio is an important factor in maintaining correct proportions when a picture is incorporated into another document such as a Web page.
authentication
In a multiuser or network environment, the process by which the system validates a user's logon information. A user's name and password are compared against an authorized list, and, if the system detects a match, access is granted to the extent specified in the permission list for that user.
authentication database
A database on a server that matches user names to passwords.
Auto Thumbnail
A tool that creates a thumbnail of a picture or photograph and a hyperlink to the original picture. The Pictures toolbar in Page view contains the Auto Thumbnail command. See also thumbnail.
B

Back to top

background sound
A sound clip associated with a Web page. When the page is displayed in a Web browser, the sound is played either continuously or the number of times that the page specifies.
banner
See page banner.
Banner Ad Manager
A component in FrontPage that shows each of a series of designated graphics for a specified number of seconds, then transitions to the next graphic using any of several transition effects. Banner ads usually contain hyperlinks to an advertiser's Web site.
base location, base URL
A URL that you can assign to a page to convert all relative URLs on that page to absolute URLs. A base URL should end with a document name part, such as http://example.microsoft.com/sample.htm or a trailing slash, such as http://example.microsoft.com/subdir/. See also absolute URL.
bevel
A three-dimensional edge effect applied to the border of a graphic. The Pictures toolbar in Page view contains the Bevel command.
BMP
(bitmap) The standard graphics file format on Windows-compatible computers. Bitmap graphics support 24-bit color and can be saved for Windows or OS/2 systems. FrontPage can import BMP files.
bookmark
A named location on a Web page that can be the target of a hyperlink. A bookmark can be applied to a string of characters or exist on a page separately from any text. Bookmarks allow authors to link to a specific section of a target page. In a URL, a bookmark is preceded by a the pound sign (#). Also called anchor.
broken hyperlink
In FrontPage, a hyperlink that points to an incorrect URL or a missing page or file.
browser
See Web browser.
browser-safe palette
A color table containing only 216 out of a possible 256 colors, used to precisely match the colors of graphics and pictures in cross-platform Web browsers. The remaining 40 colors vary on IBM-compatible and Macintosh computers and are therefore omitted.
C

Back to top

Cascading Style Sheet
(CSS) An HTML specification developed by the World Wide Web Consortium that allows authors of Web pages to attach style sheets to HTML documents. Style sheets can include typographical information on how the page should appear, such as the font of the text in the page. CSS also directs the way in which the style sheets of the HTML document and the user's style will blend.
category
In FrontPage, a classification for labeling and grouping Web pages and files by common criteria such as page contents, file types, or similar distinction.
cell padding
The space between the contents and inside edges of a table cell.
cell spacing
The amount of space between cells in a table. Cell spacing is the thickness, in pixels, of the walls surrounding each cell.
CGI
(Common Gateway Interface) A standard method of extending Web server functionality by executing programs or scripts on a Web server in response to Web browser requests. A common use of CGI is in form processing, where the Web browser sends form data to a CGI script on the server, the script integrates the data with a database, and sends back the results as a Web page. Use of CGI can make a Web page much more dynamic and add interactivity for the user.
check box
A form field that can be selected by clicking a box. When a box is selected, it is usually displayed with a check mark or X. Check boxes are usually grouped to represent a set of non-exclusive choices. See also radio button.
child web
See subweb.
class selector
In a cascading style sheet's style definition (or style rule), a subset of a selector that controls whether the same selector can be used for slightly different styles in different situations.
client
On a local area network or the Internet, a computer that accesses shared network resources provided by another computer. See also server.
client-side image map
An image map that encodes the destination URL of each hotspot directly on a Web page. Client-side image maps do not require processing from a server to allow a site visitor to follow the hyperlinks on the image map. However, not all Web browsers support client-side image maps. See also image map.
client-side program
On the Internet, a program that is run on a client computer rather than on a server computer.
color average tool
In FrontPage, the action of dragging the eyedropper tool across a selection of graphics or various solid colors on a Web page and thereby determining the average color spectrum of these.
comment
In FrontPage, text that can be viewed in Page view that will not be displayed in a Web browser. Comment text appears purple in Page view and is used to insert notes to authors and editors during the construction of the page. Site visitors can reveal comments by viewing the source HTML of the page containing the comments.
component
A built-in FrontPage object that is evaluated and executed when an author saves the page or, in some cases, when a site visitor browses to the page. Most components generate HTML. Components in FrontPage include Search forms, which provide full text-searching capability in a web, and Save Results form handlers, which gather information from a form and store it in a file or send it to a specified e-mail address. The FrontPage Software Developer's Kit contains instructions for adding custom components to Page view menus in FrontPage.
Confirmation Field component
A component in FrontPage that is replaced with the contents of a form field. It is useful on a form confirmation page, where it can display a site visitor's name or any other data entered into a field.
confirmation page
A page that is displayed in a Web browser, confirming that data entered into a form has been successfully submitted. You point to a form's confirmation page in the form handler's dialog box.
current page
In FrontPage, the page that is currently being edited in Page view.
current web
In FrontPage, the web that is currently open.
custom dictionary
A list of words not in the standard dictionary that an author wants the spelling checker to accept as correct. FrontPage shares its spelling dictionaries with those of Microsoft Office.
D

Back to top

database
A file containing records of information that are organized and presented to serve a specific purpose, such as the facilitation of searching, sorting, and recombination of data. Databases can be published on the World Wide Web to let site visitors look up information in records or add new information to the database.
database results region
In FrontPage, an area on an Active Server Page that can be dynamically populated by the results of a database query when the page is displayed in a Web browser.
data connection
In FrontPage, a connection that specifies the name, type, location, and optional information for a database file.
data validation
A set of rules you can apply to form fields to restrict the type of information site visitors enter into forms. For example, you can set rules so that only letters, and not numbers, can be entered into a "name" field on a form.
Database Results Wizard
In FrontPage, a wizard that guides you through creating a region on a page that displays information retrieved from the records of a database. You can use an existing database to accomplish this, or let the wizard create one for you.
default hyperlink
In an image map, the hyperlink that site visitors follow when they click in an area of the picture where there are no hotspots. See also hotspot.
design-time control
An ActiveX control that is used while designing or editing a page. Design-time controls that are installed on the client computer are listed in Page view in FrontPage. See also ActiveX.
Discussion form handler
In FrontPage, a form handler that allows site visitors to participate in an online discussion. The Discussion form handler collects information from a form, formats it into an HTML page, and adds the page to a table of contents and to a text index. In addition, the Discussion form handler gathers information from the form and stores it in a selected format.
discussion group
A FrontPage-based web that supports interactive discussions by site visitors. Visitors submit topics or responses by entering and then submitting text in a form. Visitors can search the group using a search form, or access articles using a table of contents.
Distributed Password Authentication
(DPA) An advanced, distributed method of user authentication from Microsoft, allowing for single user log-on. DPA support is provided by the Microsoft Membership System and is optimized for the needs of Internet service providers and online services.
domain name
The address of a network location in the format that identifies the owner of that address in the format: server.organization.type. For example, www.whitehouse.gov identifies the Web server at the White House in the United States, which is part of the U.S. government. See also network location.
drop-down menu field
A form field element that presents a list of selections in drop-down menu style. A drop-down menu form field element can be configured to permit the selection of many fields or a single field.
Dynamic HTML
(DHTML) An extension of the HTML language that enables the creation of presentation effects for text and objects. In FrontPage, you can use the DHTML Effects toolbar to add effects to page elements without the need to know programming.
E

Back to top

e-mail
(electronic mail) The exchange of electronic text messages and computer file attachments between computers over a communications network, such as a local area network or the Internet.
E-mail form handler
See Save Results form handler.
embedded files
In FrontPage, graphics, pictures, sounds, and video clips that have been inserted on a page in Page view from a file system or from the clipboard. You are prompted to save embedded files when you save the current page.
embedded style sheet
A cascading style sheet that is embedded on a page. Styles in an embedded style sheet can be applied only to the page containing the style sheet, and will either extend or override styles defined in any external style sheet that is linked to the page.
EPS
(Encapsulated PostScript) An extension of the PostScript graphics file format developed by Adobe Systems. EPS enables PostScript graphics files to be incorporated into other documents. FrontPage can import EPS files.
executable folder
A folder in a FrontPage-based web, from which scripts and executable programs can be run on a Web server. Server administrators may prohibit the use of executable folders.
external hyperlink
A hyperlink pointing to a page or file that is outside of the current web.
external style sheet
A cascading style sheet in a file with a .css file name extension. The .css file is comprised solely of style rules in valid .css syntax, without any surrounding HTML tags. By defining styles in one or more external style sheets and linking them to pages in your web, you ensure a consistent appearance throughout those pages. If you change a style in the external style sheet, the change will be reflected in all of the pages linked to that style sheet.
F

Back to top

FAQ
(Frequently Asked Questions) A document listing common questions and answers on a particular subject. FAQs are often posted on Internet newsgroups where new participants ask the same questions that regular readers have already answered many times.
file
A named collection of information that is stored on a computer. Also, an Internet protocol that refers to files on a disk or local area network. In FrontPage, you can create hyperlinks to files (file://) in Page view.
file server
A computer running on a network that stores files and provides access to them. Also called server. See also Web server.
file type
The format of a file, commonly indicated by its file name extension. Computer applications usually work on a limited set of file types.
firewall
A method of protecting the files and programs on one network from users on another network. A firewall blocks unwanted access to a protected network, while giving the protected network access to networks outside of the firewall. A company will typically install a firewall to give users access to the Internet while protecting their internal information. FrontPage allows users to author webs on the Internet even from within a protected network.
folder
A named storage area on a computer containing files and other folders.
Folders view
In FrontPage, the view of a web that shows how the content of the web is organized. Similar to Windows Explorer, you can create, delete, copy, and move folders in Folders view. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
followed hyperlink
A hyperlink on a page that has been activated. Visited hyperlinks are usually displayed by the Web browser in a specified color.
form
A set of data-entry fields on a page that are processed on a Web server. The data is sent to the server when a site visitor submits the form by clicking on a button or, in some cases, by clicking a graphic.
form field
A data-entry field on a page. A site visitor supplies information in a field either by typing text or by selecting a field.
form handler
A program on a server that is executed when a site visitor submits a form. A form in FrontPage is associated with a form handler in the Form Properties dialog box.
frame
An area of a Web browser window defined by a frames page. A frame appears in a Web browser as one of a number of different areas in which pages can be displayed. A frame may be scrollable and resizable, and may have a border. You display a page in a frame by creating a hyperlink to the page and specifying the frame as part of the hyperlink. See also frames page.
frames page
A page that divides a Web browser's window into different areas called frames that can independently display several Web pages. See also frame.
Frames Page HTML tab
The tab in Page view in FrontPage that shows the HTML of the active frames page. See also frames page.
frameset
See frames page.
FrontPage Editor
In FrontPage 98 and earlier versions, the application for creating and editing Web pages. In FrontPage 2000, you create and edit Web pages in Page view.
FrontPage Explorer
In FrontPage 98 and earlier versions, the application for maintaining, testing, and publishing webs. In FrontPage 2000, you maintain, test, and publish webs using any of five web views.
FrontPage Server Extensions
A set of programs and scripts that support authoring in FrontPage and extend the functionality of a Web server. The FrontPage Server Extensions are available for Microsoft Internet Information Services (IIS) and other popular Windows and UNIX Web servers. To learn whether your Web server is supported, visit http://www.microsoft.com/frontpage/
FTP
(File Transfer Protocol) The Internet service that transfers files from one computer to another over standard phone lines. You can create FTP hyperlinks (ftp://) in Page view in FrontPage.
G

Back to top

gateway script
See CGI.
GIF
(Graphics Interchange Format) A graphics file format commonly used to display indexed-color graphics on the World Wide Web. GIF is a compressed format, designed to minimize file transfer time over standard phone lines. FrontPage can import and export GIF files. See also interlaced GIF.
graphics file formats
FrontPage can import the following graphics file formats: BMP, EPS, GIF, JPEG, PCD, PCX, PNG, RAS, TGA, TIFF, and WMF. When you save your web, FrontPage converts these graphics (if necessary) to GIF, JPEG, or PNG file formats, based on their original color depth.
H

Back to top

heading
A paragraph style that is displayed in a typeface larger than normal text. The size of a heading is related to its level: Heading 1 is the largest, Heading 2, the next largest, and so on. Use headings to provide names or titles for text paragraphs or entire pages.
hidden field
A form field that is invisible to a site visitor but supplies data to a form handler. Each hidden field is implemented as a name-value pair. When a form is submitted by a site visitor, its hidden fields are passed to the form handler along with name-value pairs for each visible form field. See also name-value pair.
hidden folder
A folder in a web in FrontPage that has a name beginning with an underscore character, as in _hidden. By default, pages and files in hidden folders cannot be viewed in a Web browser.
Hit Counter component
A component in FrontPage that keeps track of the number of visitors to a World Wide Web site.
home page
On the World Wide Web, an entry page for a set of Web pages and other files in a Web site. The home page is displayed by default when a visitor surfs to the site using a Web browser. The name of a home page depends on the type of Web server used to host the Web site. Some Web servers reserve Index.htm as the name for the home page, while others name the home page Default.htm.
host
See server.
host name
See network location.
hotspot
A graphically defined area in a graphic or picture containing a hyperlink. A graphic with hotspots is called an image map. Hotspots are invisible in Web browsers. Site visitors can tell that a hotspot is present because the mouse pointer changes appearance when the mouse is moved over the graphic. See also image map.
Hover Button component
An animated button in the navigation bar on a Web page that is activated when the mouse pointer is moved over the button or when the button is clicked. See also navigation bar.
HTML
(Hypertext Markup Language) The standard markup language used for documents on the World Wide Web. HTML development is carried out by the World Wide Web Consortium. The HTML language uses tags to indicate how Web browsers should display page elements such as text and graphics, and how Web browsers should respond to user actions such as hyperlink activation by means of a key press or mouse click. Most Web browsers, notably Microsoft Internet Explorer and Netscape Navigator, recognize HTML tags beyond those included in the present standard. FrontPage reads and writes HTML files and no knowledge of the HTML language is required. See also World Wide Web Consortium.
HTML attribute
A value used within an HTML tag to assign additional properties to the object being defined. FrontPage assigns some attributes automatically when you create an object such as a paragraph or image map. You can assign other attributes by editing the object's Properties dialog box.
HTML character encoding
A standard table which associates a numeric index with each character in a character set. The table is used when you create a Web page for use in a specific language. Also called code page.
HTML tab
In FrontPage, the tab in Page view that you click to display a page's HTML code. You can directly edit a page's HTML on this tab.
HTML tag
A text string used in HTML to identify a page element's type, format, and appearance. FrontPage automatically creates HTML tags to represent each element on a page.
HTTP
(Hypertext Transfer Protocol) The Internet protocol that enables Web browsers to retrieve information from World Wide Web servers.
hyperlink
A pointer from text, from a picture or a graphic, or from an image map to a page or file on the World Wide Web. On the World Wide Web, hyperlinks are the primary way to navigate between pages and among Web sites. Also called link.
Hyperlinks view
A view in FrontPage that shows the status of the hyperlinks in your web. The list includes both internal and external hyperlinks, and graphically indicates whether the hyperlinks have been verified or whether they are broken. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
hypertext
Originally, any textual information on a computer containing jumps to other information. The hypertext jumps are called hyperlinks. On the World Wide Web, hypertext is the primary way to navigate between pages and among Web sites. Hypertext on Web pages has been expanded to include hyperlinks from text, from a picture or a graphic, and from image maps.
I

Back to top

ID selector
In a cascading style sheet style definition (or style rule), a selector that is used to define a style for an individual page element, usually as an inline style.
IIS
See Internet Information Services.
image map
A graphic containing one or more invisible regions, called hotspots, which are associated hyperlinks. Typically, an image map gives site visitors visual cues about the information made available by clicking each part of a picture or graphic. For example, a geographical map could be made into an image map by assigning hotspots to each region of interest on the map.
Include Page component
A component in FrontPage that is replaced with the contents of another page in the web. This lets you update parts of many pages in one step.
initial page
The page that is initially displayed in a frame when a site visitor browses to a frames page containing the frame. In FrontPage, you can assign the initial page to a frame in Page view. See also frames page.
inline style
A method of applying cascading style sheet properties and values to an element on a page, such as a table, graphic, or ActiveX control. You can use this method even if the page is not linked to an external style sheet or does not contain an embedded style sheet.
interlaced GIF
A picture in GIF format that is gradually displayed in a Web browser, showing increasingly detailed versions of the picture until the entire file has finished downloading. See also GIF.
internal hyperlink
In FrontPage, a hyperlink pointing to any page or file within the current web. See also hyperlink.
internal web
A Web site created within an organization and accessible only to members of that organization on an intranet. See also intranet.
Internet
The worldwide collection of computers, networks and gateways that use TCP/IP protocols to communicate with one another. At the heart of the Internet are high-speed data communication lines between major host computers, consisting of thousands of commercial, government, educational, and other computer systems that route data and messages. Currently, the Internet offers a range of services to users, such as e-mail, the World Wide Web, FTP, Usenet newsgroups, Gopher, IRC, telnet, and others.
Internet address
See network location.
Internet Information Services
(IIS) Microsoft's brand of Web server software, utilizing Hypertext Transfer Protocol to deliver World Wide Web documents. IIS incorporates various functions for security, allows for CGI programs, and also provides for FTP servers.
Internet service provider
A business that supplies Internet connectivity services to individuals, businesses, and other organizations. Some ISPs are large national or multinational corporations that offer access in many locations, while others are limited to a specific city or region.
intranet
A network designed for information processing within a company or organization. Its uses include such services as document and software distribution, access to databases, and training. An intranet is so called because it usually employs applications associated with the Internet, such as Web pages, Web browsers, FTP sites, e-mail, newsgroups, and mailing lists, accessible only to those within the organization. See also firewall.
IP
(Internet Protocol) Internet software that divides data into packets for transmission over the Internet. Computers must run IP to communicate across the Internet. See also TCP.
IP address
(Internet Protocol address) The standard way of identifying a computer that is connected to the Internet, much the way a telephone number identifies a telephone on a telephone network. An IP address is four numbers separated by periods, and each number is less than 256, for example, 192.200.44.69. Your Web server administrator or Internet service provider will assign your computer an IP address.
IP address mask
(Internet Protocol address mask) A range of IP addresses defined so that only computers with IP addresses within the range are allowed access to an Internet service. To mask a portion of the IP address, replace it with the asterisk wild card character (*). For example, 192.44.*.* represents every computer on the Internet with an IP address beginning with 192.44.
ISAPI
(Internet Server Application Programming Interface) A Web server application-development interface, developed by Process Software and Microsoft, that can be used in place of CGI.
ISP
See Internet service provider.
J K

Back to top

Java
A general-purpose programming language created by Sun Microsystems. Currently, the most widespread use of Java is in programming small applications, or applets, for the World Wide Web. See also Java applet.
Java applet
A Java class that is loaded and run by an already-running Java application such as a Web browser. Java applets can be downloaded and executed by a Web browser capable of interpreting Java, such as Microsoft Internet Explorer or Netscape Navigator. Java applets are frequently used to add multimedia effects and interactivity to Web pages, such as video displays, animations, calculators, real-time clocks, and interactive games. Applets can be activated automatically when the page containing them is displayed in a Web browser, or they may require some action on the part of the site visitor, such as clicking an element on the page.
JavaScript
A scripting language developed by Netscape Communications and Sun Microsystems, Inc. Compared to Java, JavaScript is limited in performance because it is not compiled before execution. Basic online applications and functions can be added to Web pages with JavaScript, but the number and complexity of available application programming interface functions are fewer than those available with Java. JavaScript code, which is included in a Web page along with the HTML code, is generally considered easier to write than Java, especially for novice programmers. A JavaScript-compliant Web browser, such as Microsoft Internet Explorer or Netscape Navigator, is required to interpret JavaScript code.
JPEG
(Joint Photographic Experts Group) A graphics file format used to display high-resolution color graphics on the World Wide Web. JPEG graphics apply a user-specified compression scheme that can significantly reduce the large file sizes usually associated with photo-realistic color graphics. A higher level of compression results in lower quality, whereas a lower level of compression results in higher quality. FrontPage can import and export JPEG files. See also progressive JPEG.
L

Back to top

LAN
(local area network) A computer network technology designed to connect computers separated by a short distance. A LAN can be connected to the Internet and can also be configured as an intranet.
link
See hyperlink.
live web
A web that has been published to a Web server and can currently be browsed by site visitors. Editing a live web with FrontPage lets site visitors immediately see all page updates and changes every time the page is saved. See also staging web.
M

Back to top

mailto
The Internet protocol used to send electronic mail. You can create e-mail hyperlinks in FrontPage.
Marquee component
A region on a page that displays a horizontally scrolling text message.
META tag
An HTML tag that must appear in the HEAD portion of the page. META tags supply information about a page but do not affect its appearance. A standard META tag, "generator," is used to indicate the type of editor that created the HTML page.
Microsoft Internet Explorer
Microsoft's Web browser, available in Windows, Macintosh, and UNIX versions. When Internet Explorer is installed with FrontPage, additional functionality is provided, including dynamic page and themes preview in Page view.
Microsoft Management Console
(MMC) A graphical interface for Microsoft Internet Information Services (IIS) that contains "snap-in" administrative tools, such as the FrontPage MMC snap-in. See also Internet Information Services.
Microsoft Visual Basic
A high-level, visual-programming version of Basic. Visual Basic was developed by Microsoft for building Windows-based applications.
Microsoft Visual Basic for Applications
(VBA) A macro-language version of Microsoft Visual Basic that is used to program Windows applications and is included with several Microsoft applications. See also Microsoft Visual Basic.
Microsoft Visual Basic Scripting Edition
(VBScript) A subset of the Visual Basic for Applications programming language, optimized for Web-related programming. As with JavaScript, code for Visual Basic, Scripting Edition is embedded in HTML documents. This version is included with Microsoft Internet Explorer. See also Microsoft Visual Basic.
Microsoft Visual SourceSafe
A professional document source-control system developed by Microsoft. FrontPage can be integrated with Visual SourceSafe when both applications are installed on the same computer.
MIME type
(Multipurpose Internet Mail Extensions type) A method used by Web browsers to associate files of a certain type with applications that display files of that type.
multi-hosting
The ability of a Web server to support more than one Internet address and more than one home page. Also called multi-homing.
N

Back to top

name-value pair
The name of a form field and the value of the field at the time the form is submitted. Each field in a form can have one or more name-value pairs, and the form itself can have one or more name-value pairs.
navigation bar
In FrontPage, a collection of graphical or textual buttons containing hyperlinks to pages that are part of the same web structure. See also web structure, Navigation view.
Navigation view
The view in FrontPage that is used to create, display, print, and change the navigation structure of a web. Navigation view includes a folder-like view, from which you can drag and drop pages into your site structure. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
nested frames page
A frames page containing another frames page inside one of its frames. See also frames page, frame.
network location
In a URL, a unique name that identifies an Internet server. A network location has two or more parts, separated by periods, as inexample.microsoft.com. Also called host name and Internet address. See also URL.
news
The Internet protocol for retrieving files from an Internet newsgroup. You can create news hyperlinks (news://) in FrontPage.
No Frames tab
In FrontPage, the tab in Page view that displays the alternate HTML code of a frames page. This is the HTML for Web browsers that do not support frames pages to display.
Normal tab
In FrontPage, the default tab of Page view, which displays a page as it would appear in a Web browser.
Normal text
In FrontPage, the default paragraph style of Page view, intended for use in text paragraphs.
NTLM
(NT LanMan) The Windows NT Challenge/Response authentication protocol. This protocol uses encryption for secure transmission of passwords.
O

Back to top

Open Database Connectivity
(ODBC) An application programming interface (API) for authoring applications that are independent of any particular database management system.
OLE
(Object Linking and Embedding) A technology for transferring and sharing information among applications. OLE lets an author invoke different editor components to create a compound document.
one-line text box
A labeled, single-line form field into which site visitors can type text.
P Q

Back to top

page
A single document in a Web site written in HTML. You can use FrontPage to create and modify pages without having to know HTML.
page banner
A section of a Web page containing a graphic element and text, such as the page title. Page banners are usually displayed at the top of a Web page.
page template
A predesigned, generic Web page you can use to create new custom pages. Some of the page templates in FrontPage provide typical page content, while others provide common page layouts.
page title
A descriptive text string identifying a page.
Page view
The view in FrontPage you use for creating, editing, and previewing Web pages. Page view displays web pages as they will appear in a Web browser. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
paragraph style
In Page view in FrontPage, the paragraph style specifies the type of font to use in a paragraph, the font's size, and other attributes related to text on a page. Paragraph style also specifies whether to use bullets and numbering and controls indentation and line spacing.
parent page
In FrontPage, a page in a web that is part of the navigation structure of the web and is linked to one or more pages on the child level. A page on the child level is accessed from its parent page by following a link from a navigation bar on the parent page. See also navigation bar, web structure.
parent web
In a hierarchical structure, the web immediately above the current web.
password
A security measure used to restrict access to computer systems and sensitive files. On the World Wide Web, passwords are strings of characters that allow site visitors access to Internet services, such as FTP, if the Internet service requires authentication. See also authentication.
path
The portion of a URL that identifies the folders containing a file. For example, in the URL http://example.microsoft.com/hello/world/top.htm, the path is /hello/world/.
PCD
(Photo CD) A graphics file format developed by Eastman Kodak Company. FrontPage can import PCD files.
PCT
(Personal Communications Technology) An enhanced version of Secure Sockets Layer. See also Secure Sockets Layer.
PCX
A graphics file format that compresses the graphic's data with RLE-type compression, used by early versions of Windows Paintbrush. FrontPage can import PCX files.
picture
A graphics file that can be inserted on a Web page and displayed in a Web browser. FrontPage lets you import graphics in the following formats: GIF, JPEG (standard and progressive), BMP (Windows and OS/2), TIFF, TGA, RAS, EPS, PCX, WMF, and PNG. Imported graphics are converted to GIF format (for graphics containing up to 256 colors) or JPEG format (for graphics containing over 256 colors) when the page is saved to the current web. Also called image.
plug-in
One of a set of software modules that integrate into Web browsers to offer a range of interactive and multimedia capabilities.
PNG
(Portable Network Graphics) A file format for compressed bitmap graphics, similar to the GIF format. FrontPage can import and export PNG files.
port
One of the network input/output channels of a computer running TCP/IP. On the World Wide Web, port usually refers to the port number a server is running on. A single computer can have many Web servers running on it, but only one server can be running on each port. The default port for Web servers is 80.
PPP
(Point-to-Point Protocol) An Internet standard for transmitting data over serial links between computers.
progressive JPEG
An enhancement to the JPEG graphics file format specification that gradually displays a photo-realistic picture in a Web browser, showing increasingly detailed versions of the picture until the entire file has finished downloading. While this is similar to interlaced GIFs, progressive JPEGs can retain the high quality of 24-bit color, and they offer the same efficient compression as standard JPEG. See also JPEG.
properties
In FrontPage, the characteristics of an item in the current web, such as the title and URL of a web, or the name and initial value of a form field. You can also specify properties for page elements such as tables, graphics, and active elements.
protocol
A method of accessing a document or service over the Internet, such as File Transfer Protocol (FTP) or Hypertext Transfer Protocol (HTTP). Also called type.
proxy server
An Internet server that acts as a firewall, mediating traffic between a protected network and the Internet. See also firewall.
publish
The process of making a web public on the World Wide Web or an intranet by copying all of its pages and files to the Web server connected to the Internet or the local area network.
push button
A form field that a site visitor can click to submit a form or reset a form to its initial state.
R

Back to top

radio button
A form field that presents a site visitor with a selection that can be chosen by clicking on a button. Radio buttons are presented in a list, one of which is selected by default. Selecting a new member of the list deselects the currently selected item. See also check box.
RAS
The raster graphics file format developed by Sun Microsystems. FrontPage can import RAS files.
record
In a database, a group of related fields of information that are treated as a unit. Records are the logical equivalents of rows in a table. In FrontPage, a group of records is referred to as a recordset.
registered user
A visitor to a Web site whose name and password has been recorded within the Web site. In FrontPage, you can register site visitors for your web with the Registration form handler.
Registration form handler
In FrontPage, a form handler that allows site visitors to automatically register themselves for access to a service implemented as a Web site. The Registration form handler adds the site visitor to an authentication database, then gathers optional information from the form and stores it in one of many supported formats.
relational database
A relational database management system (RDBMS) organizes data into related rows and columns as specified by the relational model. Microsoft SQL Server and Oracle are examples of relational database management systems. A Microsoft Access database is an example of a relational database.
relative URL
The Internet address of a page or other World Wide Web resource relative to the Internet address of the current page. A relative URL gives the path from the current page to the destination page or resource. A relative URL can include a protocol. For example, the relative URL Doc/Sample.htm refers to the page Sample.htm in the folder Doc, below the current folder. See also URL.
Reports view
The view in FrontPage that allows you to analyze a web's contents. You can calculate the total size of the files in your web, show which files aren't linked to any other files, identify slow or outdated pages, group files by task or person they're assigned to, and so on. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
resample
The changing of the pixel dimensions (and therefore physical file size) of a picture or a graphic. Graphics can be resampled down (the number of pixels is decreased) or resampled up (the number of pixels is increased). When you resample a graphic down, pixel information is deleted from the graphic. When you resample a graphic up, new pixel information is created based on matching color values of the existing pixels. Resampling a graphic down and then resampling it up to its original resolution will cause the quality of the graphic to deteriorate considerably. In FrontPage, the Pictures toolbar contains the Resample command.
root web
The default, top-level web provided by a Web server. To access the root web, you supply the URL of the server without specifying a page name or subweb. FrontPage is installed with a root web named RootWeb or C:\My Webs. See also subweb.
RTF
(Rich Text Format) A method of encoding text formatting and document structure using the ASCII character set. By convention, RTF files have an .rtf file name extension. You can open RTF files in FrontPage and convert them to HTML.
S

Back to top

Save Results form handler
In FrontPage, a form handler that gathers information from a form and stores it in one of a number of formats or sends the information to an e-mail address. When a site visitor submits the form, the Save Results form handler appends the form information to a file on the server in the format you specify.
Scheduled Picture component
A component in FrontPage that is replaced on the page by a graphic during a specified time period. When the time period has expired, the graphic is no longer displayed. This is useful for displaying information that has a limited lifetime, such as the announcement of a new product or service.
Scheduled Include Page component
A component in FrontPage that is replaced with the contents of a file in the current web during a specified time period. When the time period has expired, the contents of the file are no longer displayed. This is useful for displaying textual information that is pertinent for a limited time only.
script
A type of computer code that can be directly executed by a program that understands the language in which the script is written. Scripts do not need to be compiled to be run.
scrolling text box
A labeled, multiple-line form field in which site visitors can type one or more lines of text.
Search Form component
A component in FrontPage that creates a form that provides full text-searching capability in your FrontPage-based web when a site visitor browses to your web. When a site visitor submits a form containing words to locate, the search form returns a list of hyperlinks to the pages in your FrontPage-based web that contain matches for the words.
Secure Sockets Layer
(SSL) A proposed open standard developed by Netscape Communications for establishing a secure communications channel to prevent the interception of critical information, such as credit card numbers. The primary purpose of SSL is to enable secure electronic financial transactions on the World Wide Web, although it is designed to work with other Internet services as well. This technology, which uses public key encryption, is incorporated into many Web browser and Web servers.
selector
In a cascading style sheet style definition (or style rule), the HTML element linked to a particular set of style properties and values.
server
A computer that offers services on a network. On the World Wide Web, a server is a computer that runs the Web server software that responds to HTTP protocol requests. Also called host.
server-side image map
An image map that passes the coordinates of the mouse pointer to a CGI handler routine on the server. Server-side image maps require the Web server to compute the target URL of the hyperlink based on the mouse pointer coordinates. See also image map.
server-side include
A feature provided by some Web servers that automatically inserts text onto pages when they are fetched by a Web browser.
shared borders
Page regions reserved for content that you want to appear consistently throughout your pages. Shared borders usually contain navigation bars — hyperlinks to the other pages in the current web. When you create a web in Navigation view in FrontPage, shared borders and navigation bars are automatically created and updated, even when you add, move, or delete pages from the web's structure.
Site Summary report
In FrontPage, the default report displayed in Reports view. A site summary is the combination of several reports that identify unlinked files, slow pages, unverified hyperlinks, broken hyperlinks, page component errors, unused theme files, and incomplete tasks. The site summary is useful for determining the overall size and health of your web. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
SLIP
(Serial Line Internet Protocol) An Internet standard for transmitting data over serial links between computers.
slow pages
Pages that take an inordinate amount of time (20 seconds or more) for a site visitor to download in a Web browser. In FrontPage, you can identify slow pages in your web by using Reports view. The number of seconds and the speed of the Internet connection FrontPage should use to mark pages as slow can be specified.
staging web
A local web that is maintained on a file system or local Web server and that currently cannot be browsed by site visitors. Staging webs allow authors and workgroups to make significant changes or updates to Web sites before they are published to the World Wide Web or a company intranet. See also live web.
Structured Query Language
(SQL) A database query and programming language widely used for accessing, querying, updating, and managing data in relational database systems. Using SQL, you can retrieve data from a database, create databases and database objects, add data, modify existing data, and perform other, more complex functions. With SQL, you can also change the server configuration, modify database or session settings, and control data and access statements.
style
Styles are used to control the font, alignment, and spacing of text; appearance of background pages; and other HTML attributes. A collection of styles is called a style sheet. See also cascading style sheet.
Substitution component
A component in FrontPage that is replaced by the value of a selected page or web variable.
subweb
A named subdirectory of the root web that is a complete FrontPage-based web. Each subweb can have independent administration, authoring and browsing permissions from the root web and other subwebs. In addition, searches implemented through the FrontPage-based search form are limited to the subweb, and FrontPage only manages hyperlinks within the subweb. Any number of subwebs can be created under the root web, and subwebs can be created within subwebs. See also root web, web.
T

Back to top

table
One or more rows of cells on a page used to organize the layout of a page or arrange data systematically. In FrontPage, you can place anything in a table cell, including text, graphics, and forms.
Table of Contents component
A component in FrontPage that creates an outline of your web, with hyperlinks to each page. The Table of Contents updates this outline each time a web's contents change.
tag
See HTML tag.
target frame
The name of a frame in which the target page of a hyperlink is displayed. Typically, a hyperlink from one frame of a frames page will supply as its target frame another frame of the frames page. See also frame, frames page.
task
An item associated with a web in FrontPage, representing an action you need to perform to complete or maintain the web. Some tasks are automatically generated by wizards in FrontPage. You can also add your own tasks. Tasks are displayed in Tasks view.
Tasks view
The view in FrontPage that maintains a list of the tasks required to complete or maintain a web. Views in FrontPage provide different ways of looking at the information in your web, so that you can effectively manage your site.
TCP
(Transmission Control Protocol) Internet networking software that controls the transmission of packets of data over the Internet. Among its tasks, TCP checks for lost packets, puts the data from multiple packets into the correct order, and requests that missing or damaged packets be sent again. Computers must run TCP to communicate with Web servers.
template
A set of predesigned formats for text and graphics on which new pages and webs can be based. After a page or web is created using a template, you can customize the page or web.
TGA
(Targa) A photorealistic graphics file format designed for systems with a Truevision display adapter. FrontPage can import TGA files.
theme
A theme applies professionally designed graphics to elements of the pages in a FrontPage-based web. FrontPage offers a gallery of over 50 themes that consist of similar design elements and color schemes for bullets, fonts, graphics, navigation bars, and other page elements. When applied, a theme gives pages and navigation bars in a web an attractive and consistent appearance.
thread
In e-mail and Internet newsgroups conversations, a series of messages and replies that are all related to a specific topic.
thumbnail
A small representation of a picture on a Web page, usually containing a hyperlink to a full-size version of the graphic. Thumbnails are used to load pages rich in graphics or pictures more quickly in a Web browser. See also Auto Thumbnail.
TIFF
(Tagged Image File Format) A high-resolution, tag-based graphics format. TIFF is used for the universal interchange of digital graphics. FrontPage can import TIFF files.
transition effect
One of a set of page-display effects, such as Dissolve and Fade To Black, that are available in some Web browsers. Transition effects can be configured to occur when a site visitor visits or leaves a page. You can apply transition effects to pages using FrontPage.
TWAIN
("Technology without an interesting name") Developed by a consortium of imaging hardware and software manufacturers, TWAIN is a cross-platform interface for acquiring pictures captured by TWAIN-compliant scanners, digital cameras, and still-frame video capture boards. In FrontPage, you can transfer pictures onto pages directly from TWAIN-compliant devices.
U

Back to top

UNIX
A multi-user, multitasking operating system that exists in various forms and implementations, typically used on proprietary computer workstations. Many Web servers run on UNIX systems.
URL
(Uniform Resource Locator) A string that supplies the Internet address of a Web site or resource on the World Wide Web, along with the protocol by which the site or resource is accessed. The most common URL type is http://, which gives the Internet address of a Web page. Some other URL types are gopher://, which gives the Internet address of a gopher directory, and ftp://, which gives the network location of an FTP resource.
V

Back to top

VBA
See Microsoft Visual Basic for Applications.
VBScript
See Microsoft Visual Basic Scripting Edition.
Views bar
The vertical bar at the left of the FrontPage application window. The buttons on the Views bar let you switch to different views of your web, such as Folders view or Hyperlinks view. Views provide different ways of looking at the information in your web, so that you can effectively manage your site.
Visual Basic
See Microsoft Visual Basic.
virtual server
One of multiple Web sites running on the same server, each with a unique domain name and IP address. A Web server that supports virtual servers is called a multi-hosting Web server.
visited hyperlink
See followed hyperlink.
W X Y Z

Back to top

WAIS
(Wide Area Information Service) Supports searching over the Internet.
WAN
(wide area network) A computer network that spans a long distance and uses specialized computers to connect smaller networks.
wash out
A graphic-editing effect available in Page view in FrontPage. Applying the Wash Out tool on the Pictures toolbar to a graphic creates a low-resolution, high-contrast version of the graphic. A washed-out graphic can be used as a watermarked background on your pages, without the need for you to make manual resolution, color, and contrast adjustments in an image-editing program.
watermark
A graphic that appears on the backgrounds of pages in a Web site to decorate and identify the pages, but does not scroll as the page scrolls. Not all Web browsers support watermarks.
web
A home page and its associated pages, graphics, documents, multimedia, and other files created in FrontPage and stored on a Web server or on a computer's hard drive. A web also contains files that support FrontPage-specific functionality and allow a web to be opened, copied, edited, and administered in FrontPage.
Web browser
Software that interprets the markup of files in HTML, formats them into Web pages, and displays them to the user. Some browsers can also permit users to send and receive e-mail, read newsgroups, and play sound or video files that are embedded in Web documents.
web name
A web name in FrontPage corresponds to a folder name on a Web server, and is subject to the length, character restrictions, and case sensitivity of that server.
web structure
The set of relationships among the pages in a FrontPage-based web as defined in Navigation view. A well-defined structure gives a site visitor a sense of position in a web. When a navigation bar is inserted on a page that is part of a web's structure, FrontPage automatically creates hyperlinks to the pages that are below that page in the structure (child level), above that page in the structure (parent level) and equal to that page in the structure (same level). See also navigation bar, Navigation view.
wizard
A program in FrontPage that creates webs or Web pages, based on choices you make in the wizard's input panels.
WMF
(Windows Metafile Format) A vector graphics format for Windows-compatible computers used mostly for word-processing clip art. FrontPage can import WMF files.
World Wide Web
The total set of interlinked hypertext documents residing on HTTP servers all over the world. Documents on the World Wide Web are called pages or Web pages, which are written in HTML (Hypertext Markup Language). Web pages are identified by URLs (Uniform Resource Locators) that specify the particular computer and path name by which a file can be accessed, and transmitted from node to node to the end user under HTTP (Hypertext Transfer Protocol). Web pages may contain text in a variety of fonts and styles, pictures, graphics, movie clips, sounds, as well as small, embedded software programs that are executed when a site visitor activates them by clicking a hyperlink. Site visitors may also be able to download files and send messages to other users via e-mail by using links on a Web page. The World Wide Web was developed by Tim Berners-Lee in 1989 for the European Laboratory for Particle Physics (CERN).
World Wide Web Consortium
(W3C) A consortium of commercial and educational institutions that oversees research and promotes standards in all areas related to the World Wide Web.


Create a custom form for an interactive list, survey, or document library

Important A web page can contain only one form for a list, survey, or document library.

  1. In Page view, on the Insert menu, point to Form and click List Form.
  2. In the List or Document Library Form dialog box, select the list, survey, or document library that you want.
  3. Under Type of form to create, click one of the following:

    New item form Enables site visitors to add items to the list or document library, or to respond to a survey

    Edit item form Enables site visitors to edit items in the list or document library, or to edit their response to a survey

    Display item form Enables site visitors to view details about each item in the list, or to view a response to a survey (not used for document libraries)

  4. Click OK, and then click Save [image].
  5. Modify the supporting files for the list, survey, or document library so that it uses your custom form.

    How?

    1. In the Folder List, right-click the folder that contains the list, survey, or document library, and click Properties.
    2. On the Supporting Files tab, click Browse next to the box for the form you created in step 3 above (New item form, Edit item form, or Display item form).
    3. Select the file you saved in step 4 above, and click OK.


Create a document library

Important To create a document library, your web site must be on a server that is running SharePoint Team Services from Microsoft.

Create a custom document library

  1. On the File menu, point to New, and then click Document Library.
  2. Double-click New Document Library Wizard, and, in the wizard, click Next.
  3. In the Name box, type a name for the document library, type a description in the Description box, and then click Next.
  4. If you want to use an existing document as a template for all new files created in this document library, select the Use a template for new documents check box, and click Browse to locate the file. Then click Next.

    Note If the template is not already in the web site, Microsoft FrontPage prompts you to make a copy of it in the current web site.

  5. Click Add.
  6. In the Field name box, type a name for a field to store custom properties for documents in this library.
  7. In the Description box, type a description.
  8. In the Information type list, select the type of information you want to store in this field, and then click Next.
  9. Specify the settings you want for the information type you selected, and click Finish.
  10. Repeat steps 5 through 9 for every custom property you want.
  11. Click Next.
  12. If you want to automate actions in this document library, set up rules for the library.

    How?

    1. Click Set up rules.
    2. In the Rules Wizard, click Add.
    3. Follow the instructions in the wizard.
  13. Click Finish.

    A document library folder Document library folder,containing forms for working with the document library, is added to the folder list of your web site.

Create a document library with no custom properties

  1. On the File menu, point to New, and then click Document Library.
  2. Click Document Library, and under Options, type a name for the document library in the Specify the name for the new document library box.
  3. Click OK.

    A document library folder Document library folder,containing forms for working with the document library, is added to the folder list of your web site.

Create a document library with rules that automate document management

  1. On the File menu, point to New, and then click Document Library.
  2. Select one of the following templates:
    • To create backup copies of documents when they expire or when they're approved, click Document Library with Auto Backup.
    • To have documents expire after a certain amount of time, click Document Library with Expiration.
  3. Under Options, type a name for the document library in the Specify the name for the new document library box.
  4. Click OK.

    A document library folder Document library folder,containing forms for working with the document library, is added to the folder list of your web site.


Create a form to submit information to a database

From a web site that has an existing database connection, do the following:

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from Template, click Web Site Templates.
  3. Click Database Interface Wizard, and then click Add to current Web.
  4. Click OK.
  5. In the Database Interface Wizard dialog box, select Use an existing database connection, and then select a database connection from the drop-down list.
  6. Click Next.
  7. Select the table or view you would like to use for the database connection, and then click Next.
  8. If you want to modify a form field, do the following:
    1. Select a value in the Edit form field type list, and then click Modify.
    2. Select a different value in the Form field input type list.

      Note If you select Option Button as a form field input type, be sure to select a value under Number of options.

  9. Click OK, and then click Next.

  10. Select Submission Form, and then click Finish.

    Microsoft FrontPage creates:

    • A page titled "Submission Form," which it opens it in Page view.
    • A folder called /Data source_interface/record source (if it doesn't already exist) to store the results page.


Create a new view page in a SharePoint-based web site

  1. On the File menu, point to New, and click Page or Web.
  2. In the New Page or Web task pane, under New from template, click Page Templates.
  3. Do one of the following:

    Create a view of a list or survey

    1. Double-click List View Page Wizard.
    2. In the Choose a list box, select the list or survey, and type a name for the view in the Specify a name for the view page box.

    Create a view of a document library

    1. Double-click Document Library View Page Wizard.
    2. In the Choose a document library box, select the document library, and type a name for the view in the Specify a name for this view page box.
  4. Click OK.

    The page is added to the list folder List folder, survey folder Survey folder, or document library folder Document library folder.

  5. Do one or both of the following optional procedures.

    Set the new view to be the default view

    1. In Folders View, right click the list folder List folder, survey folder Survey folder, or document library folder Document library folder, and then click Properties.
    2. Click the Supporting Files tab, and in the Default view page box, select the page you created with the wizard.

    Customize the new view

    1. In Page view, in the Normal pane, double-click the view of the list or document library.
    2. In the List View Properties or Document Library View Properties dialog box, do one or more of the following:

    Show, hide, or change the order of fields

    1. Click Fields.

    2. Do one of the following:

      • To show fields, in the Available fields box, click the fields you want to display, and then click Add.

      • To hide fields, in the Displayed fields box, click the fields you do not want to display, and then click Remove.

      • To reorder the fields, in the Displayed fields box, click a field, and then click Move Up or Move Down.

    Display items in a particular order

    1. Click Sort.

    2. In the Available fields box, click the field you want to use to sort the items, and then click Add.

    3. If you want to sort items further, in the Available fields box, click the field that determines the secondary sort, and then click Add.

    4. To change the sort order (ascending or descending), in the Sort order box, click the field, and then click Change sort.

    Display a selection of items

    1. Click Filter.

    2. In the Filter criteria dialog box, click Add.

    3. In the Field Name box, click the field you want to use to filter the items.

    4. In the Comparison box, click a phrase that sets up a criterion for the filter.

    5. In the Value box, enter a value for the field you selected in step 3.

    6. If you want to filter items further, in the And/Or box, click And or Or, then click OK, and then repeat steps 2 through 5 to accomplish the following:

      • To narrow the filter to items that must fit more than one criteria, click And.

      • To widen the filter to items that fit any single criterion, click Or.

    7. To display a message when no items meet the criteria, click OK, then click Options, and then in the Text to display if no matching items are found box, type your message.

    Specify how many items are displayed per page

    1. Click Options.

    2. Do one of the following:

      • To limit the total number of items in the view, click Display all items together and limit the total number to, and then type the maximum number of items you want to display.

      • To display a batch of items at a time, click Display items in sets of this size, and then type the number of items you want to include in each batch.

        The view automatically adds a link bar that enables site visitors to go to the next batch of items. They can use the Back button in their Web browser to go to the previous batch of items.

    Display a message if the view is empty

    1. Click Options.

    2. In the Text to display if no matching items are found box, type your message.

    Display a command bar that enables site visitors to add items to the list or document library

    1. Click Options.

    2. In the Toolbar type box, do one of the following:

      • To display all available commands for the list or document library, click Full toolbar.

      • To display a heading that consists of a hyperlink to the list or document library and a command for adding new items, click Summary toolbar.

      • To display no commands, click None.


Create an interactive list

Important To create an interactive list, your web site must be on a server that is running SharePoint Team Services from Microsoft.

Create a custom list

  1. On the File menu, point to New, and then click List.
  2. Double-click New List Wizard, and in the wizard, click Next.
  3. In the Name box, type a name for the list, type a description in the Description box, and then click Next.
  4. Click Add.
  5. In the Field name box, type a name for a field.
  6. In the Description box, type a description.
  7. In the Information type list, select the type of information you want to store in this field, and then click Next.
  8. Specify the settings you want for the information type you selected, and click Finish.
  9. Repeat steps 4 through 8 for every field you want to add.
  10. Click Next.
  11. Set the permission settings for this list.

    Note These permission settings apply to site visitors who have explicit site-wide permission to read or edit content. If your web site can be accessed anonymously, these settings apply to anonymous users only if you grant them rights greater than the Browser role.

    How?

    • If you want to allow site visitors to read only those items that they create, click Only their own in the Specify which items users can read box; to allow site visitors to read all items, click All items.
    • If you want to allow site visitors to edit only those items that they create, click Only their own in the Specify which items users can edit box; to allow site visitors to edit all items, click All items.
    • If you do not want to allow site visitors to create or edit items, click None in the Specify which items users can edit box.
    • If you want to allow anyone with the Design Lists right to modify the design, click Everyone in the Specify who can modify the columns and settings box; to allow only the creator of the list to change the design, click Only the creator of this list.
  12. Click Finish.

    A list folder List folder, containing forms for working with the list, is added to the folder list of your web site.

Create a list from a template

  1. On the File menu, point to New, and then click List.
  2. Click the template you want, and under Options, in the Specify the name for the new list box, type a name for the list.
  3. Click OK.

    A list folder List folder, containing forms for working with the list, is added to the folder list of your web site.

Tip

You can create a new list based on an existing list by making a copy of an existing list folder. Any data in the list is copied to the new list.


Create a survey

Important To create a survey, your web site must be on a server that is running SharePoint Team Services from Microsoft.

  1. On the File menu, point to New, and then click Survey.
  2. Double-click New Survey Wizard, and in the wizard, click Next.
  3. In the Name box, type a name for the survey, type a description in the Description box, and then click Next.
  4. Click Add.
  5. In the Question text box, type a question.
  6. In the Information type list, select the type of answer you want respondents to provide, and then click Next.
  7. Specify the settings you want for the information type you selected, and click Finish.
  8. Repeat steps 4 through 7 for every question you want to add.
  9. Click Next.
  10. Set the permission settings and options for this survey.

    Note These permission settings apply to site visitors who have explicit site-wide permission to read or edit content. If your web site can be accessed anonymously, these settings apply to anonymous users only if you grant them rights greater than the Browser role.

    How?

    • If you want to allow survey respondents to read only their own response, click Only their own in the Specify which responses users can read box; to allow respondents to read all responses, click All items.
    • If you want to allow survey respondents to edit only their own responses, click Only their own in the Specify which responses users can edit box; to allow respondents to edit others' responses, click All items.

      Important Selecting None prevents site visitors from responding to the survey.

    • If you want to allow anyone with the Design Lists right to modify the design of this survey, click Everyone in the Specify who can modify the questions and settings box; to allow only the creator of the survey to change the design, click Only the creator of this list.
    • If you want to display respondents' names in the survey results, select the Show user names in survey results check box.
    • If you want to allow respondents to respond to the survey more than once, select the Allow users to enter multiple responses check box.
  11. Click Finish.

    A survey folder Survey folder, containing forms for working with the survey, is added to the folder list of your web site.


Delete an interactive list, survey, or document library

  • In Folders view, right-click the list folder List folder, survey folder Survey folder, or document library folder Document library folder, and click Delete.


Display a database value as a hyperlink

To create a web page that shows hyperlinks (from a database) to other files or web sites, carry out the following steps.

Step 1: Add a URL to a database field

In the relevant field in your database, enter a value that represents a URL (of either an absolute or relative file location) that will appear on a web page and point to one of the following:

A file in the same web site and folder as the page that appears when the user clicks the link

To represent a file in the same web site and folder, type the value in this format: filename.htm

A file in the same web site but in a different folder than the page that appears when the user clicks the link

To represent a file in the same web site but in a folder one level below, type the value in this format: folder/filename.htm

A different web site

To represent a different web site, type the value in this format: http://www.microsoft.com

Step 2: Create the page that will appear when you click the link

  1. Start the Database Results Wizard by clicking the Insert menu, pointing to Database, and then clicking Results.

    Note If you are using an existing Database Results region, right-click the Database Results region, and then click Database Results Properties to start the wizard.

  2. Click Use an existing database connection, and then select the relevant connection from the list.
  3. Click Next, and then select Record Source.

  4. In the Record Source list, choose the table containing the hyperlink values you entered in step 1.

  5. Click Next for each of the remaining steps of the wizard, and then click Finish.
  6. Double-click the column value corresponding to the database column containing HTML. It will look something like this: <<HYPERLINK>>.
  7. Click Display as Hyperlink.
  8. Click OK.

    When the page is viewed in HTTP in a Web browser, the value will be displayed as a hyperlink on the page.


Download a template from the Microsoft Office Web site

  • From the New Page or Web task pane, under New from template, click Templates on Microsoft.com.

    Note If the New Page or Web task pane is closed, click File, and click New, and then click Page or Web.


About animations and sound effects

With Microsoft FrontPage, you can animate elements on your web site, creating items like text that flies across the web page or banner ads that display multiple images.

You can apply more than one effect to most items on your web page. For example, you can animate text to fly in from the right when the page is loaded, and then add a border around the text that is displayed when a site visitor clicks it.

Choose one or more of the following to learn about animating elements on your web site.

Dynamic HTML effects

You can apply Dynamic HTML (DHTML) animation effects to just about anything on a page — text, paragraphs, pictures, buttons, marquees, and so on — and tie the effect to what's known as a " trigger event," such as clicking a mouse, pointing a mouse, loading a page, and so on.

Page transitions

You can create special effects that are displayed when a site visitor enters or leaves your site or browses to or from a specific page. By applying transition effects consistently and judiciously throughout your web site, you can create slide-show-style presentations with professional-looking transitions between pages.

Banner ads

A banner ad is like a rotating billboard on a Web page. It displays a timed sequence of pictures using a transition effect between pictures.

Web site designers typically use banner ads to place advertising on pages. You can create a hyperlink from the banner ad to the web site for the company, product, or service advertised in the ad. Or, if you're using the banner ad to promote a section of your own web site, you can direct the link to one of your own pages.

Hover buttons

Creating a hover button is an easy way to add animation to your web site without any scripting. Like a standard button, a hover button contains a hyperlink to another page or file. However, when a site visitor clicks or points to a hover button, the button can also glow, display a custom picture, or play a sound effect. You can also select a picture for a hover effect on a hover button. When a site visitor points to the hover button, the picture is displayed.

Marquees

A marquee displays a scrolling text message. You can customize a marquee to achieve exactly the effects you want, as in the following example:

This marquee repeats itself continuously and uses a yellow background color.

Sound effects

Sounds add another dimension to your web site. If your company has a musical or audio logo, jingle, or theme, you can play it when a site visitor browses to your home page from another site on the World Wide Web.

You can also add sound effects to a hover button. When a site visitor browsing your page clicks or points to the hover button, the sound effect is played.


About applying XML formatting rules

Extensible Markup Language (XML) and Hypertext Markup Language (HTML) are both designed for web documents. Unlike HTML, XML is designed for data. Also unlike HTML, XML supports the use of customized tags for specific data.

The rules governing the syntax of XML tags are stricter than those for HTML. A missing tag or incorrectly formatted attribute in an XML document renders the file useless.

When you select the Apply XML formatting rules option, Microsoft FrontPage searches the XML code for missing or incomplete tags and applies the correct tags.

Important If you apply XML formatting to a document formatted to exclude selected ending tags (for example, the </P> tag), those tags will likely be applied by this feature.


About Active Server Pages

Microsoft Active Server Pages (ASP) is a server-side scripting technology that you can use to create and run dynamic, interactive web server applications. With ASP, you can combine HTML pages, script commands, and COM components to create interactive web pages or powerful web-based applications, which are easy to develop and modify.

ASP technology is built directly into Microsoft web servers, such as Microsoft Internet Information Server 3.0 or later (IIS). The following examples show how ASP can be used with IIS:

  • Employee handbook information from a database can be updated and browsed using ASP. Changes you make to the database are immediately visible to your employees. Unlike printed copies, online information never has to become obsolete.
  • Give every visitor to your site a personalized view of just the information she seeks. On an intranet, for example, you can use ASP to determine the login name of the user. When she visits an employee information page, her name and personal data will be displayed by default, eliminating the need for another login screen.


About assigning tasks and files

You can manage the workflow of your web site by assigning files or tasks to people or workgroups.

Assigning files

You can assign a file to a person or workgroup. For example, in a workgroup setting, a product manager assigns files to different workgroups. Individual workgroup managers then assign specific tasks for those files to individuals in their workgroup. Using Workflow reports such as the Assigned to and Review status report, the product manager can monitor the file's progress, and with Tasks view the individual workgroup managers can monitor the progress of each task.

When you assign a file to a person or workgroup, you can add a Review status that explains the status of the work done on the file. For example, if a file requires a legal review, you could create a review status called "legal review," specify that status for the file, and then assign the file to the co-worker responsible for completing this task. After the file has been legally reviewed, the co-worker can then specify a status of "approved."

You can view the files in your web site by assignment by viewing the Assigned to report. The Assigned to report displays all the files in your web site in a column format and provides the following information about each file:

  • File name — The name of the file
  • Title — The file title
  • Assigned To — User name or workgroup
  • Assigned Date — The date the file was assigned
  • Assigned By — Who the file was assigned by
  • Comments — Comments that describe the work that needs to be done, or any other information you feel is necessary
  • Type — Indicates the type of file; for example, .gif, .css, .htm
  • In Folder — The folder in the web site where the file is stored

You can sort files by any column heading shown in the Assigned to report. You can also filter on the values displayed in any column in the report. To display the filtering choices for that column, click the column heading.

Assigning tasks

Tasks can help you track work that needs to be done in your web site. You can assign a task to a person or workgroup. Tasks can contain a description of the work to be done on the web site or on a specific file. For files, you associate that task with a file, and then assign it to yourself or a co-worker. Tasks can be associated with any file in your web site — a web page, a picture, a sound, another Microsoft Office document, and so on.

With Tasks view you can monitor the tasks in your web site. Tasks view displays all the tasks in your web site in a column format and provides current information about each task under the following column headings:

  • Status — Completed or in progress
  • Task — The task name
  • Assigned to — User name or workgroup
  • Priority — High, medium, or low
  • Associated with — The name of the file the task is associated with, if any
  • Modified date — The last time the file was modified
  • Description — A description of the work that needs to be done, or any other information you feel is necessary

You can sort tasks by any column heading shown in Tasks view.


About background colors, pictures, and sound

Using color as a background for your web pages

Whenever you select a color for a page, Microsoft FrontPage displays color palettes appropriate for your page. Types of color palettes include:

  • Standard colors This is the basic 16-color palette.
  • Custom colors When you define a custom color, it appears on this palette.
  • Document's colors These are the colors used on the current page.
  • Theme colors These are the colors used by the current theme.
  • More colors You can use this palette to define a custom color.

However, if the palettes do not display the color you want, you can create your own custom color that you can use for backgrounds, fonts, and so on. Any custom colors you define are saved and will be available the next time you use FrontPage.

Using a picture as a background

You can set a background picture for a page, and all page elements, such as text and graphics, will appear on top of the background picture. You can use pictures from a web site, a file system, the World Wide Web, or clip art. You can also set the background picture to be a watermark.

Note Not all Web browsers support watermarks.

Using background sounds

When a site visitor opens a page, the sound is played. You can play the sound continuously, or play it a specified number of times.


About browser compatibility

With Microsoft FrontPage, you can design your web site for compatibility with specific browsers and technologies. For example, you can design a web site for compatibility with both Microsoft Internet Explorer and Netscape Navigator, or for compatibility with all version 4.0 browsers.

If you choose specific compatibility options, menu commands that are not supported will be unavailable (that is, they will appear dimmed) as you create the web site.


About collecting data from forms

After you decide what form fields to put on your form, the next step is to set rules for the ways you want your site visitors to enter data in the fields. These data entry rules, also called validation, ensure that a site visitor fills out the form correctly.

For example, you can set up an order form for your products, but unless the customer's name, address, and payment information are correctly entered, he or she won't be able to complete the order.

Setting rules for how site visitors enter data in forms

  • Types of rules you can set for your form fields:

    Text box validation

    You can specify the type of data to allow and set other criteria for text boxes and text areas. For example, to collect a credit card number, set up a text box to accept only numbers and hyphens, and disallow all other characters. You can also require a fixed number of characters so that a site visitor does not omit a number by mistake.

    Option button validation

    You can require a selection to be made from a group of option buttons. For example, if your form has two option buttons, Yes and No, and a site visitor tries to submit the form without making a selection, a message is displayed.

    Drop-down box validation

    You can require a site visitor to make a choice from a drop-down box, set the minimum and maximum number of choices to allow, and disallow the first choice from being selected. For example, you can disallow the first item from being selected if it is an instruction, such as "Select an item."

After setting up the data entry rules, you need to decide how you want the form results are handled. After a site visitor submits the form, you must collect the data that was entered — the form results — so you can view them, display them to the visitor, or work with them as needed.

Handling information you collect from the form

  • FrontPage provides several form handlers, which take the form results and perform various actions.

    Save the results to a database

    Each time a site visitor submits a form, Microsoft FrontPage saves the information to a database. For example, if you use a form to collect contact information, you can save the results directly to your customer database. You can save results to an existing database or FrontPage can create one for you.

    Save the results to a text or HTML file

    Each time a site visitor submits a form, Microsoft FrontPage attaches the results to a file. You can then open the file and view the results. For example, you set up a guest book for your web site and choose to save the results to an HTML file. You can create a link to the file so that site visitors can see what others have written.

    Send the results in e-mail

    Each time a site visitor submits a form, FrontPage sends you an e-mail message containing the results of that form.

You can also choose to use your custom scripts to handle the form results.

Note If you use any of the form handlers rather than a custom script, the Microsoft FrontPage Server Extensions or SharePoint Team Services from Microsoft must be installed on the server on which your web site is located.


About controls

Controls that run on a web page either work when a page is being created, or when it's being viewed in a Web browser. These are called design-time controls (DTCs) and ActiveX controls, respectively.

Note Not all controls can be used on your web site. Originally used as tools by software developers, controls prevented the need to rewrite commonly used pieces of code. Controls designed explicitly for software creation will not work in Microsoft FrontPage or on the World Wide Web.

ActiveX controls

ActiveX controls run when a web page containing the control is loaded in Microsoft Internet Explorer. Some ActiveX controls are installed as part of Microsoft Windows 95 or later, and many are installed along with certain types of software. ActiveX controls can execute a wide range of behaviors, which may include displaying calendars or stock tickers.

Note For details on features and technologies that are supported by specific browsers, see the Browser Compatibility Help topics.

Design-time controls

DTCs are a special type of ActiveX control that you can use in FrontPage. For example, software developers sometimes write DTCs to use in creating content on a web page during design-time. When that web page is browsed, a site visitor sees only the output of the control (which would be text).


About managing databases

The Microsoft FrontPage Database Interface Wizard creates web pages that enable you to edit a database — without needing the program that created the database (such as Microsoft Access).

With the wizard's specially designed web pages, you can:

  • Edit database records
  • Delete records
  • Add new records

You can also assign a user name and a password to the pages used to manage your database.

Note This password protection feature uses Active Server Pages (ASP). The actual level of security depends on how your server has been configured.


About discussion groups

Create a discussion group to set up a forum for site visitors to communicate with each other. A discussion group is an interactive web site that lets site visitors discuss topics by reading articles that have been posted, replying to them, and posting new articles. Visitors can also use a search form to find articles of interest.

Important A discussion group is different from the Microsoft Office Web Discussions feature. That feature enables anyone to attach comments to a web page or any document that can be opened with a browser so that the comments appear with the document but are stored on a discussion server.

Features of a discussion group

  • A table of contents that contains hyperlinks to articles in the discussion topics
  • A search form that allows visitors to search the articles for a word or phrase
  • An entry form in which a visitor types an article to post
  • Threaded replies, allowing visitors to choose whether the article they are posting is a new top-level topic for discussion or a reply to another article
  • A confirmation page, which confirms that a visitor's article has been posted
  • A registration form that lets site visitors log in to the web site, if the discussion web is protected

    Note Only the UNIX operating system allows registration through a Web browser.

Creating a discussion group

The easiest way to create a discussion group is by using the Discussion Web Wizard. The wizard asks for the features you want to use, then creates a web site and sets up the pages for you. After the web site is created, you can open the pages and customize them.

You can set the following properties for a discussion web site:

  • The title of the discussion group
  • The discussion web directory in which to save articles
  • The format for the table of contents
  • Whether to use the color and background scheme from another page in your web site
  • The pages to use as headers and footers in articles
  • Whether to include additional information in articles, such as the time and date

You can also manage the articles that are posted in a discussion group. For example, you can modify an article that contains offensive language.

Using a discussion group on a protected web site

If your discussion web site is protected, you can register site visitors. The wizard creates a registration form for you. You will need to open this page, customize the form as needed, save it to the root web where the discussion group is located, and then make the page available to visitors.

Note Only the UNIX operating system allows registration through a Web browser.

Using a search form in a discussion group

You can create a search form to let a site visitor search a specific discussion web site for words or phrases. If your server finds the search text in the text index for the specified discussion web site, the visitor sees a weighted list of hyperlinks to the pages containing the search text.

If your server is using Microsoft Internet Information Services (IIS), the search form uses the Indexing Service to search the text index. Indexing Service has more extensive support for searching non-English systems and Microsoft Office documents.

If your server is not using IIS, Microsoft FrontPage uses the WAIS (Wide Area Information Server) search engine that is included with FrontPage to search the text index.


About cascading style sheet compatibility

Microsoft FrontPage enables you to design your web site for compatibility with an array of different browsers and technologies, among which are cascading style sheet (CSS) features.

If you design a web site for compatibility with a Web browser that doesn't support CSS, the commands that use CSS will be unavailable on menus (that is, they will appear dimmed) when authoring web pages. This is to prevent you from accidentally using features that won't be compatible with the Web browsers used by your desired audience.

Style features enabled by CSS

FrontPage uses CSS to implement the following style features:

  • Font command (Format menu): Some font effects on the Font tab, and expanding or condensed spacing on the Character Spacing tab
  • Paragraph command (Format menu): Indentation and Spacing options
  • Borders and Shading command (Format menu): All border and shading options
  • Position command (Format menu): All positioning options

Browsers that support CSS

Browser | CSS 1.0 | CSS 2.0
Microsoft Internet Explorer 5 and later | yes | yes
Microsoft Internet Explorer 4.0 and later | yes | yes
Microsoft Internet Explorer 3.0 and later | yes | no
Netscape Navigator 5.0 and later | yes | yes
Netscape Navigator 4.0 and later | yes | yes
Netscape Navigator 3.0 and later | no | no
Both Microsoft Internet Explorer 5 and Netscape Navigator 5.0 and later | yes | yes
Both Microsoft Internet Explorer and Netscape Navigator 4.0 and later | yes | yes
Both Microsoft Internet Explorer and Netscape Navigator 3.0 and later | no | no
Microsoft WebTV | no | no

Notes

  • If you disable or choose a browser compatibility option that disables CSS 1.0 (formatting), the following commands will be unavailable, in addition to any commands listed under CSS 2.0 (positioning), below:
    • Borders and Shading (Format menu)
    • Style (Format menu)
    • Style Sheet Links (Format menu)
    • Modify Style dialog box
    • Highlight Color button (Formatting toolbar)
    • Apply using CSS check box (Format menu, Theme command)
  • If you disable or choose a browser compatibility option that disables CSS 2.0 (positioning), the following commands will be unavailable:
    • Position Box (Insert menu)
    • Position (Format menu)
    • Bring Forward button (Pictures toolbar)
    • Send Backward button (Pictures toolbar)
    • Format Border (Format menu, Style command, New Style dialog box)
    • All commands on the Positioning toolbar
  • Important Versions of CSS may be automatically disabled or unavailable with some browser compatibility options. If you override the default and enable CSS, your pages might not be displayed properly.


About formatting text and paragraphs

You can format text and paragraphs in Microsoft FrontPage as you would using a word processor — to add visual organization, emphasis, and structure. You can change the font, size, style, color, spacing, and vertical position of text, and add effects such as underlining. You can also control spacing and indentation, add bullets and numbers, and set alignment.

The formatting you apply can either affect selected words or an entire paragraph. A general rule is that font properties (such as font, size, color, highlighting, and effects) can be applied to selected text, and paragraph properties (including bullets, numbering, shading, and borders) affect entire paragraphs. For example, you can italicize a single word in a paragraph, but if you try to align the word to the right, the entire paragraph will be aligned.

Formatting individual characters and words

Properties that you can set for words or characters include:

  • Font and font size (such as 10 point Tahoma, which is applied to this entire page).
  • Effects, which include:
    1. Italics
    2. Underline
    3. Bold
    4. Strikethrough

  • Increasing or decreasing the space between characters to expand or condense your text.

    This is an example of expanded text.

    This is an example of condensed text.

  • Raising or lowering text; for example, to indicate a footnote. You can also specify the number of points to raise or lower text. For example:

    There is a RAISED letter in this sentence.

    There is a LOWERED letter in this sentence.

  • Highlighting a word or an individual letter.

Formatting paragraphs

A paragraph is a block of text that is separated from another by a paragraph mark Paragraph mark. If lines of text are separated by line breaks Line break, the text is considered to be one paragraph. The paragraph mark Paragraph mark and the line break Line break are hidden characters that can be displayed if needed.

Properties that you can set that will apply to entire paragraphs include:

  • The spacing between lines in a paragraph.

  • Borders around text. You can then set properties, such as the style, color, padding, and width of the border.

    For example, the style of the border around this paragraph is double, and the color blue.

    If you apply a border to a selected word, the border is applied to the whole paragraph.

    You have the option to create a regular four-sided border or a custom border. A custom border can have borders on particular sides, and each side can have a different style, color and width.

  • Line and paragraph indentation.
  • Numbered, bulleted, or multilevel lists. This sentence is contained within a bulleted list.

  • Applying shading to an entire line or paragraph. Shading, like background color, can be a color or a picture. When you add shading, it is applied to an entire paragraph. For example, if you apply shading to a selected word, the entire paragraph will be shaded.

    Note Text separated by line breaks rather than paragraph marks is considered to be one paragraph

Bulleted, numbered, definition, and multilevel lists

You can quickly add bullets or numbers to existing lines of text, or you can automatically create bulleted and numbered lists as you type. If you're creating bulleted lists for web pages, you can use any graphical image or picture as a bullet.

Bulleted list

You can create a bulleted list for presenting a list of unordered items — that is, items that don't need to be numbered:

  • pineapples
  • watermelons
  • papayas

Custom bulleted list

You canalso create graphics and use them as bullets, rather than using the standard default bullets (circles or squares).

Numbered list

To display a sequential list of items, create a numbered list. You can choose from letters, numbers, or Roman numerals:

  1. Do this first
  2. Do this second
  3. Do this third

Definition list

When you want to present a list of terms and definitions, add a definition list to your page. Terms are usually displayed flush left, with indented definitions. The exact formatting of the list depends on the Web browser being used.

Term A
This is the definition for Term A.
Term B
This is the definition for Term B.

Outline or multilevel list

You can create lists that have multiple nested levels and paragraphs, and specify different list styles for each level. For example, an outline:

  1. Chapter
    1. Heading
      1. Subheading
        1. Topic

          Paragraph

        2. Topic
          1. Detail
          2. Detail
    2. Heading

The list above uses different numbering styles at each level. If a heading has only one item below it, you can list the item without numbers (note the way "Paragraph" is displayed above).

Collapsible lists

You can create a collapsible list from a multilevel bulleted or numbered list, or from an outline. A collapsible list lets the site visitor show or hide different levels of the list by double-clicking an item.

The following is an example of list is an example of a multilevel outline list, with each level using a different style. This list is also collapsible:

Styles and themes

A style is a collection of character and paragraph settings. Applying a style to text is a one-step procedure and a much quicker way to format text than by formatting each paragraph of text individually. Your text is also more consistently formatted by using styles.

For example, to make the main headings stand out from other text, apply the style Heading 1, and leave body text styled as Normal (the default), which uses a smaller font. You can still apply additional formatting to text that has a style applied to it, for example to underline a word. You can create and modify styles, and create your own external style sheets, such as a cascading style sheet.

You can also use themes to format your text automatically, because each theme contains predefined styles. If you want to change the appearance of text that has a theme applied to it, you can either modify the styles used by the theme or apply formatting to selected text.


About creating forms

What is a form?

A form on a web site is similar to a paper form. You can use it to gather information from site visitors, such as collecting their order, shipping, and billing information. Typically, site visitors type their information in form fields and indicate their preferences by clicking option buttons, check boxes, and drop-down boxes. The can also enter comments in text boxes.

Microsoft FrontPage enables you to create a form based on the type of information you want to gather from site visitors by either starting with a blank form that you can build on (by adding fields) or by using the Form Page wizard. You can specify how to collect the data the site visitors entered — the form results — and decide how you want to display the results to the site visitor in the form of a confirmation page.

Note For forms to function on a web site, you must publish your web site to a web server running the Microsoft FrontPage Server Extensions or SharePoint Team Services from Microsoft. Your web administrator or Internet service provider (ISP) can tell you if this software is installed on your Web server.

Types of commonly used forms

  • Contact information form
  • Requests form
  • Order form with shipping and billing information
  • Feedback form
  • Guest book
  • Search query form allowing visitors to search your web site
  • Log on form that prompts the the site visitors for their user name and password

Note FrontPage includes templates to create a guestbook, registration, or feedback form. You can also use wizards ,such as the Database Interface Wizard, to create a form that saves data to a database.

Creating the form

There are several steps to creating an online form with Microsoft FrontPage. After you have completed all of them, you have the option to go back and change certain properties. For example, if your list of products has expanded, you can add those products to the options that a site visitor chooses from in a drop-down box. Or, you may decide that instead of having form results sent to you in an e-mail, you want FrontPage to create a database to store the information.
  1. Adding fields to the form Fields can be text boxes, option buttons, push buttons, and so forth, depending on the kind of information you want the get from the site visitor. After placing fields on your form, you can lay them out on the page as you would text, using line breaks, tables, cascading style sheets, and positioning. There are many different kinds of fields, and you can even customize them to suit your needs.

    The various form fields

    • Textbox
      Use text boxes to collect a small amount of text, such as a name or a number.

    • Enter your e-mail address:
    • Option buttons
      Use option buttons (also called radio buttons) when you want the site visitor to select only one option from a group.

      A B C
    • Text area
      Use text areas to collect one or more lines of text, such as a comment. This field scrolls to accommodate varying amounts of text.

      Sign my guest book:
    • Drop-down box
      Use a drop-down box to present the site visitor with a list of choices. This field is similar to using a group of option buttons, but takes less space on your form. You can configure a drop-down box to allow one or multiple selections.

      Select a product:
    • Checkbox
      Use check boxes for optional items. The site visitor can select or clear the check box. They can also select multiple items.

    • Push button
      Use push buttons to let site visitors submit the form after filling it out, clear fields by resetting the form, or run your custom scripts.
    • You can also add a picture to a form to use in place of a submit button. After filling out the form, the site visitor clicks the picture to submit the form, and then the data from the form, including the name of the picture field, is sent to the form handler.
    • Advanced button
    • By inserting the Advanced button into your form, you can write a script that will make your form do what you need. The Advanced button is highly customizable — you can use fancy fonts, colors, or even tables on the button.
    • Group box
    • Add a group box to your form when you want to separate a group of related controls or text from the rest of the information on the page or in the current form.
    • Group box label here

      Enter information you want to separate here.

    • File upload
    • You can give your site visitors the opportunity to send a file to your web site. When you insert the File Upload form field, site visitors click on the Browse button, locate their file, and then click Submit.
    • Password field
    • When you want a site visitor to enter a password to visit your web site, add a password field to your registration form. A password field is really just a one-line text box. When a site visitor types in this field, most Web browsers will display the password as asterisks, to protect confidentiality.
    • Note Only the UNIX operating system allows password validation and registration through a Web browser.
    • Password
  2. Setting up functionality for each field After you have decided what types of fields to add to your form, you can define what you want them to do and how you want them to look. You can type directly on the firm to include field labels and instructions. You can also set the properties for each field. For example, you can specify the length of a text box, decide whether an option is selected by default, and define the choices in a drop-down box.
  3. Setting data entry rules Also called "validation," data entry rules ensure that a site visitor fills out the form correctly. For example, you can set up an order form for your products, but unless the name, address, and payment information are correctly entered, your customer won't be able to complete and submit the order.

    You can also specify a format for the information you want to collect. For example, to collect a credit card number, you can set up a text box that only accepts numbers and hyphens, and disallows other characters. You can also require a fixed number of characters so that a site visitor does not omit a number by mistake.

  4. Setting up how you want to collect that information After a site visitor submits the form, you must collect the data that was entered — the form results — so you can view them, display them to the visitor, or work with them as needed. FrontPage provides several form handlers, which take the form results and perform various actions. For example, when a site visitor submits a form, FrontPage can save the contact information to a customer database. Or, you can have the form results sent to you in an email or saved as a text or HTML file.
  5. Adding a confirmation page FrontPage automatically displays a confirmation page to your site visitor (unless you are using a custom script). You can also create your own confirmation page and decide which fields to show your site visitor. If you do not create and assign a confirmation page of your own, FrontPage will use the default confirmation page, which displays a list of all the field names from the form and their values.
  6. Creating keyboard shortcuts A keyboard shortcut enables a site visitor to select a field in a form by using the keyboard rather than by clicking the field. The shortcut appears as an underlined letter in the field label— the site visitor selects the field by pressing ALT plus the underlined letter.
  7. Specifying the tab order for the form Site visitors can navigate through a form — move from field to field — by pressing the TAB key. By default, the order of fields on the page (from top to bottom) is the order in which a visitor can tab through the form. You can, however, specify a different tab order.


About frames

Some of the content in this topic may not be applicable to some languages.

A frames page is a special kind of HTML page that divides the browser window into different areas called frames, each of which can show a different page.

For example, a frames page created by using the Banner and Contents frames page template contains three frames: Banner, Contents, and Main.

What are frames?

1 The Banner frame

2 The Contents frame

3 The Main frame

You create a frames page by using one of the frames page templates in Microsoft FrontPage. In each of these templates, the navigation between frames is already set up for you. After you create the frames page from a template, all you need to do is set the initial page you want shown in each frame. You can select an existing page or create a new page. Then you can edit the page directly in its frame.

How frames pages work

A frames page itself contains no visible content — it's just a container that specifies which other pages to show and how to show them. When you click a hyperlink on a page shown in one frame, the page pointed to by that hyperlink typically is shown in another frame, called the target frame.

For example, a frames page created by using the Banner and Contents frames page template actually shows four pages simultaneously in the browser: the frames page, which is the container, and the three pages shown in each of the three frames. In the following example, when you click a hyperlink in the Contents frame on the left, the page pointed to by that hyperlink opens in the Main frame.

How do frames work?

1 The frames page

2 The Banner frame

3 The Contents frame

4 The Main frame

How frames pages are used

Frames pages are often used for catalogs, lists of articles or information, or any other kind of page where clicking a hyperlink in one frame shows a page in another frame. Authors use frames pages because they contain built-in navigation and present a consistent user interface (that is, the structure and layout of frames).

For example, in frames pages based on the Banner and Contents frames page template, many companies use the Banner frame to show a corporate logo and the primary departments on their web site.

What are frames used for?

1 Click the link in the Banners frame

2 A list appears in the Contents frame. Click the link in the Contents frame

3 A page displays in the Main frame

Controlling the appearance of frames

You can split, resize, or delete frames by selecting and dragging frame borders.

On any frames page, you can split a frame horizontally or vertically to create two frames. You can either split it into evenly divided rows or columns, or you can drag its border to specify a certain size for each frame.

You can also choose to show or hide the borders between frames.

Controlling the appearance of frames

1 Split a frame

2 Resize a frame

3 Delete a frame

4 Show or hide frame borders

You can also control:

  • The amount of space between frames
  • The size of margins inside frames
  • Whether or not a frame can be resized in the browser
  • Whether or not scroll bars should be shown in a frame


About adding effects to graphic

You can apply one or more of the following effects to your graphics:

Cropping

By cropping a graphic, you can remove areas of the graphic that you don't want to use. Cropping also lets you change the proportions of the graphic; for instance, you can crop a graphic to be shorter.

Original graphic | Cropped graphic
Original graphic | Cropped

Add text

You can add text on top of a graphic. The text you add will not affect the size of the file in your web site.

Original graphic | Graphic with text
Original graphic | Add text

Brightness and contrast

You can increase or decrease the brightness of a graphic, as well as increase or decrease the contrast of color in a graphic, for example to sharpen a graphic.

More brightness | Less brightness
Increased brightness | Decreased brightness
More contrast | Less contrast
More contrast | Less contrast

Applying a grayscale or washed out effect

You can convert a graphic to black and white (grayscale). You can also wash out the color of a graphic, which reduces the graphic's contrast and increases its brightness. This feature is useful when you want to create a watermark, or use a graphic as a background.

Grayscale | Washed out
Grayscale | Washed out

Borders

You can add a beveled border to a graphic to give it a raised, three-dimensional appearance. This feature is useful if you want to use the graphic as a button. You can also add a 1,2,3, or 4-sided border around a graphic and pick its style and color.

Note If the graphic has a default hyperlink, the border will have the colors that you specified for hyperlinks.

Beveled border | Regular border
Beveled | Bordered

Set a transparent color

You can select one color in a graphic to be transparent, and then wherever that color appears, the background will show through. Graphics can have only one transparent color. If you select a transparent color for a graphic that already has one specified, the original transparent color will no longer be transparent.

Original graphic | Transparent color
Original | Transparent color

Rotate and flip

You can rotate a graphic 90 degrees clockwise or counterclockwise. You can also flip a graphic horizontally (which turns the graphic upside down) or vertically (which makes a mirror image).

Rotate left | Rotate right
Rotate left | Rotate right
Flip horizontally | Flip vertically
Flip horizontally | Flip vertically

Note If you experiment with a few effects but then decide you don't like the changes you made, you can always restore the graphic to its last saved version.


About using graphics

You can use graphics on your Web pages to provide information, artwork, theme elements, or a company logo. In addition to being decorative, graphics can be useful, for items such as navigational buttons. With Microsoft FrontPage, there are a variety of ways to lay out the graphics on your web pages.

Uses for graphics

1 Graphic used as a background

2 Banner graphic

3 Company logo

4 Graphical bullets

5 Link bar with graphic navigation buttons

6 Graphical horizontal line

Types and formats of graphics

The formats that are generally used for Web pages are GIF and JPEG.
  • Graphics in GIF format can contain up to 256 colors. One useful aspect of GIF graphics is that you can select one color to be transparent.
  • The JPEG format is commonly used for photo-realistic graphics containing thousands or millions of colors. JPEG graphics are useful because you can control the file compression by changing the graphic quality. The lower you set the quality, the higher the file compression will be. As a result, the file size is decreased.

You can also add graphics with the following file formats:

  • BMP (Windows and OS/2) The native bitmap format for the Microsoft Windows environment. A picture made from a series of small dots, and supports images up to 24 bits.
  • TIFF Tagged Image File Format. A high-resolution, tag-based file format. Used for the universal interchange of digital graphics.
  • TGA Truevision Targa Graphics Adaptor file format. Supports 1- to 32-bit images and professional features like an alpha (mask) channel, gamma settings, and a built-in thumbnail image.
  • RAS Raster format. Lightly compressed, and supports up to 36-bit images.
  • EPS Encapsulated PostScript file format. An extension of the Post Graphic file format that nables PostScript graphics files to be incorporated into other documents.
  • PNG The Portable Network Graphics format is an alternative to GIF that supports transparency for graphics containing thousands or millions of colors. However, some Web browsers cannot display PNG graphics without a special plug-in.
  • WMF Microsoft Windows Metafile format. Supports bitmapped, vector, and Encapsulated PostScript (EPS) data.

When you add a graphic other than a GIF or JPEG to a page and then save it, Microsoft FrontPage automatically converts the graphic to a GIF if it has 8 bits of color or less, or to a JPEG if it has more than 8 bits of color.

Setting the Properties of GIF and JPEGs

For a GIF, you can specify whether to allow a transparent color and whether the graphic is interlaced (that is, whether the graphic is displayed with increasing detail as it is downloaded).

For a JPEG, you can specify the quality and number of progressive passes. The lower the quality you set, the more the graphic will be compressed and the smaller its file size will be. The number of progressive passes refers to the number of passes that a Web browser makes in order to resolve a graphic as it downloads.

You can set these properties at the same time you save the web page and its graphics.

Animated GIFs and Videos

You can add animated GIFs and videos to your Web pages. An animated GIF, which is a sequential display of GIF graphics, can be created in a graphics program, and you can find animated GIFs on the World Wide Web.

You can add any videos to your page that can be played by the Windows Media Player, such as videos in AVI format. You can also set options for video playback, such as playing the video once when the page is first loaded; looping the video and playing it endlessly; or playing the video when the mouse is positioned over it. The animation in this example plays once when the page is opened.


About hidden folders

In Microsoft FrontPage, hidden folders can either be folders that site visitors cannot browse, or folders that are invisible to you when you're using FrontPage.

Folders that site visitors cannot browse

When you create a new web site, FrontPage creates a hidden folder named _private to store form results. Site visitors are not allowed to view the contents of this folder.

Note Depending on the Web server on which your web site is hosted, there may be other options for making sure site visitors cannot browse folders. Contact your Web server administrator for more information.

Folders that you can't see when using FrontPage

FrontPage also creates hidden folders that you can't see in the Folder List, but which can be browsed by site visitors. For example, if you use themes, FrontPage creates a hidden folder called _themes to store them.

In addition to being hidden from FrontPage views, hidden folders of this type are excluded from the FrontPage search component (if the search is being performed on a server running Microsoft FrontPage Server Extensions).

Note You can choose to show hidden folders on the Web Settings dialog box.


About hit counters

A hit counter tallies and displays the number of times a page has been visited. For example, add a hit counter to your home page so that you and site visitors can see how many times your web site has been visited, as in the example below.

You are visitor: Hit counter

Microsoft FrontPage provides several styles of counters, but you can supply your own number graphics by creating a custom picture in GIF format. The picture must include the numbers zero (0) to nine (9), evenly spaced.

After you add a hit counter to a page, you can reset the counter to any number. For example, you test a web site after you publish it to ensure that it is working properly, and then you find that the hit counter has been incremented by your own visits. You can reset the counter to zero to start it over or to just count site visitors.

Note You must publish your web site to a web server that has the FrontPage Server Extensions or SharePoint Team Services from Microsoft installed. Ask your web administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the hit counter.


About HTML

HTML stands for Hypertext Markup Language. HTML uses special markers, called tags, that indicate how Web browsers should display page elements such as text and graphics.

Microsoft FrontPage is a WYSIWYG design tool that generates HTML code for you when you add page elements in the Normal pane.

Editing HTML

You don't need to know HTML to create a web page in FrontPage.

  • When you edit a web page in the Normal pane, you can show or hide HTML tag markers that indicate the start and end of underlying HTML tags. These markers appear on the page as yellow icons within the content of the page.
  • If you want to work in the HTML pane, all the standard editing commands are available (for example, Copy, Cut, Paste, Find, and Replace). FrontPage also shows the properties of HTML tags so you can modify properties yourself.
  • You can also modify how FrontPage formats HTML tags displayed in the HTML pane. For example, you can display the names of HTML tags in uppercase and HTML attributes in lowercase to differentiate them.

HTML preservation

When you open an existing page, including pages created in other editors, FrontPage automatically preserves the content, syntax, and formatting of HTML of that page, even if it contains errors or unrecognized HTML. When you save the page, FrontPage saves any custom formatting — such as indentation, the capitalization of tags, and so on — for any new HTML you've written. The original HTML of the page, however, will not be modified or reformatted in any way unless it was edited in FrontPage.


About hyperlinks

A hyperlink is a link from one web page or file to another. When a site visitor clicks the hyperlink, the destination is displayed in a Web browser, opened, or run, depending on the type of destination. The destination is frequently another web page, but it can also be a picture, a multimedia file, a Microsoft Office document, an e-mail address, or a program.

For example, a hyperlink to a page displays the page in the Web browser, and a hyperlink to an .avi file opens the file in a media player.

How hyperlinks are used

  • Navigate to a file or web page on a network, intranet, or Internet

  • Navigate to a file or web page that you plan to create in the future

  • Send an e-mail message

  • Start a file transfer, such as downloading a file or sending a file by FTP
  • Go to a bookmark
When the site visitor points to text or a picture that contains a hyperlink, the pointer becomes a hand Pointer in the shape of a hand, indicating that the item can be clicked.

When you edit a page, you can follow a hyperlink to open the destination page or file. For example, after you create a hyperlink, follow it to verify that it goes to the destination you intended.

Microsoft FrontPage follows the hyperlink differently, depending on the destination:

  • The destination is a web page FrontPage opens the page for editing in Page view.
  • The destination is a bookmark FrontPage opens the page and scrolls down to the bookmark.
  • The destination is a file FrontPage opens the file in its associated editor. For example, FrontPage opens a text file in Notepad.
  • The destination is not in the current web FrontPage opens a copy of the destination page or file.

How URLs work

When you create a hyperlink, its destination is encoded as a Uniform Resource Locator (URL).
A URL contains a web server or network location, path, and file name. A URL also identifies the protocol that will handle the file, such as HTTP or FTP, as shown in the following illustration:

The parts of a Uniform Resource Locator (URL)

1 Protocol

2 Web server

3 Path

4 File name

Absolute and relative URLS

  • An absolute URL contains a full address, including the protocol, the web server, the path, and the file name.
  • A relative URL has one or more missing parts. The missing information is taken from the page that contains the URL. For example, if the protocol and web server are missing, the Web browser uses the protocol and domain, such as .com, .org, or .edu, of the current page.

It is common for pages in a web to use relative URLs that contain only a partial path and file name. If the files are moved to another server, any hyperlinks will continue to work as long as the relative positions of the pages remain unchanged. For example, a hyperlink on Products.htm points to a page named Apple.htm in a folder named Food; if both pages are moved to a folder named Food on a different server, the URL in the hyperlink will still be correct.

Using text versus pictures

A hyperlink can be text or a picture.

A text hyperlink is a word or phrase that has been assigned a destination URL.

A picture hyperlink is a picture that has been assigned a destination URL in one of two ways:

  • The entire picture can be assigned a default hyperlink. In this case, the site visitor can click any part of the picture to display its destination. For example, a button is a picture with a default hyperlink.
  • The picture can be assigned one or more hotspots, which are hyperlink regions on the picture. A picture that contains hotspots is called an image map. For example, an image map can be a picture that represents different parts of a web site (such as the home page, a catalog page, and so on). The site visitor clicks a certain area of the image map to display the corresponding page.

    For more information about image maps and hotspots, please see "About images."

How hyperlinks are shown

Hyperlinks can be indicated in various ways. Web browsers usually underline text hyperlinks and display them in a different color. For example, this is how a hyperlink might look.

Hyperlinks on a picture are not always visible. However, a site visitor can tell that a picture has a hyperlink by positioning the mouse pointer over it. The mouse pointer changes appearance, usually to a pointing hand Pointer in the shape of a hand. For example, position your mouse pointer over the following button:

The mouse pointer changes to indicate a hyperlink

To emphasize a hyperlink even more, you can also add Dynamic HTML effects or animation to hyperlinks, as shown in the following illustration:.

A hyperlink should also provide a visual cue about where it leads; for example, the hyperlinks below could be used to lead to a web's home page:

 Home Page

Hyperlink to a home page

Setting colors for hyperlinks

You can choose the colors that a Web browser will use for displaying hyperlinks. You can select three colors to use for a hyperlink, depending on its status:

  • Hyperlink — a hyperlink that has not been selected
  • Active hyperlink — a hyperlink that is currently selected
  • Visited hyperlink — a hyperlink that has already been followed

Web browsers determine whether a hyperlink has been visited already according to a specified time period. For example, in Microsoft Internet Explorer, this time period is the Web browser history; you specify how long to keep a history of the pages you have visited, such as 20 days. If you have visited the page within 20 days, the hyperlink will be displayed as a visited hyperlink. If you have not visited the page in 20 days, or if you clear the history, the hyperlink will appear as if it were never selected.

Using bookmarks

A bookmark is a location or selected text on a page that you have marked.

You can use bookmarks as a destination for a hyperlink. For example, if you want to display a certain section of a page to the site visitor, add a hyperlink with the bookmark as its destination. When the site visitor clicks the hyperlink, the relevant part of the page is displayed rather than the top of the page.

You can also use one or more bookmarks to find locations on a page. For example, add a bookmark to each main heading on a page. When you are editing the page, you can quickly find each section by going to the corresponding bookmark.

If a location (rather than text) is bookmarked, the bookmark is indicated by Bookmark icon. If text is bookmarked, the text is displayed with a dashed underline.

Managing Hyperlinks

Renaming and moving files in your web

When you rename a file in your web site, Microsoft FrontPage checks to see whether there are any hyperlinks to the file. If there are, FrontPage updates the hyperlinks with the new file name. When you move a file in your web site (for example, to a folder or subfolder), FrontPage automatically updates any hyperlinks to that file with its new location.

Testing and repairing broken hyperlinks

Before you publish a web site, you should always check for broken hyperlinks and test hyperlinks to external destinations. A broken hyperlink is one that has an invalid destination URL — when the site visitor clicks the hyperlink, the Web browser displays an error message. The cause might be as simple as a mistyped URL or a URL that points to a page that you deleted from your web. If the destination is another page on the World Wide Web, the page might have been moved or deleted.

For more information about managing the hyperlinks for your whole web site, see "About managing hyperlinks."


About hot spots and image maps

A hot spot is an invisible region on a graphic to which you have assigned a hyperlink. A text hot spot is a string of text that you have placed on a graphic and assigned a hyperlink. When a site visitor clicks the region or the text, the destination of the hyperlink is displayed in a Web browser. In Microsoft FrontPage, hot spots can be shaped as rectangles [image] , circles [image], or polygons [image].

A graphic with one or more hot spots is called an image map. The image map usually gives cues about where you should click.

For example, you have a Web page about your company. On this Web page is a graphic of your product that contains a hot spot for each particular aspect of that product. When the site visitor clicks an area of the product, a page is displayed describing that aspect of the product in detail.

An image map

The difference between an image map and a graphic with a default hyperlink

You can also define a default hyperlink for a graphic rather than create a hot spot on it. For example, when you want to create a button that is linked to your home page, you can define a default hyperlink that goes to a specific destination instead of drawing a hot spot around the entire button. The areas of the graphic that don't have hot spots can be assigned a default hyperlink; when the user clicks anywhere outside a hot spot, she will be directed to the destination you set for the graphic's default hyperlink.


About identifying web pages to search engines and web browsers

To add information to the HTTP header for a page (the information about a page that is not visible to the site visitor), add a user-defined or system META variable. A META tag supplies information about the page — such as an expiration date or a set of keywords that identify the page — but does not affect its appearance.

Adding information to META tags is useful for describing your web page; it can help search engines find and index your page, as well as document information such as how your page was created and what theme it is using.

  • User-defined META variable This variable corresponds to the NAME attribute in the META tag and will not be visible to site visitors.

    An example of a user-defined META variable is:

    • Name=Version
    • Value=Your Product's Name 1.0
  • System META variable This variable corresponds to the HTTP-EQUIV attribute in the META tag and will not be visible to site visitors.

    An example of a system META variable is:

    • Name=Keywords
    • Value=a list of keywords about your page you would like search engines to see


About inline frames

Inline frames are similar to frames pages except that the inline frame and its contents are embedded on an existing web page. Anything that you can put on a regular page you can put in an inline frame. Inline frames can also be customized in the same ways as regular frames.

In the example below, scroll to see the entire content of the inline frame:

One of the advantages of using inline frames is that you don't need to create a separate frames page in order to have embedded content.

How inline frames are used

You can use inline frames in a variety of ways:

  • To insert a contract for your site visitor to fill out
  • To give examples of what other web pages look like
  • As a container for a form
  • As a scrolling box with products and prices


About Java applets

Java applets are frequently used to add effects and interactivity to a web site, for anything from animations to games.

The applet's ability to display properly and avoid errors, however, depends on the browser settings of some site visitors.

Microsoft FrontPage lets you design your web site for compatibility with specific browsers and technologies. If you enable or disable Java applets, or if you design a web site for compatibility with a browser that doesn't support Java applets, the selection for Java applets will be unavailable in the Insert Web Component dialog box.

Note For details on features and technologies that are supported by specific browsers, see the Browser Compatibility Help topics.


About language factors for international web sites

With Microsoft FrontPage you can author and edit pages in a language other than your computer's default language. This makes it easy for you to collaborate with authors who create pages in different languages, and create international web sites..

Initially, the default settings for web sites and pages are based on the default language that is set for your computer. However, Microsoft FrontPage allows you to set alternative language setting for your web site, individual pages, and specific text. This topic provides an overview of the concepts, and FrontPage features useful for creating pages in different languages and encodings.

Overview

When your operating system is installed on your computer, you can determine the default language to be used by applications running on the computer. This default language determines both the keyboard language and the system code page, a HTML encoding used by applications that run on your computer. System code pages and encodings can apply to several languages. For example, computers in the US and Western Europe use the encoding Windows-1252, this encoding contains a large number of languages (English, German, Spanish, French, and so on).

When you create new web pages, FrontPage determines the encoding and language of new pages from your keyboard's language setting. The encoding tells FrontPage how to store the information in a file. Any characters that are not part of the current encoding are stored as Unicode numeric character references (such as &#20AC;). Unicode numeric character references make the file larger and hamper the readability of your HTML code. The following HTML tag specifies a page's encoding:

<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">

The language of a page does not affect how information is stored, but rather tells FrontPage which spelling dictionary to use to proof pages and text. It also helps Web browsers determine in which font to display the page and helps search engines identify the language of a page. The following HTML tag specifies a page's language:

<meta http-equiv="Content-Language" content="en-us">

You can set the language of specific text on a page, to ensure FrontPage loads the correct spelling dictionary for proofing that text. For example, if the page is marked as English, but will contain some Japanese text, you can select the text and mark it as Japanese. Then change your language keyboard setting to Japanese and type the text you want. When you proof the web site, FrontPage will automatically load the Japanese spelling dictionary for the Japanese text, and the English dictionary for the English text. The following HTML tag specifies a page's language:

<span lang="ja" &12354; </span>

Note For FrontPage to automatically load the correct spelling dictionary you need to install the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for the languages you want to use in a web site. In addition, you must enable support for each language through Microsoft Office Language Settings.

Creating web pages in a different language, using the same encoding

The easiest way to create web pages in a different language is by changing the keyboard language setting, which automatically sets the language and encoding for any new pages you create. By installing additional keyboards and code pages, you enable FrontPage to create pages in other languages that your computer might not otherwise support.

The following information describes FrontPage options that enable you to work with different languages in a web site:

Specify what language the FrontPage Server Extensions should use to display messages

You can specify what language the FrontPage Server Extensions should use for displaying messages. Some server messages may be displayed to you while you are editing the page. Other messages are displayed to site visitors, such as a search failure message or a form validation warning. The FrontPage Server Extensions also generate HTML that the site visitor will see, such as the default confirmation page and other pages for form failures based on this language setting. So, if the language is set to English but you think the majority of your site visitors will be German, you can choose German as the language used by the server extensions.

Specify the interface language of FrontPage

The FrontPage interface is displayed in the same language as the computer's default language or in the language of FrontPage that you purchased. Templates, wizards, and server extensions messages are also displayed in this language. To display a different language for the FrontPage interface, and make wizards and templates available in that language, you can purchase a version of FrontPage in that language, or your corporation can purchase the Microsoft Office XP Multilingual User Interface Pack that contains tools to enable you to change the language of the user interface and Help in Microsoft Office programs.

Change the page language

When you author a page in a different language, you'll want to ensure that other Web browsers and search engines can identify your pages' language and display them correctly. In addition, you should specify the language for a pages to ensure FrontPage scan check spelling and save pages correctly. Therefore, if a page should not use the default setting specify the exact language of individual pages.

Change the default spelling language

You can specify the default spelling language that FrontPage should use to proof any pages that are not marked with a specific language. For example, web pages created in Notepad. FrontPage will check the spelling for those pages according to the default spelling language setting.

Set the web site's default page encoding

The default page encoding is set for each web site , and is used by FrontPage to specify the initial encoding for new pages, if it's compatible with current keyboard. If the encoding is not compatible with the keyboard, the keyboard's encoding is used instead. However, you can choose to ignore the keyboard's encoding, and FrontPage will compare the default page encoding to that of your computer instead.

Warning Setting the default page encoding to <none> is not recommended because users would have to set the page encoding for each individual new page. Otherwise special characters not contained in the basic ASCII character set, such as the euro character, might not be displayed correctly.

Set the encoding for saving pages

By default, FrontPage uses the page encoding indicated by your keyboard, or the web site's (or computer's) default encoding, to determine in what character set to save new pages. However, if characters on a page are primarily in a different character set than the default page encoding, you can specify a different encoding for saving an individual page.

Other options

You can specify the default fonts that are displayed in FrontPage for each character set to match the default font in your Web browser. The default font is displayed when no other font has been applied to text. You can specify both a proportional font and a fixed-width font (displayed on the HTML tab) for most character sets.

If a page is not being displayed correctly because its encoding is not marked in the HTML code, you can specify its correct encoding for reloading the page.

URL Limitations

Internet standards only permit the use of plain ASCII characters in URLs. To ensure that all site visitors can follow URLs regardless of their computer language or operating system, you should also use plain ASCII characters in the URLs for your web sites. For this reason, whenever you create a new web site, folder, or file, FrontPage suggests a name with plain characters. On intranets, using non-ASCII characters in a file name will work as long as the server and all clients share the same system code page.

The version of Internet Explorer that is included with FrontPage has begun to send international URLs in Unicode (UTF-8). URLs in Unicode can be understood by Microsoft Internet Information Services (IIS) 4.0 or later. If your web is on an intranet and you can control both the client and server software, you might be able to use international URLs.


About link bars

What is a link bar?

A link bar is a set of hyperlinks used for navigating a web site. For example, a typical link bar might have hyperlinks to the web site's home page and its main pages:

You can display a link bar on every page in your web site so that your site visitors can always get to the web site's main pages quickly and easily.

Link bars can use buttons or text hyperlinks. For example, the link bar above can also be displayed as text:

Home News Contents Search

You can create a set of hyperlinks to use for navigation yourself — that is, you can create your own set of buttons and link them to the relevant pages within your web site and outside it, and repeat this on each page where you want a link bar. You can also choose to set up the navigation structure of your web site, and then let Microsoft FrontPage create the link bars for you. FrontPage maintains the link bars it creates; if you move or add a page, FrontPage updates (recalculates the hyperlinks in) the link bar accordingly.

Note FrontPage can generate link bars only when you are working within a web site, rather than with separate pages.

Types of link bars

  • Microsoft FrontPage has three different types of link bars you can add to your pages for navigation:

    Note You can add and view any type of link bar when you publish to a disk-based web site. However, when you publish to a Web server, in order to be able to add a custom link bar or a link bar with back and next links, your Web server must have Microsoft FrontPage Server Extensions 2002 or SharePoint Team Services from Microsoft installed.

    A custom link bar

    When you add a custom link bar, you can add any of the pages within your web site as well as external pages. You can set this link bar up in any way you want, and you can add and remove pages from it at any time.

    A link bar with back and next links

    When you add a link bar with back and next links, FrontPage looks at the navigation structure of your web site in order to determine which page will be linked to when your site visitor clicks the Back link, and which one will be linked to when your visitor clicks the Next link.

    In addition to these choices for a link bar, you can also include hyperlinks to the web site's home page and/or to the parent of the current page, and you can also link to external web pages.

    A link bar based on the navigation structure of your web site

    In order to add a link bar based on the navigation structure of your web site, you must first set up that navigation structure. The navigation structure determines which hyperlinks to put on the link bar, and the page titles determine the labels for the hyperlinks.

    You can create a navigation structure for your web site by organizing pages in Navigation view. This navigation structure shows how pages in your web site are related to each other and provides FrontPage with a way to set up link bars. Then, when you add link bars based on the navigation structure of your web site, FrontPage sets up each link bar according to this structure.

    The following example shows the structure of a web site:

    A navigation structure

    The following is an explanation of the relationships between these pages:

    Home page The first page added to a navigation structure, typically named Default.htm or Index.htm, and is indicated by Home page icon. In this example, Home is the home page.

    Global-level pages These are at the same level as — but do not include — the home page. In this example, the top-level page is Contacts.

    Parent-level pages The parent page of another page, plus pages that are directly connected to the parent page on the same level. In this example, the parent-level pages for What's New are Home (the parent page), and Contacts.

    Child-level pages Pages directly below another page. In this example, Home has three child pages (What's New, Products, and Services), Contact Us has one child page (Jobs), and Products has two child pages (Search and Ordering).

    Same-level pages Pages that are on the same level in the structure and have the same parent page. In this example, What's New, Products, and Services are same-level pages, but Jobs is not because it has a different parent page. Search and Ordering are also same-level pages.

    Back and next pages The structure for the back and next pages is determined by the order of pages in Navigation view. In this example, if Products is the page to which you are adding the link bar, the Next link would direct the site visitor to Services and the Back link would direct the site visitor to What's New.

    When you add a link bar based on the navigation structure to a page, you choose which hyperlinks you want to display. These hyperlinks are relative to the position of the page in the navigation structure.

    When the link bar is placed on the Page with navigation bar page, the link bar will include hyperlinks to Navigation bar hyperlink pages. The home page is indicated by Home page.
    Same-level link bar

    Same-level link bar

             Parent-level link bar

    Parent-level link bar
    Child pages of the home page

    Child pages of the home page (in this case, same as the parent-level)

             Top-level link bar

    Top-level link bar
    Child-level link bar

    Child-level link bar

             Back and Next link bar

    Back and Next link bar
    (for browsing same-level pages)

    In addition to these choices for a link bar, you can also include hyperlinks to the web site's home page and/or to the parent of the current page.

    If you select navigation hyperlinks that are not relevant to the current page (for instance, you add a top-level link bar, but your web site has no top-level pages other than the home page), the link bar will not be displayed in a Web browser. You will, however, see a placeholder for the link bar while you are editing the page.

Setting the style of link bars

You have several options in how you want your link bars to appear:

  • You can place link bars horizontally or vertically on a page
  • You can add more than one link bar to each page, for example to navigate to different page levels
  • You can format a link bar that uses text just as you would any other type of text
  • You can change the style of a link bar that uses buttons instead of text

Using link bars within shared borders

A shared border is a region that is common to one or more pages in a web site. Use shared borders to place the same content on multiple pages in one step, rather than editing each page.

You can also use link bars inside shared borders. However, a link bar is relative to each page — a link bar might seem useful when you view it from one page, but you might not like the selection of hyperlinks when you view the link bar from a different page. Since a link bar inside a shared border has the same settings for all pages using the shared border, you must be careful how you set up the link bar.


About using a single source of content on multiple web pages

Embedding a web page on other web pages in a web site

You can display a web page on another page in the web site, allowing you to maintain separate pages. For example, to display a copyright notice on several pages in a web site, create one page that contains the copyright notice, and include that page on other pages in the web site. When you update the copyright notice, you simply update that one page; all other pages that include the copyright page will be automatically updated.

Creating information that can update automatically

A variable is information displayed on a page that can be set to change or update automatically. Microsoft FrontPage has four predefined variables that gather information automatically when you put them on a page:

  • Author
  • Modified by
  • Description
  • Page URL

You can also define a variable yourself, such as a copyright or a comment.

For example, you want to refer to a product throughout your web site, but the name might change. You define a variable for the product (you set a name and value, such as Product and My Product's Name 1.0), and then place the variable on your pages. If the product name changes, you simply change the value of the variable you defined, and then new the product name is automatically displayed in your web site.


About managing the publishing process

There are different ways to manage the publishing process with Microsoft FrontPage:

Choose which files you want to publish

By default, files are marked for publishing, but you can change this setting. In the Publish Web dialog box, you can choose which files you don't want to publish. For instance, if a page is incomplete or not directly part of your web site, you can mark the file as Don't Publish [image]. If the file is marked for publishing, it will have [image] in front of it.

Important Certain files should not be published again after you first publish your web site. For example, you create a web site with a guestbook, and then publish the web site. If you later update your web site and publish all of your files, your guestbook will be replaced by a blank one, causing you to lose all of your information. Other examples include pages with a hit counter or discussion web sites.

You can also choose to publish only those files that have changed. Microsoft FrontPage will compare the files in the working web site on your local computer to the published files on the Web server. If FrontPage detects a newer version of a file on your local computer, the file will be published to the Web server (unless you specify otherwise).

Manage the files on the Web server

If your Internet service provider (ISP) or system administrator has given you a size limit on the Web server, file management is a necessity. Periodically deleting unused or old files (especially graphics) can keep the size of your web site down. Once you have published a web site, Microsoft FrontPage can synchronize the files on your local web site with the published files on the Web server, each time you publish.

Delete files or folders that have been published

When you publish your web site, FrontPage compares the current files on your local computer to those files on the Web server. So, to manage files on the Web server (for example, to get rid of old files or folders), you first delete or move the files or folders on the web site on your local computer. When you publish your web site again, FrontPage will prompt you about deleting the same files on the Web server.

If your Web server uses the Microsoft FrontPage Server Extensions or SharePoint Team Services from Microsoft, FrontPage can also match other actions on the Web server — such as moving or renaming files — the next time you publish your web site. FrontPage will update your link bars, shared borders, and hyperlinks on the Web server to match the actions you performed on the web site on your local computer.


About web page banners

A page banner is a quick way to add titles to your web pages. Page banners use the styles and graphics of a theme, if one is used on the current page; otherwise, the page banner just displays text, which you can format. Using a page banner inside a shared border is a way to quickly add titles to multiple pages in a web.

Before you can use page banners, you must set up your web's navigation structure in Navigation view. (A page banner will not be visible on a page unless the page is included in the navigation structure.) Page banners use the page titles from Navigation view; if you change this title for a page, its page banner label will also change.

After you add a page banner to a page, you can change the text that is displayed on it, and you can specify whether to display a graphic or just text. The page banner picture that will be displayed is the banner that is associated with the theme for that particular page.


About pasting text and graphics

When pasting text or graphics into the Normal pane in Microsoft FrontPage, the Paste Options [image] button appears near the pasted elements.

When you click the Paste Options button, a list appears that lets you determine how the item is pasted into your web page. The available options depend on the type of content you are pasting, the program you are pasting from, and the format of the text where you are pasting.

Pasting text

  • Use Destination Styles Use this option to remove the styles copied from the original document, and use the styles in the current FrontPage document instead.

    Example

    If you copy Heading 2 text from a Microsoft Word document to a page in FrontPage, selecting Use Destination Styles ensures that the FrontPage Heading 2 style is applied. This is useful if Heading 2 is formatted differently between the two programs and you want to use the FrontPage formatting.

  • Keep Source Formatting Use this option to preserve the style formatting of the source document, regardless of the current FrontPage settings.

    Example

    If you copy Heading 2 text from a Microsoft Word document to a page in FrontPage, selecting Keep Source Formatting ensures that the Word Heading 2 style is applied. This is useful if Heading 2 is formatted differently between the two programs and you want to keep the Word formatting.

  • Keep Text Only Use this option to remove all formatting, and paste the selection as plain text.

    Example

    In FrontPage, if you copy a sentence that uses Arial font and is bolded, and paste it to another spot in the same document, selecting Keep Text Only ensures that just the text is pasted and that the font and text formatting are removed.

  • Treat as HTML Tags Use this option when you want FrontPage to render rather than display HTML tags.

    Example

    If you copy an example of HTML code from a Web browser (for example, <i>italic text</i>) to a page in FrontPage, selecting Treat as HTML Tags ensures the example code is rendered as italic text.

Pasting drawing objects or graphics

  • Keep Source Formatting Use this option to preserve the positioning attributes that were applied to the drawing object in the source document.

    Example

    If you copy a right-aligned drawing object (for example, an AutoShape) from a Microsoft Word document to a page in FrontPage, selecting Keep Source Formatting ensures that the original alignment is preserved.

  • Microsoft Office Drawing Object Use this option to paste a drawing object without preserving the positioning attributes from the original document.

    Example

    If you copy a right-aligned drawing object (for example, an AutoShape) from a Microsoft Word document to a page in FrontPage, selecting Microsoft Office Drawing Object removes the code specifying the alignment of the drawing object.

  • Paste as an Image Tag Use this option to convert a pasted Microsoft Office drawing object into a GIF file when the page is saved.

    Example

    If you copy a drawing object (for example, an AutoShape) from a Microsoft Office document to a page in FrontPage, VML code associated with the image is visible in the HTML pane. The Paste as an Image Tag option ensures the conversion of the element to a GIF image.

    Note You are prompted to save the newly created GIF file when you save the web page.


About the photo gallery

A photo gallery is a web page that contains a collection of graphics arranged in a specific layout.

Microsoft FrontPage provides four different layouts in which you can arrange your graphics, and if you are creating an album, each page can have a different layout.

You can create your own web site "photo album" by first creating two or more galleries, and then adding a link bar that connects them all.

Adding and removing photos

When you create a gallery, you can add as many graphics that you want, and you can add or remove a graphic at any time.

You can add graphics from a variety of sources:

  • A file on your computer or local web site you have created
  • The World Wide Web
  • The Microsoft Clip Organizer (also known as clip art)
  • A scanner
  • A digital camera

Editing a specific photo

FrontPage offers several ways to edit your graphics once you have chosen them for your photo gallery:

  • Size You can change the width or height of the graphic. You can also choose to maintain the aspect ratio, or not, depending upon how you want to change the graphic.
    Original | Resized
    Original size | Resized

  • Orientation You can flip or rotate the graphic:
    Original
    Original
    Rotated right 90 degrees | Rotated left 90 degrees
    Rotated left 90 degrees | Rotated right 90 degrees
    Flipped vertically | Flipped horizontally
    Flipped vertically | Flipped horizontally

  • Crop You can crop the graphic. For example, if you want only part of a graphic visible, crop out the rest.
    Original | Cropped
    Original | Cropped graphic

  • Reset If you have made changes to the graphic, you can click the Reset button to return the graphic to its original state.

Captions and descriptions

Below each graphic in a gallery there is space for a caption and description. You can select the font style, color, and size of the caption. You can change the caption and description at the time you create the gallery, and you can also change or remove it later.

Thumbnails

When you create a photo gallery using a layout, a thumbnail of each graphic is automatically created. You also have the opportunity to set or change the size of the thumbnail at any time.
Original graphic | Thumbnail of the graphic
Original photo | Thumbnail of the photo


About positioning

Positioning is how you place elements, such as text and graphics, anywhere on a page. You can position elements in front of or behind other elements, or group them together.

Types of positioning

Absolute Positioning

Absolute positioning lets you place an element at an exact location on a page. You can position the element by dragging it to the location you want, or you can specify coordinates, which are relative to the upper left corner of the page or frame the element is in, as shown in the example below.

1 The x- and y-coordinates of a page element

2 The position of the page element in Microsoft FrontPage

3 The position of the page element in a Web browser

If an absolutely-positioned element is placed in a position box, the coordinates are relative to the upper left corner of the position box, rather than the page.

An absolutely-positioned page element is not inline so that it moves with the text. Instead, it floats on top of, or sits behind, the text. The text does not flow around the element.

When viewed at different screen resolutions, the element might not be placed as you intended, although the element still appears at the pixel coordinates you specified. When the screen resolution changes, so does the layout, since other page elements such as text are displayed differently. To ensure your pages are displayed well to all site visitors, you should test your pages in a variety of browsers and screen resolutions.

You can specify the coordinates of the page element relative to the upper left corner of its container (for example, an element is inside a page or position box), and specify the dimensions of a position box. You can use the following units:

  • Pixels (px)
  • Font size (em)
  • X-height of the font (ex)
  • Inches (in)
  • Centimeters (cm)
  • Millimeters (mm)
  • Points (Pt), where one point is equal to 1/72 of an inch
  • Percentage of the page height or width (%)

For example, you can set a position box to be the same width as the page (set Width to 100%), and 20 pixels high (set Height to 20 px).

Note Using absolute positioning with DHTML may cause either the DHTML or positioning to behave unexpectedly.

Relative Positioning

Use relative positioning to place page elements inline with text. Regardless of the changes you make to the page above or below this point, the layout of the positioned elements remains intact. You can use relative positioning for animation and DHTML effects.

Floating

You can create a floating page element that lets other elements, such as text, wrap around it. A floating element is removed from the flow of text, and is aligned left or right. You can also specify the height and width of the floating area of the element. For example, the figure below shows how text flows around a paragraph that floats to the right, creating a sidebar of text that is aligned to the right of the page regardless of the layout of text around it.

Text wrapping around an image

Z-order

You can use positioning to overlap elements. The z-order refers to an element's position in a stack of elements, which includes the main page layer that contains text. You can even position elements underneath the main page layer.

Overlapping page elements

The main page layer is zero; a positive z-order means that the element is in front of the main layer, and a negative number means the item is behind it.

Working with positioned elements

Selecting a positioned element

Selecting a positioned element can be trickier than selecting a page element in the main layer. For example, when trying to select a page element that is behind the text flow, you might select page elements in the text flow instead.

Many types of page elements, such as graphics, form fields, and other objects, are indicated with an anchor icon when you show all nonprinting characters (click Show All Show All button). The anchor is displayed in the text flow where you originally inserted the element. For example, an absolutely-positioned graphic might appear at the top of the page, but if you originally inserted the graphic at the bottom of the page, the anchor is displayed at the bottom. To select the object, select the corresponding anchor icon.

Some page elements, such as text or tables, are not indicated by an anchor icon, and you must select the element by clicking it directly, or using menu commands.

Grouping Page Elements

You can combine positioning features to achieve a variety of results, such as to keep a group of page elements together as a unit. For example, you can add a position box to a page, and inside the box, add multiple page elements using absolute positioning to lay them out. The result is a position box that is positioned with respect to the text flow on the page, but the layout of the elements inside the box is always preserved, regardless of any changes you make to the rest of the page. Even when the window is resized, the layout of the elements inside the position box remains the same.

Absolutely-positioned elements grouped in a position box

1 Grouping page elements

2 Layout of grouped elements is preserved, even when the Web browser window is resized

Ensuring that positioned items are properly displayed

To view the properties of a page element, position the mouse pointer over it. The properties are displayed as a ScreenTip.

Page layout can vary when viewed at different screen resolutions, even though an absolutely-positioned element always appears at the same coordinates you specify. To ensure the page is displayed well to all site visitors, you should test it at different screen resolutions.

Note Positioning works with Web browsers that support cascading style sheets (CSS) 2.0, such as Microsoft Internet Explorer 4.0 and later, and Netscape Navigator 4.0 and later. When viewed in earlier browser versions, positioned content is aligned left, and is located inline with the text rather than uniquely positioned.


About publishing

What is publishing?

Before you learn about publishing, it's important to understand what a web site is. A web site is a group of files that are interconnected by hyperlinks that allow you to jump from one page to another, usually by clicking your mouse. While it's possible for a web site to be a single HTML page, a web site usually comprises several pages that can include images, hyperlinks, and more advanced technology like forms and databases.

Publishing a web site generally means copying all of the files that make up a web site to a particular destination. In Microsoft FrontPage, you would typically publish your site when you want to:

  • Make your site (or new or updated pages on your site) available for public viewing

    Normally you create or update pages for your web site in a location (often referred to as a "staging" area) where others cannot find or view the pages with their Web browser. When you are ready to let others view your web site on the World Wide Web or on your company intranet, you would use the FrontPage publishing feature to copy the files to the Web server.

  • Make a backup of your site

    There may be times when you want to make a copy or a backup of your web site and save it to a particular location on a your computer or on a network drive. The publishing feature in FrontPage is a convenient way to make a backup.

By using the FrontPage Publish Web command, you can choose to publish all the files in your web site or only the ones that have been changed. You can also individually choose which files you want to publish.

The Publish Web command also lets you copy a web site or a subweb to either a file system location or a server. When you copy a web site by publishing it, FrontPage maintains all of the hyperlinks, as well as the original web site's theme information, shared borders, and so on.

Notes

  • If you are authoring your web site directly on the Web server, you can edit your web pages and save them directly to the server without using the Publish Web command. However, this is not the same as publishing your web site.
  • If your web site contains a SharePoint Team Services document library, interactive list, or survey, you must author your web site directly on a server that is running SharePoint Team Services from Microsoft.

Before publishing your web site

Before you publish your web site, you should make sure it is ready by doing the following:

  • Check for broken hyperlinks
  • Verify that the pages look the way you want them to
  • Preview the web site in a Web browser and navigate through the site
  • Review the status of your files in Reports view

If you are going to publish your web site to the World Wide Web, you'll need an Internet service provider (ISP), preferably one that has a Web server with the Microsoft FrontPage Server Extensions 2002 or SharePoint Team Services from Microsoft installed. You'll also need to know the ISP's Web server location for publishing your web, and your user name and password, if necessary.

How the server extensions affect publishing

There are several benefits to publishing to a Web server that has the Microsoft FrontPage Server Extensions 2002 or SharePoint Team Services from Microsoft installed:

  • Your web site will have the best Microsoft FrontPage functionality when it is published. Without the server extensions, certain features will not work, such as most form handlers, search forms, site maps organized by category, and hit counters.
  • FrontPage will maintain your files and hyperlinks — each time you publish the web site, FrontPage compares the files on your local computer to the files on the Web server. For example, if you move a file in your local web site, FrontPage will update and correct any hyperlinks to it, and then make the same corrections to the files on the Web server the next time you publish the web site.

If your Web server has the server extensions or SharePoint Team Services installed, FrontPage can publish your web site using HTTP. Otherwise, you can use FrontPage to publish your web site to an FTP server.

Different ways to publish your web site to various locations

You can convert a disk-based web site to a server-based web site by following the procedures for publishing by HTTP (if the Web server you are publishing to has the Microsoft FrontPage Server Extensions 2002 installed) or FTP (if the server you are publishing to does not have the extensions installed).

Publishing a web site using HTTP

You can publish your web site using HTTP if the server extensions or SharePoint Team Services from Microsoft are installed on the Web server to which you are publishing.

Publishing a web site using FTP

You can publish your web site to an FTP server if the server extensions or SharePoint Team Services are not installed on the Web server to which you are publishing. You will need to know the FTP server name as well as your user name and password. If you are unsure about your user name, password, or FTP location, contact your Internet service provider (ISP) or web site administrator.

Publishing a web site to a file system

You can publish your web site to a folder on your local file system or to a UNC path. For example, you can make a backup copy of your entire web site by publishing it to a new disk-based location, such as C:\Backup. Publishing a web site rather than just copying files ensures that your web site will maintain its structure, and that the FrontPage components on your web pages will work.


About reducing graphics download time

When you add graphics such as images, animations, and videos to your web site, the size of your web site will quickly increase. It is important to consider the size, quality, type, and number of graphics you intend to add, especially if your Internet service provider has limited the size of your web site.

Graphics can take a lot of time to download, especially for site visitors with slow Internet connections. Here are ways you can make pages with graphics easier for site visitors to download:

  • Resize the graphic

    You can resize a graphic by changing its height and width properties, or you can resize it directly on the page.

    Resizing a graphic changes the HTML tags that tell a Web browser how to display the graphic; the actual graphic file is not changed. If you only resize the graphic, it will be displayed in a smaller area on a site visitor's screen, but its file size and the download time are unchanged.

    To decrease the file size of a graphic and its download time, you will need to resample the graphic after resizing it.

  • Resample the graphic

    Resampling a graphic changes its pixel size to match its current display size. When you resample the graphic, the file size is reduced to match the smaller size.

  • Convert the graphic to JPEG format and lower the quality setting

    As you lower this setting, file compression is increased and the file size is decreased.

  • Lower the resolution of a graphic

    If you have a high-resolution graphic, make a copy of the graphic and lower its resolution by using a graphics program (such as Microsoft PhotoDraw).

  • Display a low-resolution version of a graphic while the final version is downloading

    In a graphics program, create a low-resolution version of a graphic, video, or animated GIF. To do this, open your graphic in a graphics program — such as Microsoft PhotoDraw — and reduce the color depth (number of colors) in the graphic. The fewer colors you specify for the low-resolution version of the graphic, the faster it will be displayed in a Web browser. Because the low-resolution graphic is intended as a placeholder for the high-resolution graphic, you should not change the height or width of the graphic.

    Then, set Microsoft FrontPage to display this low-resolution version of your graphic while the original is being downloaded. Although this option does not reduce the amount of time the graphic takes to download, it does give the site visitor something to look at.

  • Create a thumbnail

    A thumbnail is a small version of the graphic that downloads quickly. By looking at the thumbnail, site visitors can determine whether they want to download the full-size version of the graphic. Use the AutoThumbnail feature, which automatically creates a thumbnail with a hyperlink to your original graphic.

  • Display ALT text

    Alternative text or ALT text text is text that is displayed in place of a graphic while it is downloading and lets site visitors know what they are waiting to see.

    Move your mouse pointer over this graphic to see its ALT text.

    This is the ALT Text


About search forms

You can create a search form to let site visitors search your web site for specific words or phrases.

When site visitors enter text in the search form and click the search button, they will get a list of your web pages with content that matches their search criteria. Microsoft FrontPage carries out the search and returns the names and locations of your web pages that contain that text.

The easiest way to create a search form is to create a new page based on the Microsoft FrontPage Search Page template. You can customize the template with your own introductory text, copyright information, button labels, and so on.

How search forms work

If your web site is hosted on a web server running the FrontPage Server Extensions or SharePoint Team Services from Microsoft, FrontPage automatically creates a text index based on the words contained in all of the pages in your web site. When a visitor submits a search form, FrontPage checks the text index and displays a weighted list of hyperlinks to the pages containing the search text.

Search form design

Changing the size of the text box doesn't affect how many characters a site visitor can type in the box. If a site visitor types more characters than will fit in the box, the extra characters will scroll off the left side of the box, but all the text the site visitor types will be submitted with the search form.

Type some text in the search form text box below to see how it works:

Indexing Service versus WAIS

If your web site is published to a web server running Microsoft Internet Information Services (IIS), the search form uses Indexing Service to search the text index. Indexing Service has more extensive support for searching non-English systems and Microsoft Office documents.

If you server is not running IIS, FrontPage uses the WAIS (Wide Area Information Server) search engine that is included with FrontPage to search the text index.

Note Your web server administrator or ISP can tell you if the server is using IIS.

When new pages are added to your web site

When you save a page in a web site, FrontPage adds any new words to the text index for that web site. The text index is cumulative: new words are added to the index, but old ones are not removed. You can also create a new text index and purge outdated words.

Note A search form will not locate approximately 300 of the most common English words, such as "a," "the," and so on.


About security

Microsoft FrontPage provides administrative tools that let you set permissions and limit access to web sites that you create and edit on a Web server. FrontPage security is based on the security mechanism used by the Web server and its operating system.

FrontPage 2000 Server Extensions and earlier

Setting permissions

You can specify who can access web sites in FrontPage by adding the users (and user groups) to the site's user list and specifying the type of access the user has. Users can have one of the following types of permission:

Browse The user can browse the files in the web site.

Author The user can browse and change the files in a web site.

Administer The user can browse and change the files in the web site, and can also administer the web site by adding and removing users.

These permissions are set on the root web site, and all subwebs below it automatically inherit these permissions. If you want to control the access to a subweb differently, you can set unique permissions. You can control and divide web content among different sets of administrators, authors and site visitors.

Security in Web servers that run on Microsoft Windows

If the Web server is Microsoft Internet Information Services (IIS) running on Microsoft Windows, users and groups are set up and maintained in Windows, and cannot be created in FrontPage. You select the users and groups for your web sites from these Windows accounts. Access to web sites is then determined by the user's logon account (user name and password).

Note Because FrontPage security is based on Access Control Lists (ACLs), in order to enforce security, your web sites must be hosted on an NTFS partition rather than a FAT partition.

Security in Web servers that run on Unix

Most Unix Web servers maintain an access list of users who have permission to use the Web server, which is separate from the list of users and groups who can log on to the computer. To specify who can access a web site in FrontPage, you add users and then specify their passwords and permission levels.

For more information, see the Office 2000 Resource Kit.

FrontPage Server Extensions 2002 or SharePoint Team Services

About accounts

User accounts let you control who can access the web site. You can create accounts that allow access to the web site only, or you can use existing network server or domain accounts. In most cases, you'll want to assign a username and password to each person who works with your web site.

About user roles

User roles are assigned to accounts, and determine the types of access that users are allowed when using the web site. For example, if you have a group of users who will view site content and make changes, you can assign them to the Author role. This role is created by default. As a site administrator, you can modify the access rights for the default roles or create new roles.

You can assign a user to more than one role. However, if you're using the default user roles, you need only select one role for the user account. Each default role has all of the rights of those lower on the list plus additional rights. For example, a contributor has browser rights in addition to the right to contribute to web document discussions.

Default user roles

The following roles are available by default for web sites hosted by servers running SharePoint Team Services or FrontPage Server Extensions 2002. Each role gives the user rights to perform specific actions on a web site or virtual server.

  • Browser View the pages in the web site. This role contains the following rights: FrontPage Browse, View Web Document Discussions, and View Lists.

  • Contributor Participate in document discussions and subscribe to documents or folders. This role contains all Browser rights plus the following rights: Author Lists, Author Web Document Discussions, Close Web Document Discussions, and Subscribe To Document.

  • Author Add pages to the web site and edit tasks and lists. This role contains all Contributor rights plus the following rights: Author Pages, Edit Tasks, and Author Lists.

  • Advanced Author Edit a web site in Microsoft FrontPage. This role contains all Author rights plus the following rights: Border Web, Theme Web, Design Lists, Link Style Sheets, Manage Tasks, and Recalc Web.

  • Administrator Manage a web site or virtual server. This role contains all rights.

Access rights list

The following rights are available in web sites. Each right gives the user permission to perform a specific action on a web site or virtual server.

Web design rights

  • Author Pages Create, edit, or delete HTML pages and directories.

  • FrontPage Browse Use Microsoft FrontPage browse time functionality, such as a bot expansion.

  • Register Components Upload new components (runtime code) and have them run by the server.

  • Set Source Control Set the source control options.

  • Theme Web Apply a theme to a web site.

  • Border Web Apply a border to a web site.

  • Link Style Sheets Apply a style sheet to an entire web site.

Team contributor rights

  • Manage Lists Add, edit, or remove lists.

  • Design Lists Create or design new or existing lists.

  • Author Lists Add new content to an existing list.

  • View Lists Read lists.

  • Close Web Document Discussions Mark document discussion items as "closed."

  • Author Web Document Discussions Participate in document discussions.

  • View Web Document Discussions Read document discussion items.

  • Subscribe To Document Use the subscription service.

Web administration rights

  • Configure Access Create, delete, and modify roles, including adding users to the roles and specifying which rights are assigned to a role.

  • Set Permissions Specify permissions for individual files.

  • Create Accounts Create local machine accounts.

  • Manage Server Health Run the server health features for a virtual server.

  • Manage Usage Analysis Modify the usage analysis settings for a virtual server.

  • Manage Subweb Create, rename, or remove subwebs.

  • Recalc Web Recalculate a web site.

  • Manage Web Document Discussions Add, edit, remove, and close document discussion items for a virtual server.

  • Manage Web Subscriptions Add or remove document subscriptions for a virtual server.

About anonymous user access

If you're creating a public web site, you can allow permissions for anonymous users who don't have accounts and you can specify the user role that anonymous users will have.

About user accounts and roles for subwebs

If you have created subwebs on your web site, you can allow the subwebs to have unique accounts and user roles or you can specify that they use those of their parent web site.

About user account limits

Your server administrator can specify a limit to the number of accounts that you can create for a server or virtual server. Once you reach this limit, you must either delete unnecessary accounts or have the server administrator raise the limit. This limit does not include accounts from a network group or domain.


About setting default values for HTML source code

HTML formatting is how the code appears to be structured on the page. It applies to everything from the number of spaces a tag is indented to whether a tag appears alone or is paired with a closing tag.

By default, Microsoft FrontPage preserves the formatting of existing HTML, but applies new HTML formatting to content you add to the existing page.

You have the following options for changing the default HTML format settings in FrontPage.

Preserve the formatting of existing HTML and apply new settings to new content

You can add new content to an existing web page, and ensure that the HTML of your content is formatted differently than that of the legacy code.

Example

Vicky opens a web page and sees the HTML source in the HTML pane. She notices that the author of the page used uppercase letters for the tags (such as <P>). She also notices that closing paragraph tags (</P>) were excluded. Vicky wants to add content to the page, but wants her new content to be formatted with lowercase tags (such as <p>), and she wants closing paragraph tags added automatically (</p>). However, Vicky does not want FrontPage to change the HTML formatting of the original code.

Apply an open page's HTML formatting to all new content

You can add new content to an existing web page, and ensure that your content adopts the formatting of the HTML that was on the page when it was opened.

Example

Gustavo opens an existing page. He sees that the author of the original page used uppercase tag names (such as <P>), and excluded the closing paragraph tags (</P>). Gustavo wants all content he writes in FrontPage from this point forward, including new pages, to use these same settings.

Apply HTML format changes to new and existing content

You can change the HTML format settings in FrontPage, and ensure that those settings are applied to every page you open and all new content you add.

Example

Janel wants to add content to an existing web page. Before she does this, she wants to change the HTML format settings in FrontPage so that tag names are uppercase (such as <P>). She wants FrontPage to apply her changes to the file's original content, and also to any new content she adds in the Normal pane.

Reset HTML format settings to FrontPage defaults

If you find you don't like the HTML format settings you've made, you can always revert to the original settings.

Example

Joel decides he doesn't like the changes he made to the HTML formatting options. Although he changed the formatting options numerous times, he now wants to put them back the way they were before he changed them the first time.


About shared borders

A shared border is a region on a web page that is common to one or more pages in a web site. A shared border may be a region at the top or bottom of the page (similar to a page header or footer), at the left, or at the right. Use shared borders to place the same content on multiple pages in one step, rather than editing each page.

For example, to quickly place a logo at the top of each page in your web site, design your pages so that they all have the same top border, then add the graphic to that top border.

Ways to use shared borders

Shared borders are a quick and easy way to give your pages a consistent look. After you set a shared border, you can add content to it. At any point, you can change or remove the content in a shared border. Following are examples of ways to use shared borders:

  • Add a page banner to ensure that each page has a title
  • Add the company logo
  • Add a link bar to let site visitors get to the main pages in your web site
  • Add a copyright notice
  • Add the date and time the web site was last modified
  • Add an e-mail address for feedback, such as the Webmaster's address

Note If you add page banners and link bars in a shared border, the pages must be added to Navigation view in order to be displayed correctly.

Setting shared borders for pages and web sites

When you use shared borders, you only have to modify content in one place to update all pages. For example, to change the copyright notice on each page of a 30-page web site, you can update it only on one page if the notice is inside a shared border.

You can also set the shared borders so that every page in the web site uses them by default, or you can set shared borders for individual pages. For example, the default setting for a web site might be to share top and left borders; each new page would then have these shared borders. However, you could turn off the shared border on specific pages, as shown in the following illustration:

1 Default setting that uses shared top and left borders

2 Various pages in the web site that may or may not use the default setting


About source control

Using built-in source control

About built-in source control

Microsoft FrontPage provides a built-in source control feature that ensures that only one person at a time can edit a file. Before you can use built-in source control in FrontPage, you must enable it. You can enable source control if you have administrator privileges and your web server supports the FrontPage Server Extensions.

Capabilities

A web author can check out a file

When a file is checked out, it is opened as read-only. Other authors can open the file but cannot save changes unless they save the file with a different name. A file that has been checked out is indicated by Checked out to you (the file is checked out to you) or Checked out to a different author (the file is checked out to a different author).

A web author can check in a file after editing and saving it

The file is then available to other authors for checking out. A file that is checked in and available is indicated by Checked in and available for checking out.

A web author can undo a file checkout

The file is checked in without applying any of the changes that were made since the file was checked out.

Important FrontPage publishes the last-saved version of a file rather than the version that was last checked in. For example, if a file is checked out, modified, and then saved, this version of the file is what will be published, rather than the version that was last checked in.

Using Microsoft Visual SourceSafe (VSS) with Microsoft FrontPage

About integrating VSS with FrontPage

If you want to use Microsoft Visual SourceSafe as a method of source control, you can integrate a new or existing Visual SourceSafe project with FrontPage. Then, the source control actions that are performed in FrontPage are also performed in Visual SourceSafe as though the web author had used Visual SourceSafe directly. For example, if a web author checks out a file in FrontPage, the file is also checked out in the Visual SourceSafe project.

All files in the web will be tracked in the Visual SourceSafe project. However, other Visual SourceSafe features (for example, viewing a file history or rolling back to a previous file version) must be performed in Visual SourceSafe.

Capabilities

Because a Visual SourceSafe project is synchronized with FrontPage, file management actions you perform in FrontPage are reflected in the Visual SourceSafe project.

Add or create a file

FrontPage adds the file to the Visual SourceSafe project.

Move or rename a file

The file is also moved or renamed in the Visual SourceSafe project. Then, FrontPage checks out all pages that have hyperlinks to the moved or renamed page, updates the hyperlinks, saves the pages, and then checks them in.

Perform an action that affects other pages

Actions that affect other pages include applying a theme, modifying a shared border, or changing a file that is included in other pages. FrontPage checks out all pages that are affected by the change, updates the pages, saves them, and then checks them in.

Delete a file

FrontPage deletes the page from the Visual SourceSafe project.

Note These actions are best performed when all files in the web are checked in. If a file is affected by one of these actions but is checked out, FrontPage either does not let you perform the action, or you must update the files yourself when they are checked in again.

For information about how to integrate Visual SourceSafe with FrontPage, see the Microsoft Office XP Resource Kit.


About styles

A style is a set of formatting characteristics identified by a unique name. Styles enable you to quickly format a whole group of page elements in one simple task.

You can apply styles to most page elements in Microsoft FrontPage, including text (individual characters or entire paragraphs), graphics, and tables.

Built-in and user-defined styles

With FrontPage, you can choose from a group of built-in styles, or you can create your own user-defined styles. Built-in styles are frequently used formatting options available by default in the Style box. User-defined styles can be modifications to built-in styles, or class selectors that you create.

You can access both built-in and user-defined styles from the same style list when you're editing a page.

Using styles with page elements

Paragraph-level styles A paragraph-level style, such as a border, usually applies to text, but it can affect any page elements contained between the HTML paragraph (<P>) tags.

Examples

The item below represents a paragraph-level style with the addition of a border around text.

The graphic below represents a paragraph-level style with the addition of a border around an image.

Character-level styles A character-level style applies to just the text within a paragraph.

Example

The text shown in the example below has three words in bold and red — the result of a character-level style being applied.

Page element styles Some page elements have a Style button on their properties dialog box. Those styles allow you to add styles specific to that particular page element.

Example

The table in the following example has a blue, outset border, which is the result of a style being added through the table property options.

For page elements without their own Style button, you can apply styles in the same manner as applying styles to text.

Note If you apply a user-defined style to a page element that is already formatted with a standard HTML tag, both formatting characteristics are used.

For example, if you select a paragraph styled as Heading 1, and then apply a user-defined style named .redbg that adds a red border, you get the standard Heading 1 formatting (Times New Roman, Bold, 24 pt, and left-aligned) surrounded by a red border.

The class name of the user-defined style is appended to the end of the HTML tag in the Style box, listing the new style as Heading2.redbg.

What is a cascading style sheet?

A Cascading Style Sheet (CSS) is used to apply consistent style information across multiple web pages. A CSS contains style definitions that describe the styles you want to apply to pages or page elements. Each style definition consists of a selector followed by the properties and values for that selector. The following are simple examples of style definitions defined in a CSS:

  • H1 { font-size: x-large; color: green }
  • H2 { font-size: large; color: blue }
  • .note { font-size: small }
  • #footer { font-family: serif }

In the example, H1 and H2 are selectors that modify the formatting properties of standard HTML tags. The selectors' properties and values are contained within the curly braces { } — font-size is a property, and x-large is the value of the font-size property. You can specify multiple properties for a selector by separating each with a semi-colon ( ; ). In the example, .note is a class selector, and #footer is an ID selector.

Style formatting is stored in cascading style sheets

FrontPage primarily deals with two types of cascading style sheets — embedded and external — although a third type, inline, is occasionally used.

Embedded cascading style sheet

When you create or modify a style to be used on a single page, FrontPage creates a cascading style sheet for you. Called an embedded cascading style sheet, it is a collection of code stored between the HTML <HEAD> tags of the page. Any style you create for that page is stored in the embedded style sheet as a class selector.

External cascading style sheet

External cascading style sheets are the most useful because they can be linked to multiple web pages. You can apply the same styles consistently across an entire web site.

If you decide to change a style, you need only make one change — in the external cascading style sheet — and the pages in your web site will reflect the change. Typically, an external style sheet uses the .css file name extension, such as Mystyles.css.

Inline cascading style sheet

A third type of cascading style sheet, inline, contains user-defined styles that are applied to a single page element. This type of cascading style sheet is usually created when you add styles using the Style button on a page element's Properties dialog box.


About tables

A table is made up of rows and columns of cells into which you can insert text and graphics.

There are different ways you can use tables, and you can customize your tables in a variety of ways to make them more attractive and easy to read:

Present information in a tabular format

Use a table to present information in a grid-like format, such as timetables, product information, rates, and so on.

Display tables in a tabular format

Lay out text and graphics on a page

When you lay out text and graphics on a page, you can use a table to arrange them. Tables are supported by virtually all Web browsers and are an easy way to lay out your pages.

Use a table to lay out text and graphics on a page

Work with rows and columns

You can create more cells in your table by splitting one cell into two or more cells. You can also merge adjacent cells into one cell.

Work with rows and columns

Once you have all the rows and columns you need in your table, you can set the row heights and column widths the way you want them.

Resize a table

You can define the row heights and column widths to be a percentage of the overall table size, a specific size in pixels, or set all rows and columns to be spaced uniformly.

Control text and table layout

You can control how your table appears on the page by setting the table alignment — tables can be aligned to the left, right, or center of the page. The table below is centered.

Control text and table layout

You can also control the height and width of the table. For example, you can set the width of the table to 80 percent of the overall page width (or frame width, if the table is in a frame). If a site visitor resizes the browser window, the page size and table change accordingly. On pages that include a table and text, you can also specify whether you want text to flow around the sides of the table.

By specifying the way text appears inside each cell, you can control how much space there is between the border and text of a cell, and you can set the horizontal and vertical alignment of text. In addition, table text can be formatted like any other text — you can change the font style, size, color, and other attributes.

Set border specifications

You can customize the way borders look in your tables. Set the border color for the whole table, or set a different border color for individual cells. You can choose one color for the border, or, if you prefer a three-dimensional look, you can choose two colors — a light color and a dark color. You can also change the thickness of the outer border.

Set border specifications

Choose backgrounds

You can choose background colors and pictures for your tables. Background colors can be used to shade specific columns or rows to add emphasis. You can use background pictures to add visual appeal to your tables.

You can set background colors and pictures for certain cells, or you can set them for the whole table.

Choose table backgrounds

Create captions and headers

You can label or title your tables by adding a table caption. A table caption is placed above or below the table. You can also format the caption text.

To emphasize certain cells in your table, you can specify them as table headers. For example, in the table below, the first row and first column contain labels. They are formatted as table headers so that they stand out from the rest of the table. By default, a table header is formatted as bold text. However, you can modify the table header style and define additional properties for your table headers, such as shading.

Create captions and headers


About page templates

Some of the content in this topic may not be applicable to some languages.

A template is a pre-designed page that can contain page settings, formatting, and page elements. Microsoft FrontPage provides several default page templates, or you can create your own page templates, so that you can create pages for your web site quickly and consistently. Templates are very useful in a multiple-author environment because they help authors create pages the same way.

For example, if all your pages always have a company logo and description at the top of the page, create a template with those elements. Then, use your template when you want to create a new page, and the logo and description will automatically be placed on the page.

To create a page template, you create a page with the settings and page elements you want, and then you save the page as a template. The template will be displayed with the other templates provided in Microsoft FrontPage. When you want to create a new page using your template, you simply select your template from the list.

Templates in a workgroup environment

If you work in a multiple authoring environment, you can create your own custom templates and share them with other authors working on the same web site. Anyone who opens the web can then create new pages based on your shared templates, which are listed along with the default templates.

For example, you might want all of the pages in a web to be linked to a specific cascading style sheet. You could create a template containing a link to the style sheet, and then share that template with anyone working on the web site. Instead of adding style sheet links manually to new pages, authors can then create new pages that already contain the links just by using the shared template.


About themes

Some of the content in this topic may not be applicable to some languages.

A theme is a unified set of design elements and color schemes that you can apply to your web pages to give them a professional look. Using a theme is a quick and easy way to make sure your web pages are visually consistent and appealing. Microsoft FrontPage includes many complete themes that you can use right away, or you can create new themes based on existing ones.

You can apply a theme to one or more pages or to an entire web site. If you apply a theme to all pages in a web site, the theme becomes the default theme for that web site. When you create new pages, the default theme is applied automatically. If you change or remove the default theme, the change is applied to the entire web site.

The following example shows a plain web page, and then shows how the same page would look with different themes applied:

1 A plain web page.

2 The same page with three different themes applied.

A theme affects all aspects of a page's appearance:

  • Colors A theme's color scheme specifies the color of body text, headings, hyperlinks, page banner text, link bar labels, table borders, and the page background. You can use normal or vivid colors.
  • Graphics Several page elements contain graphics, such as the background picture, the page banner, bullets, navigation buttons, and horizontal lines. You can use standard or active graphics. The active graphic set uses animated page elements, such as hover buttons instead of plain buttons on link bars.
  • Styles A theme uses its own font styles and sizes for body text and headings.

Customizing themes

You can customize a theme in a variety of ways to create a new theme. For example, you can use your own colors, graphics, and font styles.

Changing colors

You can change the colors that are used in a theme. For example, in the Artsy theme, active hyperlinks are green — you could change them to red. You can also change the colors of other page and text elements, such as body and heading text, banner text, link bar labels, table borders, and the background. In addition, each theme has two color sets — normal and vivid. You can specify the colors to use for both sets.

Selecting a color is easy. You can choose a color from one of the FrontPage color palettes, or you can define your own custom colors.

Changing graphics

You can replace the graphics that are used in a theme with graphics of your own. For example, in the Blends theme, you could replace the background picture used with a graphic you created.

You can also change other graphical elements, such as the page banner, bullets, navigation buttons, and horizontal line. In addition, you can also specify the font to use for graphical elements that are displayed with text.

Each theme has two sets of graphics — normal and active. You can specify the graphics to use for either set. The active graphic set uses animated page elements, such as hover buttons instead of plain buttons on link bars.

Note Active graphics are not available for some theme items.

Changing styles

You can change the styles that are used in a particular theme. For example, in the Capsules theme, you could change the font for the body and heading styles from Arial to Times New Roman. To change the font displayed on a graphical element (for example, the font used on page banners), you must change the graphic.

Using templates

A page that has a theme applied to it can be saved as a template. Any pages created using the template will either use the web site's default theme or a specific theme, depending on how the theme was applied to the original page. For example, you create a template from a page that has a theme applied to it, then you create pages in a web whose default theme is Artsy. If the page template used the web default theme, new pages will use the Artsy theme. If the page template used a specific theme, new pages will use that theme.


About the table of contents and site maps

Table of contents

You can create an automatically generated table of contents based on the navigation structure of your web site or one based on the categories that you assign to your pages.

The table of contents based on the navigational structure can also include pages with hyperlinks that are not included in the navigation structure. A site visitor browsing your web site can click any entry in the table of contents to jump to that page or file.

You can create the table of contents on a page that contains other content, or on a page by itself. If you want to create a table of contents for a large web site, you should probably create a special page containing only the table of contents.

Table of Contents

You can format your table of contents — for example, change the heading font size — and you can also set it so that Microsoft FrontPage automatically recalculates the table of contents whenever any page in your web site is edited.

Site maps

Many web sites use site maps to make it easier for site visitors to find the pages they need.

For a personal or small web site, a site map can be as simple as a list of hyperlinks to all the web site's pages. You can create this kind of site map by using the Table of Contents web component.

For a corporate presence or large web site, a site map typically contains lists of hyperlinks to pages in different subwebs, categories, or other logical groups, organized under logical headings. For example, if you sell appliances, your site map might have columns of hyperlinks for Small Appliances, Large Appliances, and Customer Service. You can create this kind of site map by using categories.

1 The categories to which you've assigned specific pages

2 The pages that have been assigned to the category under which they are listed


About creating and designing web pages

Some of the content in this topic may not be applicable to some languages.

Web pages are the basic documents of the World Wide Web and are written in HTML (Hypertext Markup Language). Web pages can either be part of a web site, or they can stand alone. However, many features in Microsoft FrontPage are only useful if you are working with a web site. For example, a link bar, which lets a site visitor navigate to other pages in a web, is meaningless in the context of a single page.

To help you create professional-looking and well-designed web pages, FrontPage provides several page templates so you can quickly create pages with a variety of layouts and functions. For example, you can use a FrontPage template to create a two-column page or a page with a search form. You can also use one of several themes to create pages with a consistent design. A theme contains unified design elements with a color scheme, including fonts, graphics, backgrounds, navigation bars, horizontal lines, and other page elements.

If you prefer to design and lay out pages yourself, you can start with a blank page, and then:

  • Use frames, tables, or absolute positioning to precisely position text and graphics on a page.
  • Add page elements, such as text, graphics, page banners, tables, forms, hyperlinks, banner ads, and so on.
  • Add content that can change, such as marquees, hit counters, and time stamps.
  • Format text by applying styles or using style sheets.
  • Animate page elements and set page transitions for lively pages.
  • Set the background color, picture, or sound.
  • Create your own page template: a pre-designed page that can contain page settings, formatting, and page elements.

Support for HTML

You do not need to know HTML to use FrontPage. While you edit pages as you would in a word processor — typing and formatting text, and adding graphics, tables, and other page elements — FrontPage adds the HTML tags in the background. Your page is displayed to you as it would appear in a Web browser. However, you can display the HTML tags on the page, and if you are familiar with HTML, you can write and edit the HTML tags yourself.


Accessibility features in FrontPage

Keyboard shortcuts

View all Keyboard shortcuts

Show or hide shortcut keys in ScreenTips

  1. On the Tools menu, click Customize.

  2. Click the Options tab.

  3. Under Other, select or clear the Show ScreenTips on toolbars and Show shortcut keys in ScreenTips check boxes.

Note Changing this setting affects all of your Microsoft Office programs.

Size options

Increase the size of toolbar buttons

  1. On the Tools menu, click Customize.
  2. Click the Options tab.
  3. Select the Large icons check box.

Change the width of a drop-down list box on a toolbar

  1. Make sure the toolbar you want to change is visible.

    How?

    1. On the View menu, point to Toolbars.
    2. Do one of the following:
      • Click the toolbar you want to display.
      • To view more toolbars, click Customize. In the Customize dialog box, click the Toolbars tab, and then select the check box for the toolbar you want to display. Click Close.
  • On the Tools menu, click Customize.
  • With the Customize dialog box open, click the list box you want to change — for example, the Font [image] or Font Size [image] box on the Formatting toolbar.
  • Point to the left or right edge of the box. When the pointer changes to a double-headed arrow, drag the edge of the box to change its width.

    • Scroll and zoom by using the Microsoft IntelliMouse or other pointing device

    Some mouse devices and other pointing devices, such as the Microsoft IntelliMouse, have built-in scrolling and zooming capabilities. For more information, see the instructions for your pointing device.

    Toolbar and menu options

    Add a button to a toolbar

    1. Make sure the toolbar you want to change is visible.

      How?

      1. On the View menu, point to Toolbars.
      2. Do one of the following:
        • Click the toolbar you want to display.
        • To view more toolbars, click Customize. In the Customize dialog box, click the Toolbars tab, and then select the check box for the toolbar you want to display. Click Close.
    2. Click the Toolbar Options arrow [image].
    3. Point to Add or Remove Buttons, and then click Customize.
    4. Click the Commands tab.
    5. In the Categories box, click a category for the command you want the button to perform.
    6. Drag the command you want from the Commands box to the displayed toolbar.

    Create a custom toolbar

    1. On the Tools menu, click Customize.
    2. Click the Toolbars tab.
    3. Click New.
    4. In the Toolbar name box, type the name you want, and then click OK.
    5. Click the Commands tab.
    6. Click a category in the Categories box.
    7. Drag the command you want from the Commands box to the displayed toolbar.
    8. When you have added all the buttons and menus you want, click Close.

    Group related buttons and menus on a toolbar

    You can add a separator bar before the first and after the last item in a group to distinguish the group from other buttons and menus on a toolbar.

    1. Make sure the toolbar you want to change is visible.

      How?

      1. On the View menu, point to Toolbars.
      2. Do one of the following:
        • Click the toolbar you want to display.
        • To view more toolbars, click Customize. In the Customize dialog box, click the Toolbars tab, and then select the check box for the toolbar you want to display. Click Close.
  • On the Tools menu, click Customize.
  • To add a separator bar, keep the Customize dialog box open, right-click the button you want on the toolbar, and then click Begin a Group. A separator bar is added to the left of the button on a horizontal toolbar, and above a button on a vertical docked toolbar.
    • Note To remove a separator bar between two buttons, drag one button closer to the other.

    Color and sound options

    Change the color of text using the toolbar

    1. Select the text you want to change.
    2. Do one of the following:
      • To apply the color most recently used for text, click Font Color [image] on the Formatting toolbar.
      • To apply a different color, click the arrow next to the Font Color button, and then select the color you want.

    Turn sounds on or off for buttons, menus, and other screen elements

    Do one or both of the following:

    Turn on or off sound

    1. On the Tools menu, click Options, and then click the General tab.
    2. Select or clear the Provide feedback with sound check box.

    Note Changing this setting will affect all of your Microsoft Office programs.

    Change sounds

    1. Click the Microsoft Windows Start button, point to Settings, and then click Control Panel.
    2. Do one of the following:
      • In Microsoft Windows 2000 or later and Microsoft Windows Millennium Edition, double-click the Sounds and Multimedia icon.
      • In Microsoft Windows 98, double-click the Sounds icon.
    3. In the Sound Events box, click the event you want.
    4. In the Name box, enter the sound you want.


Add an advanced button to a form

In Page view, do one or both of the following:

Add an advanced button

  1. Click in the form where you want to place the advanced button.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Advanced Button.

Set the properties of an advanced button

  1. Right-click in the form, and then click Advanced Button Properties on the shortcut menu.
  2. In the Name box, type a name to identify the button in form results.

    This internal name, which is not shown on the form, identifies the advanced button in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. In the Value box, type the text that will appear on the button.
  4. In the Button Type box, select the type of button you want to use.

    If you select Normal, you will need to write a script for the button to have a function.

  5. In the Button Size area, select, in characters, the width and height of the button.
  6. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add a Web browser to the preview list

When you install Microsoft FrontPage, currently installed browsers are added to the list of browsers that you can use to preview pages. If you install a browser after installing FrontPage, you will need to add it manually.

  1. In Page view, open the page you want to preview.
  2. On the File menu, click Preview in Browser.
  3. Click Add.

    Tip

    To remove a Web browser from the preview list, select it and then click Delete.

  4. In the Name box, type the name of the Web browser as you want it to appear in the preview list.
  5. In the Command box, type the name and path of the Web browser's executable file (the compiled file that launches the Web browser, usually having a .EXE extension), or click Browse to locate the file.


Add or change a publishing location

  1. On the File menu, click Publish Web.
  2. Click Change.
  3. Do one of the following:
    • Type the location of a Web server or FTP server.
    • Click the arrow to select a location to which you have published before.
    • Click Browse to find the folder on the server to which you want to publish.

    Note Clicking Browse to find the folder on the server where your web is stored is not recommended for FTP publishing because you will need to navigate through a folder structure (which might be unclear).


Add an Office Chart Component

In Page view, do the following:

  1. In the Normal pane, position the insertion point where you want the chart located.
  2. On the Insert menu, click Web Component.
  3. In the left pane of the dialog box, click Spreadsheets and charts.
  4. In the right pane, click Office Chart and then click Finish.
  5. For more help on designing and using an Office chart, click the Help icon [image] on the chart component toolbar.

    If the toolbar is not visible, right-click the chart, and then click Toolbar.

Note To use a Microsoft Office chart in the browser, site visitors must have the Microsoft Office Web Components installed.


Add a check box to a form

In Page view, do one or both of the following:

Add a check box

  1. Click in the form where you want to place the check box.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Checkbox.
  3. Type the label for the check box directly on the form, next to the check box.

    You can give the site visitor the ability to select the check box by clicking the check box itself or by clicking its label.

    How?

    1. Select the text and the check box.
    2. On the Insert menu, point to Form, and then click Label.

Set the properties of a check box

  1. Double-click the check box.
  2. In the Name box, type a name to identify the check box.

    This internal name, which is not shown on the form, identifies the check box in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. In the Value box, type the value to associate with this field.

    When the check box is selected, this value is returned with the form results, and is displayed on the default confirmation page. If the check box has not been selected, the group name is included, but the value is blank.

  4. Click Checked under Initial state if you want the check box to be selected by default when a site visitor first opens the form.
  5. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add a file summary comment

  1. In any view except Tasks view, right-click the file you want to add comments to, click Properties on the shortcut menu, and then click the Summary tab.
  2. In the Comments box, type the comments you want to add.

Note File summary comments are not like web page editing comments. You can use file summary comments to provide a description or note about the file. You can view the comments in several reports in Reports view.


Add a control

Choose the type of control you want to work with:

Design-time controls (DTCs)

  1. On the Insert menu, click Web Component
  2. In the left pane, click Advanced Controls.
  3. In the right pane, click Design-Time Control, and then click Next.

    The Choose a control list appears, showing a subset of the DTCs installed on your computer.

  4. Click the control you want to insert, and then click Finish.

Notes

  • DTCs that rely on data bindings may not function properly, or may have limited functionality, in Microsoft FrontPage. Consult the documentation for the DTC to determine if you can use it properly in FrontPage.

ActiveX controls

  1. On the Insert menu, click Web Component
  2. In the left pane, select Advanced Controls.
  3. In the right pane, select ActiveX Control, and then click Next.

    The Choose a control list appears, showing a subset of the ActiveX controls installed on your computer.

  4. Click the control you want to insert, and then click Finish.


Add a push button to a form

In Page view, do one or both of the following:

Add a push button

  1. Click in the form where you want to place the push button.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Push Button.

Set the properties of a push button

  1. Double-click the button.
  2. In the Name box, type a name to identify the button in the form results.

    This internal name, which is not shown on the form, identifies the push button in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. In the Value/label box, type the text that will appear on the button.
  4. In the Button type box, select Normal.
  5. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.
  6. Click the HTML button [image] to view the HTML of your page so that you can write a script for your button to give it an action.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add a drop-down box to a form

In Page view, do one or both of the following:

Add a drop-down box

  1. Click in the form where you want to place the drop-down box.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Drop-down box.
  3. Type the label for the drop-down box directly on the form.

Set the properties of a drop-down box

  1. Double-click the drop-down box.
  2. In the Name box, type a name to identify the drop-down box.

    This internal name, which is not shown on the form, identifies the drop-down box in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. Click Add to add the choices you want to display in the drop-down box.
  4. In the Choice box, type an option you want to display in the drop-down box.

    If you want the value for this choice to be different from the text displayed in the drop-down box itself, select Specify value, and then type the value in the box.

    For example, a choice in the menu could be John, but the value returned in the form results could be me.

  5. Click Selected under Initial State if you want the choice to be selected by default when a site visitor first opens the form.
  6. Click OK.
  7. Repeat steps 3 through 6 for each choice you want to add.
  8. To change the order in which choices are displayed, click a choice in the list, and then click the Move Up or Move Down button.
  9. In the Height box, type how many lines of text you want to show in the drop-down box.

    For example, if the drop-down box has three options, you can set the height to 3 so that all choices are visible.

  10. Click Yes under Allow multiple selections if you want to allow multiple selections in the drop-down box. If you click No, the site visitor will be able to make one choice only.
  11. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add font effects to a hyperlink

You can add effects to hyperlinks so that when a site visitor positions the pointer over the hyperlink, its font changes. For example, you can set the hyperlink to change to a larger, bold, red font. Move your pointer over this link to see how its appearance changes.

In Page view, do the following:

  1. In the Normal pane, right-click the page, click Page Properties on the shortcut menu, and then click the Background tab.
  2. Under Formatting, select the Enable hyperlink rollover effects check box.
  3. Click Rollover Style.
  4. Set the rollover properties for hyperlinks on the current page.

Notes

  • You cannot add effects to a hyperlink if the page uses a theme.
  • These effects are set for the entire page rather than for individual hyperlinks.
  • Hyperlink rollovers use DHTML, so some Web browsers may not support this feature.


Add an external hyperlink to a link bar

Do one of the following:

Add an external link to a link bar based on the navigation structure

  1. In Navigation view, right-click the page to which you want to add an external hyperlink, and click Add Existing Page on the shortcut menu.

  2. Do one of the following:

    Create a hyperlink to a page or file

    1. Under Link to, click make sure Existing File or Web Page is selected.
    2. Select the page or file to which you want to link.

    Create a hyperlink to a page or file on the World Wide Web

    1. Under Link to, make sure that Existing File or Web Page is selected.
    2. Click World Wide Web [image].
    3. In your Web browser, browse to the page that you want to link to, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited is displayed in the Address box.

    Create a hyperlink to an e-mail address

    1. Under Link to, click E-mail Address.
    2. Either type the e-mail address you want in the E-mail address box, or select an e-mail address in the Recently used e-mail addresses box.
    3. In the Text to Display box, type the label of the e-mail address you want to display on the link bar.
    4. In the Subject box, type the subject of the e-mail message.

      Note Some Web browsers and e-mail programs may not recognize the subject line.

    The hyperlink is added to your navigation structure and is displayed with the [image] icon. You can change the position of the external hyperlink in the navigation structure by clicking and dragging the hyperlink to a different location.

  3. To save the changes, right-click the Navigation view background, and then click Apply Changes on the shortcut menu.

Add external links to a custom link bar or a link bar with back and next links

  1. Double-click the link bar.
  2. Click Add link.
  3. Do one of the following:

    Create a hyperlink to a page or file

    1. Under Link to, make sure that Existing File or Web Page is selected.
    2. Select the page or file to which you want to link.

    Create a hyperlink to a page or file on the World Wide Web

    1. Under Link to, make sure that Existing File or Web Page is selected.
    2. Click World Wide Web [image].
    3. In your Web browser, browse to the page that you want to link to, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited is displayed in the Address box.

    Create a hyperlink to an e-mail address

    1. Under Link to, click E-mail Address.
    2. Either type the e-mail address you want in the E-mail address box, or select an e-mail address in the Recently used e-mail addresses box.
    3. In the Text to Display box, type the label of the e-mail address you want to display on the link bar.
    4. In the Subject box, type the subject of the e-mail message.

      Note Some Web browsers and e-mail programs may not recognize the subject line.


Add a file upload control to a form

In Page view, do one or both of the following:

Add a file upload control to a form and set its web folder properties

  1. Click in the form where you want to place the file upload control.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click File Upload.
  3. Create a new folder in your web site.

    This is the location to which your site visitors will upload their files. If you do not create this new folder, your file upload control will not work.

    How?

    1. In the Folder list, right-click the web site, point to New, and then click Folder.

    2. To rename the folder, click the folder, right-click it, click Rename, and then type the new name.

  4. Right-click the new folder, and then click Properties on the shortcut menu.
  5. Cancel the selection of the Allow scripts to be run option.

    If you do not cancel the selection of this option, the following two options will be unavailable (dimmed).

  6. Select Allow anonymous upload to this directory.
  7. Select Allow uploaded files to overwrite existing file names if you want existing files to be overwritten.
  8. Click OK.
  9. Right-click the form, and click Form Properties on the shortcut menu.
  10. Click Options.
  11. Click the File Upload tab.
  12. Under Destination, browse to or type the name of the folder where you want the uploaded files to go, and click OK.

Set the properties of a file upload field

  1. Double-click the file upload text box.
  2. In the Name box, type a name to identify the file upload text box.

    This internal name, which is not shown on the form, identifies the check box in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. If you want text to appear in the text box when a site visitor first opens the form, type the text in the Initial value box.

  4. In the Width in characters box, type a number indicating how many characters wide you want the box to be.
  5. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Notes

  • This control is supported in Microsoft Internet Explorer 4.0 or later and Netscape 2.0 or later. The browser compatibility options should be changed to reflect this.
  • To test the functionality of your form, you must first publish your web site to a web server running either the Microsoft FrontPage Server Extensions 2002 or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add a graphic to a photo gallery

  1. In Page view, double-click the photo gallery.
  2. Click the Pictures tab.
  3. Click Add.
  4. Select one of the following:

    Pictures from Files

    Locate the graphic you want to use, and click Open.

    Pictures from a Scanner or Camera

    1. From the list, select the device from which you will be adding a graphic.
    2. Depending upon what type of device you selected, choose the resolution you want.
    3. If you want to make your graphic easily accessible the next time you want to use it, through the Clip Organizer (clip art), select Add to Clip Organizer.
    4. Depending upon what type of device you selected, select Insert or Custom Insert.
    5. Follow the directions for your specific device.
  5. To rearrange the order in which the photos or graphics will appear in the photo gallery, select the name of the graphic, and click Move Up or Move Down.


Add a graphic to a web page

You can add a graphics from a variety of sources. Do one or more of the following:

Add a graphic from a file

  1. In Page view, position the insertion point where you want to insert a graphic.
  2. On the Insert menu, point to Picture, and then click From File.
  3. Browse to the graphic you want from your local file system or web site, select the file, and click Insert.

    You can specify the type of file you want to view in the Files of type box.

Note When you save the page, Microsoft FrontPage prompts you to save the graphic to your web site. Graphics that use 256 or fewer distinct colors are automatically converted to GIF, while all other graphics are converted to JPEG.

Add a graphic from a site on the World Wide Web

  1. In Page view, position the insertion point where you want to insert a graphic.
  2. On the Insert menu, point to Picture, and then click From File.
  3. Click Search the Web World Wide Web button and navigate to the page that contains the graphic.
    • If you are using Microsoft Internet Explorer 4.x or later:
      1. Right-click on the graphic, and click Copy on the shortcut menu.
      2. Switch back to Microsoft FrontPage.
      3. Right-click again, and select Paste from the shortcut menu to add the graphic directly onto your page.

        This inserts a reference on your page to the graphic on the Web site.

    • If you are using Netscape Navigator 4.x or later, right-click the graphic, click Copy Image Location on the shortcut menu, switch back to FrontPage, and then paste over the text in the URL box.

Notes

  • When you save the page, Microsoft FrontPage prompts you to save the graphic to your web site. Graphics that use 256 or fewer distinct colors are automatically converted to GIF, while all other graphics are converted to JPEG.
  • You can choose not to save the graphic to your web site, and in that case, a reference to the graphic on the other web site is created on your page. However, if the graphic is removed from the other web site, you will no longer see the graphic on your own page.

Add clip art from the Clip Organizer

Microsoft FrontPage includes the Microsoft Clip Organizer. You can preview clip art, graphics, and videos, and then select items to use on your page.

  1. In Page view, position the insertion point where you want to insert a graphic.
  2. On the Insert menu, point to Picture, and then click Clip Art.
  3. In the Insert Clip Art task pane, type a word or phrase that describes the clip you want in the Search text box and click Search.
  4. In the Results list, click the clip to insert it.

    To perform another search, click Modify below the Results list.

Note You can view the entire Clip Organizer collection of clip art in categories by clicking Clip Organizer at the bottom of the task pane.

Add a graphic from a scanner or camera

  1. In Page view, position the insertion point where you want to insert the graphic.
  2. On the Insert menu, point to Picture, and click From Scanner or Camera.

  3. From the list, select the device from which you will be adding a graphic.

  4. Depending upon what type of device you selected, choose the resolution you want.

  5. If you want to make the graphic easily accessible the next time you want to use it (through the Clip Organizer), select Add to Clip Organizer.

  6. Depending upon what type of device you selected, select Insert or Custom Insert.

  7. Follow the directions for your specific device.


Add or remove a graphic border

If you set a default hyperlink for a graphic, Microsoft FrontPage automatically puts a border around the graphic as a way to indicate to site visitors that they can click the graphic.

In Page view, do one or both of the following:

Add or remove a border around a graphic

  1. Right-click the graphic, and click Picture Properties on the shortcut menu.
  2. Click the Appearance tab.
  3. Under Layout, in the Border thickness box, enter a value to indicate the width of the border in pixels.

    To remove the border, type 0.

Note If the graphic has a default hyperlink, the border will have the colors that you specified for hyperlinks (these colors are set in the Page Properties dialog box).

Add or remove a beveled border around a graphic

  1. Click the graphic.

    If you want to bevel the background graphic, you do not need to make a selection.

  2. Do one of the following:

    • To add a beveled border, on the Pictures toolbar, click Bevel [image].

      Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

    • To remove the beveled border, click Restore [image].

    Note This will restore all changes made to this graphic since you have last saved it, not just remove the beveled border.


Add a group box to a form

In Page view, do one or both of the following:

Add a group box

  1. Click in the form where you want to place the group box.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Group Box.

Set the properties of a group box

  1. Right-click in the group box, and then click Group Box Properties on the shortcut menu.
  2. In the Label box, type the name of the label for your group box.
  3. In the Align box, select the alignment you want for your group box label.
  4. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add or delete Hanja in a custom dictionary

If you are not using the Korean language version of Microsoft Office, then this feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for Korean. In addition, you must enable support for Korean through Microsoft Office Language Settings.

If any Hanja, such as a name of a place or a person, is not listed in the Hanja Suggestions box of the Hangul Hanja Conversion dialog box, a user-defined word can be added to the Hanja list in a custom dictionary, and then displayed there.

Add Hanja to custom dictionaries

  1. Type the Hangul, or select it for conversion.
  2. On the Tools menu, click Hangul Hanja Conversion.
  3. Click More.
  4. Click Add new word.
  5. In the Hanja Suggestions box, select the appropriate Hanja, and then click Choose.
  6. Click Add to List after all the characters are converted.

Delete Hanja from custom dictionaries

  1. Type the Hanja you want to delete, and then select it. For example, if you want to delete Hanja “ kim [image] [image] ”, you need to type “ [image] [image] [image] ” in Hangul.
  2. On the Tools menu, click Hangul Hanja Conversion.
  3. In the Hanja Suggestions box, select the Hanja to delete.
  4. Click More.
  5. Click Remove Word.


Add a horizontal line to a web page

You can use a horizontal line to separate text or add an accent. After you add a horizontal line, you can modify its properties to change its width, height, alignment, and color. If a theme has been applied to a page, inserting a horizontal line inserts a graphic provided by the theme— for example:

  1. In Page view, position the insertion point where you want to insert a line.
  2. On the Insert menu, click Horizontal Line.
  3. Modify the appearance of the horizontal line.

    How?

    Double-click the horizontal line, and then do one or more of the following:

    • Under Width, specify the width of the line as a percentage of the window width or as a number of pixels.
    • Under Height, enter the height of the line in pixels.
    • Under Alignment, specify the alignment of the line on the page.
    • In the Color box, select a color for the line if you do not want a shaded line.
    • Select the Solid Line check box if you want the line to appear solid, and clear the check box if you want the line to appear shaded.

    Note If you select a color, the line will be solid, and you cannot apply shading.

Note If a theme is applied to the page, you can only change the alignment of the line.


Add a hot spot to a graphic

  1. In Page view, do one of the following:

    Add a graphical hot spot to a graphic

    1. Click the graphic.
    2. On the Pictures toolbar, click the Hotspot button corresponding to the shape you want:

      Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

      • Rectangular Hotspot
      • Circular Hotspot
      • Polygon Hotspot
    3. On the graphic, draw a rectangle, circle, or polygon, depending on the shape you chose while holding down the mouse button. When you release the mouse button, the Insert Hyperlink dialog box opens.

      Note To draw a polygon, click where you want the first corner of the polygon to be, click to place each corner of the polygon, and then double-click to finish it.

    Add a text hot spot to a graphic

    1. Click the graphic.
    2. On the Pictures toolbar, click Text [image].
    3. In the text box that is now displayed on the graphic, type the text.
    4. You can:
      • Resize the text box by clicking and dragging the handles.
      • Move the text box by clicking and dragging a border.
    5. Double-click an edge of the text box to open the Insert Hyperlink dialog box.
  2. Specify the destination for the hot spot.

    Choose one of the following:

    The destination is in a local folder or web site

    1. Under Link to, click Existing File or Web Page.
    2. Select the page or file where you want the hot spot to link.

    Create a new web page and set it as the destination

    1. Under Link to, click Create New Document.
    2. Type the name of the new document. If you want to change the path of the new document, click Change.
    3. Under When to edit, specify whether you want to edit the new document now or later.

    The destination is on the World Wide Web

    1. Under Link to, make sure that Existing File or Web Page is selected.
    2. Click Browse the Web [image].
    3. In your Web browser, browse to the page that you want to link to, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited is displayed in the Address box.

    Create an e-mail message when a site visitor clicks the graphic

    1. Under Link to, click E-mail Address.
    2. Either type the e-mail address you want in the E-mail address box, or select an e-mail address in the Recently used e-mail addresses box.
    3. In the Subject box, type the subject of the e-mail message.

      Note Some Web browsers and e-mail programs may not recognize the subject line.

    The destination is a bookmark

    1. Navigate to the page that contains the bookmark, select it, and then click Bookmark.
    2. In the Select Place in Document box, click the bookmark you want to use as the destination, and then click OK.
    3. Click OK again to insert the hyperlink.


Add an inline frame to a page and set its properties

In Page view, do one or both of the following:

Add an inline frame

  1. On the Insert menu, click Inline Frame.
  2. Set the initial page of the inline frame.

    How?

    Do one of the following:

    Select a page that is already created

    • Click Set Initial Page in the frame, and then select the page you want to show.

    Create a new page and set it as the initial page to show in that frame

    • Click New Page in that frame. Microsoft FrontPage creates a new page in the frame, and the new page is automatically set as the initial page.

Set the properties of an inline frame

  1. Select the inline frame by moving the pointer to the top border of the inline frame until it changes to a left-pointing arrow left-pointing arrow, and then click.
  2. On the Format menu, click Properties.
  3. Click Inline Frame Properties on the shortcut menu.
  4. Set one or more of the following (if you don't want to use the default values):
    • Name Type the name of your inline frame.
    • Initial page You can set or change the initial page of your inline frame.
    • Frame size Set the width or length of the frame in pixels or percentages.
    • Margins Set the margins of the frame in pixels.
    • Alignment Set the position for the inline frame on the page.
    • Scrollbars Set the scrollbars to Never appear, Always appear, or Appear if needed.
    • Alternate text Type the text that you want the browser to show in the event that the browser does not support frames.
    • Show border Select this check box if you want a border drawn around the inline frame.

      Note Click the Style button (if it is available) to access other options for formatting your table using cascading style sheets as an inline style.


Add a Java applet

  1. On the Insert menu, click Web Component.
  2. In the left pane, click Advanced Controls.
  3. In the right pane, double-click Java Applet.
  4. Do one or more of the following in the Java Applet Properties dialog box:
    • In the Applet source box, type the name of the Java applet source file. Java applet source files usually have a CLASS filename extension.
    • In the Applet base URL box, type the URL of the folder containing the Java applet source file (if it's not in the same directory as your web page)
    • In the Message for browsers without Java support box, type HTML or plain text to show in place of the Java applet on Web browsers that do not support Java applets.
    • Under Applet parameters, for each parameter that you want to pass to the Java applet, click Add and then type the parameter name and value (if required).

      Note Because Java does not provide a mechanism for displaying the valid properties and values for a given applet, consult the documentation that comes with the Java applet, and then specify the correct parameter names and legal values for each parameter.

    • Under Size and Layout, specify the alignment, horizontal and vertical spacing, and width and height (in pixels) for the Java applet.
Note If you want to specify cascading style sheet properties as an inline style for the Java applet, click the Style button.


Add a link bar to a page

Important If your Web server has the Microsoft FrontPage Server Extensions 2002 or SharePoint Team Services from Microsoft installed, or if you are publishing your web site to a disk-based web, you can add any type of link bar to your pages. Otherwise, the only type of link bar that you can add is the link bar based on the navigation structure of your web site.

Add a link bar based on the navigation structure

  1. Create a navigation structure.

    How?

    In Navigation view, do one or more of the following:

    Add an existing page to the current navigation structure

    • Click the page in the Folder List, and drag it to the position in the structure where you want it.

      If the Folder List is not showing, on the View menu, click Folder List.

    Move a page within the navigation structure

    • Click the page, and then drag it to another location, such as under or next to another page.

    Add a title to a page

    • Right-click the page, click Rename on the shortcut menu, and then edit the name.

    Add a new page under an existing page

    • Right-click the existing page, point to New, and then click Page on the shortcut menu.

    Delete a page from the navigation structure

    • Click the page, and then press DELETE.

      Note This does not delete your page from your web site.

    Save changes without switching views

    • Right-click on the view background, and then click Apply Changes on the shortcut menu.

    Tip

    To open a page to edit it, double-click the page.

  2. In Page view, position the insertion point where you want to place the link bar.

  3. On the Insert menu, click Navigation.
  4. In the right pane, click Bar based on navigation structure, and click Next.
  5. Select the link bar style you want to use for this link bar. Or, if your page uses a theme, click Use Page's Theme.

    If a theme has been applied to your web site, button link bars will use fonts, colors, and other style elements from the theme. If you click Use Page's Theme and your page does not use a theme, the link bar will use the default text of the page.

  6. Click Next.
  7. Choose the page orientation of the link bar (vertical or horizontal), and click Finish.
  8. Under Hyperlinks to add to page, select the type of hyperlinks you want on the link bar, and click OK.

    Note The navigation structure for the link bar is determined by the order of pages in Navigation view.

Add a link bar with custom links

  1. In Page view, position the insertion point where you want to place the link bar.
  2. On the Insert menu, click Navigation.
  3. In the right pane, click Bar with custom links, and then click Next.
  4. Select the link bar style you want to use for this link bar. Or, if your page uses a theme, click Use Page's Theme.

    If a theme has been applied to your web site, button link bars will use fonts, colors, and other style elements from the theme. If you click Use Page's Theme and your page does not use a theme, the link bar will use the default text of the page.

  5. Click Next.
  6. Choose the orientation of the link bar, and click Finish.
  7. Do one of the following:

    Create a new link bar

    1. Click Create New.
    2. Type a name for your new link bar, and click OK.
    3. Click Add link.
    4. Find the page you want to be on your custom link bar, and select it by clicking it. Or, type its URL in the Address box.
    5. In the Text to display box, type the text you want to show on the link bar.
    6. Click OK.
    7. Repeat steps 3 through 6 for each link you want to add to the link bar.

    Use an existing link bar

    1. Next to the Choose existing text box, click the arrow to find the link bar you want to use.

    2. Click OK.

Add a link bar with back and next links

When you add a page to a link bar with back and next links, Microsoft FrontPage determines the order of how the pages will be linked (using the back and next buttons) from how the pages are ordered in the folder structure.
  1. In Page view, position the insertion point where you want to place the link bar.
  2. On the Insert menu, click Navigation.
  3. In the right pane, click Bar with back and next links, and then click Next.
  4. Select the link bar style you want to use for this link bar. Or, if your page uses a theme, click Use Page's Theme.

    If a theme has been applied to your web site, button link bars will use fonts, colors, and other style elements from the theme. If you click Use Page's Theme and your page does not use a theme, the link bar will use the default text of the page.

  5. Click Next.
  6. Choose the orientation of the link bar, and click Finish.
  7. Do one of the following:

    Create a new link bar

    1. Click Create New.
    2. Type a name for your new link bar, and click OK.
    3. Click Add link.
    4. Find a page you want to link to, and select it by clicking it. Or, type its URL in the Address box.

      Note Be sure to complete steps 3 and 4 to add the page on which you will be adding the link bar.

    5. Set the order of how the pages are browsed to clicking the Move up or Move down buttons.

    Note If you select an external page to add, you will be able to link to it (using Back or Next on the link bar, depending on where it is in the list) but not from it (as you cannot add the same link bar to a page outside this web site).

    Use an existing link bar

    1. Next to the Choose existing text box, click the arrow to find the link bar you want to use.

    2. Click OK.

Note If you change any of the link bars (such as the order or page label) while in Navigation view, the link bars on your web pages will reflect these changes. However, you must right-click the blue background in Navigation view and click Apply Changes on the shortcut menu.


Identify a web page to search engines and web browsers

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. Click the Custom tab.
  3. Do one of the following:

    Add a system META variable

    1. Under System variables, click Add.
    2. In the Name box, type the name of the variable.
    3. In the Value box, type the value of the variable.

    Add a user-defined META variable

    1. Under User variables, click Add.
    2. In the Name box, type the name of the variable.
    3. In the Value box, type the value of the variable.


Add an MSNBC weather forecast

This feature is only available in the US English language version of Microsoft FrontPage.

  1. In Page view, position the insertion point where you want to add the MSNBC weather forecast.
  2. On the Insert menu, click Web Component
  3. In the left pane, click MSNBC Components, and in the right pane, double-click Insert a weather forecast.
  4. Type a city or U.S. ZIP code in the text box, and click Next.
  5. Select the city whose weather forecast you want to display on your web page, and click Finish.

    Microsoft FrontPage adds the component to your web page.

Note To see how the MSNBC weather forecast will be displayed, click Preview in Browser [image]. You must also have a connection to the Internet.


Add an MSN search component

This feature is only available in the US English language version of Microsoft FrontPage.

  1. In Page view, position the insertion point where you want to add an MSN search component.
  2. On the Insert menu, click Web Component
  3. In the left pane, click MSN Components, and in the right pane, double-click Search the Web with MSN.

    Microsoft FrontPage adds the component to your web page.

Note To test the MSN search component, click Preview in Browser [image]. You must also have a connection to the Internet.


Add a text box to a form

In Page view, do one or both of the following:

Add a text box

  1. Click in the form where you want to place the text box.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Textbox.
  3. Type the label for the text box directly on the form.

Set the properties for a text box

  1. Double-click the text box.
  2. In the Name box, type a name to identify the text box.

    This internal name, which is not shown on the form, identifies the text box in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. If you want text to appear in the text box when a site visitor first opens the form, type the text in the Initial value box.
  4. In the Width in characters box, type a number indicating how many characters wide you want the box to be.
  5. In the Password field, click Yes or No to determine whether or not the field contains a password so its contents can be encrypted.
  6. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add or delete a category from the list of available categories

In order to add or delete a category, you must have a web site open.
  1. On the View menu, point to Reports, point to Files, and then click All Files.
  2. Right-click any file, click Properties on the shortcut menu, and then click the Workgroup tab.
  3. Click Categories, and then do one of the following:
    • To add a new category, type its name in the New category box, and then click Add.
    • To delete a category, select it, and then click Remove.
    • To undo your additions or deletions, click Reset. The list is restored to its original state.


Add a page banner to a web page

Important By default, a page banner displays the page title as displayed in Navigation view. Therefore, before you can use page banners, you must set up your web site's navigation structure in Navigation view. (A page banner will not be visible on a page unless the page is included in the navigation structure.)

  1. In Page view, position the insertion point where you want to add a page banner.
  2. On the Insert menu, click Page Banner.
  3. Do one of the following:

    Display the page banner as text

    1. Select Text in the Page Banner Properties dialog box.
    2. In the Page banner text box, type the text you want to display in the page banner, and click OK.
    3. To format the text, right-click the page banner, select Font on the shortcut menu, and modify the font.

    Display the page banner as a picture

    In order to use a picture, your page must use a theme.
    1. Select Picture in the Page Banner Properties dialog box.
    2. In the Page banner text box, type the text you want to display in the page banner, and click OK.

    Note The page banner picture that will be displayed is the banner that is associated with the theme for this page.


Add a comment to a web page

  1. In Page view, position the insertion point where you want to add a comment.
  2. On the Insert menu, click Comment.
  3. Type the comment.

Note A comment has the same attributes as the current paragraph style, but is displayed in a different color. Although comments can be viewed while editing a page, they are not visible in the Web browser of a site visitor who has browsed to the page. However, they are visible if the site visitor wants to view the source of your page, so use caution when writing comments.


Add a hit counter to a web page

  1. In Page view, position the insertion point where you want to place the hit counter.
  2. On the Insert menu, click Web Component.
  3. In the left pane, click Hit Counter.
  4. Do one of the following:

    Choose an existing counter style

    • In the right pane, under Choose a counter style, double-click one of the of the counter styles.

    Use a custom picture as a counter style

    1. In the right pane, double-click any of the counter styles.
    2. In the Hit Counter Properties dialog box, select Custom Picture.
    3. Type the relative location of the GIF file.

      For example, if the GIF is located in your images folder, the relative path would be /images/yourgif.gif

  5. To set the counter to a specific number, select the Reset counter to box, and then type the number.
  6. To display a fixed number of digits in the hit counter, select the Fixed number of digits box, and then type the number.

    For example, to display 005 rather than 5, select this option and type 3.

  7. Click OK. [HitCounter] is displayed on the page as a placeholder for the hit counter. To see how the hit counter will appear to site visitors, click the Preview tab, or click Preview in Browser World Wide Web button.

Note You must publish your web site to a web server that has the FrontPage Server Extensions or SharePoint Team Services from Microsoft installed. Ask your web administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the hit counter.


Add a password field to a form and set its properties

Note Only the UNIX operating system allows password validation and registration through a Web browser.

In Page view, do one or both of the following:

Add a password field

  1. Click in the form where you want to place the password field.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Textbox.
  3. Type the label for the password field directly on the form.

Set the properties of a password field

  1. Double-click the password field.
  2. In the Name box, type a name to identify the password field.

    This internal name, which is not shown on the form, identifies the password field in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. In the Width in characters box, type a number indicating how many characters wide you want the box to be.
  4. Click Yes under Password field.
  5. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note A password field is only validated when you use the Registration Form Handler or a custom script to handle the form results.


Add a picture as a submit button to a form

In Page view, do the following:

Add a picture as a submit button

  1. Click in the form where you want to place the submit button.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Picture.
  3. Select the picture by doing one of the following:
    • If you know the name of the picture Type the name of the picture in File name, and then click Insert.
    • If the picture is on a local drive or network In the Look in box, locate the picture you want. Or, click one of the buttons in the left side of the dialog box to locate the picture, and then click Insert.
    • If the picture is on the World Wide Web Click World Wide Web World Wide Web button In your Web browser, browse to the picture that you want, and then switch back to FrontPage. The location of the page you visited will be displayed in the File name box. Click Insert.

Set the properties of the picture submit button

  1. Right-click the picture, and then click Form Field Properties on the shortcut menu.
  2. In the Name box, type a name to identify the picture.

    This internal name, which is not shown on the form, identifies the submit button in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add an Office PivotTable list component

In Page view, do the following:
  1. In the Normal pane, position the insertion point where you want the PivotTable list located.
  2. On the Insert menu, click Web Component.
  3. In the left pane of the dialog box, click Spreadsheets and charts.
  4. In the right pane, click Office PivotTable and then click Finish.
  5. For more help on designing and using a PivotTable list, click the Help icon [image] on the PivotTable toolbar.

    If the toolbar is not visible, right-click the PivotTable list, and click Commands and Options. In the Commands and Options dialog box, click the Behavior tab, and then under Show/Hide select the Toolbar check box.

Note To use a Microsoft Excel PivotTable list in the browser, site visitors must have the Microsoft Office Web Components installed.


Add a plug-in

  1. On the Insert menu, click Web Component.
  2. In the left pane, click Advanced Controls.
  3. In the right pane, double-click Plug-In.
  4. In the Data source box, type the URL of the file for the plug-in to load, or click Browse to locate the file.
  5. Type or modify the following information in the Plug-In Properties dialog box:
    • Message for browsers without plug-in support To specify a message for browsers that don't support plug-ins, type an HTML or plain text message in the Message for browsers without plug-in support box.
    • Size To specify the width and height (in pixels) of the plug-in, specify the desired value in the Size box.
    • Hide To hide the plug-in when the page is viewed in a Web browser, select the Hide plug-in check box.
    • Layout To specify layout attributes, under Layout, specify the alignment, border thickness, and horizontal and vertical spacing for the plug-in.
Note If you want to specify cascading style sheet properties as an inline style for the plug-in, click the Style button.


Add an option button to a form

In Page view, for each option button you want to add to a form (or a group of option buttons), do one or both of the following:

Add an option button

  1. Click in the form where you want to place the option button.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Option Button.
  3. Type the label for the option button directly on the form, next to the option button.
    • You can specify whether site visitors select the option by clicking the button or its label.

      How?

      1. Select the text and the option button.
      2. On the Insert menu, point to Form, and then click Label.
Set the properties of an option button
  1. Double-click the option button.
  2. In the Group name box, type a name to identify the group to which this option button belongs.

    This internal name, which is not shown on the form, identifies the option button group in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. In the Value box, type the value to associate with this field.

    If this option button is selected, this value is returned with the form results, and is displayed on the default confirmation page.

  4. Click Selected under Initial state if you want the option button to be selected by default when a site visitor first opens the form.
  5. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add a reset button to a form

In Page view, do one or both of the following:

Add a reset button

  1. Click in the form where you want to place the reset button (push button).

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Push Button.

Set the properties of a reset button

  1. Double-click the button.
  2. In the Name box, type a name to identify the button.

    This internal name, which is not shown on the form, identifies the reset button in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. Click Reset under Button type.
  4. By default, the button label text changes to Reset. You can type a different button label in the Value/Label box.
  5. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add scripts in the HTML pane

To add a script to a web page, type or paste it into the HTML pane.

Important The type of script you use will determine where it needs to be located within the HTML code and whether the page must be saved in a special format (such as .asp).

Note For more advanced scripts, use Microsoft Script Editor or Microsoft Visual InterDev.


Add a text area to a form

In Page view, do one or both of the following:

Add a text area

  1. Click in the form where you want to place the text area.

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Text Area.
  3. Type the label for the text area directly on the form.

Set the properties of a text area

  1. Double-click the text area.
  2. In the Name box, type a name to identify the text area.

    This internal name, which is not shown on the form, identifies the text area in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. If you want text to appear in the text area when a site visitor first opens the form, type the text in the Initial value box.
  4. In the Width in characters box, type a number indicating how many characters wide you want the text area to be.
  5. In Number of lines, type a number indicating how many lines of text high you want the text area to be.
  6. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add search engine keywords to a web page

You can add keywords to any pages in your site to make them more accessible to search engines that recognize keywords.

  1. On the File menu, click Properties, and then click the Custom tab.
  2. Under User Variables, click Add.
  3. In the Name box, type keywords.
  4. In the Value box, type the index keywords for your site, using commas to separate words.
  5. Click OK twice.

Note Some search engines do not index web sites by using keywords in meta data or they require their own registration processes. For more information, see the guidelines for specific search engines.


Add a sound effect to a hover button

  1. In Page view, right-click the hover button you want to modify, and then click Hover Button Properties on the shortcut menu.
  2. Click Custom.
  3. In the Play sound area, select the action and the sound effect:
    • To play the sound effect when a site visitor clicks the hover button, type the URL of the sound effect in the On click box. Or, click Browse to locate the sound effect.
    • To play the sound effect when a site visitor points to the hover button, type the URL of the sound effect in the On hover box. Or, click Browse to locate the sound effect.

Note Because hover buttons are actually Java applets, you can only use .au format sound files for sound effects; you cannot use .midi or .wav files. Furthermore, the .au files must be in 8-bit, 8000 Hz, mono, u-law format.


Add an Office spreadsheet component

In Page view, do the following:
  1. In the Normal pane, position the insertion point where you want the spreadsheet located.
  2. On the Insert menu, click Web Component.
  3. In the left pane of the dialog box, click Spreadsheets and charts.
  4. In the right pane, click Office Spreadsheet and then click Finish.
  5. In the Normal pane, click inside the spreadsheet to activate it.
  6. Right-click the spreadsheet, and click Commands and Options.
  7. Using the Commands and Options dialog box, customize the appearance and behavior of the spreadsheet.
  8. For more help on designing and using a spreadsheet, click the Help icon [image] on the spreadsheet toolbar.

    If the toolbar is not visible, right-click the spreadsheet, and click Commands and Options. In the Commands and Options dialog box, click the Workbook tab, and then under Show/Hide select the Toolbar check box.

Note To use an interactive spreadsheet in the browser, site visitors must have the Microsoft Office Web Components installed.


Add a submit button to a form

In Page view, do one or both of the following:

Add a submit button

  1. Click in the form where you want to place the submit button (push button).

    If you are inserting a form field but have not already created a form, Microsoft FrontPage will automatically create a form area and insert the field inside that form. The form area will appear as a dashed line when you are editing the page.

    You can insert a new line by pressing ENTER.

  2. On the Insert menu, point to Form, and then click Push Button.

Set the properties of a submit button

  1. Double-click the button.
  2. In the Name box, type a name to identify the button.

    This internal name, which is not shown on the form, identifies the submit button in the form results. It will be visible to the site visitor on the default confirmation page, which is displayed when you use a form handler rather than a custom script.

  3. Click Submit under Button type.
  4. By default, the button label text changes to Submit. You can type a different button label in the Value/Label box.
  5. Click the Style button to access other options for formatting your form using cascading style sheets as an inline style.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add a caption to a table

You can add a caption — a title — to a table to label it or summarize its content for a site visitor. A table caption can be displayed above or below the table. You can also align the caption and format it like you would any other text.

In Page view, do one or more of the following:

Insert a caption at the top of the table

  1. Position the insertion point anywhere in the table.
  2. On the Table menu, point to Insert, and then click Caption.
  3. Type the text for your caption.

Note By default the caption appears at the top of the table.

Position the caption below the table

  1. Create the caption at the top of the table.
  2. Right-click on the caption, and then click Caption Properties on the shortcut menu.
  3. Click Bottom of table, and then click OK.

Change the alignment of the caption

  1. Select the caption you have created.
  2. Click one of the following on the Formatting toolbar:
    • Align right Align Right button
    • Align left Align Left button
    • Center Center button


Add a cell, row, or column to a table

In Page view, do one or more of the following:

Insert a cell

  1. Position the insertion point in a cell to the right of where you want to add a cell.
  2. On the Table menu, point to Insert, and then click Cell.

Insert a row

  1. Position the insertion point near where you want to insert a row.
  2. On the Table menu, point to Insert, and then click Rows or Columns.
  3. Click Rows, type the number of rows to insert.
  4. Under Location, specify where you want to place the rows.

Insert a column

  1. Position the insertion point near where you want to insert a column.
  2. On the Table menu, point to Insert, and then click Rows or Columns.
  3. Click Columns, type the number of columns to insert.
  4. Under Location, specify where to place the columns.


Add borders around text

In Page view, do one of the following:

Create a four-sided border

  1. Select the paragraphs around which you want to add a border.
  2. On the Format menu, click Borders and Shading.
  3. Under Setting, click the Box icon. Set properties for the border by selecting options in the Style, Color, and Width boxes.

Create a custom border

  1. Select the paragraphs around which you want to add a border.
  2. On the Format menu, click Borders and Shading.
  3. Under Setting, click Custom.
  4. From the Style box, click a border style. You can also select options from the Color and Width boxes.
  5. Under Preview, apply the border to one or more sides by clicking the buttons corresponding to the side you want to add.
  6. To specify the padding (the distance between the text and its border), under Padding, enter a value in the Top, Bottom, Left, and Right boxes in points.

Tip

To quickly add a border, select the paragraph around which you want a border, click Outside Borders [image], and then click the arrow to select the type of border you want.


Add a new line of text within a paragraph

  1. In Page view, position the insertion point where you want to insert a line break.
  2. On the Insert menu, click Break.
  3. Click Normal line break.

Tip

To view line break and paragraphs marks, click Show All [image].


Highlight or add shading to text

In Page view, do one or both of the following:

Highlight individual letters or words

  1. Select the letter, word, or block of text that you want to highlight.
  2. Click Highlight Color [image] on the menu bar, and then select the color you want.

Add shading to text

  1. Select the paragraphs to which you want to add shading.
  2. On the Format menu, click Borders and Shading, and then click the Shading tab.
  3. Do one or more of the following:

    Set a background color for the selected text

    • Select a color in the Background color box.

    Set the color of the selected text

    • Select a color in the Foreground color box.


Add a time stamp to a web page

A time stamp will display either the time or the date, or both, that the page was created or last changed. For example, a time stamp lets site visitors know whether the information on your site has changed since their last visit.

  1. In Page view, position the insertion point where you want to place a time stamp.
  2. On the Insert menu, click Date and Time.
  3. Specify the type of time stamp to display.
  4. Specify a format for the date and for the time.


Add a user or a user group with permissions

Choose one of the following based on the type of server that is hosting your web site.

Microsoft FrontPage 2000 Server Extensions or earlier version

  1. On the Tools menu, point to Server, and then click Permissions.
  2. If the web site is a subweb using the same permissions as its parent web site, and you want to use unique permissions, click Use unique permissions for this web, and then click Apply.

    Note See your Web server administrator or Internet service provider (ISP) for more information.

  3. Do one of the following:
    • If you want to add a user, click the Users tab and specify whether you want to give everyone or only registered users browse access to the web.
    • If you want to add a group, click the Groups tab.
  4. Click Add.
  5. In the Obtain list from box, if you are using a Microsoft Windows NT server, select the domain or group from which you want to select users or user groups.
  6. In the Names box, select or type a user name, and then click Add.

    Important Add users or groups for browse, author, and administer access separately. Repeat steps 5 and 6 for each user or group you want to add for a particular type of access.

  7. Specify the type of access to give to the list of users or groups you are adding (browse, author, or administer access), and then click OK.

SharePoint Team Services or Microsoft FrontPage Server Extensions 2002

Add a user account

  1. On the Tools menu, point to Server, and then click Permissions.

  2. On the Site Administration page, under Users and roles, click Manage users.

  3. Click Add a user.

  4. In the User area, click Add a new user with the following information, and then type the user name and password for the new user account.

  5. In the User Role area, select a user role for the new account.

  6. Click Add User.

Add an account from an existing network group or domain

Use this method to either add an existing user with a domain account to a web or subweb, or to add an existing user with a local machine account to a subweb.

  1. On the Tools menu, point to Server, and then click Permissions.

  2. On the Site Administration page, under Users and roles, click Manage users.

  3. In the User area, click Add user or group name, and then type the account's group or domain name and user name, for example mydomain\username1.

  4. In the User Role area, select a user role for the new account.

  5. Click Add User.

Notes

  • If you're using the default user roles, you need select only one role for the user account. Each Default role has all of the access rights of those lower on the list plus additional rights. For example, a contributor has browser rights plus the right to contribute to web document discussions.

  • If you don't see the Manage Users option, you are probably in a subweb that uses the user accounts and roles settings of a higher-level web site of the server or virtual server. To work with accounts and roles, either go to the top-level web site, or set up unique permissions for this subweb. See your network administrator or Internet service provider (ISP) for more information.

  • Your server administrator can specify a limit to the number of local accounts that you can create for a server or virtual server. Once you reach this limit, you must either delete unnecessary accounts or have the server administrator raise the limit. This limit does not include network group or domain accounts.


Add a video

  1. In Page view, position the insertion point where you want to insert a video.
  2. On the Insert menu, point to Picture, and then click Video.
  3. Browse to the video file and select it.
  4. Set the properties for the video.

    How?

    Right-click the video, click Picture Properties on the shortcut menu, and then click the Video tab. Do one or more of the following:

    • To play the video whenever the page is loaded in a site visitor's Web browser, select the On file open check box.
    • To play the video whenever a site visitor moves the mouse over the video, select the On mouse over check box.
    • In the Loop box, enter the number of times you want to play the video, or select Forever for continuous play.
    • To set a delay between playbacks, enter the delay time in milliseconds in the Loop delay box.

Note Some Web browsers do not support video.

Tip

To see how the video will be played with its current settings, click the Preview [image] button.


Add a web site or a page to your Favorites list

  1. In the Open or Save dialog box, select an item from the list.
  2. Click Tools, and then click Add to Favorites.

Note The Favorites list allows you quick access to frequently visited Web sites and pages. You can view items added to your Favorites list using Microsoft Internet Explorer, or in the Open dialog box, under Look in, of any Microsoft Office application.


Animate a page element

  1. Select the item you want to animate, and then on the Format menu, click Dynamic HTML Effects.

    The DHTML Effects toolbar is displayed.

  2. In the On box, click the down arrow, and then select the event that will trigger the animation.

    The events listed in the On box depend on the type of page element you selected.

    Events

    Click Starts the animation when a site visitor points to the page element and clicks the left mouse button once.

    Double click Starts the animation when a site visitor points to the page element and double-clicks the left mouse button.

    Mouse over Starts the animation when a site visitor points to and rests the pointer on the page element.

    Page load Starts the animation when the page is loaded in a site visitor's browser.

  3. In the Apply box, click the down arrow, and then select the type of animation effect you want to occur.

    The effects listed in the Apply box depend on the type of page element you selected and on the type of event you selected in step 2.

    Effects

    Fly out, Fly in, Drop in by word, Elastic, Hop, Spiral, Wave, Wipe, Zoom Applies an animation that moves a page element.

    Formatting Applies an animation that changes the appearance of the page element, such as changing a font color or applying a border effect.

    Swap picture Applies an animation that swaps one picture with another one.

  4. In the Choose Settings box, click the down arrow, and then choose the settings for the effect.

    Settings

    Choose Settings The settings listed depend on the type of page element you selected and the type of effect you selected in the Apply box. If you applied Fly out animation in step 3, select the direction or type of movement (such as To left or To bottom-left).

    Choose Font If you applied Formatting animation in step 3, select this to change the font style, size, color, effects, or character spacing.

    Choose border If you applied Formatting animation in step 3, select this to change the border or shading.

    Choose picture If you selected a picture and a Swap picture effect in step 3, select this and then select the picture to swap in when the event you selected in step 2 occurs.

Tip

To preview the page, click the Preview button [image] or click Preview in Browser Preview in Browser button.


Copy the background and colors of one web page to another

  1. In Page view, open the page to which you want to apply a background and color.
  2. Right-click the page, and then click Page Properties on the shortcut menu.
  3. Click the Background tab.
  4. Select the Get background information from another page check box.
  5. Click Browse.
  6. Select the page that contains the background and colors you want to use.

Note If the current page uses a theme, this feature is disabled.


Apply a style

Do one or both of the following:

Apply a style to text

Apply a style to characters

In Page view, do the following:

  1. In the Normal pane, select text that you want to change within a paragraph.

  2. In the Style box [image], click the built-in or user-defined character style you want to apply.

    Notes

    • Character styles are shown in the Style box by a small, underlined letter a in front of the style name.

    • Only one built-in character style is installed with Microsoft FrontPage (shown in the Style box as Default Character Style and preceded by a small, underlined letter a). The Default Character Style removes formatting applied by user-defined character styles.

Apply a style to paragraphs

  1. In the Normal pane, click anywhere inside the paragraph you want to change.

  2. In the Style box [image], click the built-in or user-defined paragraph style you want to apply.

    Notes

    • Paragraph styles are identified by a paragraph symbol (for built-in styles) or the absence of a character (for user-defined styles) in front of the style name.

    • You can apply a character style to an entire paragraph, but you must select the entire paragraph to do so. Some character style attributes may not display correctly when applied to an entire paragraph.

Apply a style to other page elements

Apply a style to a page element that doesn't support a Style button

Some Microsoft FrontPage web components, such as the hit counter, do not have dialog boxes that support the Style button.

In Page view, do the following:

  1. In the Normal pane, select the page element you want to change.

  2. In the Style box [image] on the formatting toolbar, click the built-in or user-defined style you want to apply.

Apply a style to a page element that supports a Style button

Style buttons are available in the Properties dialog boxes for most page elements, including tables, form fields, and plug-ins.

In Page view, do the following:

  1. In the Normal pane, select the page element you want to change.

  2. On the Format menu, click Properties.

  3. Click the Style button.

    If the page element you are working with does not support a Style button, follow the steps above under "Apply a style to a page element that doesn't support a Style button."

  4. Specify the style you want to apply as follows:

    • To apply a style from the embedded cascading style sheet (CSS) for the page, click the Class box, and then click a selection in the list of available class selectors.

    • To apply a style from an external CSS, type the name of the style in the Class box.

    • To apply an ID selector, type the name of the selector in the ID box.

    • To create an inline CSS, click Format, and then click Font, Paragraph, Border, Numbering, or Position to specify the formatting characteristics.


Apply a theme

  1. Choose what you want to do:

    Apply a theme to the current page

    1. In Page view, open the page to which you want to apply a theme.
    2. On the Format menu, click Theme.
    3. In the list of themes, click the theme you want to apply.

      A preview is displayed under Sample of Theme.

      To apply the default theme setting of the web site (if there is one), click Default at the top of the list.

    Note After you apply a theme to the current page, the page no longer uses the default theme setting of the web site (if there is one). Therefore, any theme changes you apply to the web site will not affect this page.

    Apply a theme to selected pages

    1. In Folder view, select the pages you want to apply a theme to.

      How?

      To select multiple pages, hold down CTRL and click the pages you want to select.

    2. On the Format menu, click Theme.
    3. Click Selected pages.
    4. In the list of themes, click the theme you want to apply. A preview is displayed under Sample of Theme.

      To apply the default theme setting of the web site (if there is one), click Default at the top of the list.

    Note If you apply theme settings to individual pages, these pages no longer use the default theme setting of the web site (if there is one). Therefore, any theme changes you apply to the web site will not affect these pages.

    Apply a theme to a web site

    1. On the Format menu, click Theme.
    2. Click All pages.
    3. In the list, click the theme you want to apply.

      A preview is displayed under Sample of Theme.

    Note When you apply a theme to an entire web site, FrontPage will display a warning indicating that you are setting the default theme for that site.

  2. Select any of the following check boxes to set the appearance of the theme:
    • Vivid colors To use a bright color set, select the Vivid colors check box. To use the normal color set, clear this check box.
    • Active graphics To use a more elaborate and lively set of banners, buttons, bullets, and other graphical elements, the Active Graphics check box is selected by default; to use the normal graphic set, clear the check box.

      The active graphic set uses animated page elements, such as hover buttons instead of plain buttons on link bars. Some theme elements do not contain any active graphics, so this option may not be available.

    • Background picture The Background picture check box is selected by default. If you don't want to use it for your theme, clear the check box.
    • Apply using CSS To have Microsoft FrontPage apply a theme as a cascading style sheet and link it to the page (rather than change the actual HTML of the page), select the Apply using CSS check box.

      To change the page's HTML code to apply the theme, clear this check box.

      Note Not all browsers display CSS formatting correctly.


Apply XML formatting rules

  1. In Page view, click the HTML button [image].
  2. In the HTML pane, right-click anywhere on the page.
  3. Select Apply XML formatting rules.

Important If you apply XML formatting to a document formatted to exclude selected ending tags (for example, the </P> tag), those tags will likely be applied by this feature.


Assign a file

Do one of the following:

Assign a file

  1. On the View menu, point to Reports, point to Workflow, and then click Assigned To.
  2. In the Assigned to report, click the cell in the Assigned to column of the file you want to assign, click the cell again, and then type or select a name.

Assign multiple files at one time

  1. On the View menu, point to Reports, point to Workflow, and then click Assigned To.
  2. In the Assigned To report, select the files you want to assign, right-click to display the shortcut menu, and then click Properties.
  3. Click the Workgroup tab, and then in the Assigned to box, select the person or workgroup to whom you want to assign the files.

Note If files located in hidden folders are not shown in this report, click Web Settings on the Tools menu, click the Advanced tab, and then select the Show documents in hidden directories check box.


Assign a task

Do one of the following:

Assign a task when you create the task

  1. On the File menu, point to New, and then click Task.
  2. In the Task name box, type the name of the task.
  3. In the Assigned to box, type or select the name of the person, workgroup, or other area you want to assign the task to.

Note If you create a task in Page view while editing a page, the task is automatically associated with that page. The Associated with field displays the name of the file associated with the task, if any.

Assign a task after you've created the task

  • In Tasks view, click the cell in the Assigned to column of the task you want to assign, click the cell again, and then type or select a name. This will override any assignment made when the task was created.

Note If a task has been marked as Completed, you can't reassign it.


Assign or change the program used to edit a file

Associate a program with a file type

  1. On the Tools menu, click Options, click the Configure Editors tab, and then click Add.
  2. In the File type box, type the three-character extension of the file type you want to add, such as "doc" for Microsoft Word files.
  3. In the Editor name box, type the name of the program you want Microsoft FrontPage to use to open that type of file.
  4. In the Command box, type the path to the executable file for the program, such as \Program Files\Folder Name\Program.exe, or click Browse to locate the file.

Change the program associated with a file type

  1. On the Tools menu, click Options, and then click the Configure Editors tab.
  2. Select the file type or program association that you want to change, and then click Modify.
  3. In the Editor name box, type the name of the program you want Microsoft FrontPage to use to open that type of file.
  4. In the Command box, type the path to the executable file, such as \Program Files\Folder Name\Program.exe, or click Browse to locate the file.

Open a file with a different program

  1. In any view except Tasks or Reports view, right-click the file you want to open from the Folder List, and then click Open With on the shortcut menu.
  2. Select the program you want to use to open the file.

Remove the association between a program and a file type

Important If you remove the association between a file type and its editing program, you won't be able to open files of that type when you're working in Microsoft FrontPage. You should associate the file type with a different program rather than remove the association entirely.

  1. On the Tools menu, click Options, and then click the Configure Editors tab.
  2. Select the file type or program association that you want to remove, and then click Remove.


Add a bCentral banner ad manager

This feature is only available in the US English language version of Microsoft FrontPage.

In order to add a bCentral hit counter to your web page, you must have an account with bCentral. Or, you must sign up for account within the LinkExchange Banner Network wizard.

  1. In Page view, position the insertion point where you want to add a bCentral banner ad manager.
  2. On the Insert menu, click Web Component
  3. In the left pane, click bCentral Components, and in the right pane, double-click bCentral Banner Network.
  4. Follow the directions in the LinkExchange Banner Network wizard.

    Microsoft FrontPage adds the banner ad manager to your web page.

Note To test the bCentral hit banner ad manager, click Preview in Browser [image]. You must also have a connection to the Internet.


Add a bCentral hit counter

This feature is only available in the US English language version of Microsoft FrontPage.

In order to add a bCentral hit counter to your web page, you must have an account with bCentral. Or, you must sign up for an account within the FastCounter wizard.

  1. In Page view, position the insertion point where you want to add a bCentral hit counter.
  2. On the Insert menu, click Web Component
  3. In the left pane, click bCentral Components, and in the right pane, double click bCentral FastCounter.
  4. Follow the directions in the FastCounter wizard.

    Microsoft FrontPage adds the counter to your web page.

Note To test the bCentral hit counter, click Preview in Browser [image]. You must also have a connection to the Internet.


Browser compatibility settings

The following table shows features that are enabled in Microsoft FrontPage depending on the browser compatibility settings you choose.

Browser type | Available Features
Microsoft Internet Explorer 5.0 and later | ActiveX, VBScript, JavaScript, Java applets, DHTML, frames, CSS 1.0, CSS 2.0, VML
Internet Explorer 4.0 | ActiveX, VBScript, JavaScript, Java applets, DHTML, frames, CSS 1.0, CSS 2.0, VML downlevel image file
Internet Explorer 3.0 | ActiveX, VBScript, JavaScript, Java applets, frames, CSS 1.0, VML downlevel image file
Netscape Navigator 5.0 and later | JavaScript, Java applets, DHTML, frames, CSS 1.0, CSS 2.0, VML downlevel image file
Netscape 4.0 | JavaScript, Java applets, DHTML, frames, CSS 1.0, CSS 2.0, VML downlevel image file
Netscape 3.0 | JavaScript, Java applets, frames, VML downlevel image file
Internet Explorer and Netscape 4.0, 5.0 and later | JavaScript, Java applets, DHTML, frames, CSS 1.0, CSS 2.0, VML downlevel image file
Internet Explorer and Netscape 3.0 | JavaScript, Java applets, frames, VML downlevel image file
Microsoft Web TV | N/A

The following settings may be unavailable depending on the browser compatibility settings you choose.

Browser type | Unavailable Features
Microsoft Internet Explorer only | Blink
Netscape Navigator only | Marquee, video, table background picture, cell borders and background
Both Internet Explorer and Netscape | Marquee, video, table background picture, cell borders and background, blink
Microsoft Web TV | Marquee, video, table background picture, cell borders and background, overline, blink, small caps, all caps, capitalize

Note Menu commands that are incompatible with your browser compatibility selections are unavailable (dimmed) on Microsoft FrontPage menus. If you override the default and enable a technology or feature not supported by a specific browser or version, your web site might be displayed incorrectly or contain errors.


Categorize files

In order to categorize files, you must have a web site open.
  1. On the View menu, point to Reports, point to Workflow, and then click Categories.
  2. Select the file or files you want to categorize.
    • If you want to categorize a single file, right-click the file, click Properties on the shortcut menu, and then click the Workgroup tab.
    • If you want to categorize multiple files, press CTRL, and then click each file you want to select. Right-click any of the selected files, click Properties on the shortcut menu, and then click the Workgroup tab.
  3. In the Available Categories box, select the check boxes for the categories that apply to this file. You can select multiple categories.


Categorize hidden files

In order to categorize hidden files, you must have a web site open.

  1. Show hidden files and directories.

    How

    1. On the Tools menu, click Web Settings.
    2. Click the Advanced tab, and then select the Show documents in hidden directories check box.
  2. On the View menu, point to Reports, point to Workflow, and then click Categories.
  3. Select the file or files you want to categorize.
    • If you want to categorize a single file, right-click the file, click Properties on the shortcut menu, and then click the Workgroup tab.
    • If you want to categorize multiple files, press CTRL, and then click each file you want to select. Right-click any of the selected files, click Properties on the shortcut menu, and then click the Workgroup tab.
  4. In the Available Categories box, select the check boxes for the categories that apply to this file. You can select multiple categories.


Change or delete a hot spot

  1. In Page view, click the graphic to view the hot spot s.
  2. Click the hot spot, and then do one or more of the following:
    • Edit the URL for a hotspot Double-click the hot spot, and change the destination in the Address box.
    • Resize the hotspot Click and drag the selection handles.
    • Delete a hotspot Press DELETE.
    • Move the hotspot Drag it to a new position. Or, press the arrow keys.

    Tip

    You can return a hot spot to its original position, provided it is still selected, by pressing ESC.


Change the layout of a photo gallery

  1. In Page view, double-click the photo gallery.
  2. Click the Layout tab.
  3. Choose a layout from the list.

    View a preview of the layout under Preview.

  4. Select a number from Number of pictures per row.

    If you choose Slide Show or Montage, this option will be unavailable (grayed out).


Change the border around a graphic

Note You cannot change a beveled border around a graphic.

  1. In Page view, right-click the graphic, and click Picture Properties on the shortcut menu.
  2. Click the Appearance tab.
  3. Under Layout, in the Border thickness box, enter a value to indicate the width of the border in pixels.

Note If the graphic has a default hyperlink, the border will have the colors that you specified for hyperlinks (these colors are set in the Page Properties dialog box).


Change the contrast or brightness of a graphic

  1. In Page view, click the graphic.

    If you want to change the contrast of the background graphic, you do not need to make a selection.

    Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

  2. Do one or both of the following:

    Change the color contrast of a graphic

    • On the Pictures toolbar, click More Contrast [image] or Less Contrast [image] to increase or decrease the contrast of the graphic.

    Change the brightness of a graphic

    • On the Pictures toolbar, click More Brightness [image] or Less Brightness [image] to increase or decrease the brightness of the graphic.


Change the destination of a hyperlink

  1. In Page view, select the hyperlink.
  2. Click Insert Hyperlink Hyperlink button .
  3. Choose the hyperlink destination you want.


Change the text of a hyperlink

  1. In Page view, select the hyperlink text.
  2. Type the new text.


Change the initial page shown in a frame

  1. In Page view, right-click in the frame, and then click Frame Properties on the shortcut menu.
  2. Do one of the following:
  • In the Initial page box, type the URL of the initial page you want to show.
  • Click Browse to locate the page.


Change the page labels on a link bar

Important You cannot change the page labels of a link bar with back and next links.

Do one of the following:

Change the page labels on a link bar based on the navigation structure

  1. In Navigation view, right-click the page whose label you want to change.
  2. Click Rename.
  3. Type the label of the page you want to display in the link bar.

Change the page labels on a custom link bar

  1. Double-click the link bar.
  2. Under Links, double-click the page whose label you want to change.
  3. In the Text to display box, type the label of the page you want to display in the link bar.

Note If you change a link bar in a shared border, the change will affect all pages using that shared border.


Change the orientation of a link bar

You can change whether a link bar is displayed on the page horizontally (a row of hyperlinks) or vertically (a column of hyperlinks).

  1. In Page view, double-click the link bar.
  2. Click the Style tab.
  3. Under Orientation and appearance, specify the orientation you want for the link bar.

Note If you change a link bar in a shared border, the change will affect all pages using that shared border.


Change the style of a link bar

Do one of the following:

Change the format of a link bar that uses text

  1. In Page view, click the link bar.
  2. On the Format menu, click Font and choose the options you want, and then click OK.

Change the format of a link bar that uses buttons

  1. In Page view, double-click the link bar.
  2. Click the Style tab.
  3. Select the link bar style you want to use for this link bar. Or, if your page uses a theme, click Use Page's Theme.

    If a theme has been applied to your web site, button link bars will use fonts, colors, and other style elements from the theme. If you click Use Page's Theme and your page does not use a theme, the link bar will use the default text of the page.

Note If you change a link bar in a shared border, the change will affect all pages using that shared border.


Change the name or description of a task

  • In Tasks view, click the cell in the Task or Description column that you want to change, click the cell again, and then type the new name or description.

Note If a task has been marked as Completed, you can change the task's description but not its name.


Change a web page banner

  1. In Page view, double-click the page banner.
  2. Set the properties for the page banner.

Note When you change the text displayed on a page banner, the title of the page in Navigation view is also changed.


Change page direction

The feature described in this Help topic is only available if support for a right-to-left language such as Arabic or Hebrew is enabled through Microsoft Office Language Settings.

In addition, you must be running a Microsoft Windows operating system that has right-to-left support — for example, Microsoft Windows 2000.

  1. Place the insertion point on the page that you want to change.
  2. On the Tools menu, click Page Options, and then click the General tab.
  3. Select Right-to-left direction on all new pages.


Change the page-encoding language for saving or loading a page

By default, Microsoft FrontPage sets the encoding of pages based on your keyboard language when you first type on a page, or uses the web site's default encoding to determine in what character set to save and load pages. If no site is open, FrontPage uses the default encoding specified for your computer. However, you can specify a different encoding for individual pages.

About saving pages

The HTML encoding option lets you specify which HTML encoding FrontPage should use to save a page. For example, if characters on your page are not recognized by the default encoding, these unrecognized characters are saved by embedding additional information in the page's HTML code, thereby increasing the size of the file.

While a few characters might not pose a problem, you probably don't want an entire page of characters saved this way, so you should specify the correct encoding for the page. For example, if the default page encoding for the web site is US/Western European but the page is written in Greek characters, you should set the encoding for saving pages to Greek or Multilingual.

When you save the page, the HTML encoding you specify is included in the page's HTML code, telling Web browsers how to read the text in the page.

About reloading pages

If a page's HTML encoding is not specified, (for example, a page created in NotePad), FrontPage must guess the page's encoding when it loads the page. If FrontPage guesses incorrectly, the page will not be displayed correctly. You can specify the correct encoding to use when the page is reloaded.

Warning If the current page is being displayed incorrectly, you might corrupt the contents of the page by saving the page over the original.

To set a pages HTML encoding, use the following procedure.

  1. In Page view, right-click the page, click Page Properties on the shortcut menu, and then click the Language tab.
  2. Under HTML Encoding, do the following:
    • In the Save the document as box, select the character set in which to save the current page.
    • In the Reload the current document as box, select the character set in which to load the current page, if the current page is not displaying text correctly.

Tips

  • For pages containing a mix of languages, Unicode is a useful encoding; it contains the basic Roman character set, plus characters from languages throughout the world. Unicode corresponds to the Multilingual (UTF-8) option.
  • For the euro character to be displayed correctly, your page encoding must be set to either US/Western European or Unicode.


Change which pages are displayed on a link bar

Change which pages are displayed on one of the following types of link bars:

A link bar based on the navigation structure

  • Do one of the following:

    Specify the hyperlinks you want to display

    1. In Page view, double-click the link bar.
    2. Under Hyperlinks to add to page, specify the hyperlinks you want to display.

      Note If you specify hyperlinks that are not in the navigation tree, a link bar will not display on the page.

    Exclude a page

    1. In Navigation view, right-click the page you want to exclude.
    2. Click Included in Navigation Bars on the shortcut menu so that it is no longer selected.

    Note All pages under the excluded page (that is, all child-level pages) will also be excluded by default. If you want to change this setting, right-click a child-level page, and then click Included in Navigation Bars on the shortcut menu to select it again.

A custom link bar or a link bar with back and next links

  1. In Page view, double-click the link bar.
  2. Do one or more of the following:
    • To add more links to the link bar, click Add link .
    • To delete it from the link bar, select a link and click Remove link.
    • To change the URL or display text of the link, click Modify link .
    • Click Move up or Move down to change the order of the links on the link bar.

      For link bars with back and next links, moving the links up or down affects how the links are ordered with relation to one another on the link bar.

Note If you change a link bar in a shared border, the change will affect all pages using that shared border.


Change permissions for a user or user group

Choose one of the following based on the type of server that is hosting your web site.

Microsoft FrontPage 2000 Server Extensions or earlier version

  1. On the Tools menu, point to Server, and then click Permissions.
  2. If the web is a subweb using the same permissions as its parent web, click Use unique permissions for this web, and then click Apply.
  3. Do one of the following:
    • If you want to change permissions for a user, click the Users tab.
    • If you want to change permissions for a group, click the Groups tab.
  4. Select a user, and then click Edit.
    • If no users are visible, add a user and set permissions.
    • Under User can, select the type of access you want to give the user.
  5. Specify the type of access to give to the list of users or groups (browse, author, or administer access), and then click OK.

SharePoint Team Services or FrontPage Server Extensions 2002

  1. On the Tools menu, point to Server, and then click Permissions.
  2. On the Site administration page, under Users and roles, click Manage users.
  3. Click the user account to which you would like to assign a new role.
  4. Select the check boxes next to the user roles that you want to enable for the user account.
  5. Click Submit.

Notes

  • If you're using the default user roles, you need only select one role for the user account. Each role has all of the access rights of those lower on the list plus additional rights. For example, a contributor has browser rights in addition to the right to contribute to web document discussions.
  • If you don't see the Manage users option, you are probably in a subweb that uses the user account and roles settings of a higher-level web site of the server or virtual server. To work with accounts and roles, either navigate to the top-level web site, or set up unique permissions for this subweb. See your network administrator or Internet service provider (ISP) for more information.


Change the target frame

  1. Select the text or picture that you are using as a hyperlink, and then click Insert Hyperlink Insert Hyperlink button.
  2. In the Edit Hyperlink dialog box, click Target Frame Change target frame. Then do one of the following:

    Choose a target frame within your frames page

    • In the Target Frame dialog box, the Current frames page area shows a map of your frames page. Click in the frame you would like to set as the target frame.

    Choose a target frame either within your frames page or outside of it

    • In the Target Frame dialog box, the Common area gives you several target frame options. Click one of the options to select a target frame.


Change the color of a theme element

  1. On the Format menu, click Theme.
  2. In the list of themes, click the theme for which you want to change the element.
  3. Click Modify, and then click Colors.
  4. Next to Theme color set, specify whether you want to change colors in the normal or vivid color set.

  5. Click the Custom tab.

  6. Do one of the following:

    Choose an existing color

    1. In the Item box, click the item for which you want to change the color.
    2. In the Color box, specify the color you want to use.
    3. Repeat these steps for each item for which you want to change the color.
    4. Click OK.

    Define a custom color

    1. In the Item box, click the item for which you want to change the color.
    2. Click the Color box, and then click More Colors.
    3. Do one of the following:

      Select a color from a browser-safe palette

      • Click a color, and then click OK.

      Specify a hexadecimal value

      • Type the value in the Value box (for example, type HEX={FF,33,00}), and then click OK.

      Select a color on the screen

      • Click Select, use the Eyedropper [image] to click the color, and then click OK.

        For example, to use a color from a picture on an open page, click a color on the picture.

      Create a color average of the colors in a particular region on the screen

      • Click Select, use the Eyedropper [image] to draw a box on the screen to specify the region, and then click OK.

      Select a different color, or specify a combination for hue-saturation-luminosity or red-green-blue

      1. Click Custom.
      2. Under Custom Colors, click a blank box.
      3. Define a color by entering a combination of values or by selecting a color from the color matrix.
      4. Click Add to Custom Colors, and then click OK until you return to the main Themes screen.
  7. Click Save As.
  8. Type a new name for the theme (unless you have modified a custom theme), and then click OK.

Note When you modify a preset theme, you must save your changes to a new theme; you cannot overwrite a preset theme.


Change the color scheme of a theme

  1. On the Format menu, click Theme.
  2. In the list of themes, click the theme for which you want to change colors.
  3. Click Modify, and then click Colors.
  4. Next to Theme color set, specify whether you want to change colors in the normal or vivid color set.

  5. Do one of the following:

    Choose a preset color scheme

    1. Click the Color Schemes tab.
    2. Select the color scheme you want to use.

    Create a new color scheme

    1. Click the Color Wheel tab.
    2. Create a custom color scheme you want to use, and then click OK.
  6. Click Save As to save the modified theme.
  7. Type a new name for the theme (unless you have modified a custom theme), and then click OK.

Note When you modify a preset theme, you must save your changes to a new theme; you cannot overwrite a preset theme.


Change the graphics used in a theme

  1. On the Format menu, click Theme.
  2. In the list, click the theme you want to modify.
  3. Click Modify, and then click Graphics.
  4. In the Item box, select the graphical element you want to change.
  5. Next to Theme graphic set, specify whether you want to change graphics in the normal or active set.

    The active graphic set uses animated page elements, such as hover buttons instead of plain buttons on link bars.

    Note Some theme elements do not contain any active graphics, so this option may not be available.

  6. Click the Picture tab.
  7. Specify the picture or pictures you want to use — depending on the element you selected, one or more options are displayed. For example, for Bullet List, you can specify three different bullets.
    • To find the graphic in the current web site or file system, click Browse.
    • If the graphical element you selected displays text, the options on the Font tab will be available and you can change the font.
  8. Repeat steps 4 through 7 for each graphical element you want to change.
  9. Click OK.
  10. Click Save As.
  11. Type a new name for the theme (unless you have modified a custom theme), and then click OK.

Note When you modify a preset theme, you must save your changes to a new theme; you cannot overwrite a preset theme.


Change the styles used in a theme

  1. On the Format menu, click Theme.
  2. In the list, click the theme you want to modify.
  3. Click Modify, and then click Text.
  4. In the Item box, click the item for which you want to change the style.
  5. Under Font, click the font you want to use.

    To view other options for changing the theme's style by using cascading style sheets as an inline style, click More Text Styles.

  6. Repeat steps 4 and 5 for each item you want to change.
  7. Click OK.
  8. Click Save As.
  9. Type a new name for the theme (unless you have modified a custom theme), and then click OK.
Note When you modify a preset theme, you must save your changes to a new theme; you cannot overwrite a preset theme.


Change the title bar of my web page

The title of a page is the name that appears in the title bar of most Web browsers. The title can be different from the file name.

For example, the title of your home page could be "My home page" even though the file name is Default.htm.

  1. In any view except Tasks or Reports view, right-click the file in the Folder List, click Properties on the shortcut menu, and then click the General tab.
  2. In the Title box, type the title of the file that you want to appear in page banners and/or link bars.

Note The title you choose also appears in page banners and link bars that Microsoft FrontPage creates.


Change the Views bar

Do one or more of the following:

Hide the Views bar

On the View menu, click Views Bar to clear the check mark.

Show the Views bar

On the View menu, click Views Bar to show the check mark.

Choose the size of the Views bar icons

Right-click anywhere on the Views bar, and then click Small Icons or Large Icons on the shortcut menu.


Check for errors on a page

If you have used any hyperlinks or Microsoft FrontPage-based components in your web site — hit counters, page banners, horizontal lines, etc. — you should check for errors before publishing the web site.

Do one or both of the following:

Check for component errors

  1. On the View menu, point to Reports, point to Problems, and then click Component Errors.

    Pages with errors are listed, and a description of the error is displayed in the Errors column.

  2. To open a page to edit it, double-click the row.

Check for hyperlink errors

  1. On the View menu, point to Reports, point to Problems, and then click Broken Hyperlinks.

    Pages and their broken hyperlinks are listed, and a description of the error is displayed in the Errors column.

  2. To edit the hyperlink, double-click the row.

    Note In the Edit H yperlink dialog box, you can choose to change the hyperlink in all pages or in selected pages.


Check files in and out using source control

Microsoft FrontPage provides a built-in source control feature that ensures that only one person at a time can edit a file.

Check out a file

When you check out a file, only you can modify it. Other authors can open the last-saved version of the file to view it, but cannot save any changes to it.

In any view except Tasks or Reports, do the following:

  1. Make sure the Folder List is showing.

    How?

    • On the View menu, click Folder List.
  2. Right-click a file in the Folder List.
  3. Click Check Out on the shortcut menu.

Check in a file

You can check in a file that you have edited. Other authors will then be able to check out the file and modify it.

  1. In Page view, click Save Save button to save your changes.
  2. Make sure the Folder List is showing.

    How?

    • On the View menu, click Folder List.
  3. In the Folder List, right-click the file you want to check in, and then click Check In on the shortcut menu.

Undo a file checkout

You can undo a file checkout. The file will be checked in as though no changes had been made to it since it was last checked out.

  1. Make sure the Folder List is showing.

    How?

    • On the View menu, click Folder List.
  2. In the Folder List, right-click the file for which you want to undo a checkout, and then click Undo Check Out on the shortcut menu.

Tip

To see the checkout status of files, point to Reports on the View menu, and then click Checkout Status.


Check spelling in a page or web site

Do one or more of the following:

Check spelling on a page

  1. Open the page whose spelling you want to check.
  2. In Page view, click Spelling Spelling button.

    If an unrecognized word is found, the Spelling dialog box opens and displays the word in the Not in Dictionary box.

  3. Do one of the following:
    • To replace the misspelled word with a word from the Suggestions list, click the suggested word, and then click Change. Click Change All to correct all instances of this word.
    • To correct the word yourself, type the correct word in the Change To box, and then click Change. Click Change All to correct all instances of this word.
    • If the unrecognized word is correctly spelled, click Ignore to ignore this instance of the word, or click Ignore All to ignore all instances of this word. Click Add to add the word to your custom dictionary.
    Microsoft FrontPage displays the next misspelled word.

Note If you click Cancel, any changes that have already been made will not be undone.

Check spelling in a web site

To correct misspelled words in a web site, you can either add a task for each page in which Microsoft FrontPage finds misspelled words and correct them later, or you can correct the spelling immediately.

  1. Switch to Folders view.

    How?

    On the View menu, click Folders.
  2. If you do not want to check spelling in each page in the web site, select only the pages you want to check.

    How?

    To select multiple, non-sequential pages, click the name of the first page you want to select, and then hold down CTRL while clicking the name of all the other pages you want to select.
  3. Click Spelling Spelling button.
  4. Do one of the following:
    • To check spelling in all pages in the current web site, click Entire web.
    • To check spelling in pages you have selected, click Selected pages.
    • If you want FrontPage to add a task for each page with misspelled words, select the Add a task for each page with misspellings box.
  5. Click Start.
  6. When FrontPage lists the pages with misspelled words, do one of the following:

    Correct misspellings in the task view later

    1. If you chose to create tasks for pages with misspelled words, the tasks are added to the task list. To correct the misspellings later, click Cancel.

    2. When you are ready to correct misspellings, switch to Tasks view, double-click a task labeled Fix misspelled words, and then click Start Task.
    3. FrontPage opens the page in Page view and prompts you to correct the misspelled words.

    Correct the misspellings now

    1. To correct the misspellings, double-click a page from the list. FrontPage opens the page in Page view and prompts you to correct the misspelled words.

    2. When you have reviewed all occurrences of the text in the page, you are prompted to save and close the page, and continue to the next page in which a misspelling was found.

Check spelling automatically as you type

  1. On the Tools menu, click Page Options.
  2. On the General tab, select the Check spelling as you type check box.
  3. If you don't want misspelled words to be underlined with a wavy red line, select the Hide spelling errors in all documents check box. To show spelling errors, clear this check box.

Tip

To quickly change a misspelled word that has a wavy red line under it, right-click the word, and then click the correct spelling or Ignore. Click Add to add it to the custom dictionary.

Note Microsoft FrontPage checks spelling only for text elements that can be edited in Page view with the Normal button [image] selected. For example, if you add a component such as a hover button, or if you specify a page title in the page properties, spelling in these elements will not be checked.


Convert a folder to a subweb

Folders under a root web site can be converted to subwebs with their own permissions for who can author, browse, or administer them.

To convert a folder to a subweb, do the following:

  1. In the Folder list, right-click the folder you want to convert to a subweb.

    Warning Do not convert the root folder of your computer's hard drive. Doing so may make your hard drive unusable.

  2. Click Convert to Web on the shortcut menu.

    The larger the contents of the folder, the longer it will take to convert the folder to a web site. For a large folder, this process could take several minutes.

Notes

  • Pages that include other files may not be updated when the included files change.
  • Hyperlinks on link bars might not work correctly if you follow this procedure.


Convert a graphic to a GIF or JPEG

  1. In Page view, right-click the graphic, and then click Picture Properties on the shortcut menu.
  2. Click the General tab.
  3. Under Type, click one of the following:
    • To convert the graphic to GIF format, click GIF.
    • To convert the graphic to JPEG format, click JPEG.


Convert Hangul to Hanja

If you are not using the Korean language version of Microsoft Office, then this feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for Korean. In addition, you must enable support for Korean through Microsoft Office Language Settings.

Convert specific words

  1. Type the Hangul you want to convert to Hanja, or select it.
  2. On the Tools menu, click Hangul Hanja Conversion.
  3. In the Hanja Suggestions box, select the appropriate Hanja.

    Tips

    • On a Korean keyboard, you can use the HANJA key or the right CTRL key to display the Hangul Hanja Conversion dialog box.
    • You can also convert all instances of a single word. In the Hangul Hanja Conversion dialog box, click the arrow next to the Change button, and then click Find and Replace. Then click Replace All to convert all instances.

Convert a word one character at a time

If the Hangul Hanja Conversion dialog box doesn't contain the suggestion you want, you can convert using your own Hanja one character at a time.

  1. Type the word you want to convert, and then select it.
  2. On the Tools menu, click Hangul Hanja Conversion.
  3. Click By Character.
  4. In the Hanja Suggestions box, select the appropriate Hanja character, and then click Change.
  5. Repeat step 4 until the word is converted.

Convert the entire document at one time

  1. On the Edit menu, click Select All, or press CTRL+A to select all of the text within the document.
  2. On the Tools menu, click Hangul Hanja Conversion.
  3. In the Hanja Suggestions box, select the appropriate Hanja, and then click Change.

Note When Hangul and Hanja are mixed in sentences, you need to specify whether to convert Hangul to Hanja or vice-versa. To skip converting an instance of a selected word, click Ignore.

Specify the display of converted Hangul or Hanja

Under Display Style in the Hangul Hanja Conversion dialog box, you can choose how to display Hangul and Hanja when you convert.

Display style | Before Conversion | After Conversion
Hangul |  |
Hanja |  |
Hangul(Hanja) |  | hak kyo ( hak kyo )
Hanja(Hangul) |  | hak kyo ( hak kyo )


Convert Hanja to Hangul

If you are not using the Korean language version of Microsoft Office, then this feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for Korean. In addition, you must enable support for Korean through Microsoft Office Language Settings.

Convert specific text

  1. Select the Hanja to be converted.
  2. On the Tools menu, click Hangul Hanja Conversion.
  3. In the Hangul Suggestions box, select the appropriate Hangul, and then click Change.

    Tips

    • On a Korean keyboard, you can use the HANJA key or the right CTRL key to display the Hangul Hanja Conversion dialog box.
    • You can also convert all instances of a single word. In the Hangul Hanja Conversion dialog box, click the arrow next to the Change button, and then click Find and Replace. Then click Replace All to convert all instances.

Convert the entire document at one time

  1. On the Edit menu, click Select All, or press CTRL+A to select all of the text in the document.
  2. On the Tools menu, click Hangul Hanja Conversion.
  3. In the Hangul Suggestions box, select the appropriate Hangul, and then click Change.

Note When Hangul and Hanja are mixed in sentences, you need to specify whether to convert Hangul to Hanja or vice-versa. To skip converting an instance of a selected word, click Ignore.

Specify the display of converted Hangul or Hanja

Under Display Style in the Hangul Hanja Conversion dialog box, you can choose how to display Hangul and Hanja when you convert.

Display style | Before Conversion | After Conversion
Hangul |  |
Hanja |  |
Hangul(Hanja) |  | hak kyo ( hak kyo )
Hanja(Hangul) |  | hak kyo ( hak kyo )


Convert a table to text

  1. In Page view, click anywhere on the table that you want to convert to text.
  2. On the Table menu, point to Select, and click Table.
  3. On the Table menu, point to Convert, and then click Table To Text.

Note Each table cell will become a separate paragraph.


Convert a web site or subweb to a folder

Warning When you convert a web site or subweb to a folder, many of the web site settings may be lost.

  • Converting a subweb to a folder makes the subweb available to anyone with permissions on the parent web site.
  • Pages with a theme applied may change to match the parent web site's theme.
  • Hyperlinks in navigation bars to these pages will be lost.
  • Tasks for these pages will be lost.

To convert a web site or subweb to a folder:

  1. In Folders view, right-click the web site you want to convert to a folder.
  2. Click Convert to Folder on the shortcut menu.

Note The larger the contents of the web site, the longer it takes to convert the web site to a folder. For a large web site, this process could take several minutes.


Copy an animation

You can copy DHTML animation from one page element to another. This enables you to apply an existing effect to another image without using the DHTML menu selections.

  1. Select the element whose animation you want to copy.
  2. Click Format Painter Format Painter button, and then click the page element to which you want to apply the animation.

Note Format Painter will copy other attributes besides the DHTML animation effect. For example, if you copy the formatting of a bold paragraph that flies in from the left, and apply it to another paragraph, the new paragraph will also have these attributes.


Copy style formatting of text

  1. Select the characters or paragraphs that have the formatting you want to copy.

    Important If you select a paragraph, make sure the selection includes the paragraph mark. To see the paragraph marks, click Show All Show All button.

  2. Click Format Painter Format Painter button, and then select the text to which you want to apply the formatting.

Note To copy formatting to several locations, double-click Format Painter Format Painter button and follow the steps above. When you are finished, click Format Painter again to apply the formatting to selected areas.


Automatically copy content from a cell to an adjacent row or column

You can copy content from one cell to other rows or columns in your table without having to cut and paste each time.

Copy content from a cell to an adjacent row or column

In Page view, do one or both of the following:

Copy content from one cell to an adjacent row of cells

  1. Position the insertion point in the cell with the content you want to copy.
  2. Select that cell and the adjacent cells in a row to the right by dragging the cursor.
  3. On the Table menu, select Fill, and click Right.

Copy content from one cell to an adjacent column of cells

  1. Position the insertion point in the cell with the content you want to copy.
  2. Select that cell and the adjacent cells in a column below by dragging the cursor.
  3. On the Table menu, select Fill, and click Down.

Note

  • You must select cells that are either in a row to the right or in a column below the cell with the content you are copying.
  • From the original cell, you must select cells that run in a straight line from the original cell, either horizontally in rows, or vertically in columns.


Create a task

  1. On the File menu, point to New, and then click Task.
  2. In the Task name box, type the name of the task.

  3. Specify the settings you want for this task:

    • In the Assigned to box, type or select the name of the person, workgroup, or other area you want to assign the task to.

    • In the Description box, type a description of the task. You can use this field to describe the work that needs to be completed or the work that was done on the task.

    • In the Priority area, click a priority for the task. The default priority is Medium.

Note If you create a task in Page view while editing a page, the task is automatically associated with that page file. The name of the file associated with the task, if any, is displayed in the Associated with field in the Assigned to report.


Create a watermark

A watermark is a graphic that appears in the background of web pages but does not scroll as the page scrolls.

  1. In Page view, right-click the page on which you want to add a watermark.
  2. Click Page Properties, and click the Background tab.
  3. Under Formatting, select Background picture, and select Watermark.
  4. In the text box, enter the location of the graphic you would like to use, or click Browse to locate it.


Create a banner ad

  1. In Page view, in the Normal pane, position the insertion point where you want to create a banner ad.
  2. On the Insert menu, click Web Component.
  3. In the left pane, click Dynamic Effects.
  4. In the right pane, double-click Banner Ad Manager.
  5. For each picture you want to display in the banner ad, click Add, and then select the picture.
    The list in the Pictures to display box shows the pictures you added and the sequence in which the pictures will be displayed.
  6. To change the sequence, select the URL of a picture in the list, and then click Move Up or Move Down.
  7. In the Transition effect box, select the effect you want to use between pictures.
  8. To create a hyperlink from the banner ad, in the Link to box, type a URL. Or, click Browse to locate the destination page or file for the hyperlink.

Note The images you use to create a single banner will all link to the same URL. If you want some of your pictures to link to another URL, repeat steps 1 through 8 to insert another banner ad.


Create a bookmark on a web page

  1. In Page view, do the following:
  2. Position the insertion point where you want to create a bookmark, or select the text to which you want to assign the bookmark.
  3. On the Insert menu, click Bookmark.
  4. In the Bookmark name box, type the name of the bookmark (spaces are allowed.)

Note If a location (rather than text) is bookmarked, the bookmark is indicated by Bookmark icon. If text is bookmarked, the text is displayed with a dashed underline.


Create a bulleted or numbered list

In Page view, do one of the following:

Create a bulleted list

  1. Place the insertion point where you want to create a list.
  2. On the Format menu, click Bullets and Numbering.

  3. Click the Plain Bullets tab, click the box with the bullets you want to use, and then click OK.

    Note If you are using a theme, the Plain Bullets tab will be unavailable.

  4. Type the text you want to add next to the bullet, and then press ENTER.
  5. To end the list, press ENTER again.

Create a bulleted list using graphics

  1. In a graphics program, create a graphic to use as a bullet, and then save it, preferably in GIF or JPEG format.
  2. Position the insertion point where you want to create a list.
  3. On the Format menu, click Bullets and Numbering, and then click the Picture Bullets tab.
  4. Click Specify picture, and then click Browse to find and select the graphic you just created.
  5. Click OK.
  6. Type the text you want to add next to the bullet, and then press ENTER.
  7. To end the list, press ENTER again.

Note When you save the page with the custom bullet, if the image you are using for the custom bullet is not in the current web site, you are prompted to save the bullet graphic, in GIF or JPEG format, to the current web site.

Create a numbered list

  1. Position the insertion point where you want to create a list.
  2. On the Format menu, click Bullets and Numbering, and then click the Numbers tab.
  3. Click the box with the style of numbers or letters you want to use, and then click OK.
  4. Type the text you want to add next to the bullet, and then press ENTER.
  5. When you have typed the last item, press ENTER twice to end the list.


Create a collapsible list

  1. In Page view, create an outline or a multilevel list.

    How?

    1. Place the insertion point where you want to create an outline.
    2. On the Format menu, click Bullets and Numbering, and then click the Numbers tab.
    3. Click the box with the style of numbers or letters you want to start with, and then click OK.
    4. For each item you want in the outline, regardless of its eventual level, type the item, and then press ENTER.
    5. When you have typed the last item, press ENTER twice to end the list.
    6. To place each item on the correct level, do one of the following:
      • To move items down to the next numbered level, select the items, and then click Increase Indent Increase Indent button twice.
      • To format items as a paragraph on the current level (without bullets or numbering), select the items, and then click Increase Indent Increase Indent button once.
      • To move items up to the previous level, select the items, and then click Decrease Indent Decrease Indent button one or more times as needed.
    7. To apply numbering, lettering, or bulleted styles to the different levels, select an item on a level or sublevel, right-click, and then click List Properties on the shortcut menu.
    8. On the Numbers tab, click the box with the style you want to use.
  2. Do one of the following:

    Set the entire list as collapsible

    1. Select the text that is at the highest level of the list.
    2. Right-click, and then click List Properties on the shortcut menu.
    3. Select the Enable collapsible outlines check box on the tab that is displayed.

      If this option is not displayed, you have not selected all the items in the list or level.

    4. if you want the list to be collapsed when the page is first opened in a Web browser, select the Initially collapsed check box.

    Note If your list contains many items on the same level, each level — including the additional levels below it — will be collapsible if you perform the steps above. In addition, all levels below the original one will also be collapsible.

    Set only one level in the list to be collapsible

    1. Select the top level item.
    2. Right-click, and then click List Properties on the shortcut menu.
    3. Select the Enable collapsible outlines check box on the tab that is displayed.

    Note If your list contains many items on the same level, each level — including the additional levels below it — will be collapsible if you perform the steps above. In addition, all levels below the original one will also be collapsible.

Notes

  • To test your collapsible list, click Preview [image], and click the top level of the part of the list you collapsed.
  • Collapsible lists are supported by Microsoft Internet Explorer 4.0 or later, or other Web browsers that support Dynamic HTML.


Create a confirmation page

By utilizing a form confirmation page, you allow site visitors to confirm that they entered form information correctly and, if necessary, return to the form and fill it out again.

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New, click Blank Page.
  3. Type the text you want to display after a site visitor has submitted the form.
  4. Choose the information you want to show your visitor. For example, you could display the contents of an e-mail address field, allowing the site visitor to confirm that it was typed correctly.

    How?

    1. On the Insert menu, click Web Component.
    2. In the left pane, click Advanced Controls, and in the right pane, double-click Confirmation Field.
    3. In the Name of form field to confirm text box, type the name of the field from which to display information, and then click OK.

      Note The name of this field must match the name you gave the form field when you set its properties.

      The name of the field is displayed in brackets ( [] ) on the form. When the confirmation form is displayed to the site visitor, this field will display the site visitor's entry instead.

    4. Repeat the above steps for each field you want to display.

  5. If there are fields that you do not want to display on the confirmation page, you can hide them.

    How?

    1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
    2. Click Advanced.
    3. In the Hidden fields group box, click Add.
    4. In the Name box, type a name to identify the hidden form field in your form results. This is the same name you gave the form field when you set its properties.
    5. In the Value box, type the value to associate with this field.

  6. On the File menu, click Save As.

  7. In the File name box, type the file name of the confirmation page.
  8. If you need to change the Page title, click Change title, enter the correct title, and click OK.
  9. Click Save.
  10. Assign the confirmation page to your form.

    How?

    1. Open the page containing your form by double-clicking the file in the Folder List.
    2. Right-click the form, and then click Form Properties on the shortcut menu.
    3. Click Options, and then click the Confirmation Page tab.
    4. In the URL of confirmation page box, type the name and location of the confirmation page you just created, or click Browse to locate it.

Notes

  • If you are saving your form results to a database, you must save your confirmation page with an .asp extension.
  • To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Create a definition list

  1. In Page view, position the insertion point where you want to create a list.
  2. In the Style box [image], click Defined Term.
  3. Type the first term in the list, and then press ENTER.

    The next line is automatically formatted with the Definition style.

  4. Type the term definition.
  5. Press ENTER to continue to the next term.

    The next line is automatically formatted with the Defined Term style.

  6. Repeat steps 3 through 4 for each term and definition.
  7. To end the list, press ENTER twice.


Create a discussion group on a web site

Some of the content in this topic may not be applicable to some languages.

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from template, click Web Site Templates.
  3. Click the Discussion Web Wizard.

    If you want to add the discussion web site pages that the Discussion Web Wizard will create to the current web site instead of creating a new one, select Add to current web.

  4. Click OK.
  5. Follow the directions on your screen to create a discussion group.

Notes

  • After the wizard has set up your web pages, you can open and modify them as necessary.
  • You must publish your web site to a web server that has the FrontPage Server Extensions or SharePoint Team Services from Microsoft installed. Ask your web administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the discussion group.


Create a cascading style sheet

Some of the content in this topic may not be applicable to some languages.

You can use Microsoft FrontPage to create both external and embedded cascading style sheets (CSS).

Create an external CSS

  1. On the File menu, point to New, and then click Page or Web.
  2. On the New Page or Web task pane, under New from template, click Page Templates.
  3. Click the Style Sheets tab, click the type of CSS you want to create, and then click OK.

    FrontPage creates a new page with a .css file name extension and opens it for editing in Page view. You must save this page to be able to apply it later on.

    Note The Style toolbar appears when you create a CSS. You can click on the toolbar to activate the Style dialog box.

Create an embedded CSS

In Page view, do the following:

  1. From the Normal pane, click the Format menu, and then click Style.

  2. Click New, and then in the Name (selector) box, type the name of the new style.
  3. Under Style Type, choose whether the style will be a Paragraph or Character style.
  4. Click Format, and then specify the formatting characteristics for the new style:
    • To set font properties — such as the font family or color, or character spacing — click Font.
    • To set alignment, indentation, or spacing, click Paragraph.
    • To set borders and shading, click Border.
    • To set the style of bullets and numbering, click Numbering.
    • To set positioning properties — such as wrapping style, location, or z-order — click Position.
  5. Close all dialog boxes to return to the page.

Note When you apply a style directly to an item using the Style button on its Properties dialog box, the style is applied directly to the element, creating what is called an inline cascading style sheet (CSS).


Create a folder

In Folders view, do the following:

Create a standard folder

If you want to create a folder within an existing folder, select the existing folder before using this procedure.

  1. Right-click the Folder List. On the shortcut menu, point to New, and then click Folder.
  2. Type the name of the new folder, and then press ENTER.

Create a hidden folder

If you want to create a hidden folder within an existing folder, select the existing folder before using this procedure.
  1. Right-click the Folder List. On the shortcut menu, point to New, and then click Folder.
  2. Type the name of the new folder, preceding its name with an underscore (for example, _database).
  3. Press ENTER.

Note To hide an existing folder, right-click the file in the Folder List, click Rename on the shortcut menu, and then type a name preceded by an underscore.


Create a form

Some of the content in this topic may not be applicable to some languages.

When you insert a form, Microsoft FrontPage inserts a rectangular area outlined with a dashed line that contains a Submit and a Reset button. Inside this rectangular area, you can add text and form fields, such as text boxes, option buttons, check boxes, drop-down boxes, and push buttons.

To create a form, do one of the following in Page view:

Create a form on your own

  1. On the Insert menu, point to Form, and then click Form.
  2. Add form fields.

    How?

    On the Insert menu, point to Form, and then select the fields you want to add to your form.

Create a form using a wizard

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from template, click Page templates.
  3. On the General tab, click Form Page Wizard, and then click OK.
  4. Follow the on-screen instructions to complete the form.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Create a hyperlink to show a page in another frame

Some of the content in this topic may not be applicable to some languages.

When you click a hyperlink on a page shown in one frame on a frames page, the page that the hyperlink points to usually opens in another frame, which is the target frame.

On frames pages that you create with frames page templates in Microsoft FrontPage, the target frames are already set up for you. You can override a target frame and choose a different frame where you want your hyperlink shown.

In Page view, do one or both of the following:

Create a hyperlink to show a page in a target frame

  1. Open the frames page you want to modify, click the Normal button [image], and then click the page where you want to create the hyperlink.
  2. Type or select the text or picture you want to use as a hyperlink, and then click Insert Hyperlink Insert Hyperlink button.

    If you do not select text or a picture, the destination URL is displayed as the hyperlink text.

  3. In the Insert Hyperlink dialog box, there are several ways you can select the page you want to show. Do one of the following:

    Create a hyperlink to a page or file

    1. Under Link to, click Existing File or Web Page.
    2. Select the page from among the list of pages you have already created in the current working folder.

    Create a hyperlink to a page or file on the World Wide Web

    1. Under Link to, make sure that Existing File or Web Page is selected.
    2. Click World Wide Web World Wide Web button.
    3. In your Web browser, browse to the page that you want to link to, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited is displayed in the Address box.

    Create a hyperlink to an e-mail address

    1. Under Link to, click E-mail Address.
    2. Either type the e-mail address you want in the E-mail address box, or select an e-mail address in the Recently used e-mail addresses box
    3. In the Subject box, type the subject of the e-mail message.

      Note Some Web browsers and e-mail programs may not recognize the subject line.

    Create a hyperlink to a bookmark

    1. Select the page that contains the bookmark, and then click Bookmark.
    2. In the Select Place in Document box, click the bookmark you want to use as the destination, and then click OK.

    Create a hyperlink to a new page

    1. Under Link to, click Create New Document.
    2. Type the name of the new document. If you want to change the path of the new document, click Change.
    3. Under When to edit, specify whether you want to edit the new document now or later.

Change the default target frame

  1. Type or select the text or picture you are using as a hyperlink, and then click Insert Hyperlink Insert Hyperlink button.
  2. To change the target frame from the default frame, click Target Frame in the Insert Hyperlink dialog box. Then do one of the following:

    Choose a target frame within your frames page

    • In the Target Frame dialog box, the Current frames page area shows a map of your frames page. Click in the frame you would like to set as the target frame.

    Choose a target frame either within your frames page or outside of it

    • In the Target Frame dialog box, the Common area gives you several target frame options. Click one of the options to select a target frame.

Tip

To designate the target frame you selected as the default target frame for all the hyperlinks on the page, select the Set as page default check box.


Create a frames page

Some of the content in this topic may not be applicable to some languages.

  1. Check to see whether your browser supports frames

    How?

    1. On the Tools menu, click Page Options.
    2. Click the Compatibility tab.
    3. Select your browser from the Browsers drop-down list.
    4. Depending on which browser you choose, frames will be selected or deselected under Available Technologies.
  2. In Page view, on the File menu, point to New, and then click Page or Web.
  3. In the New Page or Web task pane, under New from template, click Page Templates.
  4. Click the Frames Pages tab.
  5. Click a frames page template you want to use, and then click OK.
  6. Set the initial page to show in each frame.

    How?

    1. Click the frame whose initial page you want to set.
    2. Then do one the following:

      Select a page that is already created

      Click Set Initial Page in the frame, and then do one of the following:

      • Select the page from among the list of pages you have already created in the current working folder.
      • In the Look in box, locate the page you want to open.
      • Browse to the page you want to use by clicking WWW button.
      • In the Address box, type the URL of the page.

      Create a new page and set it as the initial page to show in that frame

      • Click New Page in the frame you want to set an initial page for. FrontPage creates a new page in the frame, and the new page is automatically set as the initial page.

Note When you use frames pages and frames to organize your web site, you should not use shared borders or link bars. Using shared borders or link bars along with frames will make your web site confusing to navigate.


Create a new frames page template based on an existing one

Some of the content in this topic may not be applicable to some languages.

  1. In Page view, on the File menu, point to New, and then click Page or Web.
  2. In the New page or Web task pane, under New from Template, click Page Templates.
  3. Click the Frames Pages tab.
  4. Click the frames page template that you want to base your template on, and then click OK.
  5. Modify the frames page to create a custom template.
  6. On the File menu, click Save As.
  7. In the Save as type box, select FrontPage Template (*.tem).
  8. In the File box, type the file name for your custom template, and then click Save.
  9. In the Save As Template dialog box, in the Title box, type the name you want to use as a title for the template. This is the title displayed in the list of templates on the Frames Pages tab in the New dialog box.
  10. In the Description box, type text describing what the template does. This text is shown in the Description area of the Frames Pages tab.

Tip

If you want to add the template to the current web site to make it available to other authors working on the same web site, select the Save template in current web check box. FrontPage creates a Shared Templates folder in the current web site and adds the new template to it.


Create a hover button

  1. In Page view, in the Normal pane, position the insertion point where you want to create a hover button.
  2. On the Insert menu, click Web Component.
  3. In the left pane, click Dynamic Effects.
  4. In the right pane, double-click Hover Button.
  5. In the Button text box, type the text label for the hover button.

    If you want to use a custom picture that already contains a text label, clear the default value.

  6. In the Link to box, type the URL of the page or file you want to display when the hover button is clicked. Or, click Browse to locate the page or file.

Note To preview the hover button as it will appear when a site visitor browses to the page on the World Wide Web, click the Preview button [image], or click Preview in Browser Preview in Browser button on the File menu.


Create a hyperlink

In Page view, do one of the following:

Create a hyperlink to a page or file

  1. Select either text or a picture.

    If you do not select text or a picture, the destination URL is displayed as the hyperlink text.

  2. Click Insert Hyperlink Hyperlink button.
  3. Under Link to, click Existing File or Web Page.
  4. Select the page or file you want.

Create a hyperlink to a new page

  1. Select either text or a picture.

    If you do not select text or a picture, the destination URL is displayed as the hyperlink text.

  2. Click Insert Hyperlink Hyperlink button.
  3. Under Link to, click Create New Document.
  4. Type the name of the new document. If you want to change the path of the new document, click Change.
  5. Under When to edit, specify whether you want to edit the new document now or later.

Create a hyperlink to a page or file on the World Wide Web

  1. Select either text or a picture.

    If you do not select text or a picture, the destination URL is displayed as the hyperlink text.

  2. Click Insert Hyperlink Hyperlink button.
  3. Under Link to, make sure that Existing File or Web Page is selected.
  4. Click World Wide Web World Wide Web button.
  5. In your Web browser, browse to the page that you want to link to, and then press ALT+TAB to switch back to Microsoft FrontPage. The location of the page you visited is displayed in the Address box.

Create a hyperlink to an e-mail address

  1. Select either text or a picture.

    If you do not select text or a picture, the destination e-mail address and subject are displayed as the hyperlink text.

  2. Click Insert Hyperlink Hyperlink button.
  3. Under Link to, click E-mail Address.
  4. Either type the e-mail address you want in the E-mail address box, or select an e-mail address in the Recently used e-mail addresses box.
  5. In the Subject box, type the subject of the e-mail message.

    Note Some Web browsers and e-mail programs may not recognize the subject line.

Create a hyperlink to a bookmark

  1. Select either text or a picture.
  2. Click Insert Hyperlink Hyperlink button.
  3. Select the page that contains the bookmark, and then click Bookmark.
  4. In the Select Place in Document box, click the bookmark you want to use as the destination, and then click OK.


Create a form to search a web site running on IIS

If your web site is published to a web server running Microsoft Internet Information Services (IIS), the search form uses Indexing Service to search the text index.

  1. In Page view, place the insertion point where you want to create the search form.
  2. On the Insert menu, click Web Component.
  3. In the left pane, click Web Search, and in the right pane, double-click Current Web.

    The Search Form Properties dialog box will automatically open.

  4. If the Search Form Properties dialog box is not already open, right-click the search form, and then click Search Form Properties on the shortcut menu.
  5. Click the Search Form Properties tab.
  6. To change the label of the text box where site visitors will type their search text, type a different label in the Label for input text box.
  7. To make the text box narrower or wider, type a smaller or larger number in the Width in characters text box.

  8. Changing the size of the text box doesn't affect how many characters a site visitor can type in the box. If a site visitor types more characters than will fit in the box, the extra characters will scroll off the left side of the box, but all the text the site visitor types will be submitted with the search form.

  9. To change the label of the Start Search button on the search form (that is, the button a site visitor clicks to submit the search to the server), type a different label in the Label for "Start Search" button text box.
  10. To change the label of the Reset button on the search form, type a different label in the Label for "Reset" button text box.
  11. Click the Search Results tab.
  12. In the Scope of search results section, select where the search engine should search.
  13. Type or select the Maximum records per page.
  14. Type or select the Maximum records per query.
  15. Under Additional information to display in the search results list, select the formatting options you want:

Notes

  • If you add a search form to an existing page, be sure to type instructions for site visitors on how to use the search form, and then create the search form immediately following the explanatory text.
  • To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.

Tips

  • To create a new text index and purge outdated words, click Recalculate Hyperlinks on the Tools menu. Note that this procedure may take several minutes if you have many external hyperlinks, because FrontPage must connect to and verify each one.
  • If you want to change the properties of your search form, right-click the form, and then click Search Form Properties on the shortcut menu.


Create a marquee

  1. In Page view, click where you want to create the marquee, or select the text that you want to display in the marquee.
  2. On the Insert menu, click Web Component.
  3. In the left pane, click Dynamic Effects.
  4. In the right pane, double-click Marquee.
  5. In the Text box, type the line of text you want the marquee to display. If you selected text on the page in step 1, the Text box contains the selected text.

Tips

  • To preview the marquee as it will appear when a site visitor browses to the page on the World Wide Web, click the Preview button [image], or click Preview in Browser Preview in Browser button on the File menu.
  • You can format a marquee to adjust its direction and speed, behavior, alignment, size, number of repetitions, and background color.
  • You can format the font in a marquee to adjust font size, style, color, and character spacing.


Create or modify a web page template

Some of the content in this topic may not be applicable to some languages.

In Page view, do one of the following:

Create a page template from a blank page

  1. Create a new page.

    How?

    1. On the File menu, point to New, and then click Page or Web.
    2. In the New Page or Web task pane, under New, click Blank Page.
    3. Create a page that includes the page settings and elements that you want in the template.
  2. On the File menu, click Save As.
  3. In the Save as type box, click FrontPage Template.
  4. In the File name box, type a file name for the template, and then click Save.
  5. In the Title box, type a title for the template.

    This title is the title that will be displayed in the list of templates in the Templates dialog box.

    Note If you are modifying an existing template, you can type the same title that you originally used, or type a different one.

  6. In the Description box, type text describing what the template does.

    This is the text displayed in the Description area in the Templates dialog box.

    Note If you are modifying an existing template, you can type the same description that you originally used, or type a different one.

  7. Select the Save template in current web check box if you are working in a web site that is part of a workgroup and you want the template to be available to other members of your workgroup (as a shared template).

Create a page template from an existing template

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from Template, click Page Templates.

    Note If the template you want to modify is a web template, under New from template, click Web Site Templates.

  3. Click the tab containing the template you want to modify, and then in the list of templates, double-click the template.

    Microsoft FrontPage opens a new page based on the template.

  4. Modify the new page to reflect the changes you want to make to the template.
  5. On the File menu, click Save As.
  6. In the Save as type box, click FrontPage Template.
  7. In the File name box, type a file name for the template, and then click Save.
  8. In the Title box, type a title for the template.

    This title is the title that is displayed in the list of templates in the Templates dialog box.

    Note If you are modifying an existing template, you can type the same title that you originally used, or type a different one.

  9. In the Description box, type text describing what the template does.

    This is the text displayed in the Description area in the Templates dialog box.

    Note If you are modifying an existing template, you can type the same description that you originally used, or type a different one.

  10. Select the Save template in current web check box if you are working in a web site that is part of a workgroup and you want the template to be available to other members of your workgroup (a shared template).


Create a message to display in browsers without Java support

  1. In Page view, right-click the Java applet you want to modify, and then click Java Applet Properties on the shortcut menu.
  2. In the Message for browsers without Java support box, type HTML or plain text to display in place of the Java applet on Web browsers that do not support Java applets.


Create a message to display in browsers without plug-in support

  1. In Page view, right-click the plug-in that you want to modify, and then click Plug-In Properties on the shortcut menu.
  2. In the Message for browsers without plug-in support box, type HTML or plain text to display in place of the plug-in on Web browsers that do not support plug-ins.


Create an outline or a multilevel list

  1. In Page view, position the insertion point where you want to create an outline.
  2. On the Format menu, click Bullets and Numbering, and then click the Numbers tab.
  3. Click the box with the style of numbers or letters you want to start with, and then click OK.
  4. For each item you want in the outline, regardless of its level, type the item, and then press ENTER.
  5. When you have typed the last item, press ENTER twice to end the list.
  6. To place each item on the correct level, do one of the following:
    • To move items down to the next numbered level, select the items, and then click Increase Indent Increase Indent button twice.
    • To format items as a paragraph on the current level (without bullets or numbering), select the items, and then click Increase Indent Increase Indent button once.
    • To move items up to the previous level, select the items, and then click Decrease Indent Decrease Indent button one or more times, as needed.
  7. To apply numbering, lettering, or bulleted styles to the different levels, select an item on a level or sublevel, right-click, and then click List Properties on the shortcut menu.
  8. On the Numbers tab, click the box with the style you want to use.


Create a new theme

To create a new theme, you must change an existing theme and then save your changes under a new name.

  1. On the Format menu, click Theme.
  2. In the list, select a theme on which you want to base your new theme.

    Tip

    Select a theme that has the characteristics closest to the theme you want to create so that you have fewer elements to change. Or, select the Blank theme; its elements are very plain so that you can easily tell what you've changed.

  3. Click Modify.
  4. Do any of the following to modify the theme:

    Change the colors

    1. Click Colors, and then click the Custom tab.
    2. Under Theme color set, specify whether you want to change colors for the normal or vivid color set.
    3. In the Item box, click the item for which you want to change the color.
    4. In the Color box, specify the color you want to use.
    5. Repeat steps 3 and 4 for each item you want to change, and then click OK.

    Change the graphics

    1. Click Graphics.
    2. Next to Theme graphic set, specify whether you want to change graphics for the normal or active graphic set.
    3. On the Picture tab in the Item box, click the graphical element you want to change, and then specify the picture or pictures you want to use.
      To find the graphic in the current web site or file system, click Browse.
    4. If the graphical element you selected displays text, you can change the font by clicking the Font tab.
    5. Repeat steps 3 and 4 for each graphical element you want to change, and then click OK.

    Change the styles

    1. Click Text.
    2. In the Item box, click the item for which you want to change the style.
    3. Under Font, click a font to use.

      To view other options for changing the theme's style by using cascading style sheets as an inline style, click More Text Styles.

    4. Repeat steps 2 and 3 for each item you want to change, and then click OK.
  5. Click Save As, type a name for the new theme, and then click OK.

Note When you modify a preset theme, you must save your changes to a new theme; you cannot overwrite a preset theme.


Create a new web page

Some of the content in this topic may not be applicable to some languages.

In Page view, do one the following:

Create a page from a blank page

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New, click Blank Page.

Create a page from a template

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from Template, click Page Templates.
  3. Click the tab for the template you want to use, and then click the template.

    A thumbnail of that template is displayed under Preview.

  4. Click OK.

    Microsoft FrontPage opens a new page based on the template.


Create a photo gallery

  1. Position the insertion point where you want to add a photo gallery.

    Or, click [image] to create a blank page.

  2. On the Insert menu, click Web Component.
  3. In the left pane, click Photo Gallery.
  4. In the right pane, select the type of layout you want to use.

    A description of the selected layout appears below it.

  5. Click Finish.

    The Photo Gallery Properties dialog box automatically opens.

  6. Click Add to insert a graphic into the photo gallery.

    Note You can add as many graphics at a time as you want.

  7. Select one of the following:

    Pictures from files

    Locate and select the graphic you want to use, and click Open.

    Pictures from a scanner or camera

    1. From the list, select the device from which you will be adding a graphic.

    2. Depending upon what type of device you selected, choose the resolution you want.

    3. Depending upon what type of device you selected, select Insert or Custom Insert.

    4. Follow the directions for your specific device.

  8. To rearrange the order in which the photos or graphics will appear in the photo gallery, select the name of the graphic, and click Move Up or Move Down.

  9. Do one or more of the following:

    Change the thumbnail size of the graphic

    Specify the width and height of the thumbnail in the Width and H eight boxes under Thumbnail size.

    Note Thumbnails are automatically created.

    Add a caption or description below the graphic

    Note If you choose Montage Layout, the text boxes for Caption and Description will be unavailable (grayed out).
    1. Click the graphic that has the caption you want to edit.
    2. A preview of the graphic is displayed next to its name.
    3. In the Caption box, type the caption you want to appear under the graphic.
    4. In the Description box, type the description you want to appear in the space below the graphic and its caption.

    Change the layout of the photo gallery

    1. Click the Layout tab.
    2. Choose a layout from the list.
    3. View a preview of the layout under Preview.
    4. Select a number from Number of pictures per row, and click OK.

      Note If you choose Slide Show or Montage Layout, this option will be unavailable (grayed out).

Note You can also apply a theme to a photo gallery just as you would with any other web page.


Create a user registration form to protect and monitor your web site

Some of the content in this topic may not be applicable to some languages.

Note Only the UNIX operating system allows registration through a Web browser.

To protect and monitor your web site, you must first create a registration form and then set up how you want to protect and monitor your site.

  1. Create a user registration form.

    How?

    1. Open your root web.
    2. On the File menu, point to New, and then click Page or Web.
    3. In the New Page or Web task pane, under New from template, click Page templates.
    4. On the General tab, click User Registration, and then click OK.
    5. Right-click the form (which is toward the bottom of the page), and then click Form Properties on the shortcut menu.
    6. Click Options, and then click the Registration tab.
    7. In the Web name text box, type the name of the protected web site.
    8. Click the File Results tab.

      The file in which the user names of site visitors are saved is shown in the File name box. By default, this file is located in the _private folder of the root web.

    9. In the File format text box, select the format in which you would like to receive the file results.
    10. Click OK, and then click OK again.
    11. Customize the fields on the form as needed.

      For example, change the phrase [Name of your sub web] to the name of your protected web site, customize the instructions on the form, and change the text labels on the fields.

    12. On the File menu, click Save As.

    13. In the File name box, type the file name of the registration page.
    14. If you need to change the Page title, click Change title, enter the correct title, and click OK.
    15. Click Save.

    Note The registration form must be saved to the root web, not the web site itself. For example, if the protected web site is http://Root/Subweb, the form must be saved in Root.

  2. Set how you want to protect your web site.

    How?

    1. Open the web site.
    2. On the Tools menu, point to Server, and then click Permissions.
    3. On the Settings tab, click Use unique permissions for this web, and then click Apply.
    4. Click the Users tab, and then click Only registered users have browse access.
    5. Click Add.
    6. Next, add the users to the web, adding users for browse, author, and administer access separately.

      How?

      1. If you are using a web server that supports a domain hierarchy, in the Obtain list from box, select the domain or group from which you want to select users.
      2. In the Names box, select or type a user name, and then click Add.
      3. Repeat steps 1 and 2 for each user you want to add for a particular type of access.
      4. Specify the type of access to give to the list of users you are adding (browse, author, or administer access), and then click OK.
      5. The same permission is given to all users listed in the Add Names box. To set different permissions, for example to give one user browse access and a different user author access, repeat steps 1 through 4 for each user.

Note Microsoft Windows 2000 security and Microsoft Internet Information Services (IIS) do not allow registration through a Web browser.


Web site reports

Reports in Microsoft FrontPage enable you to analyze and summarize web site statistics in a variety of ways.

Site Summary

The Site Summary report displays an overview of your web site's vital statistics, such as the number and sizes of files and pictures, number and types of hyperlinks, and so on.

File Status

Description

File Status reports display an overview of the age of files, who is working on them, when they were modified or added to your web site, and so on.

Reports

All Files, Recently Added Files, Recently Changed Files, Older Files.

Maintenance Problems

Description

Maintenance Problems reports display problems with your web site, including broken links, component errors, files that take too long to download, and so on.

Reports

Unlinked Files, Slow Pages, Broken Hyperlinks, Component Errors.

Workflow Status

Description

Workflow Status reports indicate the status of the files and assignments in your web site, including the review status, who the file is assigned to, whether it's checked out using source control, and so on.

Reports

Review Status, Assigned To, Categories, Publish Status, Checkout Status.

Site Usage

Description

Site Usage reports display information about the visits to your web site, including page hits, browsers used by site visitors, and so on.

Reports

Usage Summary, Monthly Summary, Weekly Summary, Daily Summary, Monthly Page Hits, Weekly Page Hits, Daily Page Hits, Visiting Users, Operating Systems, Browsers, Referring Domains, Referring URLs, Search Strings.


Create a site map

A site map for a corporate web site (or other large web site) typically contains lists of hyperlinks organized under logical headings.

You can create a site map by using categories. Before beginning this procedure, you should determine the names of the categories you want to use to organize your web site.

Step 1: Create the categories you want on your site map

Important You can skip this step if the categories you want to use on your site map have already been added to the list of available categories, or if you want to use categories from the Available categories list.

  1. In any view except Tasks view, right-click any page, and then click Properties on the shortcut menu.
  2. Click the Workgroup tab.
  3. To create a category of your own and add to the Available categories list, click Categories.
  4. In the New Category box, type the name of a category you want to appear on your site map, and then click Add.

    Repeat steps 3 and 4 for each new category you want to create.

Step 2: Categorize the files you want to display in the category lists on your site map

  1. In the folder list, right-click the page you want to categorize, and then click Properties on the shortcut menu.
  2. Click the Workgroup tab.
  3. In the Available categories list, select the check box of the category in which you want to group the page.

    You can select multiple categories so that a single page can appear in multiple categories on your site map.

Step 3: Add the lists of categories to your site map

  1. Do one of the following:
    • If you want to create a new page for the site map, click New Page New Page button.
    • If you want to open an existing page to which to add the site map, click Open Open button, and then browse to the page you want to open.
  2. In the Normal pane, position the insertion point where you want to add the first category list.
  3. Type the name of the category (for example, "Customer Service") as a heading for the list of files in that category.

    Tip

    The heading doesn't have the be the same as the category name. For example, if your category is "Customer Service," you can type a heading such as "Customer Service Pages."

  4. On the Insert menu, click Web Component.
  5. In the left pane, click Table of Contents.
  6. In the right pane, click Based on Page Category, and then click Finish.
  7. In the Choose categories to list files by list, select the check box of the appropriate category.
  8. In the Sort files by drop-down box, do one of the following:
    • To sort the list alphabetically, select Document title
    • To sort the list by file date, select Date last modified
  9. Under Include the following information, click the check boxes if you want to display the Date the file was last modified or any Comments added to the file.
  10. Repeat steps 3 through 9 for each category list that you want to include on your site map.

Notes

  • Click Preview in Browser [image] to test the site map.
  • Your site map will be updated automatically whenever you add files to, or remove files from, a category.


Add a style

Add a style to an external CSS

  1. In the Folders list, double-click to open the external cascading style sheet (CSS) you want to modify.

    External style sheets have a .css extension.

  2. On the Format menu, click Style, and then click New.
  3. In the Name (selector) box, enter a name for the new style.

    Note Do not type spaces in the style name.

  4. In the Style type box, select whether the style will be a Paragraph or Character style.
  5. Click Format, and then specify the formatting characteristics for the new style:

    • To set font properties — such as the font family or color, or character spacing — click Font.

    • To set alignment, indentation, or spacing, click Paragraph.

    • To set borders and shading, click Border.

    • To set the style of bullets and numbering, click Numbering.

    • To set positioning properties — such as wrapping style, location, or z-order (an element's position in the layers of the page)— click Position.

    Note Not all fields need a value.

  6. Close all dialog boxes to return to the style sheet.

    Note You have to assign a CSS to a document before the styles will be available for that document.

Add a style to an embedded CSS

In Page view, do the following:

  1. In the Normal pane, on the Format menu, click Style.
  2. Click New, and then in the Name (selector) box, type the name of the new style.

    Note Do not type spaces in the style name.

  3. Under Style Type, choose whether the style will be a Paragraph or Character style.
  4. Click Format, and then specify the formatting characteristics for the new style:
    • To set font properties — such as the font family or color, or character spacing — click Font.
    • To set alignment, indentation, or spacing, click Paragraph.
    • To set borders and shading, click Border.
    • To set the style of bullets and numbering, click Numbering.
    • To set positioning properties — such as wrapping style, location, or z-order (an element's position in the layers of the page) — click Position.
  5. Close all dialog boxes to return to the page.


Create a table

You can create a table to display information or to lay out text and graphics on a page.

In Page view, do one of the following:

Insert a table and set its properties

  1. Position the insertion point where you want to insert the table.
  2. On the Table menu, point to Insert, and then click Table.
  3. In the Rows box, type the number of rows you want.
  4. In the Columns box, type the number of columns you want.
  5. In the Alignment box, select the position for the table on the page.
  6. In the Border size box, type the width you want for the table border in pixels. If you do not want a border, type 0.
  7. To change the cell padding of the table (the space between a cell's border and content), enter a number in the Cell padding box.
  8. To change the cell spacing of the table (the space between cells), enter a number in the Cell spacing box.
  9. To change the width of the table, do one of the following:
    • Select In pixels, then type the width you want the table to be in pixels.
    • Select In percent, then type a percentage of the screen width you want the table to be.

Note The properties that you specify for the new table will be used as the default properties the next time you create a table.

Create a simple table

You can create a simple table just by specifying the number of rows and columns. Default properties will be used for the table.

  1. Position the insertion point where you want to insert the table.
  2. Click Insert Table Insert Table button, then drag down and to the right until the number of rows and columns you want in the table is displayed.

Create a table by drawing it

You can create a table by drawing the table and cells, rather than by specifying the number of rows and columns.

  1. On the Table menu, click Draw Table. Microsoft FrontPage opens the Tables toolbar with Draw Table Draw Table button selected.
  2. On your page, draw the outside border of the table by dragging from the upper-left corner to the lower-right corner of the table.
  3. To make cells, draw vertical and horizontal lines within the table.
  4. To remove any lines you do not want, click Eraser Eraser button on the Tables toolbar, drag across the unwanted line, and then when the line turns red, release the mouse button.
  5. When you have finished drawing the table, click Draw Table Draw Table button on the Tables toolbar so that the button is no longer selected.

Convert text into a table

  • To convert text that has been delimited into a table, do the following:
    1. Select the text you want to convert to a table.
    2. On the Table menu, point to Convert, and then click Text To Table.
    3. In the Convert Text to Table dialog box, specify the character used to separate the text (commas, paragraphs, etc.). Click None to create a one-celled table.
  • To convert text that has not been delimited into a table, do the following:
    1. Type separator characters — such as commas — where you want to divide text into columns and rows. For example, use commas to divide columns, and use paragraph marks to mark the ends of rows.
    2. Select the text you want to convert to a table.
    3. On the Table menu, point to Convert, and then click Text To Table.
    4. In the Convert Text to Table dialog box, specify the character you used to separate the text (commas, paragraphs, etc.). Click None to create a one-celled table.

For example, the following text:

Name, City, Age
Jeff Smith, Redmond, 30

Converts to:

Convert text into a table

Tip

Because HTML does not directly support tab characters, it is recommended that you do not use tab characters as your text delimiter.


Create a thumbnail

  1. In Page view, click the graphic.

  2. On the Pictures toolbar, click Auto Thumbnail [image].

    Microsoft FrontPage creates a thumbnail graphic and a hyperlink to the original full-size graphic.

    Notes

    • Auto Thumbnail [image] will be unavailable if the graphic you selected is already smaller than a thumbnail, if the graphic has hyperlink or hot spots set for it, or if the graphic is an animation.
    • To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Create a table of contents

Do one of the following:

Create a table of contents based on the navigation structure

  1. In Page view, position the insertion point where you want to create a table of contents.
  2. On the Insert menu, point to Web Component.
  3. In the left pane, click Table of Contents.
  4. In the right pane, click For This Web Site, and then click Finish.
  5. In the Page URL for starting point of table box, type the relative URL of the page to use as the starting point for the table of contents, or click Browse to locate the page.

    The starting point determines which pages are leftmost in the table of contents. Pages pointed to by hyperlinks on the starting page will be indented one level in the table of contents.

  6. In the Heading font size box, select the paragraph style for the heading (the top-level entry, or starting page) of the table of contents. To exclude the starting page from the table of contents, click None from the drop-down list.
  7. Under Options, do one or more of the following:
    • Select the Show each page only once check box if your web site includes pages pointed to by multiple hyperlinks and you want the table of contents to list each page only once.
    • Select the Show pages with no incoming hyperlinks check box to include pages not pointed to by any hyperlinks in your web site.
    • Select the Recompute table of contents when any other page is edited check box to automatically recalculate the table of contents whenever any page in your web site is edited.

    Note Recalculating a table of contents for a large web site can be a time-consuming process. If you select this check box, you may find that it takes longer to save pages. If you don't select this check box, you can manually regenerate the table of contents by opening and saving the page containing the table of contents.

Create a table of contents based on categories

  1. Assign each page you want on your table of contents to a category.

    How?

    1. In the Folder List, right-click the page to which you want to assign a category, and then click Properties on the shortcut menu.
    2. Click the Workgroup tab.
    3. Under Available Categories, click the category to which you want to assign this page.

      If you want to create a new category, click Categories, type the name of the new category, and click Add.

    4. Click OK.

    5. Repeat steps 1 through 4 for each page to which you want to assign a category.

  2. In Page view, position the insertion point where you want to create a table of contents.
  3. On the Insert menu, click Web Component.
  4. In the left pane, click Table of Contents.
  5. In the right pane, click Based on Page Category, and then click Finish.
  6. In the Categories Properties dialog box, select the categories whose pages you want to list in your table of contents.

    The categories you select will be listed under Selected Categories.

  7. In the Sort files by box, do one of the following:
    • If you want to sort the list alphabetically by title, click Document title.
    • If you want to sort the list by file dates, click Date last modified.
  8. Click the check boxes if you want to display the Date the file was last modified or any Comments added to the file.

Note Click Preview in Browser [image] to test the table of contents.

Tip

If you are creating a table of contents on the same page as the starting point, the heading of the table of contents will be a hyperlink to the same page. For example, if you're creating a table of contents on the page Index.htm, and the starting point is Index.htm (the same page), the heading of the table will be a hyperlink to Index.htm. If you want to exclude such a circular hyperlink as the heading of a table of contents, click None in the Heading font size box.


Create a transition effect for a page or web site

  1. In Page view, open the page for which you want to display the transition effect.
  2. On the Format menu, click Page Transition.
  3. In the Event box, click the the event that will trigger the transition effect. For example, click Page enter to display the transition effect when a site visitor browses to the page for the first time.
  4. In the Transition effect box, click the type of transition effect to use when the page is displayed or exited.
  5. In the Duration box, type the amount of time that you want the transition effect to last.


Create a form to search a web site running WAIS

If your web site is not stored or published to a web server running Microsoft Internet Information Server (IIS) and Indexing Service, Microsoft FrontPage uses the WAIS (Wide Area Information Server) search engine that is included with FrontPage to search the text index.

  1. In Page view, place the insertion point where you want to create the search form.
  2. On the Insert menu, click Web Component.
  3. In the left pane, click Web Search, and in the right pane, double-click Current Web.

    The Search Form Properties dialog box will automatically open.

  4. If the Search Form Properties dialog box is not already open, right-click the search form, and then click Search Form Properties on the shortcut menu.
  5. Click the Search Form Properties tab.
  6. To change the label of the text box where site visitors will type their search text, type a different label in the Label for input text box.
  7. To make the text box narrower or wider, type a smaller or larger number in the Width in characters text box.

    Changing the size of the text box doesn't affect how many characters a site visitor can type in the box. If a site visitor types more characters than will fit in the box, the extra characters will scroll off the left side of the box, but all the text the site visitor types will be submitted with the search form.

  8. To change the label of the Start Search button on the search form (that is, the button a site visitor clicks to submit the search to the server), type a different label in the Label for "Start Search" button text box.
  9. To change the label of the Reset button on the search form, type a different label in the Label for "Reset" button text box.
  10. Click the Search Results tab.
  11. In the Results section, select the formatting options you want.

Notes

  • If you add a search form to an existing page, be sure to type instructions for site visitors on how to use the search form, and then create the search form immediately following the explanatory text.
  • To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.

Tips

  • To create a new text index and purge outdated words, click Recalculate Hyperlinks on the Tools menu. Note that this procedure may take several minutes if you have many external hyperlinks, because FrontPage must connect to and verify each one.
  • If you ever want to change the properties of your search form that you set when you created it, right-click the form, and then click Search Form Properties on the shortcut menu.


Create a web site

Some of the content in this topic may not be applicable to some languages.

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from template, click Web Site Templates.
  3. Click the web site template you want to use.
  4. In the Specify the location of the new web box, type the URL for the new web site, or click Browse to create a new site on your hard disk, network, or on the Internet.

    Note To create a subweb, append the name of the subweb to the name of the root web. For example: http://adventure-works.com/subweb.

  5. Choose one of the following:
    • If you want to add the site to the current web site, select Add to current Web.
    • If you are creating a Microsoft FrontPage web on a secure port of a Web server that supports Secure Sockets Layer (SSL), select the Secure connection required (SSL) checkbox.


Create a page to display database records

You can create a web page to display records from a database, even if you don't have the program used to create the database.

From a web site that has an existing database connection, do the following:

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from Template, click Web Site Templates.
  3. Click Database Interface Wizard, and then click Add to current Web.
  4. Click OK.
  5. In the Database Interface Wizard dialog box, select Use an existing database connection, and then select a database connection from the drop-down list.
  6. Click Next.
  7. Select the table or view you would like to use for the database connection, and then click Next.
  8. If you want to modify a form field, do the following:
    1. Select a value in the Edit form field type list, and then click Modify.
    2. Select a different value in the Form field input type list.

      Note If you select Option Button as a form field input type, be sure to select a value under Number of options.

  9. Click OK, and then click Next.

Select Results Page, and then click Finish.

Microsoft FrontPage creates:

  • A page titled "Results Page," which it opens it in Page view.
  • A folder called /Data source_interface/record source (if it doesn't already exist) to store the results page.


Crop a graphic

  1. In Page view, click the graphic.
  2. On the Pictures toolbar, click Crop [image].

    Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

    A cropping box appears on the graphic. By clicking and dragging the handles on the box, resize it to include the part of the graphic that you want to keep.

  3. Click Crop [image] again to remove the area outside of the cropping box.


Customize Navigation view

If you create a navigation structure in Navigation view, you can customize how that structure is displayed.
To | Do This
Zoom in or out | Right-click the view background, point to Zoom on the shortcut menu, and then click the percentage that you want to zoom in or out.
Automatically size a large navigation structure to fit into the view | Right-click the view background, point to Zoom on the shortcut menu, and then click Size to Fit.
Change the orientation of how the structure is displayed | Right-click the view background, and then click Portrait/Landscape on the shortcut menu.
Expand all of the subtrees (the pages below a parent page) so that you can see the entire navigation structure | Right-click the view background, and then click Expand All on the shortcut menu.
View only the pages in a subtree | Right-click any page in the subtree you want to view, and then click View Subtree Only on the shortcut menu.


Customize views

You can customize the following views:

Page

  • To show or hide the Folder List pane, on the View menu, click Folder List.
  • To show or hide the Navigation pane, on the View menu, click Navigation Pane.
  • To switch between the Folder List pane and the Navigation Tree pane, click Folder List [image] or Navigation [image] at the bottom of the pane.
  • To show or hide paragraph marks in the Normal pane, click Show All Show All button on the standard toolbar.
  • To show or hide HTML tags surrounding text, pictures, and other page elements in the Normal pane, click Reveal Tags on the View menu.

Folders

  • To sort folders by a specific column, click the column heading.

Reports

  • To sort reports by a specific column, click the column heading.

  • To move columns around, click and hold the column heading, and then drag it to where you want.

  • To change the width of a column, place the cursor between the column headings until the cursor changes to a double arrow, then click and drag the column to the width you want.

Navigation

  • To choose the orientation of the navigation tree, right-click the background, and click Portrait/Landscape on the shortcut menu.
  • To expand or collapse a parent page whose child pages have been expanded or collapsed, click the plus sign (+) to expand or the minus sign (-) to collapse.

    To expand the entire navigation tree and view all pages in the web, right-click the background and click Expand All on the shortcut menu.

    Note All pages are expanded by default.
  • To zoom in or out of the navigation structure, right-click the background, click Zoom, and select the percentage you want.

Hyperlinks

  • To show all hyperlinks on a page that are going to graphics, right click the background, and click Hyperlinks to Pictures on the shortcut menu.
  • To display page titles (instead of file names), right-click the background, and click Show Page Titles on the shortcut menu.
  • To display repeated hyperlinks, right-click the background, and click Repeated Hyperlinks on the shortcut menu.

Tasks

  • To sort tasks by a specific column, click the column heading.
  • To show all tasks, click Tasks on the Edit menu, and then click Show History.


About working with databases

You can use information from many types of database sources (such as Microsoft SQL Server, Microsoft Access, and Microsoft Excel) in your web site.

What is a database?

Think of a database as a sophisticated version of an index card file. For example, an employee phone list consists of index cards filed in alphabetical order by the employees' last names. Each card contains an employee's ID number, last name, first name, and company telephone extension.

1 Represents a record source table containing employee information

2 Field labels indicating employee's first name, last name, and telephone number

3 Three employee records

4 A field value

In database terminology, each employee's card is called a record. Together, all the cards in the index card file are called a table, or record source. Each item on a card is called a field. On a card in the employee phone list, the first name is considered one field; the last name, another field, and so on. In a database, the fields are broken into two parts: the field label, which identifies the field (for example, LastName) and the field value, which is the actual data in the field (for example, "Smith").

The Database Results Wizard is the tool you use to do most of the tasks relating to databases. The wizard enables you to:

  • Create forms that let site visitors search for or add information to a database.
  • Format how database information is shown on a page.

    For example, you can display records in a table, a list, or in a drop-down list.

  • Filter or sort records.
  • Specify unique records.

    For example, from your customer database, you can specify to show only customers whose last name is Smith.

  • Write detailed queries using Structured Query Language (SQL).

You can use databases stored in several places, such as:

  • In your web site
  • On a file server
  • On a database server such as SQL server or Oracle server
  • On a web server using a System Data Source Name (System DSN)

Notes To display database information in your web site, your site must be hosted on a web server that supports Active Server Pages (ASP) and ActiveX Data Objects (ADO). Your Internet service provider (ISP) or web administrator can tell you whether your web server supports ASP and ADO.


Add a form for searching a database

About creating a search form

You use the Database Results Wizard to create a form that enables site visitors to search for information in a database. The results of the search are displayed in a Database Results region below the form.

Create a search form to let site visitors search a database for specific information.

1 A site visitor enters an employee's last name in the Search for box of the form.

2 When the employee clicks Submit Query, Microsoft FrontPage checks the database to find employee records that match the name.

3 The records that match the criteria are displayed in the Database Results region below the form.

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 3.
  2. In Step 3 of the wizard, click More Options, click Criteria, and then click Add.
  3. In the Field name box, select the field you want site visitors to base their search on, and then click OK.

    Note Leave the Use this search form field box selected (it's selected by default).

    Tip

    Choose a field name that adds value to your site as a search criterion. For example, if your database contains employee last names in a column named LastName, you might want to add the ability to search for and display the record of every employee with a particular last name. To achieve this, add LastName to the Field name box.

  4. To add another field to the search form (to further refine the search), click Add, and then repeat step 2 of this procedure. When all of the fields that you want to include in the search form are displayed in the Criteria list, click OK twice to return to Step 3 of the wizard.
  5. Click Next twice to get to Step 5 of the wizard, select the Add search form check box, and then click Finish.
  6. To test your form, click Preview in Browser Preview in Browser button .

Note Database integration features of Microsoft FrontPage work when your web site is hosted or published on a web server configured with:

  • Active Server Pages (ASP)
  • Active Data Objects (ADO)
  • Microsoft FrontPage 2000 Server Extensions (or later) or SharePoint Team Services from Microsoft.
  • Internet Information Server (IIS) 4.0 (or later)

Check to see whether your web server is configured with these options, or ask your Internet service provider (ISP) or web server administrator for assistance.


Replace current fields with different fields in the database results region

If you used the Database Results Wizard to create a table or list of database results on a web page, you can change the fields that are shown without using the wizard.

  1. In Page view, right-click the field that you want to change (shown as: <<FIELD NAME>>), and then click Database Column Value Properties on the shortcut menu.
  2. In the Column to display box, select a different field to display in the Database Results region.


Create a hyperlink to show additional data in the Database Results region

About creating hyperlinks to show additional data

You can create hyperlinks that send field values or other parameters from the Database Results region on one page to another page containing a Database Results region.

Create a hyperlink that displays another page with database results.

1 A web page containing a Database Results region displaying a list of employee names and phone numbers. Each employee name is a hyperlink containing parameters that specify what additional information to retrieve from the database.

2 When a site visitor clicks the employee name hyperlink, the additional data from that record is shown on a new page.

To perform this task, complete the following procedures:

Step 1: Create the first (hyperlink) page

  1. In Page view, create or open a page containing a Database Results region formatted as a table or list.

    You cannot create a hyperlink in a Database Results region that is formatted as a drop-down list.

  2. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 3.
  3. In Step 3 of the wizard, click Edit List.
  4. In the Displayed fields area, click to select the items in the list that you don't want displayed on the web page.
  5. Click Remove, and then click OK.

  6. Click Next until you reach the last step of the wizard, and then click Finish.

  7. Select the field you want to use for the hyperlink text, and then click Insert Hyperlink Hyperlink button.

    For example, to create an employee listing, choose the field containing employees' last names.

  8. In the Insert Hyperlink dialog box, type the URL or select the page that will display the Database Results, click Parameters, and then click Add.
  9. In the Name box, type or select the name of a unique field that contains the values you want to pass as parameters. Usually this is the primary key.

    The Value field will populate with the appropriate value.

  10. Click OK until you return to the web page.

Step 2: Create the second (display) page

  1. In Page view, create or open a page containing a Database Results region formatted as a table or list.

    Make sure you use the same database connection and record source as you did when you created the first (hyperlink) page.

  2. Navigate to Step 3 of the Database Results Wizard, click More Options, click Criteria, and then click Add.
  3. In the Field name box, select the unique field that matches the hyperlink parameter you selected on the initial results page (most likely the primary key).

    For example, if you chose a field named EmployeeID as the hyperlink parameter on the initial results page, choose EmployeeID here.

  4. In the Comparison box, select equals.
  5. In the Value area, leave the default value, which is the same as Field name.
  6. Click the Use this search form field check box.

    Although you will not use a search form, selecting this box allows the Database Results region to accept the hyperlink value.

  7. Click OK to return to the wizard, and click Next to get to Step 5.
  8. Click Display all records together, and then click Finish.

    Note If you don't want to use the default search feature that appears, drag the mouse pointer to select it, and then press DELETE.


Create a database connection

What is a database connection?

A database connection is a connection that specifies the name, location, and type of database you want to access. There are several types of database connections.

Types of database connections

  • A file-based connection to a database, such as a Microsoft Access database, in your web site.
  • A System Data Source Name (System DSN) on a web server. A System DSN can connect to an ODBC-compliant database (such as a Microsoft Access or Microsoft Excel database), or a database management system (such as Microsoft SQL Server).
  • A network connection to a database server. A database server is a computer dedicated solely to managing and maintaining large databases (such as Microsoft SQL Server).
  • A custom connection using a file or string that defines all the necessary information.

Set up the connection

  1. Start the Database Results Wizard (on the Insert menu, point to Database, and then click Results).
  2. Click Use a new database connection, and then click Create.
  3. Click Add, and then type a name for the new database connection in the Name box.
  4. Under Type of connection, choose one of the following types of connections:

A file or folder in the current web site

  1. Click File or folder in current Web, and then click Browse.

  2. In the Files of type box, select the driver for the type of database you're connecting to.

  3. In the URL box, type the path to the file or folder containing the database, and then click OK. Or, use the Look in box to navigate to the file or folder you want, and then double-click the file or folder in the list.

  4. Click OK to close the New Database Connection dialog box, and then click OK to close the Web Settings dialog box.

Note When you import a Microsoft Access database into your web site, you will be asked to create a database connection to that database and to store the file in the Fpdb folder.

The Fpdb folder has permissions specifying that the folder can't be viewed in a Web browser. To protect the privacy of your database, move it into the Fpdb folder.

A System Data Source Name on a web server

Only a Eeb server administrator can create a System Data Source Name (System DSN) on a web server. If the server doesn't contain a System DSN for the database you want to access, ask the web server administrator to define one, and to ensure that you are assigned the correct permissions.

  1. Click System data source on web server, and then click Browse.

    The System Data Sources On Web Server dialog box is displayed. The list shows the System DSNs defined on the web server.

  2. Select the System DSN for the database you want to access, and then click OK.

  3. Click OK to close the New Database Connection dialog box, and then click OK to close the Web Settings dialog box.

A database server on a network

  1. Click Network connection to database server, and then click Browse.

  2. In the Type of database driver box, select the type of database driver you want to use to connect to the database server.

  3. In the Server name box, type the URL of the network server containing the database you want to access.

  4. In the Database name box, type the name of the database, and then click OK.

  5. Click OK to close the next three dialog boxes.

A database using a custom definition

  1. Click Custom Definition.

  2. In the Files of type box, select a File DSN, UDL file, or edit a connection string:

    • To select a File DSN or UDL file in the current web, click Browse. In the URL box, type the path to the File DSN or UDL file you want to connect to, and then click OK. Or, use the Look in box and file list to navigate to the File DSN or UDL file you want, and then double-click the file in the list.

    • To edit a connection string, click Advanced. In the Connection string box, type the appropriate string to pass to the database driver you want to connect to. Click OK.

      Notes

      Do not use a File DSN to connect to a database file in the current web; the File DSN will contain file paths that are incorrect for the web server. Instead, create a database connection to a file or folder in the current web.

      Any timeouts or other name-value parameters for the database must be contained in the File DSN. If they are not, click Advanced, and then type the appropriate information.

  3. In the Database name box, type the name of the database, and then click OK. The database driver referred to by the File DSN or the connection string must be present on the web server for the connection to work properly.

  4. Click OK to close the next three dialog boxes.

Note To view the data once you set up the connection and complete the steps in the Database Results Wizard, your web site must be hosted or published on a web server configured with:

  • Active Server Pages (ASP)
  • Active Data Objects (ADO)
  • FrontPage 2000 Server Extensions (or later) or SharePoint Team Services.
  • Internet Information Server (IIS) version 4.0 (or later)

Ask your Internet service provider (ISP) or web server administrator if your web server is configured with these options.


Show all records together or split them into groups

Microsoft FrontPage displays database records in one large group or in smaller groups with navigation controls.

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 4.
  2. In Step 4, in the Choose formatting options for the records returned by the query area, choose Table - one record per row, or List - one field per item, and then click Next.

    Note The option to display records in smaller groups with navigation controls is unavailable if you select Drop-down list in Step 4 of the wizard.

  3. In Step 5, choose a grouping option:

    Display records in one list or table on a page

    Click Display all records together.

    Divide records into smaller groups

    • Click Split records into groups, and then type the number of records you want to include in each group.

      FrontPage automatically adds navigation controls when a site visitor browses to the page to let them navigate through the groups of records.


Edit the message that appears if no records are returned

The default message a site visitor sees when searching for information that is not in the database is "No records returned." You can change this message as appropriate.

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 3.
  2. In Step 3 of the wizard, click More Options.
  3. In the Message to display if no records are returned box, type the new message.
  4. Click OK, click Next until you reach the last step of the wizard, and then click Finish.


Format database results as a table or list

About formatting database results

The Database Results Wizard provides the following formatting options for displaying data in the Database Results region.

Database results formatted as a table, a list, or a drop-down list.

1 An HTML table on a web page displaying information from a record source. One row corresponds to one record. By default, the table column headings correspond to the labels for the record source column headings.

2 A list on a web page displaying three records from a record source. Each row contains the label of the record source column heading followed by the column value. By default, the wizard inserts horizontal lines between records. You can select from a variety of list formats, including bulleted and numbered lists.

3 A drop-down list containing record source column values (for example, beverages, seafood and cereals) and identified by the label of the record source column heading (such as food categories). Using this type of list in a form enables you to efficiently update its values for site visitors.

To format the database results, choose from the following formatting options (start from an open web site, in Page view):

Format database results as a table

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 4.
  2. In Step 4 of the wizard, in the Choose formatting options for the records returned by the query list, click Table - one record per row.
  3. Specify any additional table formatting you want for the Database Results region:

    Hide inside and outside table borders

    Clear the Use table border check box.

    Create a table only as wide as necessary based on its contents

    Clear the Expand table to width of page check box.

    Create a table with no header row identifying the contents of each column

    Clear the Include header row with column labels check box.

Format database results as a list

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 4.
  2. In Step 4 of the wizard, in the Choose formatting options for the records returned by the query list, click List - one field per item.

  3. Specify any additional list formatting options you want, as follows:

    • To hide field labels and display only data, clear the Add labels for all field values check box.
    • To display the results in one continuous list, with no separator between records, clear the Place horizontal separator between records check box.

  4. In the List options box, select a formatting style for the list, such as Bullet list or Numbered list.

Format database results as a drop-down list

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 4.
  2. In Step 4, in the Choose formatting options for the records returned by the query box, click Drop-down list - one record per item.
    • In the Display values from this field list, select the field you want to use for the choices that will be displayed to the site visitor.
    • In the Submit values from this field box, select the field to be submitted if the drop-down list is inside a form.

      Sample scenarios for choosing submit values

      The display value is what you see on the screen; the submit value is what's processed by a form. Following are two potential scenarios in which you would want to choose different submit and display values.

      Example You've devised a new marketing strategy for your confectionary web site. With their permission, you use the names of your best customers, along with the names of their favorite products in a drop-down list.

      Thus, in March, your drop-down list shows Teatime Chocolate Biscuits as Nancy Davolio's Favorite Biscuits; and in April the selection reads Michael Suyama's Favorite Biscuits.

      However, not wanting to confuse your shipping clerk with these new product names, when someone selects one of these "custom-named" products, the inventory number (not the product name) is sent as the submit value, by e-mail, to your clerk.

      Example You've created an Internet resource web site and have compiled a database listing the names of every country/region in the world and its international Internet country/region code. You select the country/region name for your drop-down list display value (so the site visitor will see Argentina, Austria, Australia, Belgium, Brazil, and so on), but you want to send another value to a Database Results region — the corresponding country/region code. The submit values in this example would be AR, AT, AU, BE, BR, and so on.


Add information from a database to your web pages

With this step-by-step topic, you will learn how to integrate a database with a web site using the Database Results Wizard.

What you should know before you begin

About your database

  • The type and name of your database (for example, a Microsoft Access database named fpnwind.mdb)
  • Where the database is stored (for example, on a web server, a database server, or on your hard drive)

About your server and client computers

You should know whether the server — the computer hosting the web site — has the required services. Your Internet service provider (ISP) or web administrator can tell you whether the server has these services installed.

  • Active Server Pages (ASP)
  • ASP-enabled web server (such as Internet Information Server (IIS) version 4.0 (or later)
  • ActiveX Data Objects (ADO) version 1.5 (or later)
  • Open Data Base Connectivity (ODBC) library and matching ODBC-compliant drivers
  • Microsoft FrontPage 2000 Server Extensions (or later) or SharePoint Team Services

    Server Extensions are not needed if you plan to publish your site using File Transfer Protocol (FTP)

  • Microsoft Data Access Components (MDAC) 2.1 (or later)

You should know whether the client — your computer — has the following installed:

  • Microsoft FrontPage
  • ODBC and ODBC-compliant drivers
  • Optional: Data Access Objects (DAO) to enable Database Publishing for Microsoft Access databases.

About your web site

To use the Database Results Wizard, you must first create (or open) a web site.

If you have a local web server, create or open your web site using HTTP (for example, http://localhost/web). If you don't have a local server, use C:/My Documents/My Webs, or another disk-based location.

Important You can't test how your site displays database information on a disk-based web until you publish it to a server that meets the server requirements.

How to use the Database Results Wizard

Step 1 — Connect to a database

Before you can use the information in a database on your web pages, you must create a database connection. Step 1 of the Database Results Wizard is used to set up the connection. Once you set up a database connection, you can use it on any page in your web site.

If you're familiar with databases, you can set up a new connection. Otherwise, you can practice using the sample connection and database provided with Microsoft FrontPage.

Set up a new connection

  1. Make sure your insertion point is on a web page, then start the Database Results Wizard (on the Insert menu, point to Database, and then click Results).
  2. Click Use a new database connection, and then click Create.
  3. Click Add, and then type a name for the new database connection in the Name box.

    Note If your database is password protected, click Advanced in the New Database Connection dialog box. Then, type your user name and password in the boxes.

  4. Under Type of connection, choose one of the following types of connections:

    A file or folder in the current web site

    A file-based connection to a database, such as a Microsoft Access or Microsoft Excel database, is located in the web site.

    1. Click File or folder in current web, and then click Browse.
    2. In the Files of type box, select the driver for the type of database you're connecting to.
    3. In the URL box, type the path to the file or folder containing the database, and then click OK. Or, use the Look in box and file list to navigate to the file or folder you want, and then double-click the file or folder in the list.
    4. Click OK to close the New Database Connection dialog box, and then click OK to close the Web Settings dialog box.

      Note If you import an Access database into your web before running the Database Results Wizard, you are automatically asked to create a database connection to that database and to store it in the Fpdb folder.

A System Data Source Name (System DSN) on a web server

A System DSN is located on a web server. A System DSN can connect to an ODBC-compliant database (such as a Microsoft Access or Microsoft Excel database), or a database management system (such as Microsoft SQL Server).

Ask your web server administrator to create a System DSN if you need one defined.

  1. Click System data source on Web server, and then click Browse.

    The System Data Sources on Web Server dialog box is displayed. The list shows the System DSNs defined on the web server.

  2. Select the System DSN for the database you want to access, and then click OK.
  3. Click OK to close the New Database Connection dialog box, and then click OK to close the Web Settings dialog box.

A database server on a network

A database server is a computer dedicated solely to managing and maintaining large databases (such as Microsoft SQL Server). A network connection to a database server accesses this type of database.

  1. Click Network connection to database server, and then click Browse.
  2. In the Type of database driver box, select the type of database driver you want to use to connect to the database server.
  3. In the Server name box, type the URL of the network server containing the database you want to access.
  4. In the Database name box, type the name of the database, and then click OK.
  5. Click OK to close the next three dialog boxes.

A database using a custom definition

A custom connection uses a file or string that defines all the necessary information.

  1. Click Custom Definition, and then click Browse.
  2. In the Files of type box, select a File DSN, Universal Data Link (UDL) file, or edit a connection string:
    • To select a File DSN or UDL file in the current web, click Browse. In the URL box, type the path to the File DSN or UDL file to which you want to connect, and then click OK. Or, use the Look in box and file list to navigate to the File DSN or UDL file you want, and then double-click the file in the list.
    • To edit a connection string, click Advanced. In the Connection string box, type the appropriate string to pass to the database driver to which you want to connect. Click OK.

      Note Do not use a File DSN to connect to a database file in the current web; the File DSN will contain file paths that are incorrect for the web server. Instead, create a database connection to a file or folder in the current web.

      Any timeouts or other name-value parameters for the database must be contained in the File DSN. If they are not, click Advanced, and then enter the appropriate information.

  3. In the Database name box, type the name of the database, and then click OK. The database driver referred to by the File DSN or the connection string must be present on the web server for the connection to work properly.
  4. Click OK to close the next three dialog boxes.

Use a sample connection and database

The sample database provided by Microsoft FrontPage is a Microsoft Access database. If you use this database, the wizard automatically imports the database file fpnwind.mdb into the Fpdb folder of your web site. If you have Microsoft Access 2000 or later, you can open this file to view its contents. Viewing the contents will help you understand the other options in the wizard.

  1. Make sure your insertion point is on a web page. Start the Database Results Wizard (on the Insert menu, point to Database, and then click Results).
  2. In Step 1 of wizard, click Use a sample database connection (Northwind).

Step 2 — Choose a record source

After you have created the database connection, Step 2 of the Database Results Wizard displays the record sources (the names of the tables and views) in the database. Choose the source you want to use.

  1. In Step 2 of the wizard, click Record source.
  2. From the drop-down list, click the table or view that contains the information you want to display.

Step 3 — Determine how records will display

Step 3 of the wizard lets you determine how you want the records in the database to display. In this step of the wizard:

  • Choose the database fields to display (for example you may want to show the ProductName field, and the UnitPrice field).
  • Filter specific records (for example, you may only want to see Food products).
  • Sort the records in a alphabetical or numerical order. You can sort in either ascending or descending order.
  • Determine how many records to display (for example, you can show anywhere between 1 and 256 records that meet your filter criteria).

    Select the database fields to display

    1. In Step 3 of the wizard, click Edit List.
    2. Do one of the following to modify the Displayed fields list:
      • Remove a field from the list.
      • Select the field you want to remove, and then click Remove.
      • Change the field display order.
      • Select the field you want to move, and then click Move Up or Move Down.
      • Add a field to the list.
      • In the Available fields list, select the field you want to add, and then click Add to add the field to the Displayed fields list.
    3. When you're finished working with the Displayed fields list, click OK.

    Specify criteria to filter database results

    1. In Step 3 of the wizard, click More Options, click Criteria, and then click Add.
    2. In the Field name box, select the field that contains the values you want to look for.

      For example, from a database of employees, you could select the LastName field.

    3. In the Comparison box, select the type of comparison you want to perform.

      For example, to filter all last names equal to "Smith," you would select Equal in the Comparison box.

    4. In the Value area, enter the value that you want to filter.

      For example, to display all last names equal to "Smith," you would enter Smith in the Value box.

    5. Clear the Use this search form field check box.
    6. Decide whether your query is complete. Choose one of the following:
      • If you're finished specifying criteria, click OK until you leave criteria setup, but continue using the wizard.
      • To continue to build your query, select And or Or in the And/Or box, and then click OK.
    7. In the Criteria dialog box, click Add and repeat steps 2-6 of this procedure, and then click OK when finished.

    Notes

    • To modify a clause in existing criteria, select the condition you want to modify in the Criteria dialog box, and then click Modify.
    • To remove a clause from existing criteria, select the condition you want to remove in the Criteria dialog box, and then click Remove.

    Specify a sort order for records

    1. In Step 3 of the wizard, click More Options, and then click Ordering.
    2. In the Available fields list, select the primary field you want to use to sort the database results, and then click Add to add that field to the Sort order list.
      • The Available fields list displays all of the fields in the selected record source.
      • The Sort order list displays the fields that will be used to sort the database results. An up arrow next to a field name indicates that the field will be sorted in ascending order (for example, from A to Z). A down arrow indicates a descending sort order (for example, from Z to A).
    3. To organize the sort order of the list, do any of the following:
      • To remove a field from the Sort order list, select it, and then click Remove.
      • To change the order of fields in the Sort order list, select the field you want to move, and then click Move Up or Move Down.
      • To change the sort order for a field from ascending to descending, select the field in the Sort order list, and then click Change Sort. The arrow next to the field name changes to indicate the sort direction.

    4. When you are satisfied with the sorting order in the Sort order list, click OK.

    Note You can add multiple fields to the Sort order list. Database results will be sorted by the first field in the list, and then they will be sorted by the second field in the list. For example, if you want to display a list of employees sorted by last name and then by first name, you would add the fields LastName and then FirstName to the Sort order list.

    Show a specific number of records

    You can set a maximum number of records to be returned and displayed in the Database Results region.

    1. Start the Database Results Wizard (on the Insert menu, point to Database, and then click Results), and click Next to get to Step 3.
    2. In Step 3 of the wizard, click More Options.
    3. Select the Limit number of returned records to check box, and then type a value representing the maximum number of records.

Step 4 — Choose formatting options for database results

In Step 4 of the wizard you determine how you want to format the database results. You can choose to format the information in a table, a list, or a drop-down list.

Format database results as a table

In Step 4 of the wizard, in the Choose formatting options for the records returned by the query list, click Table - one record per row.

Specify the additional table formatting you want for the database results region:

  • To hide inside and outside table borders, clear the Use table border check box.
  • To create a table only as wide as necessary based on its contents, clear the Expand table to width of page check box. If the check box is selected (the default setting), the table will be the same width as the page.
  • To create a table with no header row, clear the Include header row with column labels check box.

Format database results as a list

In Step 4 of the wizard, in the Choose formatting options for the records returned by the query list, click List - one field per item.

Specify any additional list formatting options you want, as follows:

  • To hide field labels and display only data, clear the Add labels for all field values check box.
  • To display the results in one continuous list, with no separator between records, clear the Place horizontal separator between records check box.
  • In the List options box, select a formatting style for the list, such as Bulleted list or Numbered list.

Format database results as a drop-down list

  1. In Step 4 of the wizard, in the Choose formatting options for the records returned by the query list, click Drop-down list - one record per item.
  2. Under Display values from this field, select the field you want to use for the choices that will be displayed to the site visitor.
  3. In the Submit values from this field box, select the field to be submitted if the drop-down list is inside a form. You can choose the same field you selected in the previous step, or choose a different one.

Step 5 — Show records together or in groups, and finish the wizard

The final step of the wizard lets you determine whether to show all records together or separate them into smaller groups. If you choose to display records in smaller groups, Microsoft FrontPage automatically adds navigation controls to let site visitors navigate through the groups of records.

Note The option to Split records into groups is unavailable if you select Drop-down list in Step 4 of the wizard.

  1. In Step 5 of the wizard, choose one of the following grouping options:

    Display records in one list or table on a page

    Click Display all records together.

    Divide records into smaller groups

    Click Split records into groups, then type the number of records you want to include in each group.

  2. Click Finish to end the wizard. The web page will display the database results region you created using the wizard.

Save and test your web site

Once you have completed the wizard, a Database Results region is inserted on the web page. To view how the data will look when your web is browsed, you must save the page as an Active Server Page (ASP) and browse the site to view database results.

  1. On the File menu, click Save as. Notice that the Save as type box indicates Active Server Pages. Enter a name for the file in the File Name box and ensure that the file extension is .asp.
  2. Click Preview in Browser Preview in Browser button to view the site.

Note If you created a disk-based web site, you must first publish your site to a web server that meets the server requirements.


Import a database

About importing a database into your web site

  • A database imported into a server-based web site can be used without the involvement of a server administrator or Internet service provider (ISP). A System DSN, on the other hand, requires access to the resources and file system of the web server.
  • If you have a disk-based web site that you want to publish to a server-based web site, the database on the disk-based web site, and the database connection, will transfer to the server-based web site during publishing. You won't need to create a new database connection on the destination web site or involve a server administrator or your ISP.
  • If the database you're importing is a Microsoft Access database, you will be asked to create a database connection and to store the file in the Fpdb folder. Permissions are set for the Fpdb folder specifying that the folder can't be viewed in a Web browser. You can protect the privacy of your database by moving it into the Fpdb folder.
  • Also with an Access database, you can enter data into the database through a web interface. The data will then be available to other Microsoft Office applications that can connect to Access databases.

How to import a database, create a connection, and display data

  1. On the File menu, click Import, click Add File, and then select the database you want to import.
  2. To create a new database connection, type a name for the connection in the Name box.

  3. To display information from the database on a page, start the Database Results Wizard by clicking the Insert menu, pointing to Database, and then clicking Results). Follow the steps in the wizard.

    Note Depending on its size, it might take several minutes to import your database.

Before you view the database results

To view the data once you set up the connection and complete the steps in he Database Results Wizard, your web site must be hosted or published on a web server configured with:

  • Active Server Pages (ASP)
  • ActiveX Data Objects (ADO)
  • Microsoft FrontPage 2000 Server Extensions (or later) or SharePoint Team Services

Ask your Internet service provider (ISP) or web server administrator whether your web server is configured with these options.


Modify field labels shown in the database results region

When a database results region is formatted as a table, the table column headings are called field labels. You can rename or format the field labels as needed. To modify the field labels to use familiar names instead of the assigned values, do the following:

  • In Page view, select the field label you want to modify, and then type a different label.

Examples of different field label formats

In a database results region formatted as a table Field labels are displayed in bold text at the top of each column.

In a database results region formatted as a list Field labels are displayed in bold text to the left of the value of the field.

Field labels are displayed in bold text to the left of the value of the field.


Set or modify default values for database search fields

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 3.
  2. In Step 3 of the wizard, click More Options, click Critera, and then enter criteria.

    How?

    1. In Step 3 of the wizard, click More Options, click Criteria, and then click Add.
    2. In the Field name box, select the field that contains the values you want to look for.
    3. In the Comparison box, select the type of comparison you want to perform.
    4. In the Value area, set the options based on what you want to do:

      Create a search form to let site visitors look up specific records

      • Verify that the Use this search form field check box is selected.
      • Verify that the value displayed in the Value box is the same as the value displayed in the Field name box.
      • Make sure you select the Add search form check box in Step 5 of the wizard.

      Filter the database results to display only records matching a specific value

      • Clear the Use this search form field check box, and then type the value in the box below.

        Note If you are using a custom query and want to substitute the value from a parameter in that query, select the Use this search form field check box, and then, in the Value box, type the name of the parameter.

    5. To specify additional criteria or to add another field to the search form, select the operator in the And/Or box to use when combined with additional criteria.
    6. To specify additional criteria or to add another field, click Add, and repeat steps 2 through 5 of this procecure.
    7. When you are satisfied with the criteria listed in the Criteria dialog box, click OK to close it.

    Notes

    • To modify a clause in existing criteria, select the condition you want to modify in the Criteria dialog box, and then click Modify.
    • To remove a clause from existing criteria, select the condition you want to remove in the Criteria dialog box, and then click Remove.
  3. Click Defaults.
  4. In the Input parameters list, select the parameter to use to specify or modify a default value, and then click Edit.
  5. In the Value box, type the default value for that parameter, and then click OK.

    An example of a default value would be to specify "Seattle" as the value for the City field. The default record would display information related to Seattle, but the user could enter a different city to search on.


Redirect a database connection

You can point an existing database results region to a different database by modifying the database connection.

  1. On the Tools menu, click Web Settings, and then click the Database tab.
  2. Click the database connection you want to modify, and then click Modify.

    Note If your database is password-protected, click Advanced in the Database Connection Properties dialog box. Then, type your user name and password in the boxes.

  3. Under Type of connection, choose one of the following:

    A file or folder in the current web site

    1. Click File or folder in current web, and then click Browse.
    2. In the Files of type box, select the driver for the type of database you're connecting to.
    3. In the URL box, type the path to the file or folder containing the database, and then click OK. Or, use the Look in box and file list to navigate to the file or folder you want, and then double-click the file or folder in the list.
    4. Click OK twice.

    A System Data Source Name (System DSN) on a web server

    Only a web server administrator can create a System Data Source Name (System DSN) on a web server. If the web server doesn't contain a System DSN for the database you want to access, ask the web server administrator to define one and to ensure that you are assigned the correct permissions.
    1. Click System data source on web server, and then click Browse.

      The System Data Sources on Web Server dialog box is displayed. The list shows the System DSNs defined on the web server.

    2. Select the System DSN for the database you want to access, and then click OK.
    3. Click OK twice.

    A database server on a network

    1. Click Network connection to database server, and then click Browse.
    2. In the Type of database driver box, select the type of database driver you want to use to connect to the database server.
    3. In the Server name box, type the URL of the network server containing the database you want to access.
    4. In the Database name box, type the name of the database, and then click OK.
    5. Click OK three times.

    A database using a custom definition

    1. Click Custom Definition, and then click Browse.
    2. In the Files of type box, select a File DSN or a UDL file, or edit a connection string:
      • To select a File DSN or UDL file in the current web, click Browse. In the URL box, type the path to the File DSN or UDL file to which you want to connect, and then click OK. Or, use the Look in box and file list to navigate to the File DSN or UDL file you want, and then double-click the file in the list.
      • To edit a connection string, click Advanced. In the Connection string box, type the appropriate string to pass to the database driver to which you want to connect, and then click OK.

        Note Do not use a File DSN to connect to a database file in the current web; the File DSN will contain file paths that are incorrect for the web server. Instead, create a database connection to a file or folder in the current web.

    3. In the Database name box, type the name of the database, and then click OK.
    4. Click OK three times.


Remove a database connection

If you no longer use a database connection, you can delete it.

To remove a database connection:

  1. On the Tools menu, click Web Settings, and then click the Database tab.
  2. Click the database connection you want to remove, and then click Remove.

Note When a connection is deleted, any database results regions that reference the connection will display an error message when browsed. To correct this condition, you can run the Database Results Wizard and set up the database results region to use a different database connection, or you can delete any database results regions that are no longer needed.


Set timeout value for a database connection

Sometimes a connection to a database cannot occur because of delays from network traffic or heavy server use. In that case, an error message is produced and the connection process is stopped. Increasing the connection timeout value will give the server longer to create the connection before returning a message.

Also, when a complicated query is executed against numerous records, the server may not be able to bring back results before the threshold timeout value is reached. Increasing the command timeout value will give the server longer to execute the query before returning an error message.

To set the timeout value, do the following:

  1. On the Tools menu, click Web Settings, and then click the Database tab.
  2. Click the database connection you want to modify, and then click Modify.
  3. Click Advanced.
  4. Type a number for the Connection and Command timeouts in the boxes (in seconds).

Note The Connection field, which sets the connection timeout property of the connection object, is set to a default of 15 seconds. The Command field, which sets the command timeout property of the command object, is set to a default of 30 seconds.


Display HTML in database results

You can store HTML code in fields in your database and display it as formatted HTML text on a page.

Example

The database field value <B>bold words</B> will appear in a database results region (on a web page in your server-based web site) as bold words.

To create and format a database results region to display HTML, do the following:

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts.
  2. Select Use an existing database connection, and then select the relevant connection from the list.
  3. Click Next, and then select Record Source.

  4. In the Record Source list, choose the table containing the HTML values you want to display.

  5. Click Next until you get to the end of the wizard, and then click Finish.
  6. Right-click the column value corresponding to the database column containing HTML. It will look something like this: <<HTML>>.
  7. Click Database Column Value Properties, and then select the Column value contains HTML check box.
  8. Click OK.

    When the page is viewed via HTTP in a web browser, the HTML code will display as formatted HTML text on the page.

Important Enabling site visitors to add HTML to a database column may pose a security risk to your Web site. Please see Microsoft TechNet for more information on Web site security.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.


Show a specific number of records

You can set a maximum number of records to be returned and displayed in the Database Results region.

  1. Right-click the Database Results region, and then click Database Results Properties. The Database Results Wizard starts. Click Next to get to Step 3.
  2. In Step 3 of the wizard, click More Options.
  3. Select the Limit number of returned records to check box, and then type a value representing the maximum number of records.


Troubleshoot database integration

My web page loads when I click Preview in Browser, but no data shows.

Your web site might be hosted on an incorrectly configured Web server

Database integration features of Microsoft FrontPage work when your web site is hosted on or published to a Web server configured with one of the following:

  • Active Server Pages (ASP)

  • Active Data Objects (ADO)

    Note ADO is part of the Microsoft Data Access Components (MDAC). ADO is installed by default with Microsoft Office 2000, Office XP, and Microsoft Windows 2000.

  • Microsoft FrontPage 2000 Server Extensions (or later edition) or SharePoint Team Services from Microsoft

  • Internet Information Server (IIS) 4.0 (or later)

    Note ASP is installed by default with IIS 4.0.

Check to see whether your Web server is configured with these options, or ask your Internet service provider (ISP) or web administrator for assistance.

Your web site location starts with C:\ instead of http://

A data-enabled web site should be hosted on or published to a server using HTTP protocol. When you open or create a web site to be used with a database, verify the following:

  • If you've already created a web site When you open the site in Microsoft FrontPage, check to see that the location specified in Web name begins with http://. For example, a valid location for your database-enabled web site might look like this: http://web.microsoft.com/Web1.

    If the location begins with a file designator (such as C:\Documents or Settings\User\My Documents\My Webs\Web1), you'll need to create a web site at a location using the HTTP protocol. A file-based web site is not valid for displaying database-integrated pages.

  • If you need to create a web site In the New dialog box, under Specify the location of the new web, the location you type must start with http://. For example, a valid location for your data-base enabled web site might look like this: http://web.microsoft.com/Web1.

    Do not use a file location (such as C:\Documents or Settings\User\My Documents\My Webs\Web1). A file-based web site is not valid for displaying database-integrated pages.

Your database page might not be saved with an .asp extension

To display the contents of a database results region on your web page, the file must have an extension of .asp. A standard .htm or .html extension is not valid.

Note When you change the extension of a file to .asp in the Folder List, click Yes when Microsoft FrontPage prompts you to ask if you're sure you want to rename the file.

My database page won't load when I click Preview in Browser.

If you see the error message "HTTP Error 403 (403.1 Forbidden: Execute Access Forbidden)" in your browser window, the folder storing your .asp file is not enabled to allow scripts to run.

  1. In Microsoft FrontPage Folder view, right-click the folder your .asp page is stored in.

  2. Select the Allow scripts to be run check box.

I can't run the Database Results Wizard because Database is unavailable on the Insert menu.

There are several reasons why Database on the Insert menu might be unavailable.

You're working on a disk-based web site

  • When you open the site in Microsoft FrontPage, check to see that the location specified in Folder name begins with http://. For example, a valid location for your data-base enabled web site might look like this: http://web.microsoft.com/Web1.

  • If the location begins with a file designator (such as C:\Documents or Settings\User\My Documents\My Webs\Web1), you'll need to create a web site at a location using the HTTP protocol. A file-based web site is not valid for displaying database-integrated pages.

Your browser compatibility settings do not allow Active Server Pages (ASP)

  1. On the Tools menu, click Page Options.

  2. Select the Compatibility tab.

  3. In the Technologies area, select the ASP check box.

Your browser compatibility settings do not allow features requiring Microsoft FrontPage Server Extensions

  1. On the Tools menu, click Page Options.

  2. Select the Compatibility tab.

  3. Select the Enabled with Microsoft FrontPage Server Extensions check box.

You're not working in a web site

Check to make sure that you opened a server-based web site and not just a new page outside of a web site.

Your web site might be hosted on an incorrectly configured Web server

Database integration features of Microsoft FrontPage work when your web site is hosted on or published to a Web server configured with one of the following:

  • Active Server Pages (ASP)

  • Active Data Objects (ADO)

    Note ADO is part of the Microsoft Data Access Components (MDAC). ADO is installed by default with Microsoft Office 2000, Office XP, and Microsoft Windows 2000.

  • FrontPage 2000 Server Extensions (or later version) or SharePoint Team Services from Microsoft.

  • Internet Information Server (IIS) 4.0 (or later)

    Note ASP is installed by default with IIS 4.0.

Check to see whether your Web server is configured with these options, or ask your Internet service provider (ISP) or web administrator for assistance.

I can run the Database Results Wizard but can't finish it due to errors.

If the server encounters an error when trying to retrieve a record source in Step 2 of the Database Results Wizard, you might be attempting to access a password-protected database without proper authentication.

Add a username and password

  1. On the Tools menu, click Web Settings, and then click the Database tab.

  2. Select the database connection you want to use, and then click Modify.

    The New Database Connection dialog box appears.

  3. Click Advanced.

    The Advanced Connections Properties dialog box appears.

  4. Under Authorization, type the correct username and password.


Use an existing database connection

Database connections are stored in the web site. Web site authors can then use the stored connections as needed.

  1. To use an existing database connection:

    When a database results region exists

    Right-click anywhere in the database results region, and then click Database Results Properties on the shortcut menu.

    When a database results region does not yet exist

    Start the Database Results Wizard by clicking the Insert menu, pointing to Database, and then clicking Results.

  2. In Step 1 of the wizard, click Use an existing database connection, and then select a database connection that is different from the one currently in use.
  3. Click Next until you reach the last step of the wizard, and then click Finish.


Store a user name and password in a database connection

For Microsoft FrontPage to access a password-protected database, you need to enter a valid user name and password when configuring a database connection. To store this information in the database connection, do the following:

  1. On the Tools menu, click Web Settings, and then click the Database tab.
  2. Click the database connection you want to modify, and then click Modify.
  3. Click Advanced, and then set or modify the authorization properties.
  4. Specify a user name and password for FrontPage to use to connect to the database.


Verify a database connection

  1. On the Tools menu, click Web Settings, and then click the Database tab.
  2. Click the database connection you want to verify, and then click Verify.

Notes

  • In the list of database connections, the Status column contains a question mark (?) if the connection hasn't been verified.
  • If Microsoft FrontPage successfully verifies the database connection, the question mark in the Status column changes to a check mark.
  • If FrontPage does not successfully verify the database connection, the question mark in the Status column changes to a broken link icon. Click Modify, adjust the database connection properties as required, and then test the connection again.


Remove an extended component

To remove an extended component from the Insert Web Component dialog box, you must delete the .ini file associated with that component. The folder in which it is located depends on the language version you are using.

  1. On the desktop, double-click My Computer.
  2. Double-click the drive on which Microsoft Office is installed (normally drive C).
  3. Double-click Program Files.
  4. Double-click Microsoft Office.
  5. Double-click Office.
  6. Find the folder that contains your language's .ini files.

    7. How?

    Folder | Language
1078 | Afrikaans
1052 | Albanian
5121 | Arabic (Algeria)
15361 | Arabic (Bahrain)
3073 | Arabic (Egypt)
2049 | Arabic (Iraq)
11265 | Arabic (Jordan)
13313 | Arabic (Kuwait)
12289 | Arabic (Lebanon)
4097 | Arabic (Libya)
6145 | Arabic (Morocco)
8193 | Arabic (Oman)
16385 | Arabic (Qatar)
1025 | Arabic (Saudi Arabia)
10241 | Arabic (Syria)
7169 | Arabic (Tunisia)
14337 | Arabic (U.A.E.)
9217 | Arabic (Yemen)
1069 | Basque
1059 | Belarusian
1026 | Bulgarian
1027 | Catalan
3076 | Chinese (Hong Kong SAR)
2052 | Chinese (PRC)
4100 | Chinese (Singapore)
1028 | Chinese (Taiwan)
1050 | Croatian
1029 | Czech
1030 | Danish
2067 | Dutch (Belgian)
1043 | Dutch (Standard)
3081 | English (Australian)
10249 | English (Belize)
4105 | English (Canadian)
9225 | English (Caribbean)
6153 | English (Ireland)
8201 | English (Jamaica)
5129 | English (New Zealand)
7177 | English (South Africa)
11273 | English (Trinidad)
2057 | English (United Kingdom)
1033 | English (United States)
1061 | Estonian
1080 | Faeroese
1065 | Farsi
1035 | Finnish
2060 | French (Belgian)
3084 | French (Canadian)
5132 | French (Luxembourg)
1036 | French (Standard)
4108 | French (Swiss)
3079 | German (Austrian)
5127 | German (Liechtenstein)
4103 | German (Luxembourg)
1031 | German (Standard)
2055 | German (Swiss)
1032 | Greek
1037 | Hebrew
1038 | Hungarian
1039 | Icelandic
1057 | Indonesian
1040 | Italian (Standard)
2064 | Italian (Swiss)
1041 | Japanese
1042 | Korean
2066 | Korean (Johab)
1062 | Latvian
1063 | Lithuanian
1044 | Norwegian (Bokmal)
2068 | Norwegian (Nynorsk)
1045 | Polish
1046 | Portuguese (Brazilian)
2070 | Portuguese (Portugal)
1048 | Romanian
1049 | Russian
3098 | Serbian (Cyrillic)
2074 | Serbian (Latin)
1051 | Slovak
1060 | Slovenian
11274 | Spanish (Argentina)
16394 | Spanish (Bolivia)
13322 | Spanish (Chile)
9226 | Spanish (Colombia)
5130 | Spanish (Costa Rica)
7178 | Spanish (Dominican Republic)
12298 | Spanish (Ecuador)
17418 | Spanish (El Salvador)
4106 | Spanish (Guatemala)
18442 | Spanish (Honduras)
2058 | Spanish (Mexican)
3082 | Spanish (Modern Sort)
19466 | Spanish (Nicaragua)
6154 | Spanish (Panama)
15370 | Spanish (Paraguay)
10250 | Spanish (Peru)
20490 | Spanish (Puerto Rico)
1034 | Spanish (Traditional Sort)
14346 | Spanish (Uruguay)
8202 | Spanish (Venezuela)
1053 | Swedish
2077 | Swedish (Finland)
1054 | Thai
1055 | Turkish
1058 | Ukrainian
1066 | Vietnamese
  7. Double click the folder that applies to your language.

    For example, double-click 1033 for U.S. English.

  8. From the list of available .ini files, identify the one for the extended component you want to remove.

    How?

    If you can't identify the file by its filename, do the following:

    1. Double-click an .ini file.
    2. In the file, under the section called [Component], look at the line that reads Name="component" and confirm the following:
      • If the name matches the extended component you want to remove, close the file and select it in the folder list.
      • If the name doesn't match the extended component you want to remove, close the file and repeat steps 1 and 2 until you find the correct .ini file.
  9. Make sure the file is selected, and then press DELETE.


Delete a task

  • In Tasks view, right-click the task you want to delete, and then click Delete Task on the shortcut menu.


Delete a file from the current web site

  • In Folders view, select the page you want to delete, and then press DELETE.

Note When you delete a page from within Microsoft FrontPage, it is also deleted from the hard drive or web site from which you are working.

Tip

To select multiple pages, hold down CTRL, and click the pages you want to select.


Delete a field from a form

You can delete fields from a form as needed. Every field — with the exception of a hidden field — can be deleted in the same way.

In Page view, do one or both of the following:

Delete a field that is not hidden

Click the field you want to delete, and then press DELETE.

Delete a field that is hidden

  1. Right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Advanced.

  3. Select the hidden field from the list, and then click Remove.


Delete a frame from a frames page

When you delete a frame from a frames page, the page shown in that frame is deleted, but the remaining content of the frames page is not. Whatever page was in the deleted frame disappears from that frameset but is still in your web site folders. After you delete a frame, the remaining frames expand to fill the space left by the frame you removed.

  1. In Page view, open the frames page you want to modify, click the Normal button [image], and then select the frame you want to delete by clicking it.
  2. On the Frames menu, click Delete Frame.

Note If the frames page contains only one frame, you cannot delete that frame. The page shown in the remaining frame will occupy the entire browser window when viewed by a visitor to your site.


Delete a link bar

  • In Page view, click the link bar, and then press DELETE.

Note If you delete a link bar from a shared border, the link bar will be deleted from all pages using that shared border.


Delete all or part of a table

In Page view, do one or more of the following:

Delete a table

  1. Click anywhere on the table you want to delete.
  2. On the Table menu, point to Select, and click Table.
  3. Right-click anywhere on the table, and click Delete Cells on the shortcut menu.

Delete a cell

  1. Position the insertion point in the cell you want to delete.
  2. On the Table menu, point to Select, and click Cell.
  3. Right-click on the cell, and click Delete Cells on the shortcut menu.

Delete a row

  1. Position the insertion point in the cell that's within a row you want to delete.
  2. On the Table menu, point to Select, and click Row.
  3. Right-click on the row, and then click Delete Cells on the shortcut menu.

Delete a column

  1. Position the insertion point in the cell that's within a column you want to delete.
  2. On the Table menu, point to Select, and click Column.
  3. Right-click on the column, and then click Delete Cells on the shortcut menu.

Delete a table caption

  1. Select the table caption that you want to delete.
  2. Press DELETE.


Delete a file or folder that has been published

  1. On the File menu, click Publish Web.
  2. In the right pane (which displays the files that have been published), select the file you want to delete by clicking it.

    If the right pane is not showing, click Show.

  3. Click Delete in the right pane.

Note When you delete a file or folder from the Web server, it still exists on your local computer (unless you click Delete in the left pane to delete it).


Delete a shared template

Some of the content in this topic may not be applicable to some languages.

When you create a shared template to be used in a web site, the template is stored in a hidden folder in the web site. A copy of the template is also stored on the hard drive of every web site author who opens that web site. The following procedures explain how to delete both instances of a shared template.

Delete a shared template from the folder list in a web site

  1. On the Tools menu, click Web Settings, and then click the Advanced tab.
  2. Select the Show documents in hidden directories check box, and then click OK.
  3. Click Yes.

    The _sharedtemplates folder is displayed in the Folder List.

  4. In the Folder List, double-click the _sharedtemplates folder.
  5. Double-click the subfolder that contains the shared template you want to delete.

    How to choose a subfolder

    Depending on the types of shared templates you've created, the _sharedtemplates folder contains corresponding subfolders.

    Type of shared template | Stored in subfolder
    Non-frames page | Pages
    Frames page | Frames
    Cascading style sheet (.css) | CSS
  6. Right-click the folder containing the shared template you want to delete, and then click Delete on the shortcut menu.

    For example, if you want to delete the shared template named Mytemplate.tem, delete the folder named Mytemplate.tem.

  7. Click Yes.

Delete the copy of a shared template that is stored on your hard drive

Each author who has opened the site must do the following:

  • Delete the appropriate shared template folder from the Application Data\Microsoft\FrontPage\subfolder location on his or her computer.

    Note The exact location of this folder varies between operating system and installation directory. Subfolder represents either Page, Frames, or CSS. The following examples show sample paths to the location of frames template copies on a hard drive, where the installation is on drive C:

    Windows 98

    C:\Documents and Settings\user\Application Data\Microsoft\FrontPage\Frames

    Windows NT 4.0

    C:\WINNT\Profiles\user\Application Data\Microsoft\FrontPage\Frames

    Windows 2000 or Windows Millennium Edition

    C:\Documents and Settings\user\Application Data\Microsoft\FrontPage\Frames


Delete temporary files

  1. In any view, click Refresh Refresh button on the Standard toolbar.
  2. On the Tools menu, click Recalculate Hyperlinks, and then click Yes.
  3. On the Tools menu, click Web Settings, click the Advanced tab, and then under Temporary Files, click Delete Files.

Notes

  • For large web sites with many hyperlinks, this process may be time-consuming.
  • If you delete temporary files for a large web site, the next time you open that web site on the server, it may take longer to open because Microsoft FrontPage must copy information from the server to recreate your local temporary files.


Remove text formatting

  1. In Page view, select the text.
  2. On the Format menu, click Remove Formatting.


Delete a web site or subweb

Warning If you want to keep your files, back them up before deleting the web site or subweb. After you delete a web site or subweb, it is permanently destroyed and cannot be restored. If you created the web site by converting a folder on your computer (or on another computer) into a web site, that folder and all of its contents will be permanently deleted from that computer.

  • To Delete a web site or subweb or subweb that you're currently editing in Microsoft FrontPage, right-click the web site or subweb in the Folder list, and then click Delete on the shortcut menu.

Note You cannot delete a subweb unless you have administrative permissions on the parent web site.


Design a web site for use with specific browsers

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. In the Browsers box, select the specific browsers you want.

    If you leave the default setting (Custom) selected, under Technologies you can select or clear the check boxes of the specific technologies or features you want to enable or disable.

  3. In the Browser versions box, select the specific versions of browsers that you want.

    If you leave the default setting (Custom) selected, under Technologies you can select or clear the check boxes of the specific technologies or features you want to enable or disable.


Design a web site for specific servers

  1. On the Tools menu, point to Page Options, and then click the Compatibility tab.
  2. In the Servers box, select the server you want.

    Note If you select Apache server, the Active Server Pages are disabled by default.

  3. If you want to target your web site for a server that uses the Microsoft FrontPage Server Extensions, select the Enabled with Microsoft FrontPage Server Extensions check box.

    Note If your server doesn't use FrontPage Server Extensions, or you clear this check box, the following items will be unavailable in the Insert Web Component dialog box:

    • Web Search
    • Hit Counter
    • Photo Gallery
    • Confirmation Field
    • Top 10 List

    If your server isn't running SharePoint Team Services from Microsoft, the following items will be unavailable in the Insert Web Component dialog box:

    • List View
    • Document Library View


Determine which controls are available to FrontPage

Choose the type of control you want to work with:

Design-time controls (DTCs)

This procedure does not install or remove DTCs from your computer; it shows you which controls are already on your computer and lets you choose which ones to use in Microsoft FrontPage. Whenever you download, install, register, or otherwise add a DTC to your computer, that control is automatically added to the Control list in the Customize Design-Time Control List dialog box. Similarly, when you uninstall, delete, or otherwise remove a DTC from your computer, that control is automatically removed from the Control list.

  1. On the Insert menu, click Web Component.
  2. In the left pane, click Advanced Controls.
  3. In the right pane, click Design-Time Control, and then click Next.

    The Choose a control list appears, showing a subset of the DTCs installed on your computer.

  4. Click Customize.
  5. In the Customize Design-Time Control list, select the check boxes of the DTCs that you want to make available, or clear the check boxes of the DTCs that you do not want to make available.

ActiveX controls

This procedure does not install or remove ActiveX controls from your computer; it shows you which controls are already on your computer and lets you choose which ones to use in Microsoft FrontPage. Whenever you download, install, register, or otherwise add an ActiveX control to your computer, that control is added to the Control list in the Customize ActiveX Control List dialog box. Similarly, when you uninstall, delete, or otherwise remove an ActiveX control from your computer, that control is automatically removed from the Control list.
  1. On the Insert menu, click Web Component.
  2. In the left pane, click Advanced Controls.
  3. In the right pane, click ActiveX Control, and then click Next.

    The Choose a control list appears, showing a subset of the ActiveX controls installed on your computer.

  4. Click Customize.
  5. In the Customize ActiveX Control list, select the check boxes of the ActiveX controls that you want to make available, or clear the check boxes of the ActiveX controls that you do not want to make available.


Edit the content of a frame

If you're editing a frames page in Page view, you can select the frame you want to edit by clicking it; if the frame is too small for you to edit the page conveniently, you can open the page for editing in a new, full-sized window.

  1. In Page view, right-click anywhere on the page.

    A dark blue box indicates the frame you are editing.

  2. Click Open Page in New Window on the shortcut menu.

Note To return the page to its original size, on the File menu, click Close.


Edit a cascading style sheet

Edit an external CSS

To modify a style that is contained in an external cascading style sheet (CSS), do the following:

  1. On the View menu, click Folders.
  2. In the Folders list, double-click the CSS you want to open.

    External style sheets have a .css extension.

  3. On the Format menu, click Style.
  4. In the List box, click the type of style you want to modify.
    • To modify a style you've created, click User-defined styles.
    • To modify a standard HTML tag, click All HTML tags.
  5. In the Styles box, double-click the style you want to modify.
  6. Under Style type, choose Paragraph or Character.

    Note Some styles may not have this choice.

  7. Click Format, and then specify the attributes you want to format:

    • To set font properties — such as the font family or color, or character spacing — click Font.

    • To set alignment, indentation, or spacing, click Paragraph.
    • To set borders and shading, click Border.
    • To set the style of bullets and numbering, click Numbering.
    • To set positioning properties — such as wrapping style, location, or z-order — click Position.
  8. Close all dialog boxes to return to the CSS.

Notes

  • If you're familiar with CSS syntax, you can edit the text of the CSS directly on the style sheet in Page view.
  • This procedure works for both a style sheet you create and for a CSS generated for a theme.

Edit an embedded CSS

In Page view, do one or both of the following:

Modify a style

  1. From the Normal pane, click the Format menu, and then click Style.
  2. In the List box, click the type of style you want to modify.
    • To modify a style you created, click User-defined styles.
    • To modify a standard HTML tag, click All HTML tags.
  3. In the Styles list, double-click the style you want to modify.
  4. Under Style type, choose Paragraph or Character.
  5. Click Format, and then specify the attributes you want to format:

    • To set font properties — such as the font family or color, or character spacing — click Font.

    • To set alignment, indentation, or spacing, click Paragraph.

    • To set borders and shading, click Border.

    • To set the style of bullets and numbering, click Numbering.

    • To set positioning properties — such as wrapping style, location, or z-order — click Position.

  6. Close all dialog boxes to return to the page.

Create a user-defined style

  1. From the Normal pane, click the Format menu, and then click Style.
  2. Click New, and then in the Name (selector) box, type a name for the user-defined style.
  3. Under Style type, choose Paragraph or Character.
  4. Click Format, and then specify the attributes you want to format:

    • To set font properties — such as the font family or color, or character spacing — click Font.

    • To set alignment, indentation, or spacing, click Paragraph.

    • To set borders and shading, click Border.

    • To set the style of bullets and numbering, click Numbering.

    • To set positioning properties — such as wrapping style, location, or z-order — click Position.

  5. Close all dialog boxes to return to the page.


Edit the caption or description of a graphic in the photo gallery

  1. Select the name of the graphic whose caption you want to edit by clicking it.

    A preview of the graphic is displayed next to its name.

  2. Do one or both of the following:
    • In the Caption box, type the caption you want to appear under the graphic.
    • In the Description box, type the description you want to appear in the space below the graphic and its caption.

Note If you choose Montage Layout, the text boxes for Caption and Description will be unavailable (grayed out).


Edit a comment on a web page

  • In Page view, double-click the comment and edit it.

Note Although comments can be viewed while editing a page, they are not visible in the Web browser of a site visitor who has browsed to the page. However, they are visible if the site visitor wants to view the source of your page, so use caution when writing comments.


Edit a graphic in the photo gallery

  1. In Page view, double click the photo gallery.
  2. Select the graphic you want to edit by clicking it.

    A preview of the photo is displayed next to its name.

  3. Click Edit, and do one or more of the following:

    Change the size of the graphic

    1. Under Picture Size, specify a width and height for the graphic in pixels.
    2. If you want to preserve the height-to-width proportions, select the Maintain aspect ratio check box.

    Rotate or flip the graphic

    Under Rotate Picture, do one or more of the following;

    • Click Rotate Left [image] to rotate the graphic 90 degrees counterclockwise.
    • Click Rotate Right [image] to rotate the graphic 90 degrees clockwise.
    • Click Flip Vertical [image] to turn the graphic upside down.
    • Click Flip Horizontal [image] to create a mirror image.

    Crop the graphic

    1. Under Crop Picture, click Crop.

      A cropping box appears on the graphic.

    2. By clicking and dragging the handles on the box, resize the box to include the part of the graphic that you want to keep.

      To draw the cropping box yourself, click outside the cropping box but inside the graphic, and then draw the box.

    3. Click Crop [image] again to remove the area outside of the cropping box.

Note If you have made changes to the graphic but want to start over, click Reset to return the graphic to its original state.

Tip

Click Previous or Next to edit the graphic before or after the one you just edited.


Edit a shared border

  1. Open a page that uses the shared border you want to modify.
  2. In Page view, click inside the shared border region, which is outlined with a dashed line.

    When you click the area, the outline changes to a solid line.

  3. Make your changes to the content inside the shared border region. For example, type or delete text, or add a picture.
  4. Click Save Save button. Your changes will appear on all pages that share the border.


Embed a web page in other web pages

  1. In Page view, position the insertion point where you want to include a page.
  2. On the Insert menu, click Web Component.
  3. In the left pane, click Included Content, and in the right pane, double-click Page.
  4. In the Include Page Properties box, type the relative URL of the page to include, or click Browse to find the file.

Note This feature only works for pages in a web site.


Enable or disable Java applets

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable Java applets, select or clear the Java applets check box.

Notes

  • If you specify in the Browsers box that your web site should be compatible with Microsoft Web TV, Java applets are automatically disabled by default.
  • If you override the default and enable Java applets, your web site might not be displayed properly, or it might contain errors.


Enable or disable Active Server Pages

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. Select or clear the Active Server Pages check box.

Note If your web site already uses a database and you disable Active Server Pages, the Results and Column Value commands (Insert menu, Database submenu) will be unavailable.


Enable or disable frames for browser compatibility

You can choose to enable or disable frames, depending on whether or not a browser supports frames.

  1. In Page view, on the Tools menu, click Page Options, and then click the Compatibility tab.
  2. Select or clear the Frames check box to enable or disable frames and frames pages.

Notes

  • If you disable frames, or if you target a web site for compatibility with a browser that doesn't support frames, the commands for inserting or using frames will be unavailable on menus in Microsoft FrontPage when you are creating your web pages.
  • If you target your web site for compatibility with Microsoft Web TV in the Browsers box, frames are automatically disabled by default. If you override the default and enable frames, your frames pages might not be displayed correctly.


Enable or disable scripts

Choose to enable or disable one or both of the following:

VBScript

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable VBScript, select or clear the VBScript check box.

Note If you specify in the Browsers box that your web site should be compatible with Netscape Navigator only (and select any browser version), Both Internet Explorer and Navigator, or Microsoft Web TV, VBScript is disabled by default. If you override the default and enable VBScript, your web site might not be displayed properly, or it might contain errors.

JavaScript

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable JavaScript, select or clear the JavaScript check box.

Note If you specify in the Browsers box that your web site should be compatible with Microsoft Web TV, JavaScript is automatically disabled by default. If you override the default and enable JavaScript, your web site might not be displayed properly, or it might contain errors.


Enable or disable cascading style sheets

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. Under Available Technologies, do one or more of the following:
    • To enable or disable commands that use cascading style sheets (CSS) version 1.0, such as adding space before or after a paragraph, select or clear the CSS 1.0 (formatting) check box.
    • To enable or disable commands that use CSS version 2.0, such as position boxes or send-to-front, select or clear the CSS 2.0 (positioning) check box .


Enable or disable ActiveX controls

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable ActiveX controls, select or clear the ActiveX controls check box.

Note If you design your web site for compatibility with Microsoft Web TV or Netscape Navigator, ActiveX controls are disabled by default. If you override the default and enable ActiveX controls, your web site might not be displayed properly, or it might contain errors.


Enable or disable DHTML

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. To enable or disable DHTML, under Technologies select or clear the Dynamic HTML check box.

Note If you override the default and enable DHTML, your pages might not be displayed properly, or they might contain errors when displayed in some older browsers.


Enable or disable features that require the FrontPage Server Extensions

You can set Microsoft FrontPage to enable or disable commands that require Microsoft FrontPage Server Extensions on the Web server.

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. Choose one of the following:

To design your web site with features that require the FrontPage Server Extensions

  • Select the Enabled with Microsoft FrontPage Server Extensions check box.

To design your web site with features that do not require the FrontPage Server Extensions

  • Clear the Enabled with Microsoft FrontPage Server Extensions check box.

Note If you clear this check box, the following items will be unavailable in the Insert Web Component dialog box:

  • Web Search

  • Hit Counter

  • Photo Gallery

  • Top 10 List

  • Confirmation Field

  • List View (also requires a Web server that is running SharePoint Team Services from Microsoft)

  • Document Library View (also requires a Web server that is running SharePoint Team Services)


Enable built-in source control

Before you can use built-in source control in Microsoft FrontPage, you must enable it. You can enable source control if you have administrator privileges.

  1. Close all files in your web site before enabling source control.

  2. On the Tools menu, click Web Settings.
  3. On the General tab, select the Use document check-in and check-out check box.


Files and folders that FrontPage creates

Microsoft FrontPage creates the following files and folders for a web site:

General files and folders

images
Created to store pictures, videos, and other images.
pasted images
If you paste graphics files into pages, when you save the web site, FrontPage prompts you to save the pictures in GIF [image] or JPEG [image] format, depending on the type of pictures they are.

Tip

Other Folder List icons for graphic file formats include [image] for bitmap files and [image] for AVI files.

animate.js
If you use Dynamic HTML (DHTML) effects to animate page elements, FrontPage creates a file named animate.js in the root folder of your web site.
outline.js
If you enable collapsible outlines for bulleted or numbered lists, FrontPage creates a file named outline.js in the root folder of your web site.

Database-related files and folders

fpdb
If you create a new database to hold form results, or if you use the sample data connection provided by the Database Results Wizard and the Database Interface Wizard, FrontPage creates a folder called fpdb (if it doesn't already exist) and uploads files with the .mdb extension (Access database files) to it.
Dataconnection_interface
If you add database functionality using the Database Interface Wizard, FrontPage creates a folder named Dataconnection_interface, where Dataconnection is the name of your database connection.
Table
If you add database functionality using the Database Interface Wizard, FrontPage creates a folder named Table, where Table is the name of the database table or view you choose.
editor
If you add database functionality using the Database Interface Wizard, FrontPage creates a folder named editor to contain the pages to administer your web site.
Dataconnection_interface/submission_form.asp
If you use the Database Interface Wizard to add a submission form, FrontPage creates a file called submission_form.asp.
Dataconnection_interface/results_page.asp
If you use the Database Interface Wizard to add a results page, FrontPage creates a file called view.asp.
Dataconnection_interface/editor/confirm.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called confirm.asp.
Dataconnection_interface/editor/database_editor.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called editor.asp.
Dataconnection_interface/editor/delete.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called delete.asp.
Dataconnection_interface/editor/detail.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called detail.asp.
Dataconnection_interface/editor/edit.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called edit.asp.
Dataconnection_interface/editor/list.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called list.asp.
Dataconnection_interface/editor/login.asa
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called login.asa.
Dataconnection_interface/editor/login.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called login.asp.
Dataconnection_interface/editor/Login_Check.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called Login_Check.asp.
Dataconnection_interface/editor/Login_Validate.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called Login_Validate.asp.
Dataconnection_interface/editor/new.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called new.asp.
Dataconnection_interface/editor/update.asp
If you use the Database Interface Wizard to add the ability to edit database records, FrontPage creates a file called update.asp.
global.asa
If you add database functionality to a page, or add a data connection to a web site, FrontPage creates a file named Global.asa in the root folder of the web site. This file contains information about the web site's data connections. If a Global.asa file already exists, FrontPage merely merges the new information into it.

Themes and class files

theme1.css
If you select the Apply using CSS check box for a theme applied to a web site, FrontPage creates a file named Theme1.css in the root web site, where Theme is the name of the theme.
fphover.class, fphoverx.class
If you add hover buttons to your pages, FrontPage creates files named Fphover.class and Fphoverx.class in your root web site.
Note If you have Visual J++ installed, the folder list icon for these files might look like a globe.
fprotate.class, fprotatx.class
If you add banner ads to your pages, FrontPage creates files named Fprotate.class and Fprotatx.class in your root web site.

Hidden files and folders

_private
Created to store form results and any other files that you want to keep hidden from site visitors browsing your web site.
filename.cnt
If you add a hit counter to your web site, filename.cnt is is created in the _private folder, where filename is the name and extension of the page on which the hit counter is located.
_sharedtemplates
If you create shared templates for a web site, FrontPage creates a hidden folder named _sharedtemplates in your root web site.
_fpclass
If you create a page that contains a database results region, of if you save form results to a database, FrontPage creates an _fpclass folder.
_fpclass/fpdblib.inc
Fpdblib.inc is one of the files in the _fpclass folder containing the Active Server Page scripts used to implement the server-side functionality for database features.
_fpclass/fpdbrgn1.inc, fpdbrgn2.inc

Fpdbrgn1.inc and fpdbrgn2.inc are files in the _fpclass folder containing the Active Server Page scripts used to implement the server-side functionality for database features.

_fpclass/fpdbform.inc
If you save form results to a database, FrontPage creates Fpdbform.inc in the _fpclass folder.
_borders
Stores files that make up shared borders.
_derived
Stores information such as names of currently checked out files and the HTML extension (.htx) used by Microsoft Indexing Service.
_disc
Stores files necessary for threaded discussions using FrontPage Server Extensions (but not SharePoint Team Services).
_themes
Stores files used for creating themes, such as cascading style sheets and images.
_vti_cnf
Stores information about every file, such as who modified it and when, its source control settings, and so on.
_vti_pvt
Stores all of the configuration information for a web site, such as what subwebs reside below the root web, the version of the extensions, and permission configurations.

SharePoint Team Services files and folders

Document library folder document library
Created when you add a document library to a web site hosted on a server that is running SharePoint Team Services.
Survey folder survey folder

Created when you add a survey to a web site hosted on on a server that is running SharePoint Team Services.

List folder list folder

Created when you add a survey to a web site hosted on on a server that is running SharePoint Team Services.


Find and replace text

Do one of the following:

Find and replace text in a page

  1. In Page view, do one of the following:
    • Click the Normal button [image], and then position the insertion point at the beginning of the page.
    • Or, to find text in the HTML code, click the HTML button [image], and then position the insertion point at the beginning of the page.
  2. On the Edit menu, click Replace.
  3. In the Find what box, type the text you want to search for.
  4. In the Replace with box, type the replacement text.
    • To find text only if it matches a whole word, select the Match whole word only check box.
    • To find text only if it matches the capitalization of the text you typed, select the Match case check box.
  5. Do one of the following:
    • To find the next match for the text, click Find Next. To replace this text, click Replace.
    • To replace all occurrences of the text, click Replace All.
Find and replace text in a web site
  1. Switch to Folder view.

    How?

    • On the View menu, click Folders.

  2. If you do not want to search each page in the web site, select the pages you want to search.

    How?

    • To select multiple, non-sequential pages, click the name of the first page you want to select, and then hold down CTRL while clicking the name of all the other pages you want to select.

  3. On the Edit menu, click Replace.
  4. Do one of the following:
    • To search for text in all pages in the current web site, click All pages.
    • To search for text in pages you have selected, click Selected pages.
  5. In the Find what box, type the text you want to search for.
    • To find text only if it matches a whole word, select the Match whole word only check box.
    • To find text only if it matches the capitalization of the text you typed, select the Match case check box.
    • To find text in the HTML code, select the Find in HTML check box.

    For example, you can search for text that is not visible or editable in the page, such as the page title you set in page properties.

  6. In the Replace with box, type the replacement text.
  7. Click Find in Web.
  8. When Microsoft FrontPage lists the pages in which the text was found, do one of the following:
    • To open a page in Page view, double-click the page in the list. The first instance of the text is highlighted.
    • You can click Replace to replace this occurrence, click Find Next to find the next occurrence, or click Replace All to replace all occurrences in the current page.

    When you have reviewed all occurrences of the text in the page, you are prompted to close the current document before continuing to the next one. Note that if changes were made, your page is automatically saved.


Find text

Do one of the following:

Find text in a page

  1. In Page view, do one of the following:
    • Click the Normal button [image], and then position the insertion point at the beginning of the page.
    • Or, to find text in the HTML code, click the HTML button [image], and then position the insertion point at the beginning of the page.
  2. On the Edit menu, click Find.
  3. In the Find what box, type the text you want to search for.
    • To find text only if it matches a whole word, select the Find whole word only check box.
    • To find text only if it matches the capitalization of the text you typed, select the Match case check box.
  4. Click Find Next.

Find text in a web site

  1. Switch to Folders view.

    How?

    On the View menu, click Folders.

  2. If you do not want to search each page in the web site, select the pages you want to search.

    How?

    To select multiple, non-sequential pages, click the name of the first page you want to select, and then hold down CTRL while clicking the name of all the other pages you want to select.

  3. On the Edit menu, click Find.
  4. Do one of the following:
    • To search for text in all pages in the current web site, click All pages.
    • To search for text in pages you have selected, click Selected pages.
  5. In the Find what box, type the text you want to search for.
    • To find text only if it matches a whole word, select the Find whole word only check box.
    • To find text only if it matches the capitalization of the text you typed, select the Match case check box.
    • To find text in the HTML code, select the Find in HTML check box.

      For example, you can search for text that is not visible or editable in the page, such as the page title you set in page properties.

  6. Click Find in Web.
  7. When Microsoft FrontPage lists the pages in which the text was found, double-click a page in the list.

    The first instance of the text is highlighted.

  8. Then do one of the following:
    • Click Find Next to find the next occurrence.

      When you have reviewed all occurrences of the text in the page, you are prompted close the current document before continuing to the next one. Note that if changes were made, your page is automatically saved.

    • Click Back To List to return to the list of pages.


Follow a hyperlink while editing a page

  • In Page view, right-click the hyperlink, and then click Follow Hyperlink on the shortcut menu.


Format a marquee

Format behavior and attributes

  1. In Page view, right-click the marquee you want to modify, and then click Marquee Properties.
  2. Format the properties you want.

Properties

Text Type the marquee text you want to display (there's no limit to the length).

Direction Choose Left or Right to specify the direction the text in a marquee moves.

Speed Specify the speed the text in a marquee moves.

Delay Select or type the delay, in milliseconds, before the marquee text begins to move.

Amount Select or type the increment, in pixels, that the text in the marquee should move.

Behavior

  • Scroll Text scrolls across the screen like a stock ticker.

  • Slide Text slides into view.

  • Alternate Text alternates between scrolling and sliding.

Align with text

  • Top Aligns marquee with the top of the surrounding text.

  • Middle Aligns marquee with the middle of the surrounding text.

  • Bottom Aligns marquee with the bottom of the surrounding text.

Size Select the Width or Height check box, type the width or height, and then select whether the width or height is given in pixels or as a percent of the browser window.

Continuously Specifies how many times the text effect in a marquee is repeated.

  • To repeat the marquee continuously, select this check box.

  • To repeat the marquee a fixed number of times, clear this check box, and then type the number of times the marquee should be repeated.

Background color Specifies the color you want to display behind the marquee's scrolling text.

Format font properties

  1. In the Normal pane, right-click the marquee you want to format.
  2. Click Font Properties on the shortcut menu.
    • To format the font style, size, color, or effects, click the Font tab.
    • To expand or condense the spacing between characters, or to raise or lower the text, click the Character Spacing tab.


Format text

  1. Select the text you want to format, right-click, and then click Font on the shortcut menu.
  2. Click the Font tab.

  3. Do one or more of the following:

    • In the Font text box, select the kind of font you want.
    • In the Font Style text box, select the style of font you want.
    • In the Size text box, select the size of font you want.
    • On the Color drop-down menu, select the color you would like your font to be.
    • Under Effects, select the option you would like to apply.

Tip

You can also use the toolbar to quickly add emphasis.

Do one or more of the following:

  • Underline text

    Select the text, and then click Underline Underline button.

  • Make text bold

    Select the text, and then click Bold Bold button.

  • Make text italic

    Select the text, and then click Italic [image] .


Set a keyboard shortcut for a field in a form

  1. In Page view, type text next to the field to create a label for it.
  2. Select the text and the field.
  3. On the Insert menu, point to Form, and then click Label.
  4. Select a letter in the field's label to use as the shortcut.
  5. Click Underline Underline button.

Notes

  • This feature is enabled only in Web browsers that support Dynamic HTML, such as Microsoft Internet Explorer 4.0.
  • To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Collect and store form data entered by site visitors

By default, form results are saved to a text file.

Note If you use one of the form handlers rather than a custom script, the Microsoft FrontPage Server Extensions must be installed on the server on which your web site is located.

Choose one of the following:

Create a form to submit information to a database

From a web site that has an existing database connection, do the following:

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from Template, click Web Site Templates.
  3. Click Database Interface Wizard, and then click Add to current Web.
  4. Click OK.
  5. In the Database Interface Wizard dialog box, select Use an existing database connection, and then select a database connection from the drop-down list.
  6. Click Next.
  7. Select the table or view you would like to use for the database connection, and then click Next.
  8. If you want to modify a form field, do the following:
    1. Select a value in the Edit form field type list, and then click Modify.
    2. Select a different value in the Form field input type list.

    Note If you select Option Button as a form field input type, be sure to select a value under Number of options.

  9. Click OK, and then click Next.

  10. Select Submission Form, and then click Finish.

    Microsoft FrontPage creates:

    • A page titled "Submission Form," which it opens it in Page view.
    • A folder called /Data source_interface/record source (if it doesn't already exist) to store the results page.

Create a database with Microsoft FrontPage to save form results

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Send to database, and then click Options.
  3. You will be prompted to to pick a valid database connection and table in which to store the results of the form. Click OK.
  4. On the Database Results tab, click Create Database.

    FrontPage creates a Microsoft Access database.

    After the database has been created, a confirmation message displays the name of the database and its location in your web site. For example, /fpdb/Form.mdb means the database is named Form, and is located in the /fpdb folder created by FrontPage in the current web site.

  5. Click OK.

    FrontPage automatically selects the new database as the database connection to use and selects the table to store the form results in.

  6. Click OK, and then click OK again.

Note If the extension of the current page is .htm, FrontPage prompts you to rename the file with the .asp extension in order for the file to work correctly.

Set up a form to save form results to an existing database

You can save form results to an ODBC-compliant database. When a site visitor fills out a form and submits it, Microsoft FrontPage enters the data directly into your database. If you are already working with an existing database, this way of gathering information may be the most appropriate for you.
  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Send to database.
  3. Click Options.
  4. On the Database Results tab, in the Database connection to use box, select the database connection for the database you want to use.
  5. In the Table to hold form results box, select the table in which you want to place the form results data.
  6. Click the Saved Fields tab. When you click the Saved Fields tab, all of the fields in your form are listed. For each field, you must specify the database column in which you want to save the data.
  7. In the Form fields to save box, click a form field, and then click Modify.
  8. In the Save to database column box, specify the column in which you want to save form field data, and then click OK. The columns listed are from the table you specified earlier.

    Repeat steps 7 and 8 for each form field.

  9. To save additional information (such as the site visitor's browser type, remote computer name, timestamp, or user name) to your database, click the Additional Fields tab, and repeat steps 7 and 8 for each field you want to save.

Note If the extension of the current page is .htm, FrontPage prompts you to rename the file with the .asp extension in order for the file to work correctly.

Set up a form to save form results to a file

One of the simplest ways to collect information about your site visitors is by saving the form results to a text or HTML file. By default, the file is located in _private, a hidden directory in your web site. You can change this location and file name as needed. You can select the format of the text file and specify whether to include field names in the form results. You can also specify a second file in which to save results.

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Send to. A default file name and a location for the results file are displayed.
  3. You can specify a different file to use by typing the new name and location in the File name box, or by clicking Browse to locate the file.
  4. Click Options, and then click the File Results tab.
  5. Set properties for the results file as needed.

Set up a form to send form results in an e-mail message

You can send form results (data that a site visitor enters in your form) in an e-mail message. Each time a site visitor submits a form, a message containing the results of the form is sent to the e-mail address you specify. You can also configure other options for the messages, such as the text for the Subject line and the address for the From (Reply To) line.

Note The Microsoft FrontPage Server Extensions or SharePoint Team Services from Microsoft need to have been configured in order to send form results in an e-mail message. Contact your web host or Internet Service Provider (ISP).

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Send to.
  3. In the E-mail address box, type the e-mail address to which you want to send the form results.
  4. If you do not want results saved to a file in addition to being sent in e-mail, clear the File name box.
  5. Click Options, and then click the E-mail Results tab.
  6. Then do one or more of the following:
    • In the E-mail format box, set the format of the text.
    • In the Subject line box, type the text that you want in the subject line of the e-mail. If you leave this box blank, the default subject line in the e-mail will be "Form Results."
    • If you want the subject line of the e-mail to contain the results of one field from your form, select Form field name, and then type the name of the field in the Subject line box.
    • In the Reply-to line box, if you want a specific e-mail address to appear as the sender of the e-mail (the From or Reply To line in the e-mail), type the address.
    • If your form contains a field that collects the site visitor's e-mail address, you can use that address as the sender's address. In the Reply-to line box, select Form field name, and then in the Reply-to line box, type the name of the form field.

Set up a form to save form results using a custom form handler

You can use your own custom script (ISAPI, NSAPI, or CGI) as a form handler.

  1. On the View menu, switch to Folders view.

    Right-click the folder containing your script, and then click Properties on the shortcut menu.

  2. Select Allow scripts to be run. If you don't want others to be able to see files in this directory, clear the Allow files to be browsed check box.
  3. Click OK.
  4. In Page view, right-click your form, and then click Form Properties on the shortcut menu.
  5. Select Send to other, and then in the drop-down box, click Custom ISAPI, NSAPI, CGI, or ASP script.
  6. Click Options.
  7. In the Action box, type the URL to the form handler.
  8. In the Method box, select the method of submitting information to the form handler:
    • The Get method encodes the form's name-value pairs and assigns the information to a server variable called QUERY_STRING.

      The Post method passes the name-value pair directly to the form handler as input.

    • To use the default encoding method "application/x-www-form-urlencoded," leave the Encoding type text box blank.

Notes

  • You must publish your web site to a web server that has the Microsoft FrontPage Server Extensions or SharePoint Team Services from Microsoft installed. Ask your web administrator or Internet service provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form. published, click Preview in Browser Preview in Browser button to test the form.
  • The server extensions do not need to be installed on your web server in order for you to use a custom script.


Create a web site offline before putting it on the Internet or intranet

Step 1— Determine where your web site will be located

I don't have a hosting location for my web site

You need to sign up for a web site hosting account.

A web site hosting account is needed to make your web site visible to the world. A hosting service, known as an Internet service provider (ISP), or a Web Presence Provider (WPP), can provide you with a web site account.

There are many well-known web site hosting companies that let you quickly and easily publish Microsoft FrontPage and Microsoft Office documents directly to the Internet.

After getting a web site account, have the URL (HTTP location) at hand for the section called Publish your Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

I do have a hosting location for my web site

Have your URL (HTTP location) at hand for the section called Publish your web site.

Note You can test many Microsoft FrontPage features even without publishing your web site to the Internet.

Step 2 — Create your web site offline

  1. In Microsoft FrontPage, on the File menu, point to New, and then click Page or Web.
  2. In the New task pane, under New from Template, click Web Site Templates.
  3. Click One Page Web, and then in the Specify the location of the new web box, type a path on your hard drive.

    The path should be typed in the following format: C:\My Webs\MyWebSite

  4. Click OK.

  5. From Page view, make sure the Folder List is showing.

    How?

    • On the View menu, click Folder List.

  6. In the Folder List, select Default.htm [image], which is the home page for your web site, and then click Preview in Browser.

  7. Personalize the page by typing in your own content, and then click Save [image].
  8. Click Preview in Browser [image].

    The home page appears in the Web browser.

Step 3 — Publish your web site

  1. On the File menu, click Publish Web.
  2. In the Publish Destination dialog box, type the location of a Web server.
  3. Click OK.
  4. Specify the pages you want to publish.

    How?

    1. In the Publish Web dialog box, click Options in the lower left corner.
    2. Click the Publish tab, and do one or more of the following:
      • Under Publish, specify whether you want to publish only pages that have changed, or all pages.
      • Under Changes, specify how you want Microsoft FrontPage to determine what pages have been changed.
      • If you want to create a log file for changes made during publishing, select that check box.
    3. Click OK.
  5. Click Publish.

Important When you publish to the Internet, any content you have added to your web site becomes visible to the public on the World Wide Web.

Notes

  • If you want to verify that your web site was successfully published, click the hyperlink that is displayed after the web site has been published — your Web browser will open to the site you just published.
  • If you cancel publishing in the middle of the operation, files that have already been published remain on the destination Web server.


Create a SharePoint team Web site

Important A SharePoint team Web site must be created on a Web server running SharePoint Team Services from Microsoft.

Step 1 — Determine where your web site will be located

I don't have a hosting location for my web site

  • If your web site will be on the Internet You need a web site hosting account.

    A web site hosting account is needed to make your web site visible to the world. A hosting service, known as an Internet service provider (ISP), or a Web Presence Provider (WPP), can provide you with an account and URL (HTTP location).

    There are many well-known web site hosting companies that offer SharePoint Team Services from Microsoft for creating and editing SharePoint team Web sites.

    Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

  • If your web site will be used within an organization You need to get a URL (HTTP location) from your Web server administrator.

    Note You will need the URL provided by your ISP or Web server administrator to create your Web site based on SharePoint Team Services.

I do have a hosting location

Verify that your Web server is running SharePoint Team Services. Otherwise, you will be unable to create a Web site based on SharePoint Team Services.

Note You will need the URL (HTTP location) provided by your ISP or Web server administrator to create your Web site based on SharePoint Team Services.

Step 2 — Create your web site

  1. In Microsoft FrontPage, on the File menu, point to New, and then click Page or Web.
  2. In the New task pane, under New from Template, click Web Site Templates.
  3. Click SharePoint-based Team Web Site, and then in the Specify the location of the new web box, type the URL you received from your Web server administrator or ISP.
  4. Click OK.
  5. From Page view, make sure the Folder List is showing.

    How?

    • On the View menu, click Folder List.
  6. In the Folder List, select Default.htm [image], which is the home page for your web site, and then click Preview in Browser.

To customize your web site, use FrontPage 2002. You can also modify the interactive lists in your web site using a Web browser such as Microsoft Internet Explorer 4.0 or later, or Netscape Navigator 4.0 or later.


Put a web site on the Internet right away

Step 1 — Determine where your web site will be located

I don't have a hosting location for my web site

You need to sign up for a web site hosting account to make your web site visible to the world. A hosting service, known as an Internet Service Provider (ISP), or a Web Presence Provider (WPP), can provide you with a web site account.

There are many well-known web site hosting companies that let you quickly and easily publish Microsoft FrontPage and Microsoft Office documents directly to the Internet.

Notes

  • After getting a web site account, have the URL (HTTP location) at hand.

  • The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

I do have a hosting location

Have your URL (HTTP location) at hand.

Step 2 — Create your web site

  1. In Microsoft FrontPage, on the File menu, point to New, and then click Page or Web.

  2. In the New task pane, under New from Template, click Web Site Templates.

  3. Click One Page Web, and then in the Specify the location of the new web box, type the URL of your web site.

    Note The URL should be typed in the following format: http://example.microsoft.com/yourwebsite

  4. Click OK.

    FrontPage creates a new web site on the server where your account is located.

  5. From Page view, make sure the Folder List is showing.

    How?

    • On the View menu, click Folder List.

  6. In the Folder List, select the home page [image], and then click Preview in Browser.

  7. Personalize the page by typing in your own content, and then click Save [image].

    Important When you click Save [image], any content you have added to your web page becomes visible to the public on the World Wide Web.

  8. On the Standard toolbar, click Preview in Browser [image].

    Your home page appears in the Web browser.


Get started creating web sites

A web site consists of a home page connected to other files by hyperlinks. A web site can be disk-based or server-based.

From the list below, choose the option that best suits your needs.

  • I want my web site on the Internet right away
  • I want to create my web site offline before I put it on the Internet
  • I want to create a Microsoft SharePoint team Web site
  • I want to use my own Web server

Note These links will take you to other topics. You can return to this topic by clicking the Back arrow at the top of the Help window.


Go to a bookmark on a web page

  1. On the Insert menu, click Bookmark.
  2. In the Other bookmarks on this page box, click the bookmark you want to find.
  3. Click Goto.


Go to a line number during HTML edit

  1. in Page view, click the HTML button [image].
  2. In the HTML pane, right-click anywhere on the page, and then click Go To on the Shortcut menu.
  3. In the Enter line number box, type the number of the line you want to go to.

Note The line and column number representing the current position of the insertion point are displayed on the status bar on the lower left.


Group page elements

In Page view, do the following:

Place elements in a position box

  1. Click Show All Show All button on the standard toolbar to display paragraph markers.

  2. In the Normal pane, position the insertion point where you want to put a position box, and then press ENTER twice to insert a new blank line.
  3. Select the blank line, making sure to include the paragraph marker.
  4. On the Format menu, click Position.
  5. Choose a positioning style:
    • Use relative positioning so the position box moves with the text flow: Under Positioning style, click Relative, and then click OK.
    • Use absolute positioning so the position box is independent of the text flow: Under Positioning style, click Absolute, and then click OK.
  6. Click inside the position box, and then insert a page element.
  7. Select the page element.
  8. On the Format menu, click Position, and then click Absolute.
  9. Repeat steps 6 through 8 for each page element you want to place in the position box.

    Tip

    You can also specify several properties by using the Positioning toolbar. To display the Positioning toolbar, click the View menu, point to Toolbars, and then click Positioning.

Specify the location of a position box

The position box must have absolute positioning applied; otherwise it will move with the text flow of the page. Follow the procedure in the preceding section (Place elements in a position box) if you want to apply absolute positioning.

  1. Hide paragraph markers and HTML tags if they're activated.

    How?

    • Hide HTML tags — On the View menu, click Reveal Tags.

    • Hide paragraph markers — Click Show All Show All button to hide paragraph markers.

    Important HTML tags and nonprinting characters are not part of the layout, but when you display them on the screen while editing, they change the appearance of the layout.

  2. Specify the element's location:

    • To move the element, point to the position box border until the cursor changes to a four-headed arrow, click to hold, and then drag the element to the new location.

    • To set pixel coordinates, specify a value in the Left and Top boxes on the Positioning toolbar.

    Tip

    You can also specify several properties by using the Positioning toolbar. To display the Positioning toolbar, click the View menu, point to Toolbars, and then click Positioning.


Hide a web page

If you do not want site visitors to see certain pages in a web, you can hide these pages by placing them in the hidden folder _private, a folder that is in every web site.

  1. In Folders view, select the pages you want to hide.

    How?

    Hold down CTRL, and click the pages you want to select.

  2. Drag the selected pages to the _private folder.

    Microsoft FrontPage automatically updates any hyperlinks to and from these pages to reflect their new location.

Tip

You can create subfolders in the _private folder to organize pages, because subfolders in the _private folder are also inaccessible to Web browsers.


Hide a plug-in

To hide a plug-in when a site visitor views the page in a Web browser:
  1. In Page view, right-click the plug-in that you want to modify, and then click Plug-In Properties on the shortcut menu.
  2. Select the Hide plug-in check box, and then click OK.


Show or hide highlighting of dynamic elements

When you add a Dynamic HTML (DHTML) effect to a page element in the Normal pane, a blue background and border are added to the element to identify it while you're editing the page. To show or hide the highlighting, do the following:

  1. On the View menu, point to Toolbars, and then select DHTML Effects.
  2. To show highlighting, on the DHTML Effects toolbar, click Highlight DHTML Effects Highlight DHTML Effects button.
    To hide highlighting, make sure that Highlight DHTML Effects is not selected.


Highlight the hot spots on a graphic

You can highlight hot spot s on a graphic for example if it's hard for you to see the hot spot outlines that are superimposed on the graphic.

  1. In Page view, click the graphic.
  2. On the Pictures toolbar, click Highlight Hotspots [image].

    Note To display the Pictures toolbar, on the View menu, point to Toolbars, and then click Pictures.

  3. Click this button again to display the graphic without highlighting.


Import a file or folder to a web site

If you know that you will be using a certain group of files, you can import them all at once into a folder you specify in your web site.

  1. Select the folder into which you want to import a file or folder.

    For example, if you are going to be importing graphics, select your Images folder.

  2. On the File menu, click Import.
  3. Click Add File or Add folder.
  4. Browse to the file or folder you would like to import, click Open, and then click OK.

Tip

You can also import files by clicking and dragging them (for example, from your desktop) into the Folder List.


Import a web site, folder, or file

To import an external source into your web site, do the following:

  1. Open the web site you want to import into.
  2. On the File menu, click Import.
  3. Choose the web site or files you want to import:

    Import a file from your computer or network

    1. Click Add File, and then browse to the folder where the file is located.
    2. Select the file, and then click Open. The file is added to the list in the Import dialog box.
    3. Repeat steps 1 and 2 until you have selected all the files you want, and then click OK.

    Note If you import a Microsoft Access database (.mdb extension), you will be asked to create a database connection and to store the file in the Fpdb folder. You can protect the privacy of your database by moving it into the Fpdb folder, because permissions for the Fpdb folder specify that it can't be viewed in a Web browser.

    Import a folder from your computer or network

    1. Click Add folder, and then in the Browse for Folder dialog box, locate the folder you want to use.
    2. Select the folder, and then click OK.
    3. Repeat steps 1 and 2 until you have selected all the files you want, and then click OK.

    Import a web site from a web server

    1. Click From Web, and then in the Location box, type the complete URL of the starting page you want to import. The starting page can be any page in the web, not just the home page.
    2. To import a web site that uses Secure Sockets Layer (SSL) for secure transactions, select the Secure connection required (SSL) check box.
    3. Click Next.
    4. Choose one or more of the following:

      Specify the number of subdirectories beneath the root

      • Select the Limit to this page plus check box, and then select a number in the levels below box. By default, this check box is selected, and the levels below box specifies 5.

      Specify the import limit in kilobytes

      • In the Limit to box, type the total amount, in kilobytes, to limit the import to. The default is 500 KB.

      Specify whether you want only text and image files or other files as well

      • To import only text and image files, select Limit to text and image files.

    5. Click Finish.

    Note If you import a disk-based web site into an existing disk-based web site, Microsoft FrontPage adds the files and folders only to the current disk-based web site. It does not create a new disk-based subweb.


Inline frame source

This is an inline frame.

Images

Example of a picture after scratch removal

Tables
Row A
Row B

Forms

Check here


Insert HTML in the Normal pane

When you edit a page in the Normal pane, you can insert HTML by using an HTML Markup component. The HTML you insert is added by using a Microsoft FrontPage web component that protects code that FrontPage might not recognize.

Important FrontPage does not verify the text or HTML you type for correctness or reformat it when the page is saved.

  1. On the Insert menu, click Web Component.
  2. In the left pane, click Advanced Controls.
  3. In the right pane, double-click HTML.
  4. Type the plain text or HTML you want to insert.

Note If you click Reveal Tags on the View menu, or if Show All Show All button is selected, the inserted text or HTML appears as an HTML Markup icon HTML Markup icon. The inserted text or HTML, however, will appear as intended on the Preview tab or when a site visitor views the page.


Insert a symbol

  1. In Page view, place the insertion point where you want to insert a symbol or special character.
  2. On the Insert menu, click Symbol.
  3. Do one of the following:
    • Click the symbol or special character you want to insert, and then click Insert.
    • Click Font or Subset if you don't see the symbol you want, and then click Insert.
  4. Click Close.


Insert a table within a table

You can insert a table within a cell in an existing table.

  1. In Page view, position the insertion point in the cell where you want to insert a table.
  2. Click Insert Table Insert Table button, then drag down and to the right until the number of rows and columns you want in the table is shown.


Install additional themes

If you chose to install only the typical themes when you installed Microsoft Office, you can install the rest of the preset themes whenever you want to.

  1. On the Format menu, click Themes.
  2. In the list, click Install Additional Themes, and then click Yes.


Set up your computer as a Web server

Important SharePoint Team Services from Microsoft and the Microsoft FrontPage Server Extensions 2002 are not supported on computers running Microsoft Windows 95, Windows 98, or Windows Millennium Edition. If you have been using your computer as a Web server, you will need to upgrade your operating system, and install the appropriate web server software.

Software requirements for servers running SharePoint Team Services

The following tables list the operating systems and Web server that run SharePoint Team Services.

Operating Systems
Microsoft Windows 2000 Professional
Microsoft Windows 2000 Server
Microsoft Windows 2000 Advanced Server
Web Server Software
Use the latest version of Internet Information Services (IIS)

Software requirements for servers running FrontPage Server Extensions 2002

The following tables list the operating systems and Web servers that run FrontPage Server Extensions 2002.

Windows Operating Systems
Microsoft Windows NT Server 4.0 with Service Pack 5
Microsoft Windows NT Workstation 4.0 with Service Pack 5
Microsoft Windows 2000 Professional
Microsoft Windows 2000 Server
Microsoft Windows 2000 Advanced Server
Unix Operating Systems
AIX 4.x
BSDI 3.1, 4.0
Digital Unix 3.2c, 4.0
HP/UX 10.2, 11.0
IRIX 6.2, 6.3
Linux 2.0.34 (MIPS)
Linux 3.0.3 (Red Hat Software)
SCO OpenServer 5
SCO UnixWare 7
Solaris 2.5.1, 2.6
Web Server Software
On servers running Microsoft Windows: Internet Information Services (IIS) (latest version)
On Unix-based servers: Apache 1.3.3, with the FrontPage Apache patch

Notes

  • For detailed information about setting up a server, or installing and administering the FrontPage Server Extensions or SharePoint Team Services, see the SharePoint Team Services Administrator's Guide.
  • The hyperlinks in this topic go to the Web. You can switch back to Help at any time.


Keyboard shortcuts

You can quickly accomplish tasks you perform frequently by using shortcut keys. The availability of shortcut keys in Microsoft FrontPage depends on whether the command you want to use is available in the currently selected view.

Common Microsoft FrontPage tasks

Work with and manage Web pages
CTRL+N
Create a new web page
CTRL+O
Open a web page
CTRL+F4
Close a web page
CTRL+S
Save a web page
CTRL+P
Print a web page
F5
Refresh a web page
CTRL+TAB
Switch between open web pages
CTRL+SHIFT+B
Preview a web page in a Web browser
ALT+F4
Quit Microsoft FrontPage
CTRL+ SHIFT+8
Display non-printing characters
CTRL+ /
Display HTML tags
CTRL+F
Find text or HTML on a web page
CTRL+H
Replace text or HTML on a web page
F7
Check spelling on a web page
SHIFT+F7
Look up a word in the thesaurus
ESC
Cancel an action
CTRL+Z
or ALT+BACKSPACE
Undo an action
CTRL+Y
or SHIFT+ALT+BACKSPACE
Redo or repeat an action
DELETE
Delete a Web page or folder in the folder list or any dialog box
BACKSPACE
Move up one level

Format text and paragraphs

CTRL+SHIFT+F
Change the font
CTRL+SHIFT+P
Change the font size
CTRL+B
Apply bold formatting
CTRL+U
Apply an underline
CTRL+I
Apply italic formatting
SHIFT +TAB (6 times)
In the More Colors dialog box, activate the color picker.
Note SHIFT +TAB should activate, in order: Cancel, OK, Select, Custom, Value, and then the color picker.
SHIFT +LEFT, RIGHT, BACK, or FORWARD ARROW KEY
Use the color picker (please follow instructions for previous entry first).
CTRL+PLUS SIGN
Apply superscript formatting
CTRL+MINUS SIGN
Apply subscript formatting
CTRL+ SHIFT+C
Copy formatting
CTRL+SHIFT+V
Paste formatting
CTRL+SHIFT+Z
or CTRL+SPACEBAR
Remove manual formatting
CTRL+E
Center a paragraph
CTRL+L
Left align a paragraph
CTRL+R
Right align a paragraph
CTRL+M
Indent a paragraph from the left
CTRL+ SHIFT+M
Indent a paragraph from the right
CTRL+ SHIFT+S
Apply a style
CTRL+SHIFT+ N
Apply the Normal style
CTRL+ALT+1
Apply the Heading 1 style
CTRL+ALT+2
Apply the Heading 2 style
CTRL+ALT+3
Apply the Heading 3 style
CTRL+ALT+4
Apply the Heading 4 style
CTRL+ALT+5
Apply the Heading 5 style
CTRL+ALT+6
Apply the Heading 6 style
CTRL+ SHIFT+L
Apply the List style

Edit and move text and graphics

BACKSPACE
Delete one character to the left
DELETE
Delete one character to the right
CTRL+BACKSPACE
Delete one word to the left
CTRL+DELETE
Delete one word to the right
CTRL+C
or CTRL+INSERT
Copy text or graphics
CTRL+X
or SHIFT+DELETE
Cut selected text to the Office Clipboard
CTRL+V
or SHIFT+INSERT
Paste the Clipboard contents
SHIFT+ENTER
Insert a line break
CTRL+SHIFT+SPACEBAR
Insert a nonbreaking space

Select text and graphics

SHIFT+RIGHT ARROW
Move one character to the right
SHIFT+LEFT ARROW
Move one character to the left
CTRL+SHIFT+RIGHT ARROW
Go to the end of a word
CTRL +SHIFT +LEFT ARROW
Go to the beginning of a word
SHIFT+END
Go to the end of a line
SHIFT+HOME
Go to the beginning of a line
SHIFT+UP ARROW
Move one line up
SHIFT+DOWN ARROW
Move one line down
CTRL+SHIFT+DOWN ARROW
Go to the end of a paragraph
CTRL+SHIFT+UP ARROW
Go to the beginning of a paragraph
SHIFT+PAGE DOWN
Move one screen down
SHIFT+PAGE UP
Move one screen up
CTRL+A
Select the entire page
ALT+ENTER
Display the properties of a selection

Work with tables, graphics, and hyperlinks

SHIFTt+CTRL+ALT+T
Insert a table
TAB
Select the next table cell's content
SHIFT+TAB
Select the preceding table cell's content
Hold down SHIFT and press an arrow key repeatedly
Extend a selection to adjacent table cells
Click in the column's top or bottom cell,
then hold down SHIFT and press the UP ARROW
or DOWN ARROW key repeatedly.
Select a column
CTRL +T
With the graphic selected, create an auto thumbnail
CTRL+K
Create a hyperlink on a web page

Online Help and the Microsoft Office Assistant

Display and use the Office Assistant

Some of the content in this topic may not be applicable to some languages.

To perform the following actions, the Microsoft Office Assistant must be turned on and visible. To turn on or show the Office Assistant, press ALT+H to open the Help menu, and then press O. With the Assistant visible, press F1 to display the Assistant balloon.

F1
Display the Assistant balloon (if the Assistant is turned off, F1 opens the Help window)

In the Assistant balloon

ALT+number
Select a Help topic from the list the Assistant displays. ALT+1 is the first topic, ALT+2 is the second, and so on.
ALT+DOWN ARROW
Display more Help topics in the Assistant list
ALT+UP ARROW
Display previous Help topics in the Assistant list
ESC
Close an Assistant message or a tip

In some wizards or dialog boxes

TAB
Move to the Help [image] button in the wizard
SPACEBAR, with the Help [image] button selected
Show the Assistant in a wizard or dialog box. To hide the Assistant, press SPACEBAR again. Note that not all wizards or dialog boxes have Help provided by the Assistant.

Note If you use a screen review utility or other accessibility aid, you'll get the best results with Help if you enter questions in the Answer Wizard tab in the Help window rather than in the Office Assistant balloon or in the Ask a Question box.

Display and use the Help window

Some of the content in this topic may not be applicable to some languages.

To use the Help window, the Microsoft Office Assistant must be turned off. To turn off the Assistant, press F1 to display the Assistant. Press ALT+O to open the Options tab in the Office Assistant dialog box. Press ALT+U to clear the Use the Office Assistant check box, and then press ENTER. Press F1 to display the Help window.

F1
Display the Help window if the Assistant is turned off (if the Assistant is turned on, F1 displays the Assistant balloon).

In the Help window

F6
Switch between the Help topic and the Contents, Answer Wizard, Index pane
TAB
Select the next hidden text or hyperlink, or Show All or Hide All at the top of a topic
SHIFT+TAB
Select the previous hidden text or hyperlink, or the Browser View button at the top of a Microsoft Office Web site article
ENTER
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink
ALT+O
Display the Options menu to access any Help toolbar command
ALT+O, and then press T
Hide or show the pane with the Contents, Answer Wizard, and Index tabs
ALT+O, and then press B
Display the previously viewed topic
ALT+O, and then press F
Display the next topic in a previously displayed sequence of topics
ALT+O, and then press H
Return to the specified home page
ALT+O, and then press S
Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading)
ALT+O, and then press I
Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings
ALT+O, and then press R
Refresh the topic (useful if you have linked to a Web page)
ALT+O, and then press P
Print all topics in a book or a selected topic only
ALT+F4
Close the Help window

Note If you use a screen review utility or other accessibility aid, you'll get the best results with Help if you enter questions in the Answer Wizard tab in the Help window rather than in the Office Assistant balloon or in the Ask a Question box.

Work within the Help panes

Some of the content in this topic may not be applicable to some languages.

Press F6 to switch from the Contents, Answer Wizard, Index pane to the open Help topic.

ALT+RIGHT ARROW
Go to the next Help topic
ALT+LEFT ARROW
Go to the previous Help topic
TAB
Select the next hidden text or hyperlink, or Show All or Hide All at the top of a topic
SHIFT+TAB
Select the previous hidden text or hyperlink, or the Browser View button at the top of a Microsoft Office Web site article
ENTER
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink
UP ARROW or DOWN ARROW
Scroll toward the beginning or end of a Help topic
PAGE UP or PAGE DOWN
Scroll toward the beginning or end of a Help topic in large increments
HOME or END
Go to the beginning or end of a Help topic
CTRL+P
Print the current Help topic
CTRL+A
Select the entire Help topic
CTRL+C
Copy the selected items to the Clipboard
SHIFT+F10
Display a shortcut menu

Use the Contents, Answer Wizard, and Index Help panes

Some of the content in this topic may not be applicable to some languages.

Press F6 to switch from the Help topic to the Contents, Answer Wizard, Index pane.

CTRL+TAB
Switch to the next tab
ALT+C
Switch to the Contents tab
ALT+A
Switch to the Answer Wizard tab
ALT+I
Switch to the Index tab
ENTER
Open a selected book or Help topic
DOWN ARROW
Select the next book or Help topic
UP ARROW
Select the previous book or Help topic
SHIFT+F10
Display a shortcut menu

Note If you use a screen review utility or other accessibility aid, you'll get the best results with Help if you enter questions in the Answer Wizard tab in the Help window rather than in the Microsoft Office Assistant balloon or in the Ask a Question box.

Microsoft Office basics

Display and use windows

ALT+TAB
Switch to the next window
ALT+SHIFT+TAB
Switch to the previous window
CTRL+W or CTRL+F4
Close the active window
CTRL+F5
Restore the size of the active window after you've maximized it
F6
Move to a task pane from another pane in the program window (clockwise direction). You may need to press F6 more than once.
Note If pressing F6 doesn't display the task pane you want, try pressing ALT to place focus on the menu bar, and then pressing CTRL+TAB to move to the task pane.
SHIFT+F6
Move to a pane from another pane in the program window (counterclockwise direction)
CTRL+F6
When more than one window is open, switch to the next window
CTRL+SHIFT+F6
Switch to the previous window
CTRL+F7
When a document window is not maximized, performs the Move command (on the Control menu for the window). Use the arrow keys to move the window, and, when finished, press ESC.
CTRL+F8
When a document window is not maximized, performs the Size command (on the Control menu for the window). Use the arrow keys to resize the window, and, when finished, press ESC.

Access and use menus and toolbars

F10 or ALT
Select the menu bar, or close an open menu and submenu at the same time
TAB or SHIFT+TAB
When a toolbar is selected, select the next or previous button or menu on the toolbar
CTRL+TAB or CTRL+SHIFT+TAB
When a toolbar is selected, select the next or previous toolbar
ENTER
Open the selected menu, or perform the action for the selected button or command
SHIFT+F10
Display the shortcut menu for the selected item
ALT+SPACEBAR
Display the window shortcut menu (Control menu)
DOWN ARROW or UP ARROW
When a menu or submenu is open, select the next or previous command
LEFT ARROW or RIGHT ARROW
Select the menu to the left or right. When a submenu is open, switch between the main menu and the submenu.
HOME or END
Select the first or last command on the menu or submenu
ESC
Close an open menu. When a submenu is open, close only the submenu.
SHIFT+DOWN ARROW
When a menu is selected, display the list of commands
CTRL+DOWN ARROW
When a personalized menu is open, display the full set of commands

Note You can use the keyboard to select any menu command on the menu bar. Press ALT to select the menu bar. Press the letter that is underlined in the menu name that contains the command you want. In the menu that appears, press the letter underlined in the command name that you want.

Access and use task panes

F6
Move to a task pane from another pane in the program window. (You may need to press F6 more than once.)
Note If pressing F6 doesn't display the task pane you want, try pressing ALT to place focus on the menu bar, and then pressing CTRL+TAB to move to the task pane.
CTRL+TAB
When a menu or toolbar is active, move to a task pane. (You may need to press CTRL+TAB more than once.)
TAB or SHIFT+TAB
When a task pane is active, select the next or previous option in the task pane
CTRL+DOWN ARROW
Display the full set of commands on the task pane menu
DOWN ARROW or UP ARROW
Move among choices in a selected submenu; move among certain options in a group of options
SPACEBAR or ENTER
Open the selected menu, or perform the action assigned to the selected button
SHIFT+F10
Open a shortcut menu; open a drop-down menu for the selected gallery item
HOME or END
When a menu or submenu is visible, select the first or last command on the menu or submenu
PAGE UP or PAGE DOWN
Scroll up or down in the selected gallery list
CTRL+HOME or CTRL+END
Move to the top or bottom of the selected gallery list

Move and resize toolbars and task panes

  1. Press ALT to select the menu bar.
  2. Press CTRL+TAB repeatedly to select the toolbar or task pane you want.
  3. Do one of the following:

    Resize a toolbar

    1. In the toolbar, press CTRL+SPACE to display the Toolbar Options menu.
    2. Select the Size command, and then press ENTER.
    3. Use the arrow keys to resize the toolbar. Press CTRL+ the arrow keys to resize one pixel at a time.

    Move a toolbar

    1. In the toolbar, press CTRL+SPACE to display the Toolbar Options menu.
    2. Select the Move command, and then press ENTER.
    3. Use the arrow keys to position the toolbar. Press CTRL+ the arrow keys to move one pixel at a time. To undock the toolbar, press DOWN ARROW repeatedly. To dock the toolbar vertically on the left or right side, press LEFT ARROW or RIGHT ARROW respectively when the toolbar is all the way to the left or right side.

    Resize a task pane

    1. In the task pane, press CTRL+SPACE to display a menu of additional commands.
    2. Use the DOWN ARROW key to select the Size command, and then press ENTER.
    3. Use the arrow keys to resize the task pane. Use CTRL+ the arrow keys to resize by one pixel at a time.

    Move a task pane

    1. In the task pane, press CTRL+SPACE to display a menu of additional commands.
    2. Use the DOWN ARROW key to select the Move command, and then press ENTER.
    3. Use the arrow keys to position the task pane. Use CTRL+ the arrow keys to move one pixel at a time.
  4. When you are finished moving or resizing, press ESC.

Use the Open and Save As dialogs

The Open, Insert Picture, and Save As dialog boxes support standard dialog box keyboard shortcuts. (To view standard shortcuts for dialog boxes, refer to the Use Dialog Boxes and Use Edit Boxes Within Dialog Boxes sections in the main Keyboard Shortcuts topic.) These dialog boxes also support the shortcuts below.

ALT+1
Go to the previous folder
ALT+2
Up One Level [image] button: open the folder up one level above the open folder
ALT+3
Search the Web [image] button: close the dialog box and open your Web search page
ALT+4
Delete [image] button: delete the selected folder or file
ALT+5
Create New Folder [image] button: create a new folder
ALT+6
Views [image] button: switch among available folder views
ALT+7 or ALT+L
Tools button: show the Tools menu
SHIFT+F10
Display a shortcut menu for a selected item such as a folder or file
TAB
Move between options or areas in the dialog box
F4 or ALT+I
Open the Look in list
F5
Refresh the file list

Use dialog boxes

TAB
Move to the next option or option group
SHIFT+TAB
Move to the previous option or option group
CTRL+TAB
Switch to the next tab in a dialog box
CTRL+SHIFT+TAB
Switch to the previous tab in a dialog box
Arrow keys
Move between options in an open drop-down list, or between options in a group of options
SPACEBAR
Perform the action assigned to the selected button; check or clear the selected check box
First letter of an option in a drop-down list
Open the list if it is closed and move to that option in the list
ALT+ the letter underlined in an option
Select an option; select or clear a check box
ALT+DOWN ARROW
Open a selected drop-down list
ESC
Close a selected drop-down list; cancel a command and close a dialog box
ENTER
Perform the action assigned to a default button in a dialog box

Use edit boxes within dialog boxes

An edit box is a blank in which you type or paste an entry, such as your user name or the path to a folder.

HOME
Move to the beginning of the entry
END
Move to the end of the entry
LEFT ARROW or RIGHT ARROW
Move one character to the left or right
CTRL+LEFT ARROW
Move one word to the left
CTRL+RIGHT ARROW
Move one word to the right
SHIFT+LEFT ARROW
Select or unselect one character to the left
SHIFT+RIGHT ARROW
Select or unselect one character to the right
CTRL+SHIFT+LEFT ARROW
Select or unselect one word to the left
CTRL+SHIFT+RIGHT ARROW
Select or unselect one word to the right
SHIFT+HOME
Select from the insertion point to the beginning of the entry
SHIFT+END
Select from the insertion point to the end of the entry

Use smart tags

ALT+SHIFT+F10
Display the menu or message for a smart tag. If more than one smart tag is present, switch to the next smart tag and display its menu or message.
DOWN ARROW
Select the next item in a smart tag menu.
UP ARROW
Select the previous item in a smart tag menu.
ENTER
Perform the action for the selected item in a smart tag menu.
ESC
Close the smart tag menu or message.

Tip

You can ask to be notified by a sound whenever a smart tag appears. To hear audio cues, you must have a sound card. You must also have Microsoft Office Sounds installed on your computer.

If you have access to the World Wide Web, you can download Microsoft Office Sounds from the Microsoft Office Web site. On the Help menu, click Office on the Web and search for "Microsoft Office Sounds." After you've installed the sound files, you need to select the Provide feedback with sound check box on the General tab of the Options dialog box (Tools menu). When you select (or clear) this check box, the setting affects all Office programs that support sound.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Keys for programming applications

ALT+F8
Display, edit, or run macros
SHIFT+ALT+F11
Display the Microsoft Script Editor
ALT+F11
Display the Microsoft Visual Basic Editor


Limit a search to a specific discussion web site

If your server is using Microsoft Internet Information Services (IIS), the search form uses Indexing Service to search the text index. If your server is not using Indexing Service, Microsoft FrontPage uses the WAIS (Wide Area Information Server) search engine that is included with FrontPage to search the text index.

For Indexing Service

  1. In Page view, right-click the search form you want to format, click Search Form Properties on the shortcut menu, and then click the Search Results tab.
  2. In the Scope of search results section, click Directory, and then enter the name of the folder containing the discussion web site to which you want to limit the search.

For WAIS

  1. In Page view, right-click the search form you want to format, click Search Form Properties on the shortcut menu, and then click the Search Results tab.
  2. In the Word list to search box, type the name of a discussion group folder to limit the search to that folder.


Assign a cascading style sheet

  1. In Page view, select the page to which you want to assign an external cascading style sheet (CSS).
  2. On the Format menu, click Style Sheet Links.
  3. To find your external CSS, click Add (if it is not already in the URL list).
  4. In the Select Style Sheet dialog box, click the CSS you want to add, and then click OK.
  5. In the URL list, select the CSS you want to assign to the page.
Note To assign the selected CSS to all of the pages in your web site, click All Pages.


Look up Hanja in the Hanja dictionary

If you are not using the Korean language version of Microsoft Office, then this feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for Korean. In addition, you must enable support for Korean through Microsoft Office Language Settings.

With the Hanja dictionary installed on your system, you can view detailed information, such as the pronunciation, meaning, and the number of strokes for the Hanja displayed on the screen.

  1. Type the Hangul for the Hanja you want to look up, and then select it.
  2. On the Tools menu, click Hangul Hanja Conversion.
  3. Click Hanja Dictionary [image].


Specify a low-resolution version of a graphic

You can create a low resolution version of a graphic by editing it in a graphics editor, such as Microsoft PhotoDraw.

  1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the General tab.
  2. Under Alternative Representations, in the Low-Res box, type the file name for the alternate low-resolution graphic you created, or click Browse to locate it.

Note Some Web browsers do not support this feature.


Convert a graphic to grayscale

  1. In Page view, click the graphic.

    If you want to convert the background graphic to grayscale, you do not need to make a selection.

    Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

  2. On the Pictures toolbar, click Image Control [image] and then click Grayscale.


Make table rows or columns the same size

If you have a table of varying row heights and column widths, you can equalize the width or height of selected rows or columns.

In Page view, do one or both of the following:

Make rows the same height

  1. Position the insertion point in a column whose rows are uneven.
  2. On the Table menu, point to Select and click Column.
  3. Right-click the column, and then click Distribute Rows Evenly on the shortcut menu.

Make columns the same width

  1. Position the insertion point in a row whose columns are uneven.
  2. On the Table menu, point to Select, and click Row.
  3. Right-click, and then click Distribute Columns Evenly on the shortcut menu.


Manage database content

Before you can create the pages to manage your database content, you must establish a database connection to your record source.

Step 1 — Establish a database connection

  1. On the File menu, point to New, and then click Page or Web.
  2. In the New Page or Web task pane, under New from Template, click Web Site Templates.
  3. Click Database Interface Wizard, and then, in the Specify the location of the new web box, type the URL of your web site.

    Note If you want the Database Interface Wizard to run in a web site you've opened, click Add to current web.

  4. Click OK.

    Microsoft FrontPage creates a new web site on the server where your account is located.

  5. In the Database Interface Wizard dialog box, select Use an existing database connection, and then select a database connection from the drop-down list.

  6. Click Next.

  7. Select the table or view you would like to use for the database connection, and then click Next.

  8. If you want to modify a form field, select a value in the Edit form field type list, and then click Modify.

  9. Click a different value in the Form field input type list.

    Notes

    • This is the only field you can modify in this dialog box.

    • If you select Option Button as a form field input type, be sure to select a value under Number of options.

  10. Click OK, and then click Next.

  11. Follow the steps under "Step 2 — Create pages to manage database content" if you want to create a page that enables you to modify database records.

Step 2 — Create pages to manage database content

To create a page that lets you modify database records, do the following.

  1. Select Database Editor, clear the Results Page and Submission Form check boxes, and then click Next.

  2. Decide whether you want to use a user name and password to make the Database Editor page secure.

    To secure the page

    • Enter information in the Username, Password, and Confirm your password boxes.

    To make the page available to other users

    Important A username and password are essential to protect against unauthorized access to your database. Only select this option if you are working in a trusted environment.

    • Select Don't protect my Database Editor with a username and password.

  3. Click Next.

  4. Click Finish.

    Microsoft FrontPage creates:

    • A page titled "Database Editor-record source", with the filename database_editor.asp, which it opens in Page view.
    • If you chose to use a username and password, FrontPage also creates a page titled "Database Editor Login", with the filename login.asp, which it opens it in Page view.
    • A folder called /Data source_interface/record source (if it doesn't already exist) to store the results page in.

  5. Click Preview in Browser to view the page.


Manage discussion group articles

  1. On the Tools menu, click Web Settings, and then click the Advanced tab.
  2. Select Show hidden files and folders, and then click OK.
  3. Click Yes to refresh the web site.
  4. Open the directory you specified for discussion group articles (such as _private), and then open articles as needed.

    Note Discussion group articles are named 0001.htm, 0002.htm, and so on.

Tip

If you find an offensive article, do not delete it. Instead, type a standard message replacing the article body, such as "[Deleted Article]." By not deleting the message, you protect forward and backward hyperlinks to other articles in the discussion group thread.


Manage hyperlinks

View all the internal hyperlinks in your web site

  1. Make sure the Folder List is showing.

    How?

    • On the View menu, click Folder List.

  2. On the View menu, click Hyperlinks.
  3. In the Folder list, click the page that has the links you want to view.

Verify that individual external hyperlinks are valid

Although all the hyperlinks in the current web site are shown in the Reports view, Verify Hyperlinks is only available for external links.

In Hyperlinks view, do the following:

  1. Save all open pages.
  2. On the View menu, point to Reports, point to Problems, and then click Broken Hyperlinks.

    The first time you run this report in a session, Microsoft FrontPage asks you to verify the hyperlinks in your web site. Click Yes.

  3. Right-click the file with the hyperlinks that you want to verify.

    If a hyperlink's destination is not in the current web site, the status of the hyperlink is Unknown.

  4. On the Shortcut menu, click Verify Hyperlink.

Repair broken hyperlinks

  1. On the View menu, point to Reports, point to Problems, and then click Broken Hyperlinks.

  2. All broken hyperlinks in the web site are listed.

    If a hyperlink's destination is not in the current web site, the status of the hyperlink is Unknown.

  3. Double-click a hyperlink with Broken status.
  4. In the Edit Hyperlink dialog box, do one of the following:
    • To display the page so that you can edit it, click Edit Page.
    • If you know the correct URL of the page you want to link to, type it in the Replace hyperlink with box. Or, click Browse to browse to the page or file in a web site, file system, or on the World Wide Web.
    • To repair other occurrences of this hyperlink in all pages in the current web site, enter a valid hyperlink in the Replace hyperlink with box, click Change in all pages, and then click Replace.
    • To repair other occurrences of this hyperlink in selected pages, enter a valid hyperlink in the Replace hyperlink with box, and then click Change in selected pages. Select the pages, and then click Replace.

Notes

  • If the new destination is valid, the hyperlink is no longer displayed as a broken hyperlink in the Broken Hyperlinks report.

Update all hyperlinks

  1. On the Tools menu, click Recalculate Hyperlinks.
  2. Click Yes to confirm.

Note In a Web site based on SharePoint Team Services from Microsoft, hyperlinks in document libraries and interactive lists are created and managed automatically.


Mark a task as completed

Do one of the following:

  • In Tasks view, right-click the task you want to mark as completed, and then click Mark as Completed on the shortcut menu.
  • If you started a task associated with a web page, the first time you save the page in Page view, Microsoft FrontPage will ask if you want to mark the task as completed. Click Yes.

Note When the Show History command is not selected, FrontPage hides completed tasks. To show completed tasks, right-click on the background in Tasks view, and then click Show History on the shortcut menu.


Mark pages that you don't want to publish

  1. On the File menu, click Publish Web.
  2. In the left pane, right-click the file, and click Don't Publish.

Note If you have selected Don't Publish for a file, in order to publish it when you want, you must right-click the file, click Properties on the shortcut menu, click the Workgroup tab, and clear the check box that says Exclude this file when publishing the rest of the Web.

Tip

You can select more than one file at a time by holding down CTRL and then clicking on each file.


Match size of list bullets and numbers to text

  1. Check the size of the text in your list.

    How?

    1. Select the text.
    2. On the Format menu, click Font.
    3. In the Size box, the size of your text will be highlighted.
  2. Select the list whose bullets or numbers you want to match to text.
  3. Right-click anywhere in the list, and click List Properties on the shortcut menu.
  4. Click Style.
  5. Click Format, and then click Font.
  6. In the Font dialog box, under Size, select the size that matches your text.
  7. Click OK three times to close all the dialog boxes


Modify or remove the animation from a page element

  1. In Page view, in the Normal pane, select the animated page element you want to modify.
  2. On the Format menu, click Dynamic HTML Effects.

    The DHTML Effects toolbar is displayed.

  3. On the DHTML Effects toolbar, choose to modify or remove the animation:

Modify an animation

  1. In the On box, click the down arrow, and then select the event that will trigger the animation.

    The events listed in the On box depend on the type of page element you selected.

    Events

    Click Starts the animation when a site visitor points to the page element and clicks the left mouse button once.

    Double click Starts the animation when a site visitor points to the page element and double-clicks the left mouse button.

    Mouse over Starts the animation when a site visitor points to and rests the pointer on the page element.

    Page load Starts the animation when the page is loaded in a site visitor's browser.

  2. In the Apply box, click the down arrow, and then select the type of animation effect you want to occur.

    The effects listed in the Apply box depend on the type of page element you selected and on the type of event you selected.

    Effects

    Fly out, Fly in, Drop in by word, Elastic, Hop, Spiral, Wave, Wipe, Zoom Applies an animation that moves a page element.

    Formatting Applies an animation that changes the appearance of the page element, such as changing a font color or applying a border effect.

    Swap picture Applies an animation that swaps one picture with another one.

  3. In the Choose Settings box, click the down arrow, and then choose the settings for the effect:

    Settings

    Choose Settings The settings listed depend on the type of page element you selected and the type of effect you selected in the Apply box. For example, if you applied Fly out, select the direction or type of movement (such as To left or To bottom-left).

    Choose Font If you applied Formatting animation to your text, select this to change the font style, size, color, effects, or character spacing.

    Choose border If you applied Formatting animation, select this to change the border or shading.

    Choose picture If you selected a picture and a Swap picture effect, select this and then select the picture to swap when the event you selected in step 2 occurs.

Remove an animation

  • Click Remove Effect.


Add or delete names from the Assigned To Names list

  1. In Reports view, right-click any file, click Properties on the shortcut menu, and then click the Workgroup tab.
  2. Click Names, and then do one of the following:
    • To add a new name, type it in the New username box, and then press ENTER.
    • To delete a name, select it, and then click Remove.
    • To undo your additions or deletions, click Reset to restore the list to its original state.


Modify or reset color coding of HTML

You can change the color codes Microsoft FrontPage uses in the HTML pane to differentiate between text, tags, attribute names, attribute values, comments, and scripts. The settings you choose will apply to all subsequent new pages you create.

Modify color coding of HTML

  1. In Page view, open the page you want to modify.
  2. On the Tools menu, click Page Options, and then click the Color Coding tab.
  3. For each HTML element you want to modify, click the arrow in the color box to select the color you want to use. To select or create a custom color by using the Eyedropper tool [image], click More Colors.

Reset color coding of HTML

To reset color coding to its original default settings, click Reset Colors.


Add or delete file Review Status descriptions

  1. In the Folder list, right-click the file, click Properties, and then click the Workgroup tab.
  2. Click Statuses, and then do one of the following:
    • To add a new review status, type its name in the New review status box, and then click Add.
    • To delete a status, select it, and then click Delete.
    • To undo your additions or deletions, click Reset to restore the list to its original state.


Modify the "no frames" message on a frames page

Some older browsers can't show frames pages. Instead, they show a "no frames" message when a site visitor opens a frames page on your web site. You can customize this message.

  1. In Page view, open the frames page you want to modify, and then click the No Frames button [image] .
  2. Modify the message to say what you want.

Tip

You can include in the message pictures, tables, forms, or anything else that you can put on a page.


Edit a graphic in a graphics application

To open a graphic and edit it in another application, you must first specify the graphics editing application you want to use, such as Microsoft PhotoDraw.

  1. Specify the graphics editing application.

    How?

    1. On the Tools menu, click Options.
    2. Click the Configure Editors tab.
    3. Click Add.
    4. In the File type box, type the extension of the type of file you want to edit.

      For example, gif or jpg.

    5. In the Editor name box, type the name of the graphics editor you want to use.
    6. In the Command box, type the path to the executable file (.exe) for the editor, or click Browse to locate the file.
  2. In Page view, right-click the graphic, and click Edit Picture on the shortcut menu.

    The graphic will open in the editor you specified.

Note For animated GIF files, Microsoft FrontPage opens the editor that you have set for standard GIF files — you cannot specify a different application for animated GIFs.


Open the last web site automatically when you start FrontPage

If you find that you usually work on the same web site until it's completed, you can set Microsoft FrontPage to automatically open the last site you worked on each time you start FrontPage.

  1. On the Tools menu, click Options, and then click the General tab.
  2. Select the Open last web automatically when FrontPage starts check box.


Open the Microsoft Script Editor

Open and use the Microsoft Script Editor to add VBScript or JavaScript to your web site.

  • On the Tools menu, point to Macro, and then click Microsoft Script Editor.


Open the Microsoft Visual Basic Editor

Open and use the Microsoft Visual Basic Editor to create macros, applications, controls, and forms for your web site. You can even create webs and change their structure within a programming environment. For example, you can use the Visual Basic Editor to create a new folder and then convert that folder to a web.

  • On the Tools menu, point to Macro, and then click Visual Basic Editor.


Open a web site

On the File menu, click Open Web, and then do one of the following:

Open a disk-based web site on your local computer

  1. In the Open Web dialog box, use the Look In box to find the local folder containing web sites.

  2. In the list of web sites, select the web site you want, and then click Open.

Open a disk-based web site on a computer located on a network

  1. In the Open Web dialog box, use the Look in box to find the network drive and folder containing the web site you want to open.

  2. In the list of web sites, select the web site you want, and then click Open.

Open a web site on a Web server

  • In the Open Web dialog box, in the Web Name box, type the URL of the web site, and then click Open.

    Note To open a subweb displayed in the Folder List of another web site, double-click the subweb.

Tips

  • If you already have a web site open, each subsequent web site will open in a new Microsoft FrontPage window.
  • To open recently edited web sites, on the File menu, click Recent Webs, and then click the web site you want.
  • To open a web site by using the History, My Documents, Desktop, Favorites, or My Network Places icon in the Open Web dialog box, click the desired icon.
  • By default, Microsoft FrontPage automatically opens the last web site you worked on. You can turn this option off.

How?

  • On the Tools menu, click Options, and then clear the Open last web automatically when FrontPage starts check box.


Open a web page

Do one of the following:

Open a page from within the current web site

  • In Folders view, double-click the page's icon or file name.

Open a page in a different web site or a local file system

  1. In Page view, click Open Open button.
  2. Do one of the following:
    • Select the page from among the list of pages you have already created in the current working folder.
    • In the File name box, type the URL of the page you want to open.
    • In the Look in box, locate the page you want to open.

Note If you open a web page that is on a different web site from the one you have open, a new instance of Microsoft FrontPage will be opened.


Open a web page in its original Office program

Microsoft FrontPage is the default editor for most of the pages in your web site. However, if your web site contains pages created by other Microsoft Office programs, you can specify that FrontPage automatically open pages using the Office program that created them.
  • On the Tools menu, click Options, click the Configure Editors tab, and then select the Open web pages in the Office application that created them check box.


Set Hangul and Hanja conversion options

If you are not using the Korean language version of Microsoft Office, then this feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for Korean. In addition, you must enable support for Korean through Microsoft Office Language Settings.

  1. Select any word, or type the word you want to convert.

  2. On the Tools menu, click Hangul Hanja Conversion.

  3. Click More.

  4. Click Options.

  5. Do one or more of the following:

    Avoid converting the ending

    • Click Ignore Hangul ending.

    Display the most recently used word at the top of the Hanja Suggestions or Hangul Suggestions box

    • Click Display recently used items.

    Set the conversion type

    Under Conversion Type, do one of the following:

    • To convert Hangul to Hanja and Hanja to Hangul, click Automatic.

    • To convert only Hangul to Hanja, click Hangul to Hanja only.

    • To convert only Hanja to Hangul, click Hanja to Hangul only.

    Note To use these options, you must select at least two words.

    Set the Hanja display type

    Use these options to specify the number of Hanja displayed in the Hangul Hanja Conversion dialog box.

    • Under Hanja Display Type, select the option you want.


Organize your web site using subwebs

A subweb is a web site nested inside another web site. The site that contains a subweb is called a root web.

Organize folders and subwebs by workgroup or permissions.

1 Northwind is the root web site

2 Human Resources is a subweb of the Northwind root web site

3 Job Postings is a subweb of Human Resources

A subweb initially inherits certain site settings (such as theme information and permissions) from its parent site (root web). Use subwebs to organize your intranet logically based on your organizational model.

Using subwebs for security

You can use subwebs to limit access for security reasons. Because each subweb can have its own set of permissions for who can author, browse, or administer it, you can set up individual subwebs with different levels of permissions and different groups of users.

For example, within the Human Resources subweb, you might have a subweb for job postings. Only recruiters could update the job postings subweb, but everyone in the company could browse it.


Paste text and graphics

When pasting items into the Normal pane, do the following:

  1. Select the item you want to move or copy.
  2. Do one of the following:
    • If you want to move the item, click Cut [image] on the Standard toolbar.
    • If you want to copy the item, click Copy [image] on the Standard toolbar.
  3. In Microsoft FrontPage, in the Normal pane, click where you want the item to appear.
  4. On the Standard toolbar, click Paste [image].
Note The available options depend on the type of content you are pasting, the program you are pasting from, and the format of the text in the area where you are pasting.


Position a page element

In Page view, do one or more of the following:

Apply absolute positioning

  1. In the Normal pane, add the page element you want to position, and select it.
  2. On the Format menu, click Position, and then click Absolute.
  3. Specify the element's location.

    How?

    • To move the element, point to the position box border until the cursor changes to a four-headed arrow, click to hold, and then drag the element to the new location.
    • To set pixel coordinates, select the element, and then, on the Format menu, click Position. Under Location and size, specify a value in the Left and Top boxes.

Apply relative positioning

  1. In the Normal pane, add the page element you want to position, and select it.
  2. On the Format menu, click Position, and then click Relative.
  3. Specify the element's location.

    How?

    • To set pixel coordinates, select the element, and then, on the Format menu, click Position. Under Location and size, specify a value in the Left and Top boxes.

Set the attributes for a positioned element

  1. In the Normal pane, select the positioned element or position box.
  2. On the Format menu, click Position.
  3. Specify the settings you want:
    • Under Wrapping style, specify how you want the page elements to wrap around the position box.
    • Under Positioning style, specify how you want the page element to be positioned.
    • To specify the dimensions and coordinates of the positioned element, use the drop-down menus under Location and size.
    • To specify the z-order, which is the element's position in the layers of the page, specify a value in the Z-index box. A positive value means that the element is in front of the main text-flow layer (layer 0), and a negative value means the item is behind it.

Tip

You can also specify several properties by using the Positioning toolbar. To display the Positioning toolbar, click the View menu, point to Toolbars, and then click Positioning.


Prevent site visitors from resizing a frame

There may be times — perhaps due to design or content issues — when you might not want site visitors to resize your frames when viewing your web page in a browser.

  1. In Page view, right-click in the frame.
  2. Click Frame Properties on the shortcut menu.
  3. Under Options, clear the Resizable in browser check box.


Preview a web page in a Web browser

  • Click Preview in Browser Preview in Browser button.

Note In order to preview your web page in the browser, you must first save the page.

Tip

You can automatically save a web page before previewing it in the browser. On the File menu, click Preview in Browser, and then select the Automatically save page check box.


Print the navigation structure

You can print the navigation structure of a web site as it is displayed in Navigation view.

  1. In Navigation view, click Print on the File menu.
  2. Specify printing options, such as the printer name and number of copies you want.

Tip

To see how the navigation structure will appear when printed, click Print Preview on the File menu.


Print a web page

Do one of the following:

Print the page as it looks in Page view

  1. In Page view, click the Normal button [image].
  2. On the File menu, click Print.
  3. Set your printing options, such as the name of the printer you want to use and the number of copies you want.

Note Hyperlinks and pictures are printed as they look on the Normal pane in Page view.

Print the HTML of a page

  1. In Page view, click the HTML button [image], and then click Print Print button.
  2. Set your printing options, such as the name of the printer you want to use and the number of copies you want.

Tip

To see how the page will look when printed, on the File menu, click Print Preview. However, this preview is not exactly the same as the view from a Web browser — print preview paginates and assigns page numbers, but Web browsers do not.


Prioritize a task

Do one of the following:

Prioritize a task when you create it

  • You can prioritize a task when you create it. In the New Task dialog box, click a priority of High, Medium, or Low.

Prioritize a task after you have created it

  • You can prioritize a task after you've created it. In Tasks view, click the cell in the Priority column of the task you want to prioritize, click the cell again, and then click High, Medium, or Low. This will override any priority set when the task was created.

Notes

  • If a task has been marked as Completed, you can't change its priority.
  • If you don't prioritize a task, Microsoft FrontPage assigns the task a priority of Medium by default.


Publish a web site

If your Internet service provider (ISP) has the Microsoft FrontPage Server Extensions or SharePoint Team Services from Microsoft installed, you can publish to the Web server using HTTP. Otherwise, you can use Microsoft FrontPage to publish your web site to an FTP server.

Note If you publish to a location on your local computer, your web site will not have the full FrontPage functionality unless your computer is a server that has the server extensions or SharePoint Team Services installed.

Choose one of the following:

Publish to a Web server (HTTP)

  1. On the File menu, click Publish Web.
  2. In the Publish Destination dialog box, do one of the following:
    • Type the location of a Web server.
    • Click the arrow to select a location to which you have already published another web site.
    • Click Browse to find the publishing location.

    Note If you have previously chosen a publishing destination for this web site, the Publish Destination dialog box will not appear. Proceed to step 4.

  3. Click OK.
  4. Specify the pages you want to publish.

    How?

    1. In the Publish Web dialog box, click Options in the lower left corner.
    2. Click the Publish tab, and do one or more of the following:
      • Under Publish, specify whether you want to publish only pages that have changed, or all pages.
      • Under Changes, specify how you want Microsoft FrontPage to determine which pages have been changed.
      • If you want to create a log file for changes made during publishing, select that check box.
    3. Click OK.
  5. To publish subwebs, select the Include subwebs check box.
  6. Click Publish.

    FrontPage publishes your web site to the Web server you specified. If you want to verify that your web site was successfully published, click the hyperlink that is displayed after the web has been published — your web browser will open to the site you just published.

    Note If you cancel publishing in the middle of the operation, files that have already been published remain on the destination Web server.

Publish to an FTP server

  1. On the File menu, click Publish Web.
  2. In the Publish Destination dialog box type the location of the FTP server, or click the arrow to select a location to which you have already published another web site.

    Note If you have previously chosen a publishing destination for this web site, the Publish Destination dialog box will not appear. Proceed to step 4.

  3. Click OK.
  4. Specify the pages you want to publish.

    How?

    1. In the Publish Web dialog box, click Options in the lower left corner.
    2. Click the Publish tab, and do one or more of the following:
      • Under Publish, specify whether you want to publish only pages that have changed, or all pages.
      • Under Changes, specify how you want FrontPage to determine which pages have been changed.
      • If you want to create a log file for changes made during publishing, select that check box.
    3. Click OK.
  5. To publish subwebs, select the Include subwebs check box.
  6. Click Publish.

    FrontPage publishes your web site to the FTP server you specified.

    Note If you cancel publishing in the middle of the operation, files that have already been published remain on the destination Web server.

Publish to a location on your local computer

  1. On the File menu, click Publish Web.
  2. In the Publish Destination dialog box, do one of the following:
    • Type the path — for example C:\My Website — to the folder on your file system.
    • Click Browse to locate the folder.

    Note If you have previously chosen a publish destination for this web site, the Publish Destination dialog box will not appear. Proceed to step 4.

  3. Click OK.
  4. Specify the pages you want to publish.

    How?

    1. In the Publish Web dialog box, click Options in the lower left corner.
    2. Click the Publish tab, and do one or more of the following:
      • Under Publish, specify whether you want to publish only pages that have changed, or all pages.
      • Under Changes, specify how you want FrontPage to determine which pages have been changed.
      • If you want to create a log file for changes made during publishing, select that check box.
    3. Click OK.
  5. To publish subwebs, select the Include subwebs check box.
  6. Click Publish.

Note If you cancel publishing in the middle of the operation, files that have already been published remain on the destination folder.


Put text on a graphic

  1. In Page view, click the graphic.
  2. On the Pictures toolbar, click Text [image].

    Note If the graphic is in JPEG format, Microsoft FrontPage prompts you to save it in GIF format, because text is not supported on JPEG graphics. If FrontPage converts the graphic to GIF format, the number of colors in the graphic might be reduced and the file might become larger.

  3. Type the text into the box that is displayed on the graphic.
  4. Format the text — for example, you can change the font or color, as you would with other text.

    How?

    1. Click the text box, and then select the text.
    2. On the Format menu, click Font.
    3. Choose the formatting options you want.
  5. You can also do one or more of the following:
    • Resize the text box by clicking and dragging the resize handles.
    • Move the text box by clicking inside the box and dragging it.


Raise or lower text

  1. In Page view, select the text, right-click, and then click Font on the shortcut menu.
  2. In the Font dialog box, click the Character Spacing tab.
  3. In the Position box, select an option from the drop-down menu.

Note Some Web browsers will raise text only a fixed amount, regardless of the number you enter.


Refresh a web page or a view

  • To refresh a page or view, click Refresh Refresh button.


Remove a style

Remove a style from an embedded CSS

  1. In Page view, open the page that contains the embedded cascading style sheet (CSS).

  2. From the Normal pane, click the Format menu, and then click Style.
  3. In the List box, select User-defined styles.
  4. In the Style box, select the user-defined style you want to delete, or the built-in style from which you want to remove custom formatting characteristics.
  5. Click Delete.

Note If the page is linked to an external CSS, the list of available styles in the Style box may include user-defined styles from the external CSS. If you want to delete a user-defined style from an external CSS, you must edit the external CSS.

Remove a style from an external CSS

  1. On the View menu, click Folders list.
  2. In the Folders list, double-click the external cascading style sheet (CSS) you want to open.
  3. On the Format menu, click Style.
  4. In the Style box, select the style you want to delete.
  5. Click Delete.


Remove a bookmark

  1. In Page view, on the Insert menu, click Bookmark.
  2. In the Other bookmarks on this page box, click the bookmark you want to delete.
  3. Click Goto.
  4. Click Clear.


Remove a hyperlink

  1. In Page view, select the hyperlink.
  2. Do one of the following:

    Delete the hyperlink completely, including the hyperlink text

    • Press DELETE.

    Preserve the hyperlink text but delete the hyperlink associated with it

    1. Click Insert Hyperlink Hyperlink button.
    2. In the Edit Hyperlink dialog box, click Remove Link.


Remove numbers or bullets from a list

  1. In Page view, select the items in the list.
  2. On the Format menu, click Bullets and Numbering.
  3. Do one of the following:
    • If the list uses bullets, on the Plain Bullets tab, click the box with no bullets.
    • If the list uses numbers or letters, on the Numbers tab, click the box with no numbering.


Remove a graphic from the photo gallery

  1. In Page view, double-click the photo gallery.
  2. Click the Pictures tab.
  3. Select the graphic you want to remove by clicking it.
  4. Click Remove.


Remove a theme

Do one of the following:

Remove a theme from the current page

  1. In Page view, open the page from which you want to remove the theme.
  2. On the Format menu, click Theme.

    Under Apply Theme to, make sure the Selected pages option is selected.

  3. In the list, click No Theme.

Remove a theme from selected pages in a web site

  1. In Folders view, select the pages from which you want to remove a theme.
  2. On the Format menu, click Theme.
  3. Make sure the Selected pages option is selected.
  4. In the list, click No Theme.

Remove a theme from all pages in a web site

  1. On the Format menu, click Theme.
  2. Click All pages.
  3. In the list, click No Theme.

Note When you remove a theme from all pages in a web site, only those pages that were using the default theme are affected. If certain pages use a different theme, you must remove each of their themes individually.


Remove a user or user group from a web site

Choose one of the following based on the type of server extensions that are on the server that is hosting your web site.

Microsoft FrontPage 2000 Server Extensions or earlier version

Important This feature requires your web site to be located on a Web server running FrontPage 2000 Server Extensions or an earlier version.

Administrators can remove a user or user group to prevent them from accessing a web site in Microsoft FrontPage.

  1. On the Tools menu, point to Security, and then click Permissions.
  2. If the web site is a subweb using the same permissions as its parent web site, click Use unique permissions for this web, and then click Apply.
  3. Do one or more of the following:
    • If you want to remove a user, click the Users tab, click the user in the list, and then click Remove.
    • If you want to remove a group, click the Groups tab, click the group in the list, and then click Remove.

SharePoint Team Services or FrontPage Server Extensions 2002

  1. On the Tools menu, point to Server, and then click Permissions.
  2. On the Site Administration page, under Users and Roles, click Manage users.
  3. Select the check box next to the user account that you would like to delete, and then click Delete selected user(s) from all roles.

Note If you don't see the Manage users option, you are probably in a subweb that uses the user account and roles settings of a higher-level web site of the server or virtual server. To work with accounts and roles, either go to the top-level web site, or set up unique permissions for this subweb. See your network administrator or Internet service provider (ISP) for more information.


Rename a file or folder

Important You should always rename a file or folder in a web site using the following procedure. Microsoft FrontPage automatically repairs any hyperlinks to or from the renamed file (or files in the renamed folder). If you rename a file or folder using Microsoft Windows Explorer, hyperlinks to and from that file (or files in that folder) will not be repaired automatically.

  1. In Folders view, right-click the file or folder you want to rename, and then click Rename on the shortcut menu.
  2. Type a new name for the file or folder.

Note When renaming a file, be careful not to change or omit the file extension (for example, make sure you don't change the file name from Index.asp to Index.htm). Changing or omitting the extension of a file might render the file unusable.


Rename a frame

  1. In Page view, open the frames page you want to modify, and then click the Normal button [image].
  2. Right-click anywhere in the frame you want to rename, and then click Frame Properties on the shortcut menu.
  3. In the Name box, type the new name for the frame.

Note If you rename a frame, any existing hyperlinks anywhere in your web site that point to the old frame name will no longer work. You must find each occurrence of the hyperlink in your web site, edit the hyperlink, and change the Target frame box to the new frame name.


Rename a web site

When you rename a web site, Microsoft FrontPage automatically updates all internal hyperlinks and other web settings with the new site name.

  1. On the Tools menu, click Web Settings, and then click the General tab.
  2. In the Web name box, type a new name for the web.

Notes

  • Renaming a disk-based web site changes the path to the web site on your local computer or local network. Renaming a server-based web site changes the web site's URL on the server.
  • If you rename a web site after publishing it, you'll need to republish the entire web site under the new name. Hyperlinks from other web sites to your old web site will no longer work, so be sure to advise your site visitors of the new path or URL. You can also redirect the old URL to the new URL by creating a virtual directory on the server; consult your server documentation for details.


Resample a graphic

Resampling a graphic changes its pixel size to match its current display size.

  1. Before you can resample a graphic, you must resize it.

    How?

    1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the Appearance tab.
    2. Select the Specify size check box.
    3. If you want to preserve the height-to-width proportions, select the Keep aspect ratio check box.

      Note If you select this check box and then enter a pixel value in either the Width or Height box, Microsoft FrontPage automatically changes the value in the other box to preserve the graphic's proportions.

    4. Specify whether you want to change the size in pixels or in percentage, and then enter values in the Width and Height boxes.
  2. In Page view, click the graphic that you have resized.
  3. On the Pictures toolbar, click Resample [image].

    Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.


Reset a hit counter

  1. In Page view, double-click [HitCounter].
  2. Select the Reset counter to box, and then type whatever number you want in the box.


Resize all or part of a table

In Page view, do one or more of the following:

Resize a table

  1. Right-click the table, and then click Table Properties on the shortcut menu.
  2. To specify width, select the Specify width check box, select In pixels or In percent, and type a value for the width of the selected cell.
  3. To specify height, select the Specify height check box, select In pixels or In percent, and type a value for the height of the selected cell.

Notes

  • If a table is sized in pixels, its size remains constant, regardless of the size of the page in which it is displayed.
  • If a table is sized as a percentage of the browser window, its size changes depending on the size of the window.
  • If height or width is not specified, the table is sized according to its content.

Resize a cell

  1. Position the insertion point in the cell.
  2. Right-click, and then click Cell Properties on the shortcut menu.
  3. To specify width, select the Specify width check box, select In pixels or In percent, and type a value for the width of the selected cell.
  4. To specify height, select the Specify height check box, select In pixels or In percent, and type a value for the height of the selected cell.

Resize a row

  1. Position the insertion point in a cell that is within a row you want to resize.
  2. On the Table menu, point to Select and click Row.
  3. Right-click the row, and then click Cell Properties on the shortcut menu.
  4. To specify width, select the Specify width check box, select In pixels or In percent, and type a value for the width of the selected cell.
  5. To specify height, select the Specify height check box, select In pixels or In percent, and type a value for the height of the selected cell.

Resize a column

  1. Position the insertion point in a cell that is within a column you want to resize.
  2. On the Table menu, point to Select and click Column.
  3. Right-click the column, and then click Cell Properties on the shortcut menu.
  4. To specify width, select the Specify width check box, select In pixels or In percent, and type a value for the width of the selected cell.
  5. To specify height, select the Specify height check box, select In pixels or In percent, and type a value for the height of the selected cell.

Note If the content (text, images, etc.) of a table or one of its elements is greater (bigger, longer, wider, etc.) than the specified value, the table or its elements will grow to accommodate that content.


Resize a frame

You can resize a frame by dragging its border or by specifying the exact setting you want.

  1. In Page view, right-click in the frame.
  2. Click Frame Properties on the shortcut menu.
  3. In the Frame size area, adjust the Width (or Column width) and Height (or Row height) settings.
  4. Specify the frame size to be a fixed number of pixels, a percentage of the size of the browser window, or sized in values relative to other frames in the same row or column.

Tips

  • If the frame you are resizing is in the same row as another frame, the Height box changes to Row Height. Changing the row height of the current frame will also change the row height of every other frame in the row.
  • The Width box also changes to Column Width if the frame is part of a column, with similar effects.

Notes

  • When you resize a frame while editing a frames page, adjacent frames resize accordingly to fill the space.
  • Resizing a frame on a frames page has no effect on the content of any pages shown in that frame; it merely changes how much or little of the page is shown at one time in the frame.


Resize a thumbnail in a photo gallery

  1. In Page view, double-click the photo gallery.
  2. Select the graphic whose thumbnail you want to resize by clicking it.
  3. Under Thumbnail size, specify a new width and height in pixels.


Resize a graphic

Do one of the following:

Resize a graphic numerically

  1. In Page view, right-click the graphic.
  2. Click Picture Properties on the shortcut menu, and click the Appearance tab.
  3. Select the Specify size check box.
  4. If you want to preserve the height-to-width proportions, select the Keep aspect ratio check box.

    Note If you select this check box and then enter a pixel value in either the Width or Height box, the value in the other box changes automatically to preserve the graphic's proportions.

  5. Specify whether you want to change the size in pixels or in percentage, and then enter values in the Width and Height boxes.

Resize a graphic directly

In Page view, do one of the following:
  • Click the graphic, and then resize it by clicking and dragging the handles on the graphic.
  • To resize the graphic and preserve its proportions (its aspect ratio), drag a corner handle.


Resize text quickly

  1. Select the text you want to resize.
  2. On the formatting toolbar, click Increase Font Size [image] or Decrease Font Size [image].

    If the formatting toolbar is not visible, under View, point to toolbars, and click Formatting.

Note The smallest font you can get by clicking Decrease Font Size [image] is 8 points, and the largest font you can get by clicking Increase Font Size [image] is 36 points.


Undo changes to a graphic

You can undo all the changes you have made to the graphic since you last saved it or added it to the page.

  1. In Page view, click the graphic.

    If you want to restore the background graphic, you do not need to make a selection.

    Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

  2. On the Pictures toolbar, click Restore [image].


Rotate or flip a graphic

In Page view, do one or both of the following:

Rotate a graphic

  1. Click the graphic.

    If you want to rotate the background graphic, you do not need to make a selection.

    Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

  2. On the Pictures toolbar, click Rotate Left [image] to rotate the graphic 90 degrees counterclockwise. Click Rotate Right [image] to rotate the graphic 90 degrees clockwise.

Flip a graphic

  1. Click the graphic.

    If you want to flip the background graphic, you do not need to make a selection.

    Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

  2. On the Pictures toolbar, click Flip Vertical [image] to turn the graphic upside down. Click Flip Horizontal [image] to create a mirror image.


Save a frames page

A frames page is a special kind of HTML page that contains no visible content — it's just a container that specifies which other pages to show and how to show them.

To save the frames page that holds the content, do the following:

  1. In Page view, with the frames page that you want to save open, click the Normal button [image].
  2. On the File menu, click Save As.

    The Save As dialog box displays a thumbnail showing the layout of the frames page. Because you are saving the frames page, or the frameset, all areas should have the dark blue box highlights indicating that this is what you are saving.

  3. In the File name box, type a file name for the highlighted frames page.

  4. To change the page title (that is, the text that you want to appear in the title bar of a browser), click Change title, and then in the Set Page Title dialog box, type the new page title.

    Tip

    Give your page a title that will identify it as a frames page; for example, "Frames document."

  5. Navigate to the location where you want to save the page.
  6. Click Save.

Notes

  • After you have clicked Save, the Save As dialog box automatically opens again and asks you to save the page shown in the frame just saved. This occurs for each page shown in the current frames page.
  • The title shown in the title bar of the browser is the title of the frames page itself, not the title of the page displayed in the frame.


Save a web page with an inline frame

  1. In Page view, on the File menu, click Save As.
  2. Microsoft FrontPage will prompt you to save the page the inline frame is on.
  3. Click OK.

    If your initial page has not yet been saved, FrontPage prompts you to save the actual inline frame and its contents.


Save a page shown in a frame

A frames page is a special kind of HTML page that contains no visible content— it's just a container that specifies which other pages to show and how to show them.

To save a page that is shown in a frame, do the following:

  1. In Page view, with the frames page that you want to save open, click the Normal button [image].
  2. Click to select the page or frame showing the page you want to save, and then on the Frames menu, click Save Page As.

    The Save As dialog box displays a thumbnail showing the layout of the frames page. A dark blue box indicates the current page that will be saved in the highlighted frame.

  3. In the File name box, type or select the appropriate file name for the page shown in the selected frame in the thumbnail.
  4. In the Save as type box, select the type of web page you want to save.
  5. To change the page title, click Change title, and then in the Set Page Title dialog box, type the new page title.

    Tip

    Give your page a title that will identify it as a page within a frame, and not the frames page itself; for example, "Navigation" or "Document A."

  6. Navigate to the location where you want to save the page.
  7. Click Save.

Note The title that will be shown in the title bar of the browser will be the title of the frames page itself, not the title of the page displayed in the frame.


Save a web page

In Page view, do one of the following:

Save a web page to the current web site

  • Do one of the following, depending on the status of your web page:

    The page has not yet been saved

    1. Click Save Save button.
    2. Navigate to the location in the web site where you want to save the page.
    3. In the File name box, type the file name of the page, and then click Save.

    The page was opened from the current web site

    • Click Save Save button.
    The page was opened from a location outside the current web site
    1. Click Save As on the File menu.
    2. Navigate to the location in the web site where you want to save the page.
    3. In the File name box, type the file name of the page, and then click Save.

Save a web page to a different web site

  1. On the File menu, click Save As.
  2. Navigate to the web site in which you want to save the page.
  3. In the File name box, type the name of the page.
  4. If you want to change the page title, click Change, type the new title, and then click OK.
  5. Click Save.

Save a web page to a file system

  1. On the File menu, click Save As.
  2. Navigate to the location in the file system where you want to save the page.
  3. In the File name box, type the name of the page.
  4. Click Save.

Save a web page automatically before previewing in the browser

  • On the File menu, click Preview in Browser, and then select the Automatically save page check box.

Notes

  • If you have added graphics, ActiveX controls, sound files, or other objects to the page, you will be prompted to save them to the same location as the page.
  • To ensure that all site visitors can follow URLs regardless of their computer language or operating system, you should use plain ASCII characters in the URLs for your webs. On intranets, using non-ASCII characters in a file name will work as long as the server and all clients share the same system code page.


Display a web page or picture at selected times

  1. In Page view, position the insertion point where you want to display another page or picture.
  2. On the Insert menu, click Web Component.
  3. In the left pane, click Included Content.
  4. In the right pane, double-click either Page Based on a Schedule or Picture Based on a Schedule.
  5. Do one or more of the following:
    • In the During the scheduled time box, type the relative URL of the page or picture to include, or click Browse to locate it.
    • To specify a page or picture to display outside the specified time period, in the Before and after the scheduled time box, type the relative URL of the page or picture you want to include, or click Browse to locate it.
    • In the drop-down boxes after Starting, specify the year, month, day, and time at which you want to start displaying the page or picture.
    • In the drop-down boxes after Ending, specify the year, month, day, and time at which you want to stop displaying the page or picture.

Note The web server's clock is used to determine the time period.


Select all or part of a table

You can select a table or just its elements to set unique properties for each part.

In Page view, do one or more of the following:

Select a table

  1. Click anywhere on the table.
  2. On the Table menu, point to Select, and click Table.

Select a cell

  1. Position the insertion point in a cell.
  2. On the Table menu, point to Select, and click Cell.

    Tip

    To select multiple cells, select the first cell as described in the procedure above, press CTRL, and click each additional cell you want to select.

Select a row

  1. Position the insertion point in a cell that's within a row you want to select.
  2. On the Table menu, point to Select, and click Row.

Select a column

  1. Position the insertion point in a cell that's within a column you want to select.
  2. On the Table menu, point to Select, and click Column.


Specify the design-time control script platform

For design-time controls (DTCs) that write scripts, you can specify whether the scripts should execute on the server or on the client computer.

  1. In Page view, open the page you are using with DTCs.
  2. On the File menu, click Properties, and then click the General tab.
  3. Under Design-time control scripting, in the Platform box, select Client (IE 4.0 DHTML) to execute script on the client, or Server (ASP) to execute script on the server.

Notes

  • Depending on how they were designed, not all DTCs will be affected by the Design time control scripting setting.
  • If a given DTC specifies whether the control executes script on the server or the client, the control settings will override the setting you choose here.


Specify the design-time control script language

You can specify the scripting language used by design-time controls (DTCs) that write scripts.

  1. In an open web site, in Page view, open the page you are using with DTCs.
  2. On the File menu, click Properties, and then click the General tab.
  3. Do one of the following:

    Select server script languages

    • Under Design-time control scripting, in the Server box, select the type of script you want to use. Select Inherit from web if you want to use the default scripting language for the current web site.

    Note If a given DTC specifies which scripting language the control writes, the control settings will override the setting you choose here.

    Select client script languages

    • Under Design-time control scripting, in the Client box, select the type of script you want to use. Select Inherit from web if you want to use the default scripting language for the current web site.

    Note If a given DTC specifies which scripting language the control writes, the control settings will override the setting you choose here.


Select information from a database

About selecting information

After creating a database connection, the Database Results Wizard shows the record sources (the names of the tables and views) in that database.

1 Represents a record source table containing employee information

2 Field labels indicating employee's first name, last name, and telephone number

3 Three employee records

4 A web page displaying first name, last name, and telephone number information for three employees

Once you select the fields to display, the Database Results Wizard enables you to filter the database results — that is, to display only the records that match the criteria you set. For example, you can filter a database to display only the records of employees with the same last name. When the page is browsed, only matching records are displayed.

You can filter results to display only records matching a specific criteria. You can also sort results by any field.

1 Employee records in a database

2 Only records that meet the filter criteria are displayed in the web site

You can also sort records. For example, you can sort records alphabetically by last name, and then by first name.

If you already have a database results region, perform the steps below in any order, as needed. Otherwise, do them in the order presented here:

Choose a record source

  1. Start the Database Results Wizard by clicking the Insert menu, pointing to Database, and then clicking Results. Click Next to get to Step 2 of the wizard.

    Note On a page with an existing database results region, right-click the database results region, and then click Database Results Properties. The Database Results Wizard starts.

  2. In Step 2 of the wizard, click Record source.
  3. In the Record source box, click the table or view that contains the information you want to display in the database results region.

Select the database fields to display

After choosing a record source, determine what fields to show in the database results region and the order they're displayed in.

  1. Start the Database Results Wizard by clicking the Insert menu, pointing to Database, and then clicking Results. Click Next to get to Step 3 of the wizard.

    Note On a page with an existing database results region, right-click the database results region, and then click Database Results Properties. The Database Results Wizard starts.

  2. In Step 3 of the wizard, click Edit List.
  3. Do one of the following to modify the Displayed fields list:

    Remove a field from the list

    Select the field you want to remove, and then click Remove.

    Change the field display order

    Select the field you want to move, and then click Move Up or Move Down.

    Add a field to the list

    In the Available fields list, select the field you want to add, and then click Add to add the field to the Displayed fields list.

  4. When you're finished working with the Displayed fields list, click OK.

Specify criteria for filtering records

The Database Results Wizard can help you build a query to display in the database results region, as follows:
  1. Start the Database Results Wizard by clicking the Insert menu, pointing to Database, and then clicking Results. Click Next to get to Step 3 of the wizard.

    Note On a page with an existing database results region, right-click the database results region, and then click Database Results Properties. The Database Results Wizard starts.

  2. In Step 3 of the wizard, click More Options, click Criteria, and then click Add.
  3. In the Field name box, select the field that contains the values you want to look for.

    For example, from a database of employees, you could select the LastName field.

  4. In the Comparison box, select the type of comparison you want to perform.

    For example, to filter all last names equal to "Smith," you would select Equal in the Comparison box.

  5. In the Value area, enter the value that you want to filter on.

    For example, to display all last names equal to "Smith," you would enter Smith in the Value box.

  6. Clear the Use this search form field check box.
  7. Decide whether your query is complete. Choose one of the following:
    • If you're finished specifying criteria, click OK three times to close criteria setup but continue using the wizard.
    • To continue to build your query, select And or Or in the And/Or box, and then click OK. In the Criteria dialog box, click Add, and repeat steps 3 through 6 of this procedure. When you have finished, click OK.

Notes

  • To modify a clause in existing criteria, select the condition you want to modify in the Criteria dialog box, and then click Modify.
  • To remove a clause from existing criteria, select the condition you want to remove in the Criteria dialog box, and then click Remove.

Specify the sort order for database fields

  1. Start the Database Results Wizard by clicking the Insert menu, pointing to Database, and then clicking Results. Click Next to get to Step 3 in the wizard.

    Note In an existing database results region, right-click the database results region, and then click Database Results Properties. The Database Results Wizard starts.

  2. In Step 3 of the wizard, click More Options, and then click Ordering.
  3. In the Available fields list, select the primary field you want to use to sort the database results, and then click Add to add that field to the Sort order list.
    • The Available fields list displays all of the fields in the selected record source.
    • The Sort order list displays the fields that will be used to sort the database results. An up arrow next to a field name indicates that the field will be sorted in ascending order (for example, from A to Z). A down arrow indicates a descending sort order (for example, from Z to A).
  4. Do any or all of the following to organize the sort order list:
    • To remove a field from the Sort order list, select it, and then click Remove.
    • To change the order of fields in the Sort order list, select the field you want to move, and then click Move Up or Move Down.
    • To change the sort order for a field from ascending to descending, select the field in the Sort order list, and then click Change Sort. The arrow next to the field name changes to indicate the sort direction.
  5. When you are satisfied with the sorting order in the Sort order list, click OK.

Note You can add multiple fields to the Sort order list. Database results will be sorted by the first field in the list, and then they will be sorted by the second field in the list. For example, if you want to display a list of employees sorted by last name and then by first name, you would add the fields LastName and then FirstName to the Sort order list.

Create a custom query

You can create custom queries using Structured Query Language (SQL).

  1. Start the Database Results Wizard by clicking the Insert menu, pointing to Database, and then clicking Results. Click Next to get to Step 2 of the wizard.
  2. In Step 2 of the wizard, click Custom query.
  3. Click Edit, and then, in the SQL statement box, type a valid SQL statement.
  4. To insert the name of a form field parameter into the query, click Insert Parameter, and then type the name of the desired field.


Select multiple files

  • In Folders view, hold down CTRL and click the pages you want to select.


Select text or graphics

Any amount of text
Drag over the text.
A word
Double-click the word.
A line of text
Move the pointer to the left of the line until it changes to a right-pointing arrow, and then click.
A paragraph
Move the pointer to the left of the paragraph until it changes to a right-pointing arrow, and then double-click. Or triple-click anywhere in the paragraph.
Multiple paragraphs
Move the pointer to the left of the paragraphs until it changes to a right-pointing arrow, and then double-click and drag up or down.
A graphic
Click the graphic.


Send a copy of a web page in an e-mail message

To use this feature, Microsoft Exchange, Microsoft Outlook, or another mail system compatible with the Messaging Application Programming Interface (MAPI) must be installed on your computer.

  1. In Page view, open the page you want to send.
  2. On the File menu, choose Send (as Attachment).

    Microsoft FrontPage starts your e-mail editor, and then opens a new message with the active page attached.

  3. Select recipients for the e-mail message and type a subject.
  4. Send the message.


Set the load behavior of an add-in

  1. On the Tools menu, click Add-Ins.

    The Add-In Manager dialog box lists the add-ins installed on your computer, along with their load behavior.

  2. Do one of the following:
    • To load an add-in, click it in the list of available add-ins, and then select the Loaded/unloaded check box.
    • To unload an add-in, click it in the list of available add-ins, and then clear the Loaded/unloaded check box.

Tip

When you load an add-in, it remains loaded until you close or exit FrontPage. If your system is running slowly or is low on memory, unload the add-in as described above.


Add text that describes a graphic

  1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the General tab.
  2. In the Text box, under Alternative representations, type the alternative text for the graphic.

Note Some Web browsers also display alternative text while the graphic is downloading, or when a site visitor moves the mouse pointer over the graphic.

Tip

Alternative text should be just long enough to convey the meaning of the image.


Set the properties of a table cell

  1. In Page view, select the cells for which you want to change the properties.
  2. Right-click, and then click Cell Properties on the shortcut menu.

Then do one or more of the following:

Set the alignment for the contents of the cell

  • Under Layout, In the Horizontal alignment and Vertical alignment boxes, set the alignment you want.

Set cells as header cells

  • To emphasize the cells, under Layout, select Header cell. By default, emphasis is bold text.

Prevent wrapping text in a cell

  • Certain Web browsers will wrap text in a cell. To prevent this, under Layout, select No wrap.

Adjust cell width or height by setting the number of rows or columns that it spans

Adjusting cell spanning enables you to have cells of varying widths or heights in a table. For example, you can set the span of a cell to two rows in height or two rows in width:

Adjust cell spanning

  1. Under Layout, in the Rows spanned box, type the number of rows you want the cells to span.
  2. Under Layout, in the Columns spanned box, type the number of columns you want the cells to span.

Set cell borders

A cell border can be one or two colors, and each individual cell within a table can have its own one or two-colored border. When you use two colors, the table border has a three-dimensional appearance.

  1. Right-click the table cell, and then click Cell Properties on the shortcut menu.
  2. Do one of the following:

Set a one-color border

  • Under Borders, select a color from the Color list.

Set a two-color border

  • Under Borders, select colors from the Light and Dark color lists.

Note Click the Style button (if it is available) to access other options for formatting your table using cascading style sheets as an inline style.


Set the spacing between characters

  1. In Page view, select the text, right-click, and then click Font on the shortcut menu.
  2. Click the Character Spacing tab.
  3. In the Spacing box, click Expanded or Condensed to change the spacing of the text.
  4. In the By box, enter a number, in pixels, to specify how much you want to increase or decrease the space between characters.


Set rules for allowing data in fields

In Page view, do one or more of the following:

Set data entry rules for a drop-down box

  1. Double-click the drop-down box for which you want to set validation rules.

    Be sure to double-click the drop-down box itself, not the Submit or Reset button.

  2. In the Dropdown Box Properties dialog box, do one or more of the following:

    To require the site visitor to make a selection from this drop-down box

    1. Click Validate.
    2. Select Data required, and then click OK.

    To allow multiple selections for the drop-down box

    1. Select Yes next to Allow multiple selections.
    2. Click Validate.
    3. Type values in the Minimum items and Maximum items boxes, and then click OK.

    To disallow the first item from being selected— for example, disallow the first item if it is an instruction, such as "Select an item."

    1. Click Validate.
    2. Select Disallow first item.

    To display a message if the visitor submits the form and does not meet the requirements you have set for the drop-down box.

    1. Click Validate.
    2. In the Display name box, type a name to identify the drop-down box for the site visitor. For example, the site visitor would see "Please enter a value for the DisplayName field."

Set data entry rules for a text box or text area

  1. Double-click the text box for which you want to set validation rules.

    Be sure to double-click the text box itself, not the Submit or Reset button.

  2. In the Text Area Properties or Text Box Properties dialog box, click Validate.
  3. Then do one or more of the following:

    To select the type of data to allow in the field

    In the Data type list, do one of the following:

    • Select No Constraints from the drop-down box.
    • Select Text from the drop-down box, and then select the types of characters to allow in the field — Letters, Digits, Whitespace (spaces, tabs, carriage returns, and line feeds), or Other (different characters, such as commas and hyphens). If you select Other, type the characters in the box.
    • Select Integer from the drop-down box, and then specify the character to allow for grouping.

      You can disallow any punctuation, allow periods in groups of numbers as in 123.456.789, or allow commas in groups of numbers as in 123,456,789.

    • Select Number from the drop-down box, and then specify the character to allow for Grouping and the character to use for Decimal points.

      You cannot use the same character for both Grouping and Decimal.

    To require that a site visitor type an entry in this text box field

    1. Under Data length, select Required.
    2. To specify the minimum number of characters to allow in the text box, type a value in the Min length box.
    3. To specify the maximum number of characters to allow in the text box, type a value in the Max length box.

    To specify a value constraint, such as requiring the value in the field to be greater than 10

    1. Under Data value, select Field must be.
    2. Click the condition from the corresponding list.
    3. In the Value box, type the value for the constraint.
    4. To specify a second constraint, select And must be, then specify a condition and value.

    Note The validation rule will use numerical comparisons if the data type is Number or Integer, and alphabetical-order comparisons if the data type is Text or No Constraints.

    To display a message if the site visitor submits the form and does not meet the requirements you have set for the text box

    In the Display name box, type a name to identify the text box for the site visitor. For example, the site visitor would see "Please enter a value for the DisplayName field."

Set data entry rules for an option button

  1. Double-click an option button in the group for which you want to set a rule.

    Be sure to double-click the option button itself, not the Submit or Reset button.

  2. In the Option Button Properties dialog box, click Validate.
  3. Then do one or both of the following:

    To require the site visitor to select one of the option buttons

    Select Data required.

    To display a message if the site visitor submits the form without selecting a option button from that group

    1. Select Data required.

    2. In the Display name box, type a name to identify the option button group for the site visitor. For example, the site visitor would see "Please select one of the DisplayName options."

Notes

  • When you set a rule for one button, the rule applies to all option buttons in the group.
  • To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Set the default preview browser window size

This procedure lets you see how much of your web page will be displayed at different screen resolutions.

  1. In Page view, open the page you want to preview.
  2. On the File menu, click Preview in Browser.
  3. Under Window size, click the resolution you'd like to preview. Only available screen resolutions will be displayed.

    Select Default to preview the page in a browser window the size of the current screen resolution for your computer.


Set the default display font for a language or character set

You can set the default display font for a language or character set. Then, when no font is applied to text, FrontPage uses this default font to display the text. This setting only affects how pages are displayed in Microsoft FrontPage, not how the page is displayed in a Web browser.

  1. On the Tools menu, click Page Options, and then click the Default Font tab.
  2. In the Language (character set) box, select the language or character set for which you want to set a default display font.
  3. In the Default proportional font box, select a proportional font for the selected language or character set. The list includes all of the proportional fonts installed on your computer that can display the selected language.
  4. In the Default fixed-width font box, select a fixed-width font for the selected language or character set (the fixed-width font is also used to display text on the HTML tab in Page view). The list includes all of the fixed-width fonts installed on your computer that can display the selected language. If the selected language or character set does not support fixed-width fonts, this option is not available.


Set default values for HTML source code

By default, FrontPage preserves the formatting of existing HTML, but applies new HTML formatting to content you add to the existing page. HTML formatting is viewed in the HTML pane. The formatting options you choose will apply to all pages you create in FrontPage.

Choose the option that best suits your HTML formatting needs:

Preserve the formatting of existing HTML and apply new settings to new content

  1. On the Tools menu, click Page Options, and then click the HTML Source tab.
  2. Click Preserve existing HTML.
  3. Under Formatting, select the options you want.

    For example, if you want all tags to appear as lowercase instead of uppercase, select Tag names are lowercase.

  4. Under Tags, select the tag and attributes you want.

    For example, if you want to show only opening paragraph tags (but not closing paragraph tags), select p, and then make sure the Omit end tag check box is selected.

    Important Each tag has unique attributes.

Apply the HTML formatting of an open page to all new content

  1. On the Tools menu, click Page Options, and then click the HTML Source tab.
  2. Click Preserve existing HTML.
  3. Under Formatting, click Base on current page.

Apply HTML format changes to new and existing content

  1. On the Tools menu, click Page Options, and then click the HTML Source tab.
  2. Click Reformat using the rules below.
  3. Under Formatting, select the options you want.

    For example, if you want all tags to appear as lowercase instead of uppercase, select Tag names are lowercase.

  4. Under Tags, select the tag and attributes you want.

    For example, if you want to show only opening paragraph tags (but not closing paragraph tags), select p, and make sure the Omit end tag check box is selected.

    Important Each tag has unique attributes.

Reset HTML format settings to FrontPage defaults

  1. On the Tools menu, click Page Options, and then click the HTML Source tab.
  2. Click Reset.

Note The settings you choose won't be displayed in the HTML pane until you switch to the Normal pane and back.


Make a graphic a hyperlink

If you set a default hyperlink for a graphic, when a site visitor clicks the graphic, the Web browser displays the destination of the hyperlink.

  1. In Page view, right-click the graphic, and click Hyperlink on the shortcut menu.
  2. Do one of the following:

    Link to a destination in a local folder or web site

    1. Under Link to, click Existing File or Web Page.
    2. Select the page or file you want.

    Create a new web page and set it as the destination

    1. Under Link to, click Create New Document.
    2. Type the name of the new document. If you want to change the path of the new document, click Change.
    3. Under When to edit, specify whether you want to edit the new document now or later.

    Link to a destination on the World Wide Web

    1. Under Link to, click Existing File or Web Page.
    2. Click Browse the Web Browse the Web button.
    3. In your Web browser, browse to the page that you want to link to, and then press ALT+TAB to switch back to Microsoft FrontPage.

      The location of the page you visited is displayed in the Address box.

    Create an email message when a site visitor clicks the graphic

    1. Under Link to, click E-mail Address.
    2. Either type the e-mail address you want in the E-mail address box, or select an e-mail address in the Recently used e-mail addresses box.
    3. In the Subject box, type the subject of the e-mail message.

      Note Some Web browsers and e-mail programs may not recognize the subject line.

    Link to a destination that is a bookmark

    1. Select the page that contains the bookmark, and then click Bookmark.
    2. In the Select Place in Document box, click the bookmark you want to use as the destination, and then click OK.
  3. If you want the destination of the hyperlink to show up in a specific frame, click Change Target Frame Change Target Frame button, and specify the frame.

Note If you put hot spots on a graphic, the default hyperlink is used for the areas that do not have a hot spot.


Set the default page encoding for a web site

Microsoft FrontPage uses a web site's default page encoding to help determine the language for new pages. This encoding is then used to determine how a page is saved. You can change a site's default page encoding. For example, if you prefer Unicode, change the default page encoding to Multilingual (UTF-8).

When you create new pages, FrontPage verifies the default page encoding against your keyboard. Then, if you set a default page encoding that is incompatible with your keyboard (for example, the default page encoding is US/Western European but you are using a Greek keyboard), FrontPage will use your keyboard's encoding for new pages. However, if you choose to ignore the keyboard's encoding, FrontPage will compare the default page encoding to that of your computer instead — if the two are incompatible, FrontPage uses the site's default page encoding for new pages.

To set the default page encoding use the following procedure.

  1. On the Tools menu, click Web Settings, and then click the Language tab.
  2. In the Default page encoding box, select the default page encoding for the current web site.
  3. If you do not want FrontPage to verify the default page encoding against your keyboard, select the Ignore the keyboard when deciding the encoding of new pages check box.


Set the display properties of frames

In Page view, click the Normal button [image], and then do one or more of the following:

Show or hide borders around frames

Show or hide frame borders

You can choose to show or hide the borders around the frames of your frames page, depending on how you want your page to look.

  1. Right-click anywhere in the frames page.
  2. Click Frame Properties on the shortcut menu.
  3. Under Options, click Frames Page.
  4. Select or clear the Show borders check box.

Note When you choose to show or hide borders, this setting will apply to all the frames on your frames page.

Tip

If the Show borders check box is selected, the width of the borders is determined by the setting in the Frame spacing box.

Set the spacing between frames

Set spacing between frames

You can specify the amount of spacing between the outside edges of adjoining frames.

  1. Right-click anywhere in the frames page.
  2. Click Frame Properties on the shortcut menu.
  3. Under Options, click Frames Page.
  4. Type the amount of spacing, in pixels, in the Frame spacing box. The default for most Web browsers is two pixels.

Note If the Show borders check box is selected, the width of the borders is determined by the setting in the Frame spacing box.

Adjust the margins of a frame

Adjust frame margins

You can set the distance between the content of a frame and the frame border.

  1. Right-click in the frame.
  2. Click Frame Properties on the shortcut menu.
  3. Under Margins, adjust the Width and Height settings.

Note If the page shown in the frame also has margins, the margin size you set for the frame itself will be added to the margin size of the existing page. For example, if you are using a page in a frame that was created previously and that had a margin set at three, and you set your frame margins to two, your total frame margin is now five.

Create invisible frames

Create invisible frames

You can design your page using frames so that the page doesn't appear to have frames.

  1. Right-click in the frame.
  2. Click Frames Properties on the shortcut menu.
  3. Under Options, click Frames Page.
  4. Clear the Show borders check box.
  5. Set Frame spacing to zero (0).

Show or hide frames scroll bars

Show or hide scroll bars

You can choose to show scroll bars on your individual frames all the time, never, or as needed, depending on the content.

  1. Right-click in the frame.
  2. Click Frame Properties on the shortcut menu.
  3. Under Options, select the Show scrollbars setting.

Note If the frame is taller than it is wide, the scroll bars will scroll up and down. If the frame is wider than it is tall, the scroll bars will scroll left and right.


Align a graphic

  1. In Page view, right-click the graphic, click Picture Properties on the shortcut menu, and then click the Appearance tab.
  2. Do one of the following:
    • Under Wrapping Style, select how you want the text on your page to flow around your graphic.
    • Under Layout, in the Alignment box, click an option to specify how you want the graphic to be aligned on the page.
  3. Under Layout, in the Horizontal spacing box, enter how much space in pixels you want displayed on the left and right sides of the graphic.
  4. Under Layout, in the Vertical spacing box, enter how much space in pixels you want displayed on the top and bottom sides of the graphic.


Change properties of a graphic

In order to Change properties of a graphic, you must first save the page that they are on. During this process, you will be prompted to save the graphics on that page. This is the time and place you can set the properties for a JPEG, GIF, or PNG (Portable Network Graphic — an alternative to GIF).

To change the properties of a JPEG, GIF, or PNG graphic that has already been saved to the page, you must modify the image somehow — such as rotating it or cropping it — and then resave the page.

  1. In the Save Embedded Files dialog box, click the name of the graphic whose properties you want to set.
  2. Under the Picture Preview box, click Picture Options.
  3. Choose one of the following:

    The graphic is in JPEG format

    1. You can specify the quality of the JPEG by entering a value from 1 to 100 in the Quality box.
    2. In the Progressive passes box, enter the number of progressive passes you want Web browsers to make.

    Note Some Web browsers do not support progressive passes.

    The graphic is in GIF format

    1. You can specify whether the graphic should be interlaced by selecting Interlaced.
    2. If a transparent color has been set, the Transparent box is selected; you can remove the transparency by clearing this box.

    Note If the graphic is in the PNG format, you can also change its properties, but this format isn't very common and isn't supported by all browsers.


Set hyperlink colors

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. Click the Background tab.
  3. In the Hyperlink, Visited hyperlink, and Active hyperlink boxes, select the colors you want to use.

Note If the page uses a theme, the background tab will be unavailable, and you will need to change the hyperlink colors by changing those theme elements.


Set paragraph or line indentation

  1. In Page view, select one or more paragraphs, right-click, and then click Paragraph on the shortcut menu.
  2. Under Indentation, do one or more of the following:
    • To indent the left side of the paragraph, enter a value in pixels in the Before text box.
    • To indent the right side of the paragraph, enter a value in pixels in the After text box.
    • To indent the first line of text in the paragraph, enter a value in pixels in the Indent first line box.

Tip

To quickly change the indentation of a selected paragraph, click Increase Indent Increase Indent button or Decrease Indent Decrease Indent button . Both the left and right sides of the paragraph are indented.


Set line or paragraph spacing

  1. In Page view, select one or more paragraphs, right-click, and then click Paragraph on the shortcut menu.
  2. Under Spacing, set the spacing for text by doing one or more of the following:
    • To set the amount of space above each paragraph, enter a value in pixels in the Before box.
    • To set the amount of space below each paragraph, enter a value in pixels in the After box.
    • To set the amount of vertical space between lines of text, click an option from the Line spacing box.
    • To set the amount of space between words, enter a value in pixels in the Word box.

Note Some Web browsers will not display all of these line and paragraph settings.


Set or change the ScreenTip for a hyperlink

You can either add a ScreenTip to a hyperlink while you are creating the hyperlink, or you can add it later.

  1. In Page view, select the hyperlink.
  2. Click Insert Hyperlink [image].
  3. In the Edit Hyperlink dialog box, click Screen Tip.

    Note If you are creating the hyperlink, the dialog box is called Insert Hyperlink.

  4. Type the text you want to appear when a site visitor rests the mouse pointer over the hyperlink, and click OK.
  5. Click OK again.

Note To change the ScreenTip, follow the same instructions as above.

Tip

To view your ScreenTip, click Preview in Browser [image].


Create a navigation structure

You can create the navigation structure of the current web site by organizing pages in Navigation view.

In Navigation view, do one or more of the following:

Add an existing page to the current navigation structure

  • Click the page in the Folder List, and drag it to the position in the structure where you want it.

    If the Folder List is not showing, on the View menu, click Folder List.

Move a page within the navigation structure

  • Click the page, and then drag it to another location, such as under or next to another page.

Add a title to a page

  • Right-click the page, click Rename on the shortcut menu, and then edit the name.

Add a new page under an existing page

  • Right-click the existing page, point to New, and then click Page on the shortcut menu.

Delete a page from the navigation structure

  • Click the page, and then press DELETE.

    Note This does not delete your page from your web site.

Save changes without switching views

  • Right-click on the view background, and then click Apply Changes on the shortcut menu.

Tip

To open a page to edit it, double-click the page.


Set or modify properties of a control

Choose the type of control you want to work with:

Design-time controls (DTCs)

  1. In Page view, in the Normal pane, right-click the DTC that you want to modify.
  2. Click Design-Time Control Properties on the shortcut menu.
  3. Type or modify properties in the Design-Time Control Properties dialog box.

    Two properties tabs (Object Tag and Parameters) are added to all controls by Microsoft FrontPage. Since each control has unique properties, consult the documentation for the control to learn about its specific properties.

    Object Tag

    Type or modify the following information:

    Name To specify a name for the DTC, type a name in the Name box.

    Alignment To specify the alignment of the DTC, choose a value (such as Default, Left, Right, and so on) under Alignment.

    Border thickness To specify the border thickness (in pixels) of the DTC, specify the desired value in the Border thickness box.

    Horizontal spacing To specify the horizontal spacing (in pixels) of the DTC, specify the desired value in the Horizontal spacing box.

    Vertical spacing To specify the vertical spacing (in pixels) of the DTC, specify the desired value in the Vertical spacing box.

    Width To specify the width (in pixels) of the DTC, specify the desired value in the Width box.

    Height To specify the height (in pixels) of the DTC, specify the desired value in the Height box.

    HTML To specify alternative text that will be displayed in Web browsers without ActiveX support, type the desired text in the HTML box.

    Code Source To specify a network or Internet location from which the control can be automatically installed, type the path in Code Source.

    Parameters

    • To add a parameter, click Add.

    • To modify a parameter, click Modify.
    • To Remove a parameter, click Remove.

ActiveX controls

  1. In Page view, in the Normal pane, right-click the ActiveX control that you want to modify.
  2. Click ActiveX Control Properties on the shortcut menu.
  3. Type or modify properties in the ActiveX Control Properties dialog box.

    Two properties tabs (Object Tag and Parameters) are added to all controls by Microsoft FrontPage. Since each control has unique properties, consult the documentation for the control to learn about its specific properties.

    Object Tag

    Type or modify the following information:

    Name To specify a name for the ActiveX control, type a name in the Name box.

    Alignment To specify the alignment of the ActiveX control, choose a value (such as Default, Left, Right, and so on) under Alignment.

    Border thickness To specify the border thickness (in pixels) of the ActiveX control, specify the desired value in the Border thickness box.

    Horizontal spacing To specify the horizontal spacing (in pixels) of the ActiveX control, specify the desired value in the Horizontal spacing box.

    Vertical spacing To specify the vertical spacing (in pixels) of the ActiveX control, specify the desired value in the Vertical spacing box.

    Width To specify the width (in pixels) of the ActiveX control, specify the desired value in the Width box.

    Height To specify the height (in pixels) of the ActiveX control, specify the desired value in the Height box.

    HTML To specify alternative text that will be displayed in Web browsers without ActiveX support, type the desired text in the HTML box.

    Code Source To specify a network or Internet location from which the control can be automatically installed, type the path in Code Source.

    Parameters

    • To add a parameter, click Add.

    • To modify a parameter, click Modify.
    • To Remove a parameter, click Remove.


Set or modify properties of a Java applet

  1. In Page view, right-click the Java applet that you want to modify, and then click Java Applet Properties on the shortcut menu.
  2. Type or modify the following information in the Java Applet Properties dialog box:
    • In the Message for browsers without Java support box, type HTML or plain text to show in place of the Java applet on Web browsers that do not support Java applets.
    • Under Applet parameters, click Add and then type the parameter name and value (if required) for each parameter you want to use.

      Note Because Java does not provide a mechanism for displaying the valid properties and values for a given applet, consult the documentation that comes with the Java applet, and then specify the correct parameter names and legal values for each parameter.

    • Under Size and Layout, specify the alignment, horizontal and vertical spacing, and width and height (in pixels) for the Java applet.
Note If you want to specify cascading style sheet properties as an inline style for the Java applet, click the Style button.


Set or modify properties of a plug-in

  1. In Page view, right-click the plug-in that you want to modify, and then click Plug-In Properties on the shortcut menu.
  2. Type or modify the following information in the Plug-In Properties dialog box:
    • Specify the file to be loaded with the plug-in In the Data source box, type the URL of the file for the plug-in to load, or click Browse to locate the file.
    • Specify a message for browsers that don't support plug-ins Type an HTML or plain text message in the Message for browsers without plug-in support box. This will be shown in place of the plug-in on Web browsers that don't support plug-ins.
    • Specify the width and height of the plug-in Under Size, specify (in pixels) the desired values.
    • Hide the plug-in when the page is viewed in a Web browser Select the Hide plug-in check box.
    • Specify layout attributes Under Layout, specify the alignment, border thickness, and horizontal and vertical spacing for the plug-in.

Note If you want to specify cascading style sheet properties as an inline style for the plug-in, click the Style button.


Set a background for a web page

  1. In Page view, right-click the page, click Page Properties on the shortcut menu.
  2. In the Page Properties dialog box, click the Background tab.
  3. Do one of the following:

    Set a color as a background

    Do one of the following:

    • Under Colors, in the Background box, select a background color.
    • Define a custom color.

      How?

      Under Colors, in the Background box, click More Colors. Then do one of the following:

      • To select a color from the browser-safe palette, click a color.
      • To specify a hexadecimal value, type the value in the Value box. For example, type HEX={FF,33,00}.
      • To select a color on the screen, click Select, and then use the Eyedropper [image] to click the color. For example, to use a color from a picture on an open page, click a color in the picture.
      • To create a color average of the colors in a particular region on the screen, click Select, and then use the Eyedropper [image] to draw a box on the screen to specify the region.
      • To select a different color or to specify a combination for hue-saturation-luminosity or red-green-blue, click Custom. Under Custom colors, click a blank box. Define a color by entering a combination of values or selecting a color from the color matrix.

    Set a picture as a background

    1. Under Formatting, select the Background picture check box. Select Watermark if you want your background picture to be a watermark.
    2. Click Browse.
    3. Select the background picture:
      • If you know the name of the picture, in File name, type the name of the picture and click Open.
      • If the picture is on a local drive or network, in the Look in box, locate the picture you want. Or, click one of the buttons in the left of the dialog box to locate the picture. Then click Open.
      • If the picture is on the World Wide Web, click Search the Web World Wide Web button. In your Web browser, browse to the picture that you want, and then switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the File name box. Click Open.


Set a background sound for a web page

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. On the General tab, under Background sound, in the Location box, type the sound file you want to play, or click Browse to locate the file.
  3. Do one of the following:
    • To play the sound continuously, select the Forever check box.
    • To play the sound a fixed number of times, clear the Forever check box, and enter the number of times you want the sound to play in the Loop box.

    When a site visitor opens a page, the sound is played.

Note This feature is not supported by all Web browsers.


Set web page margins

  1. In Page view, right-click the page, and then click Page Properties on the shortcut menu.
  2. Click the Margins tab.
  3. Do one or both of the following:

    Set a top margin

    1. Select the Specify top margin check box.
    2. Enter a value for the height of the margin in pixels.

    Set a left margin

    1. Select the Specify left margin check box.
    2. Enter a value for the width of the margin in pixels.


Add a graphic to a hover button

You can use a picture as the background of a hover button, as the hover effect, or both.

Use a picture as the background of a hover button

In Page view, do the following:
  1. In the Normal pane, right-click the hover button, and then click Hover Button Properties on the shortcut menu.
  2. Click Custom.
  3. In the Button box, type the URL of the picture you want to use as the background for the hover button. Or, click Browse to locate the picture.
  4. Click OK.
  5. In the Width and Height boxes, type the width and height of the picture in pixels, and then click OK. The size of the hover button must match the size of the picture.

Use a picture as the hover effect of a hover button

In Page view, do the following:
  1. In the Normal pane, right-click the hover button, and then click Hover Button Properties on the shortcut menu.
  2. Click Custom.
  3. In the On hover box, type the URL of the picture you want to use for the hover effect on the hover button. Or, click Browse to locate the picture.
  4. Click OK.
  5. In the Width and Height boxes, type the width and height of the picture in pixels, and then click OK. The size of the hover button must match the size of the picture you use for the hover effect.

Note To preview the hover button as it will appear when a site visitor browses to the page on the World Wide Web, click the Preview button [image], or click Preview in Browser Preview in Browser button on the File menu.


Set properties for a banner ad

  1. In Page view, in the Normal pane, right-click the banner ad you want to modify, and then click Banner Ad Manager Properties on the shortcut menu.
  2. In the Banner Ad Manager Properties dialog box, choose the properties you want to modify.

    Properties

    • Height Set the height of the banner ad in pixels or percentage.
    • Width Set the width of the banner ad in pixels or percentage.
    • Transition effect Select the effect you want to use when the banner ad switches from one picture to another.
    • Show each picture for (seconds) Specify (in seconds) how long to show each picture.
    • Link to To create a hyperlink from the banner ad, type the target URL in the box. Or, click Browse to locate the destination page or file for the hyperlink.
    • Add To select pictures to display in the banner ad, click Add, and then select the picture.

      The list in the Pictures to display box shows the pictures you've added and the sequence in which the pictures will be displayed.

    • Move Up To move a picture up in the display sequence, click the URL of the picture in the list, and then click Move Up.
    • Move Down To move a picture down in the display sequence, click the URL of the picture in the list, and then click Move Down.
    • Remove To remove a picture from the banner ad, click the URL of the picture in the list, and then click Remove.


Set the properties for a discussion web site

Do one or both of the following:

Modify the properties of the discussion group

  1. Open the page that contains the form for posting articles.

    Note If you used the Discussion Web Wizard, the file name of this page contains _post.

  2. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  3. Click Send to other, and select Discussion Form Handler from the drop-down box.
  4. Click Options.
  5. Click the Discussion tab.

    Specify one or more of the following (or you can use the default values). Many of these settings determine how the information will appear in the table of contents descriptions:

    • Title Specify the name of this discussion group, which will appear on pages containing articles.
    • Directory Specify the directory where you want to store articles posted by site visitors, such as _private.
    • Form fields Choose which form fields you want to display. For example, you might display the subject and author fields.

      Note Separate multiple field names with spaces.

    • Time Select this to insert the time the article was submitted.
    • Date Select this to insert the date the article was submitted.
    • Remote computer name Select this to insert the name of the computer from which the article was submitted.
    • User name Select this to insert the author's user name.
    • Order newest to oldest You can specify the order in which you want to display submitted articles.

      If this check box is not selected, the articles will be displayed oldest to newest.

    • Get background and colors from page You can choose another page in the web site from which to use the background style and colors. Type the name of the file or browse to it.

      Note Changing the value in this field affects only the appearance of new articles posted to the discussion group.

Modify the properties of discussion group articles

  1. Open the page that contains the form for posting articles.

    Note If you used the Discussion Web Wizard, the file name of this page contains _post.

  2. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  3. Click Send to other, and select Discussion Form Handler from the drop-down box.
  4. Click Options.
  5. Click the Article tab.
  6. Set one or more of the following (or you can use the default values):
    • URL of header to include The Discussion Web Wizard automatically creates an article header page and sets it as the default. If you want to change this, you can choose the URL of a page that you want to set as the header of each article.

      If your page is located in the current web site, type a relative URL or click Browse to locate the page.

    • URL of footer to include The Discussion Web Wizard automatically creates an article footer page and sets it as the default. If you want to change this, you can choose the URL of a page that you want to set as the footer of each article.

      If your page is located in the current web site, type a relative URL or click Browse to locate the page.

    • Date Specify the format in which to display the date the article was submitted.
    • Time Specify the format in which to display the time the article was submitted.
    • Remote computer name Select this to insert the name of the computer from which the article was submitted.
    • User name Select this to insert the author's user name.

Note You must publish your web site to a web server that has the FrontPage Server Extensions or SharePointTeam Services from Microsoft installed. Ask your web administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the discussion group.


Set properties for individual HTML tags

  1. In the HTML pane, right-click inside a tag name, and then click Tag Properties on the shortcut menu.

    Microsoft FrontPage displays the appropriate properties dialog box for that HTML tag. For example, if you click in a form field check box tag, FrontPage displays the Check Box Properties dialog box.

  2. Set the properties you want. When you click OK to close the Properties dialog box, FrontPage immediately rewrites the HTML for that tag.

Note Properties for some tags (such as table cell properties and form field properties) might be unavailable in the HTML view. If the appropriate property information can't be accessed, FrontPage displays the style information for that tag.


Set the review status for a file

Set the review status for a single file

  1. In any view except Tasks view, right-click the file, click Properties, and then click the Workgroup tab.
  2. In the Review status box, select a review status from the list, or type a new one.

Set the review status for multiple files

  1. On the View menu, click Reports.
  2. Select the files you want to set a review status for, right-click to display the shortcut menu, and then click Properties.
  3. Click the Workgroup tab, and then in the Review status box, type or select the review status you want to set for the selected files.


Set the server message language for a web

Microsoft FrontPage uses the server message language set for your web site to determine the language in which to display certain messages from the FrontPage Server Extensions. These messages include errors that are displayed while you are editing a page, but also messages that are displayed to the site visitor, such as a search failure message or a form validation warning.

When creating a web site in a different language than your computer's default language, change the server message language for the site.

  1. On the Tools menu, click Web Settings, and then click the Language tab.
  2. In the Server message language box, select the language to use for error messages and HTML messages.


Set up shared borders

  1. Open a web site.
  2. Do one or both of the following:

    Set shared borders for a page

    1. On the Format menu, click Shared Borders.
    2. Click Current page.
    3. Specify the borders that you want on this page.

    Note To remove the comment telling you to add content, select it, and then press DELETE.

    Set shared borders for a web site

    1. On the Format menu, click Shared Borders.
    2. Click All pages.
    3. Select the borders that you want to appear on every page in the current web site.

      Note If you select Top, Left, or Right, you can also choose to include link bars. Dashed lines are displayed to indicate the shared border, and you can now add the content you want.

    Note If you included a link bar (and then added the page to Navigation view), it is displayed in the shared border. Otherwise, a comment is displayed telling you to add content. To remove the comment, select it, and then press DELETE.


Create and use a single source of content in multiple locations

  1. In Page view, on the Tools menu, click Web Settings, and then click the Parameters tab.
  2. Click Add.
  3. In the Name box, type a name for the variable.

    This is what you will call the variable.

  4. In the Value box, type a value for the variable.

    This is what will be displayed on the page.

  5. Click OK.
  6. Position the insertion point in a page where you want to display the variable.
  7. On the Insert menu, click Web Component.
  8. In the left pane, click Included Content, and in the right pane, double-click Substitution.
  9. In the Substitute with box, click a variable from the list.

Note If you just want to change the value of a variable that already exists on a page, follow steps 1 through 5.


Check the spelling of different languages

This topic assumes you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for the languages you want to use in a web site. In addition, you must enable support for each language through Microsoft Office Language Settings.

You can ensure that Microsoft FrontPage loads the correct spelling dictionary for pages or specific text, by switching the keyboard language before you begin typing.

For example: You create a web site on a computer configured to use the English keyboard. When you begin typing on a new page, FrontPage automatically marks the page as English. If you want to create a Korean page, switch to the Korean keyboard, create the page, and begin typing. When you spell check your web site, FrontPage loads the English spelling dictionary to proof all of the English pages, and the Korean spelling dictionary to proof the Korean pages. If you want to add Spanish text to a page, change your keyboard to Spanish and begin typing. When you spell check your Web site, FrontPage loads the Spanish spelling dictionary to proof the Spanish text.

You can mark a page for a language and mark text as a specific language without changing the keyboard. This is useful if you are creating pages for authors who will later enter text on those pages on a computer using the specified language.

Set the spelling language for a page

  1. In Page view, right-click the page, click Page Properties on the shortcut menu, and then click the Language tab.
  2. In the Mark current document as box, select the language for the page.

Set the spelling language for text

  1. Select all of the text that you want to mark as a specific language.
  2. From the Tools menu, click Set Language.
  3. Under Mark select text as box, select the language you want.

Set the default spelling checker for a web site

Use this option, to change the default spelling language for any pages in your web site that have not been marked for a specific language. For example, pages created in Notepad that you import into your web site

  1. On the Tools menu, click Page Options.
  2. On the General tab, in the Default spelling language box, select the default spelling language for the current site.


Set the properties of a table

  1. In Page view, right-click the table.
  2. Click Table Properties on the shortcut menu.

Then do one or more of the following:

Set the layout of the table

Set one or more of the following (or you can use the default values):

  • Alignment Set the position for the table on the page.
  • Float Specify whether you want text to flow around the left or right of the table. If you do not want text to flow around the table, select Default.
  • Cell spacing To change the space between the table cells, type a number in the box.
  • Cell padding To change the space between a cell border and its content, type a number in the box.
  • Width Set of the width of the columns in pixels or percentage.
  • Height Set the height of the columns in pixels or percentage.

Set the borders of the table

Set one or more of the following (or you can use the default values):

  • Size Type the width you want for the table border in pixels. If you do not want a border, type 0.
  • Color To set one color for the table border, select a color from the list.
  • Light border and Dark border To set a two-color border for a three-dimensional effect, select colors from the lists.
  • Show both cells and table borders Select if you want colors to apply to both cells and borders.

Set the background of the table

  • Do one of the following:

    Set the background color of the table

    Under Background, in the Color list, select a color for the table background.

    Show a background picture in the table

    1. Under Background, select the Use background picture check box, and then click Browse.
    2. Select the background picture by doing one of the following:
      • If you know the name of the picture Type the name of the picture in File name, and click Open.
      • If the picture is on a local drive or network In the Look in box, locate the picture you want. Or, click one of the buttons in the left of the dialog box to locate the picture. Then click Open.
      • If the picture is on the World Wide Web Click World Wide Web World Wide Web button. In your Web browser, browse to the picture that you want, and then switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the File name box. Click Open.

Notes

  • The background picture you select will be tiled unless you are using cascading style sheets to make it behave otherwise.
  • Click the Style button (if it is available) to access other options for formatting your table using cascading style sheets as an inline style.


Set the properties of a table border

In Page view, do one or more of the following:

Change the distance between each cell border

  1. Right-click the table, and then click Table Properties on the shortcut menu.
  2. In the Cell spacing box, type the number of pixels for the amount you want to increase or decrease the space between the cell's content and the inside border of the cell.

Change the thickness of the outer table border

  1. Right-click the table, and then click Table Properties on the shortcut menu.
  2. In the Size box under Borders, enter a number in pixels to increase or decrease the width of the table border.

Select a single or double border for a table and its cells

By default, table borders appear as a single border around the table itself and the individual cells. If you want a double border to appear for both the table and the cells, do the following:

  1. Right-click the table, then click Table Properties on the shortcut menu.
  2. Under Borders, select Show both cells and table borders.

Note The choice you make will become the default each time you create a table.

Hide the entire table border

  1. Right-click the table, and then click Table Properties on the shortcut menu.
  2. Under Borders, in the Size box, enter 0.
Note The hidden border will appear as a dotted line while you are editing the page.

Hide all or part of a table border

  1. Click on the cells whose borders you want to hide.
  2. Click Border [image] and select the border you would like to hide.

Note The hidden border will appear as a dotted line while you are editing the page.

Change the color of the table border

A table border can be one color or two colors.

When you use two colors, the table border has a three-dimensional appearance:

Set a one-color border

  1. Right-click the table, and then click Table Properties on the shortcut menu.
  2. Under Borders, select a color from the Color list.

Set a two-color border

  1. Right-click the table, and then click Table Properties on the shortcut menu.
  2. Under Borders, select colors from the Light border and Dark border lists.

Note When setting a two-color border, the color selected from the Color list will not be used. However, if you select only a Light border or a Dark border, the color selected from the Color list will be used as the second color.

Tip

To give your table border as much depth as possible, make sure that the cell padding and table border size are set above two.


Set table headers

To emphasize certain cells in your table, such as the first row or column, you can format the cells as table headers. By default, table headers appear in bold.

In Page view, do one or more of the following:

Format a cell as a header

  1. Position the insertion point in the cell you want to use as a header.
  2. On the Table menu, point to Select, and click Cell.
  3. Right-click on the cell, and then click Cell Properties on the shortcut menu.
  4. Under Layout, select the Header cell check box.

Format a row as a header

  1. Position the insertion point in a cell that's in the row you want to use as a header.
  2. On the Table menu, point to Select, and click Row.
  3. Right-click on the row, and then click Cell Properties on the shortcut menu.
  4. Under Layout, select the Header cell check box.

Format a column as a header

  1. Position the insertion point in a cell that's in the column you want to use as a header.
  2. On the Table menu, point to Select, and click Column.
  3. Right-click on the column, and then click Cell Properties on the shortcut menu.
  4. Under Layout, select the Header cell check box.


Set the background in a table or cell

You can specify a background color or picture for a table or its individual cells.

In Page view, do one or more of the following:

Set the background color for a table

  1. Right-click the table, and then click Table Properties on the shortcut menu.
  2. Under Background, in the Color list, select a color for the table background.

Set the background color for a cell

  1. Position the insertion point in the cell, right-click, and then click Cell Properties on the shortcut menu.
  2. Under Background, in the Color list, select a color for the cell background.

Show a background picture in a table

  1. Right-click the table, and then click Table Properties on the shortcut menu.
  2. Under Background, select the Use background picture check box, and then click Browse.
  3. Select the background picture:
    • If you know the name of the picture Type the name in File name, and click Open.
    • If the picture is on a local drive or network In the Look in box, locate the picture you want. Or, click one of the buttons in the left of the dialog box to locate the picture. Then click Open.
    • If the picture is on the World Wide Web Click World Wide Web World Wide Web button. In your Web browser, browse to the picture that you want, and then switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the File name box. Click Open.

Notes

  • If you set a background color for the table, it will only be visible if the background picture has a transparent color.
  • The background image will be tiled (repeated) unless you are using a cascading style sheet to make it behave otherwise.

Show a background picture in a cell

  1. Position the insertion point in the cell, right-click, and then click Cell Properties on the shortcut menu.
  2. Under Background, click the Use Background picture check box, and then click Browse.
  3. Select the background picture:
    • If you know the name of the picture Type the name of the picture in File name, and click Open.
    • If the picture is on a local drive or network In the Look in box, locate the picture you want. Or, click one of the buttons in the left of the dialog box to locate the picture. Then click Open.
    • If the picture is on the World Wide Web Click World Wide Web World Wide Web button. In your Web browser, browse to the picture that you want, and then switch back to Microsoft FrontPage. The location of the page you visited will be displayed in the File name box. Click Open.

Notes

  • If you set a background color for the table, it will only be visible if the background picture has a transparent color.
  • The background image will be tiled (repeated) unless you are using a cascading style sheet to make it behave otherwise.


Set the tab order in a form

  1. In Page view, double-click a field to edit its properties.
  2. In the Tab order box, type a number (1 - 999) indicating the tab order for the selected field.

    If you specify the same number for two or more fields, the field that is first on the page will come first in the tab order. To remove the field from the tab order, type -1.

  3. Repeat this procedure for each field for which you want to set the tab order.

Notes

  • Only Microsoft Internet Explorer 4.0 and later support a custom tab order. Other Web browsers and previous versions of Internet Explorer use the default tab order.
  • To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Set paragraph alignment

  1. In Page view, select the text you want to align.
  2. On the Formatting toolbar, click one of the following to align the text:
    • Align Left Align Left button
    • Center Center button
    • Align Right Align Right button
    • Justify


Set the page language

Setting the language of a page ensures that Web browsers and advanced search engines can identify your pages' language, and display them correctly.

Microsoft FrontPage determines the page language of a new page from your keyboard language setting, once you begin typing on the page. If you import or open a page that does not contain the HTML tag that identifies the page language (for example a page created in Notepad), you will want to specify the exact language for the page.

To set the page language, use the following procedure.

  1. In Page view, right-click the page, click Page Properties on the shortcut menu, and then click the Language tab.
  2. In the Mark current document as box, select the language for the page.

Note Setting the page language also enables FrontPage to automatically load the correct spelling dictionary. For FrontPage to load the correct spelling dictionary you must first install the Microsoft Office XP Multilingual User Interface Pack or the Microsoft Office Proofing tools for the languages used on a page.


Set the properties for a thumbnail

Setting the properties of thumbnails applies to thumbnails that you will create using Auto Thumbnail, not to thumbnails you have already created.

  1. On the Tools menu, click Page Options, and then click the Auto Thumbnail tab.
  2. Do one or more of the following:
    • In the Set list, click the option you want to use for specifying a size, then in the Pixels box, enter the value in pixels.
    • Select Border thickness o specify a border, and then in the Pixels box, enter the value in pixels.
    • Click the Beveled edge check box if you want the graphic to be beveled.

      If you have also specified a border thickness, the thumbnail will have a beveled edge inside of a border.


About making HTML table data available to spreadsheets

When you create a table using HTML and assign it a unique identifier (ID), you enable spreadsheet applications to import that table's data over the Web.

For example, using Microsoft Excel, you can select a table on a web page, and then import the table's contents into a worksheet. The process of getting data in this manner is called a Web query.

Since the Web query recognizes the unique table ID, you can refresh the query (get updated data) even if the table is moved to another position on the web page.


Set properties for a hover button

  1. In Page view, right-click the hover button you want to modify, and then click Hover Button Properties on the shortcut menu.
  2. Choose the properties you want.

    Properties

    Set the text label Type the label you want to use in the Button text box. If you type a long label, adjust the Width of the hover button.

    Set the default hyperlink In the Link to box, type the URL to the page or file you want to display when a site visitor clicks the hover button. Or, click Browse to locate the page or file.

    Set the color of the button when it is initially displayed on the page Select the color you want to use.

    Set the background color of the button Select a background color for the hover button. You can't choose to make the background color transparent; however, you can use the same background color for both the button and the page.

    Set the hover effect Select the visual effect that will be displayed when a site visitor points to the button.

    Set the color of the hover effect Select the color for the hover effect.

    Set the size of the hover button Modify the settings in the Width and Height boxes, in pixels.


Show or hide completed tasks in Tasks view

Microsoft FrontPage hides completed tasks when the Show Task History command isn't selected.

  • To show completed tasks, right-click on the background in Tasks view, and then click Show History on the shortcut menu.
  • To hide completed tasks, right-click on the background in Tasks view, and then click Show History to clear the check mark.


Show or hide gridlines in reports

  1. On the Tools menu, click Options, and then click the Reports View tab.
  2. Select or clear the Display gridlines when viewing reports check box.


Show or hide color coding of HTML

By default, FrontPage color codes HTML in the HTML pane to distinguish between tags, attributes, and values, as well as comments and scripts.

Show color coding

  • In Page view, click the HTML button [image], then right-click on the page, and then click Show Color Coding on the shortcut menu.

Hide color coding

  • In Page view, click the HTML button [image], then right-click on the page, and then click Show Color Coding to clear the check mark.


Show or hide files

You can show or hide folders from views in Microsoft FrontPage. Hidden folder names begin with an underscore character (for example, _borders).

  1. On the Tools menu, click Web Settings, and then click the Advanced tab.
  2. Select or clear the Show hidden files and folders check box.


Show or hide HTML tags in the Normal pane

Do one of the following:

To show HTML tags

  • On the View menu, click Reveal Tags.

To hide HTML tags

  • On the View menu, click Reveal Tags to clear the check mark.

Notes

  • If you move the pointer over an HTML tag in the Normal pane, FrontPage displays a ScreenTip showing the entire text of that tag, including its attributes and values.
  • When you show HTML tags in one page in your web site, the feature is applied to all of the pages in your web site.


Manage the text index

If your web site is located on a Web server running the Microsoft FrontPage Server Extensions, Microsoft FrontPage creates a text index of the words in your web pages. If pages are deleted from your site, the index must be recalculated to reflect the changes.

Display a warning when the index is out of date

You can set FrontPage to display a warning if your web site's text index is out of date and needs to be recalculated.

  1. On the Tools menu, click Options, and then click the General tab.
  2. Select the Warn when text index is out of date check box.

Create a new text index and purge outdated words

  • To create a new text index and purge outdated words, click Recalculate Hyperlinks on the Tools menu. Note that this procedure may take several minutes if you have many external hyperlinks, since FrontPage must connect to and verify each one.

    • The search form will not locate approximately 300 of the most common English words, such as "a" and "the."
    • If your web site is located on a Web server running Internet Information Services (IIS), the search form will use Indexing Service to perform the search for new indexing information. Indexing Service has more extensive support for searching non-English systems and Microsoft Office documents. This process may take anywhere from a few minutes to a few hours or more. If your web site is not located on a Web server running IIS, the search form uses the Wide Area Information Server (WAIS).


Sort the list of tasks

  • In Tasks view, click any column heading to sort the task list by the values in that column.


Specify what user information to collect from a form

You can specify the information you want to gather about your site visitors and their computers, and from the form they fill out.

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.
  2. Click Options, and then click the Saved Fields tab.
  3. The names of all the fields in your form are listed in the Form fields to save list.
  4. Do one or more of the following:
    • Select any field that you do not want saved in the form results, and then press DELETE.
    • To save the date or time the form was submitted with the form results, select formats from the Date format and Time format lists.
    • Under Additional information to save, select any additional types of information you want to save in the form results.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Specify the range for recent and older files

By default, Microsoft FrontPage defines a recent file as one that has been created within the last 30 days, and it defines an older file as one that that hasn't been modified in the last 72 days.

Define recent files

  • On the Tools menu, click Options, and then click the Reports View tab. In the "Recent" files are less than box, type or select the number of days.

Define older files

  • On the Tools menu, click Options, and then click the Reports View tab. In the "Older" files are more than box, type or select the number of days.


Specify settings to indicate slow pages

Microsoft FrontPage defines a slow page as one that takes 30 seconds or longer to load using a 28.8 KB modem.

To change the way a slow page is defined:

  1. On the Tools menu, click Options, and then click the Reports View tab.
  2. In the Assume connection speed of box, select the connection speed of your target audience. For example, if your web site will be browsed on a corporate intranet by users with dedicated network connections, select T1 or T3.
  3. In the "Slow" pages take at least box, type or select the number of seconds that define a slow page at the assumed connection speed.


Split a frame

In Page view, do one or both of the following:

Split a frame by dragging its border

  1. Open the frames page you want to modify.
  2. Press and hold down CTRL and drag any frame border.

Split a frame into two evenly divided columns or rows

  1. Select the frame you want to split by clicking it.
  2. On the Frames menu, click Split Frame, and then select the appropriate option.

Note When you split a frame, the content is preserved in the original frame, and a new frame is created.


Split or merge table cells

In Page view, do one or both of the following:

Split cells into columns or rows by dividing them

  1. Right-click the cell you want to divide, and then click Split Cells on the shortcut menu.
  2. Click Split into columns or Split into rows.
  3. In the Number of columns or Number of rows field, type the number of columns or rows into which you want the cells split.

Tip

To select multiple cells, select the first cell, press CTRL, and click each additional cell you want to select.

Merge two or more adjacent cells to make a larger cell by combining them

  1. Select a row, column, or group of adjacent cells.
  2. Right-click, and click Merge Cells on the shortcut menu.

Note This command is only available when two or more adjacent cells are selected, and the selected cells form a rectangle.

Tip

To select multiple cells, select the first cell, press CTRL, and click each additional cell you want to select.


Split a table

  1. In Page view, click the row that you want to be the first row of the second table.
  2. On the Table menu, click Split Table.


Start working on a task

  • If the task is associated with a file, in Tasks view, right-click the task, and then click Start Task on the shortcut menu.
  • If the task is not associated with file, in Tasks view, right-click the task, and then click Edit Task on the shortcut menu.

Notes

  • When you start a task associated with a page, Microsoft FrontPage opens that page in Page view.
  • When you start a task associated with another type of file, FrontPage opens the file in its associated editor (Word for .doc files, Notepad for .txt files, and so on).


Add an MSN stock quote component

This feature is only available in the US English language version of Microsoft FrontPage.

  1. In Page view, position the insertion point where you want to add an MSN stock quote component.
  2. On the Insert menu, click Web Component
  3. In the left pane, click MSN Components, and in the right pane, double-click Look up a stock quote.

    Microsoft FrontPage adds the component to your web page.

Note To test the MSN stock quote component, click Preview in Browser [image]. You must also have a connection to the Internet.


Stop loading a web page

  • Click Stop Stop button.


Switch views

  • On the Views bar, click the view you want to use.

Tip

If the Views bar is not showing, on the Views menu click Views Bar.


Test your network connection

If you have problems accessing or opening web pages on a server, you can test your network connection to determine your host name, localhost, IP address, TCP/IP stack, and Winsock protocol settings.

  1. On the Help menu, click About Microsoft FrontPage, and then click Network Test.
  2. Click Start Test.


Look up words in the thesaurus

  1. Select or type a word for which you want to find a synonym, antonym, or related word.
  2. On the Tools menu, click Thesaurus.
  3. Select the option you want.


Make a color in a graphic transparent

  1. In Page view, click the graphic.
  2. On the Pictures toolbar, click Set Transparent Color [image].

    Note To display the Pictures toolbar, point to Toolbars on the View menu, and then click Pictures.

  3. Click the color in the graphic that you want to make transparent.

Note When you save the page, Microsoft FrontPage prompts you to save the graphic in GIF format, even if the original graphic is in JPEG format (JPEG format does not support transparency). If FrontPage converts the graphic from another file format to GIF, the number of colors in the graphic may be reduced and the graphic file may become larger.


Troubleshoot discussion groups

When I submit an article to the discussion group, it doesn't appear.

You must be working in a server-based web site (a web site that is stored on a server). If you are working in a disk-based web site (a web site that is stored on a local computer and pointing to c:\ or d:\ instead of http://), your posted article will not show up.


Troubleshoot Forms

When I click the Submit button, nothing happens.

Make sure you specified a form handler

  1. In Page view, right-click the form, and then click Form Properties on the shortcut menu.

  2. From here you can send information to:

    • A file in a specified folder

    • An email address

    • A database (one that already exists or that Microsoft FrontPage creates for you)

    You can also write a custom script to specify how to save your form results.

Make sure the button is set as a Submit button

  1. Double-click the Submit button.

  2. Make sure that Button type is set as Submit, and not Normal or Reset.

When I click the Submit button, all the text I typed inside the form disappears.

It is possible that your Submit button is set as a Reset button.

  1. Double-click the Submit button.

  2. Make sure that Button type is set as Submit, and not Reset.

How do I get the results I saved to a file on my server?

  1. In Microsoft FrontPage, open the web site.
  2. Go to the _private folder. (This is the default folder where your form results will be sent. If you configured your form to save to a different folder, browse to that folder.)

    Tip

    When you are configuring your form results to be saved to a file, keep the default folder that FrontPage sets up for you, _private, which is a hidden folder. Otherwise, site visitors may be able to browse to the folder where you keep your form results.

I keep getting an error message that tells me to contact my Webmaster.

  • Check the following:

    Is your form configured correctly?

    1. Do one of the following (depending on what kind of form it is):

      • Right-click the form, and then click Form Properties on the shortcut menu.

      • Double-click the form.

    2. Check the settings, as appropriate.

    Does your Internet Service Provider (ISP) or web host have Microsoft FrontPage Server Extensions installed?

    • If you don't know, contact your web site administrator or ISP.
My form fields won't display.

Does your Internet Service Provider have Microsoft FrontPage Server Extensions installed?

  • If you don't know, contact your web host or Internet Service Provider (ISP) and ask if FrontPage Server Extensions are installed on the server.

Are your form fields contained within a form?

When you want to create a form, FrontPage inserts a rectangular area outlined with a dashed line where you can add text and form fields. If your form fields are not inside this rectangular area, they won't work.

  1. In Page view, click the form field that is outside the rectangular area.

  2. Drag it inside the dashed line.


Troubleshoot frames

Some of the content in this topic may not be applicable to some languages.

My hyperlink is showing in the wrong frame

On frames pages that you create by using frames page templates in Microsoft FrontPage, the target frames are already set up for you. You can override the target frame for a single hyperlink, or change the default target frame for all hyperlinks on a page.

  1. In Page view, open the frames page that has the hyperlink.
  2. Select the hyperlink, and then click Insert Hyperlink Hyperlink button .
  3. Do one or both of the following:

    Change the target frame for a single link

    1. Click Target Frame in the Insert Hyperlink dialog box.
    2. In the Target Frame dialog box, you can select which frame to show your page in. The Current frames page area shows a "map" of the frames page.
    3. Click the frame in which you want to show the page pointed to by the hyperlink you selected.

    Change the default target frame for all hyperlinks on the page

    1. In the Insert Hyperlink dialog box, click Target Frame.
    2. In the Target Frame dialog box, you can select which frame to show your page in. The Current frames page area shows a "map" of the frames page.
    3. Click the frame in which you want to show the page pointed to by the hyperlink you selected.
    4. To designate the target frame you selected as the default target frame for all the hyperlinks on the page, select the Set as page default check box.

When I click a hyperlink, I want the page to show in a new browser window

On frames pages that you create by using templates in Microsoft FrontPage, the target frames are already set up for you. You can change the default target frame so that when a site visitor clicks on a hyperlink, a new browser window opens.

  1. In Page view, open the frames page that has the hyperlink.
  2. Select the hyperlink, and then click Insert Hyperlink Hyperlink button .
  3. In the Insert Hyperlink dialog box, click Target Frame to change the target frame from the default.
  4. In the Target Frame dialog box, under Common, select New Window.

I can't see all my documents listed on the page tabs

If you have created so many files that not all of them are visible on the page tabs, you will need to do one or more of the following:

  • Make the left-most tab visible Click [image].
  • Make one more tab to the left visible Click [image].
  • Make one more tab to the right visible Click [image].
  • Make the right-most tab visible Click [image].

I want to edit the HTML of a nested frames page

When you are editing a nested frames page, you can also edit the HTML coding, but you must first open that page in a new window.

  • Right-click anywhere on the page, and then click Open Page in New Window on the shortcut menu.

Microsoft FrontPage won't let me open a frames page template

If your browser can't show frames, the frames page template will be unavailable. You can check to see whether your browser shows frames.

In Page view, do the following:

  1. On the Tools menu, click Page Options.
  2. Click the Compatibility tab.
  3. In the Browsers list, select your browser.
  4. Depending on which browser you choose, frames will be selected or deselected under Technologies.


Troubleshoot hyperlinks

A hyperlink goes to a wrong destination

This can be caused by one of following:

  • The destination may have been entered incorrectly Make sure the hyperlink destination is correct.
  • The original destination may have moved to a different location Use your Internet browser to navigate to the destination to ensure that it still exists.

Nothing happens when I click a hyperlink

This can happen when the text you believe is a hyperlink only looks like a hyperlink.

  • To make sure the text is a hyperlink, select the text, and then click Insert Hyperlink Hyperlink tool.

When I click a hyperlink, it returns a 404 error message

This can be caused by one of the following:

  • The destination may have moved or may no longer exist Verify that the file exists by viewing the destination file with your Internet browser if the file is on the Internet, or with Windows Explorer if the file is on your hard drive or a network.
  • You may not have access to the destination If the destination file is on the Internet, make sure you have a connection to the Internet.
  • There may be a technical problem If you believe that the file you are linking to exists and that you have permission to link to it, try deleting your temporary Internet files.

    How?

    (If you are using Microsoft Internet Explorer 5.0 and above)

    1. Open Internet Explorer.
    2. On the Tools menu, click Internet Options.
    3. Under Temporary Internet Files, click Delete Files.

When I click a hyperlink, it returns a 403 error message

You may be trying to link to a page or directory that does not have anonymous browsing permissions.

  • If the destination is on a network, contact your network administrator to ensure that you have access to the destination file.

A hyperlink goes to the wrong frame

This is often caused by incorrectly setting up the target frame for your hyperlink. To change the target frame, do the following:

  1. In Page view, open the page that contains the hyperlink.
  2. Select the hyperlink, and then click Insert Hyperlink Hyperlink tool.
  3. To change the target frame, click Target Frame in the Insert Hyperlink dialog box. Then do one of the following:

    Choose a target frame within your frames page

    In the Target Frame dialog box, the Current frames page area shows a map of your frames page. Click in the frame you would like to set as the target frame.

    Choose a target frame outside your frames page (in a new window)

    In the Target Frame dialog box, under Common, click New Window.


Troubleshoot text formatting

I want to set the spacing of individual letters within a word (kerning).

Kerning, which is the selective spacing between pairs of letters, is not supported by Microsoft FrontPage.

  • You can, however, expand or condense all the letters in a word.

    How?

    In Page view, do the following:

    1. Select the text, right-click, and then click Font on the shortcut menu.
    2. Click the Character Spacing tab.
    3. In the Spacing box, click Expanded or Condensed to change the spacing of text.
    4. In the By box, enter a number to specify, in points, how much you want to increase or decrease the space between characters.

When I try to insert a plain bullet, it is unavailable from the Bullets and Numbering dialog box.

If your page is using a theme, Plain Bullets will be unavailable because themes use their own kind of bullets.

  • To use Plain Bullets, you will need to remove the theme from the page.

    How?

    1. In Folders view, select the pages from which you want to remove a theme.
    2. On the Format menu, click Theme.
    3. Click Selected pages.
    4. In the list, click No Theme.


Troubleshoot graphics

I can't crop part of a photo gallery graphic.

Microsoft FrontPage can only crop photo gallery images down to a certain size. If you find that your graphic is too large, you can insert it onto a blank page, crop it like you would any other graphic, and then resave it and insert it again into your photo gallery.

When I double-click a graphic to edit it in another editor, "No picture editor is configured" appears.

You must first choose the picture editor you want to use to edit your graphics, and you must choose one for each type of graphic (JPEG, GIF, BMP, and so o):
  1. On the Tools menu, click Options.
  2. Click the Configure Editors tab.
  3. Click Add.
  4. In the File type box, type the extension of the type of file you want to add.

    For example, gif or jpg.

  5. In the Editor name box, type the name of the graphics editor you want to use.
  6. In the Command box, type the path to the executable file (.exe) for the editor, or click Browse to locate the file.
  7. Repeat steps 3 though 6 for each type of file to which you want to assign an editor.

My graphic is broken on my Web site.

  • This can be caused by one of the following:

    You acquired this graphic from another web site

    When you add a graphic to a web site and then save the page that it's on, you are prompted to save that graphic to the same web site where your page is saved. If you acquired this graphic from a shared location or another web site, and you didn't save it to a folder in your web site, the path to it will be broken if that graphic is removed from the shared location or web site, and it will not display on your web page.

    You need to publish the image or the folder where it lives to your Web server

    If you have a graphic that you are using for a web page located in a local folder, when you publish that web page, you also need to publish the folder where all the graphics are or all your graphics will appear to be broken.

When I click a hot spot, it returns a 404 error message.

This can be caused by one of the following:

  • The destination may have moved or may no longer exist Verify that the file exists by viewing the destination file with your Internet browser if the file is on the Internet, or with Microsoft Windows Explorer if the file is on your hard drive or a network.
  • You may not have access to the destination If the destination file is on the Internet, make sure you have a connection to the Internet.
  • There may be a technical problem If you believe that the file you are linking to exists and that you have permission to link to it, try deleting your temporary Internet files.

    How?

    1. Open Microsoft Internet Explorer.
    2. On the Tools menu, click Internet Options.
    3. Under Temporary Internet Files, click Delete Files.

When I click a hot spot, it returns a 403 error message.

You may be trying to link to a page or directory that does not have anonymous browsing permissions.

  • If the destination is on a network, contact your network administrator to ensure that you have access to the destination file.

When I am resizing a graphic in percentages, the Keep aspect ratio check box appears dimmed .

This behavior occurs because Microsoft FrontPage bases the percentage width or height of a graphic on a portion of the browser window (or table cell). The aspect ratio is not preserved. If you want to preserve the aspect ratio, you must resize your graphic by entering the width and height size in pixels.


Troubleshoot styles

Why is the Style command unavailable on the Format menu?

If Style is unavailable (that is, it appears dimmed), you might have cascading style sheets (CSS) disabled in the browser compatibility settings.

To enable or disable specific versions of CSS, do the following:

  1. On the Tools menu, click Page Options, and then click the Compatibility tab.
  2. Do one or more of the following:
    • Select or clear the CSS 1.0 (formatting) check box to enable or disable commands that use CSS version 1.0, such as adding space before or after a paragraph.
    • Select or clear the CSS 2.0 (positioning) check box to enable or disable commands that use CSS version 2.0, such as position boxes or send-to-front.

    Note The CSS 2.0 (positioning) check box is automatically disabled if you disable CSS 1.0 (formatting).


Troubleshoot navigation

My link bar doesn't work.

In order to be able to add and view a custom link bar or a link bar with back and next links, your Web server must have Microsoft FrontPage Server Extensions 2002 or SharePoint Team Services from Microsoft installed.

Note You can add and view any type of link bar when you publish to a disk-based web site.

I can't add a link bar.

You can add and view any type of link bar when you publish to a disk-based web site. However, when you are publishing to (or authoring directly on) a Web server, in order to be able to add a custom link bar or a link bar with back and next links, your Web server must have Microsoft FrontPage Server Extensions 2002 or SharePoint Team Services from Microsoft installed.

How can I add a link bar with back and next links?

If the Web server you are publishing to does not have the Microsoft FrontPage Server Extensions 2002 or SharePoint Team Services from Microsoft installed, you can add a link bar with back and next links that is based on the navigation structure of your web site:
  1. In Page view, position the insertion point where you want to place the link bar.
  2. On the Insert menu, click Web Components.
  3. In the left pane, click Link Bars.
  4. In the right pane, click Bar based on navigation structure, and click Next.
  5. Select the link bar style you want to use for this link bar. Or, if your page uses a theme, click Use Page's Theme.

    If a theme has been applied to your web site, button link bars will use fonts, colors, and other style elements from the theme. If you click Use Page's Theme and your page does not use a theme, the link bar will use the default text of the page.

  6. Click Next.
  7. Choose the page orientation of the link bar (vertical or horizontal), and click Finish.
  8. In the Link Bar Properties dialog box, under Hyperlinks to add to page, select Back and Next, and click OK.

    Note The navigation structure for the link bar is determined by the order of pages in Navigation view.

The link bar with back and next links doesn't link to the pages in my web site in the order I want.

You can reset the order of your hyperlinks.

  1. Double-click the link bar.
  2. Click Move up or Move down to change the order in which the link bar will take your site visitor through your web site.

Note You can perform this procedure to change the order of hyperlinks on a custom link bar as well.


Troubleshoot publishing

After I publish my web site, certain components don't work.

You may have published to a Web server that does not have the most recent version of the Microsoft FrontPage Server Extensions or SharePoint Team Services from Microsoft. Without the server extensions, certain features will not work, such as most form handlers, search forms, and hit counters.

Check with your Internet service provider or web site administrator to find out if the Web server you are publishing to has the necessary server extensions.

I want to publish a file that I originally set as Don't Publish.

  1. On the File menu, click Publish Web.
  2. Right-click the file, and click Properties on the shortcut menu.
  3. Click the Workgroup tab.
  4. Clear the check box that says Exclude this file when publishing the rest of the Web.

I re-published a web site with a guestbook that had site visitors' input, and now the pages are blank

Certain files should not be published again after you first publish your web site. If you have created and published a web site with a guestbook, and then later update your web site and publish all of your files, your guestbook will be replaced by a blank one, causing you to lose all of your information. Other examples include pages with a hit counter or discussion web sites.

My SharePoint Team Services document library, interactive list, or survey is not published when I publish my web.

If your web site contains a SharePoint Team Services document library, interactive list, or survey, you must author your web site directly on a server that is running SharePoint Team Services from Microsoft.

I can't publish my Web site based on SharePoint Team Services to another server.

Because a Web site based on SharePoint Team Services from Microsoft contains certain components that only work on the server on which they were authored, you can't publish it elsewhere.


Troubleshoot reports

Why are some images or other files in my web site not represented in my web site reports?

The Site Summary report displays the size, in kilobytes, of all the files in your web site.

If your web site contains files located in hidden folders, those files will not be included in this report.

To include files in hidden folders in your reports:

  1. On the Tools menu, click Web Settings, then click the Advanced tab.
  2. Select the Show hidden files and folders check box.


Troubleshoot shared borders

Some of the content in this topic may not be applicable to some languages.

On the Format menu, Shared Borders is unavailable (appears dimmed).

In order to use shared borders, you must have a web site open.

  • Do one of the following:

    Open an existing web site

    On the File menu, click Open Web, and then locate your web site.

    Create a new web site

    On the File menu, point to New, and then click Page or Web.

    In the New Page or Web task pane, click Empty Web under New. Or, under New from Template, click Web Site Templates.


Troubleshoot spelling

I don't want the red wavy lines underneath certain words in my text.

Red wavy lines indicate that the automatic function to check spelling has been selected, and that Microsoft FrontPage is indicating spelling errors with the red lines. If you want to turn this function off, do the following:

  1. On the Tools menu, click Page Options, and then click the General tab.
  2. Do one of the following:

    Check spelling automatically but don't show the red wavy lines

    1. Select the Check spelling as you type check box.

    2. Select the Hide spelling errors in all documents check box.

    Completely turn off the automatic spelling checker

    • Clear the Check spelling as you type check box.

    Note If this check box is cleared, the Hide spelling errors in all documents check box will be unavailable.

Note You can check spelling at any time by clicking Spelling [image].

The spelling checker questions text that is correct.

When you use the spelling checker, it compares the words in your document with those in its main dictionary. The main dictionary contains most common words, but it might not include proper names, technical terms, acronyms, and so on. To prevent the spelling checker from questioning such words, do the following:

  1. On the Tools menu, click Spelling [image].
  2. When the spelling checker questions a word that is unfamiliar to it, click Add.

Tip

To accomplish the above procedure quickly with an individual word, right-click the word, and on the shortcut menu, click Add.

The spelling checker didn't change every occurrence of a misspelled word.

If you check spelling all at once, you can click the Change All button in the Spelling dialog box to change every occurrence of a misspelled word. If you close the dialog box before checking the entire document, the spelling checker will not correct errors in the unchecked portion.


Troubleshoot tables

I set my table border to zero but it still shows up in Netscape Navigator.

You probably need to set the compatibility so that your border properties work in both Microsoft Internet Explorer and Netscape Navigator browsers. Do the following:

  1. In Page view, on the Tools menu, click Page Options.
  2. Click the Compatibility tab.
  3. Under Browsers, select Both Internet Explorer and Navigator.
  4. Under Browser versions, select 4.0 browsers and later.
  5. Under Servers, select Custom (unless you know your server). If you know that your server has Microsoft FrontPage Server Extensions, select the box that indicates that.
  6. Click OK.

My tables are different sizes in different browsers.

  • If you want your table to take up the same amount of space on the page, no matter how big or small the browser window is, set the size of the table, cell, row, and column in percentages rather than in pixels.

Note This will significantly change the layout of your table, as it will resize itself to each browser window.

  • If you want your table size to remain constant, set the size of the table, cell, row, and column in pixels rather than percentages.

Why won't my double borders show up in Netscape Navigator?

Microsoft Internet Explorer and Netscape Navigator display tables differently. With colored borders, only a single color will render in Netscape, not the three-dimensional looking double border.

If you want to use a single border color to appear in both browsers, do the following:

  1. In Page view, right-click the table, and then click Table Properties on the shortcut menu.
  2. Under Borders, select a color from the Color list.

The Use background picture option in Table Properties is unavailable.

Your compatibility options probably include Netscape, which does not support background pictures in tables.

To change your compatibility settings:

  1. On the Tools menu, click Page Options.
  2. On the Compatibility tab, make sure that the Browsers selection is set to either Custom or Microsoft Internet Explorer Only.


Troubleshoot Themes

When I import a page from another web site, that page loses its theme.

This occurs because the page assumes the theme of the web site into which it has been imported. To avoid this, you need to reapply the settings to the imported page after you import it into the new web site.

  1. Open the page in Microsoft FrontPage.
  2. On the Format menu, click Theme.
  3. Apply the theme you want.

I want to create a new theme and import my own image to use in that theme, but Microsoft FrontPage won't let me.

  • Make sure your graphics files are in .gif, .jpg, or .png format. These are the only formats that Microsoft FrontPage converts into a web format.


Troubleshoot views

I can't see the folder list when I am in Page view.

Click Toggle Pane [image].

I can't see the Navigation Pane when I'm in Page view.

Click the arrow to the right of Toggle Pane [image], and then click Navigation Pane.

I can't see the Folder List when I am in Reports view or Tasks view.

You can only display the Folder List or the Navigation Pane in Page view, Folders view, Navigation view, or Hyperlinks view.

My Folder List disappeared and I can't get it back.

On the View menu, click Folder List.


Troubleshoot unavailable commands

The following items can affect the availability of certain menu settings and commands in Microsoft FrontPage.

Note Many commands can become unavailable when you choose certain compatibility settings. To reactivate any of the following items that are unavailable because of a compatibility setting, you need to modify the settings.

How?

  • On the Tools menu, click Page Options, and then click the Compatibility tab.

Unavailable commands and features

Menu commands and features

Unavailable commands or features | Possible cause
ActiveX Control | The ActiveX controls check box is cleared in on the Compatibility tab.
Database | The Active server pages check box is cleared on the Compatibility tab.
Document Library | Your web site is not located on a server running SharePoint Team Services from Microsoft.
Dynamic HTML Effects | The Dynamic HTML check box is cleared on the Compatibility tab.
List | Your web site is not located on a server running SharePoint TEam Services from Microsoft.
Page Transition | The Dynamic HTML check box is cleared on the Compatibility tab.
Style | Either the CSS 1.0 or CSS 2.0 check box is cleared on the Compatibility tab.
Survey | Your web site is not located on a server running SharePoint Team Services from Microsoft.
Task | Your web site is not located on a server running SharePoint Team Services from Microsoft.

Dialog box options

Unavailable commands or features | Possible cause
ActiveX Control | The ActiveX controls check box is cleared in on the Compatibility tab.
Banner Ad Manager | The Java applets check box is cleared on the Compatibility tab.
CSS1.0 (on the Compatibility tab) | The CSS 2.0 check box is cleared on the Compatibility tab.
Document Library View | Your web site is not located on a server running SharePoint Team Services from Microsoft.
Frames tab missing (on the Page Templates dialog box) | The Frames check box is cleared on the Compatibility tab.
Hover Button | The Java applets check box is cleared on the Compatibility tab.
List View | Your web site is not located on a server running SharePoint Team Services from Microsoft.
Spreadsheets and charts | The ActiveX controls check box is cleared on the Compatibility tab.
Style buttons on various Properties dialog boxes | Either the CSS 1.0 or CSS 2.0 check box is cleared on the Compatibility tab.

Toolbar options

Unavailable commands or features | Possible cause
AutoShapes (on the Drawing toolbar) | The VML graphics check box is cleared on the Compatibility tab.
Folder List (on the Standard toolbar) | The Folder List icon on the Standard toolbar is not available when you're in Reports or Folders view.
Dynamic HTML toolbar dimmed | You're not in the Normal pane, or no item is selected in the Normal pane.

Unexpected action

Unavailable commands or features | Possible cause
No downlevel image file is created when you insert a drawing object | The Downlevel image file check box is cleared on the Compatibility tab.

Browser and server settings

The following table shows features that are unavailable in Microsoft FrontPage depending on the browser and server compatibility settings you choose.
Browser and server settings | Unavailable commands
Browser: Microsoft Internet Explorer only Browser versions: 5 and later Servers: Microsoft Internet Information Server 3.0 and later | Downlevel image file
Browser: Microsoft Internet Explorer only Browser versions: 5 and later Servers: Apache server | Downlevel image file, Active server pages
Browser: Microsoft Internet Explorer only Browser versions: 4.0 and later Servers: Microsoft Internet Information Server 3.0 and later | N/A
Browser: Microsoft Internet Explorer only Browser versions: 4.0 and later Servers: Apache server | Active server pages
Browser: Microsoft Internet Explorer only Browser versions: 3.0 and later Servers: Microsoft Internet Information Server 3.0 and later | Dynamic HTML, CSS 2.0 (positioning)
Browser: Microsoft Internet Explorer only Browser versions: 3.0 and later Servers: Apache server | Dynamic HTML, CSS 2.0 (positioning), Active server pages
Browser: Netscape Navigator only Browser versions: 5.0 and later Servers: Microsoft Internet Information Server 3.0 and later | ActiveX controls, VBScript
Browser: Netscape Navigator only Browser versions: 5.0 and later Servers: Apache server | ActiveX controls, VBScript, Active server pages
Browser: Netscape Navigator only Browser versions: 4.0 and later Servers: Microsoft Internet Information Server 3.0 and later | ActiveX controls, VBScript
Browser: Netscape Navigator only Browser versions: 4.0 and later Servers: Apache server | ActiveX controls, VBScript, Active server pages
Browser: Netscape Navigator only Browser versions: 3.0 and later Servers: Microsoft Internet Information Server 3.0 and later | ActiveX controls, VBScript, Dynamic HTML, CSS 1.0 (formatting), CSS 2.0 (positioning)
Browsers: Both Microsoft Internet Explorer and Netscape Navigator Browser versions: 5.0 and later Servers: Microsoft Internet Information Server 3.0 and later | N/A
Browsers: Both Microsoft Internet Explorer and Netscape Navigator Browser versions: 5 and later Servers: Apache server | Active server pages
Browsers: Both Microsoft Internet Explorer and Netscape Navigator Browser versions: 4.0 and later Servers: Microsoft Internet Information Server 3.0 and later | ActiveX controls, VBScript
Browsers: Both Microsoft Internet Explorer and Netscape Navigator Browser versions: 4.0 and later Servers: Apache server | ActiveX controls, VBScript, Active server pages
Browsers: Both Microsoft Internet Explorer and Netscape Navigator Browser versions: 3.0 and later Servers: Microsoft Internet Information Server 3.0 and later | ActiveX controls, VBScript, Dynamic HTML, CSS 1.0, CSS 2.0
Browsers: Both Microsoft Internet Explorer and Netscape Navigator Browser versions: 3.0 and later Servers: Apache server | ActiveX controls, VBScript, Dynamic HTML, CSS 1.0, CSS 2.0, Active server pages


Undo or redo an action

Microsoft FrontPage maintains a list of the last 30 actions and lets you undo each, in sequence. Similarly, you can redo any of the last 30 actions that you've undone by using the Undo command.

Do one or more of the following:

  • Undo the last action you performed Click Undo Undo button. If you click Undo again, FrontPage will undo the action you performed before that, and so on down the list.
  • Undo another action or sequence of actions Click the arrow next to Undo Undo button to see a list of the most recent actions that you can undo, and then select the action or actions that you want to undo.
  • Redo the last action you undid Click Redo Redo button.
  • Redo another action or sequence of actions Click the arrow next to Redo Redo button to see a list of the most recent undone actions that you can redo, and then select the undone action or actions that you want to redo.


Disable automatic form funtionality for form fields

By default, when you insert a form field outside of a form area, Microsoft FrontPage creates a form area with Submit and Reset buttons, and then inserts the field inside the form.

If you want to use form fields with scripts rather than inside forms, you will need to first disable this feature by doing the following:

  1. On the Tools menu, click Page Options.
  2. On the General tab, clear the Automatically enclose form fields within a form box to disable automatic forms.

Now you can write a script to use as a form field and not have to use the FrontPage automatic form field.

Note To test the functionality of your form, you must first publish your web site to a web server running either the FrontPage Server Extensions or SharePoint Team Services from Microsoft. Ask your web server administrator or Internet Service Provider whether this software is installed on your web server. Once the web site is published, click Preview in Browser Preview in Browser button to test the form.


Add a graphic background to text

  1. Select the paragraphs to which you want to add shading.
  2. On the Format menu, click Borders and Shading, and then click the Shading tab.
  3. Under Patterns, type the location of the graphic you want to use in the Background picture box, or click Browse to find and select the graphic.
  4. Set the properties for the background graphic.

    How?

    Do one or more of the following:
    • Vertical position and Horizontal position

      In the Vertical position and Horizontal position lists, select an option to specify how you want to position the graphic within the paragraph.

    • Repeat

      In the Repeat list, click an option to specify how you want to tile the graphic under the selected text. For example, to tile the graphic horizontally, click Repeat-x.

    • Attachment

      In the Attachment list, click an option to specify whether the background graphic should be fixed relative to the browser window, or whether it should scroll with the document.


Use a macro

You can create, run, edit, debug, or delete a macro for your web without exiting Microsoft FrontPage.

  1. On the Tools menu, point to Macro, and then click Macros.
  2. Do one or more of the following:
    • Create a new macro Type a name in the Macro name box, and then click Create. FrontPage launches the Microsoft Visual Basic Editor, where you can create the macro.
    • Run a macro Select it in the list, and then click Run.
    • Step into a macro and debug it Select the macro in the list, and then click Step Into. FrontPage launches the Visual Basic Editor, where you can debug the macro.
    • Edit a macro Select it in the list, and then click Edit. FrontPage launches the Visual Basic Editor, where you can edit the macro.
    • Delete a macro Select it in the list, and then click Delete.


View information about your server

  • On the Tools menu, click Web Settings, and then click the General tab.


View tasks

  • On the View menu, click Tasks.

Note If completed tasks are not shown, right-click on the background in Tasks view, and then click Show History on the shortcut menu.


View a report

On the View menu, point to Reports, and then select the report you want to run.

  • Site Summary Shows the fullest report.
  • Files Shows file status information.
  • Problems Shows site maintenance problem reports.
  • Workflow Shows workflow status reports.
  • Usage Shows site usage reports.


View summary information for a file

In any view except Tasks or Reports, do the following:

  1. Make sure the Folder List is showing.

    How?

    • On the View menu, click Folder List.

  2. Right-click the file you want a summary for, and then click Properties on the shortcut menu. Do one or more of the following:
    • If you want to view the file name and title, the type of file (such as Web Page or Picture), and the file size and location, click the General tab.
    • If you want to view the date that a file was created or modified and who modified it, or to view comments that have been added to the file, click the Summary tab.
    • If you want to view the categories to which a file belongs, the name of the person or workgroup assigned to the file, or the review or publishing status of the file, click the Workgroup tab.
    • If you want to view errors in a component in a file, click the Errors tab (if one is present).


Wash out the color of a graphic

  1. In Page view, click the graphic.

    If you want to wash out the background graphic, you do not need to make a selection.

    Note To display the Pictures toolbar, on the View menu, point to Toolbars, and then click Pictures.

  2. On the Pictures toolbar, click Image Control [image], and then click Wash Out [image].


What's new in Microsoft FrontPage

Home
What's New

Show All

Key new features in Microsoft FrontPage

Create the web site you want

Photo gallery

Quickly and easily create a photo gallery to display personal or business photos or images. Add images to the photo gallery and select from 4 different customizable layouts. Add captions and descriptions to images, reorder images, change image sizes, and switch layouts.

Cross-browser enhanced drawing tools

Text shadowing examples

1 Add shadowing directly to text

2 Add shadowing to a text box

3 Add WordArt

Use enhanced drawing tools like connector lines, auto-shapes, drop shadows, WordArt, and text boxes for attention-getting effects on your web pages that are as easy to use in Microsoft FrontPage 2002 as they are in Microsoft Word or Microsoft PowerPoint. These effects look great when viewed on a variety of browser types and versions. This also means that you can easily paste any shapes you have created in other Office program directly into FrontPage.

Automatically updated Web content

  • MSNBC Add news, business, technology, and sports headlines to your web page as well as a weather forecast for your area. All are updated automatically.
  • MSN Insert an MSN search component or stock quote lookup.
  • Expedia Add a link to a Microsoft Expedia map, or link to directions directly from your web page.

Better web site control and management

Usage analysis reports Understand who visits your site by being able to quickly find what pages are getting the most hits and how customers find your site in daily, weekly, or monthly reports that can be exported to HTML or Microsoft Excel. You can also filter these reports to see the exact information that you want.

Top 10 lists Link to the top 10 pages on your site, by number of visited pages, referring domains, referring URLs, search strings, visiting users, and more. These lists are automatically refreshed when the user comes to the page. Use the Top 10 List on internet or intranet sites.

Single page publishing Publish only the content you want to by right-clicking a file in the Folder view and publishing it directly to the Web server.

Powerful tools for cultivating collaboration and teamwork

SharePoint Team Services SharePoint Team Services allows you to quickly set up a team web site for intranet or Internet users to store, find, and share information, documents, and web pages.

Browser-based editing of Web sites based on SharePoint Team Services Edit SharePoint Team Services content, upload documents, and participate in threaded discussions directly from the browser. Now all users can contribute and interact with your web site, using the tools they prefer, and receive automatic notification when pages or discussions are modified.

Customization and integration with FrontPage2002 Use Microsoft FrontPage 2002 to customize Web sites based on SharePoint Team Services, create and apply custom themes, insert graphics, link bars, and automatic live content, and insert lists like Announcements, Events, Contacts, Surveys, and Links on your web site for all to view.

Document libraries

1 Document libraries provide a built-in structure and commands for adding documents.

2 Templates provide a seamless experience for Microsoft Office XP users.

3 Users fill in custom properties when they save a document.

Add a document library that lets users store documents in one location for everyone — or specific people — to access.

More new features in FrontPage

Everyday tasks

More table formatting options:

  • Fill right and fill down allow you to quickly copy content from one table cell to several others:

Copy content from a cell to an adjacent row or column

  • Auto Format provides a fast and easy way to create professional looking tables in your web site via the drop-down menu that visually displays several selections from which to choose.

  • Border drop-down tool button offers convenient access to control the appearance of cell borders and tables — and works just like it does Microsoft Word and Microsoft Excel.

Paste the way you want When you paste content from other programs, you can preserve the formatting from the document you copied, let the page's theme or style change the formatting, or strip out all of the formatting and just paste in the text.

Office Clipboard task pane Copy or cut content from Microsoft Office programs and quickly paste them into web pages you're creating with Microsoft FrontPage 2002. It now stores those documents visually in a convenient and accessible work pane, and can archive up to 24 different documents from across programs.

Page tabs You can open several pages in FrontPage and then switch to one with just a click on the tab that represents that page.

Optional hyperlink underline Now you decide whether or not your hyperlink will visually show the link as underlined.

Custom link bars Link to pages on or off your web site by creating site-wide link bars in Navigation view, or ad-hoc link bars to be applied anywhere you want in your site.

E-commerce functionality

E-commerce add-in Subscribe to the Microsoft bCentral Clearinghouse service and then easily build a catalog of items to sell online using bCentral's Commerce Manager add-in for Front Page.

Language-specific features

If you are not using the specific language version of Microsoft Office for which one of these features is designed, then the feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for that language. In addition, you must enable support for the language through Microsoft Office Language Settings.

More supported languages Microsoft FrontPage 2002 increased the number of available languages to 26.

Unicode Support Allows you to create and edit web pages in all of the languages installed on your computer's Windows operating system. This means that you can buy FrontPage in a particular language, but author content in virtually any language.

International support Allows you to work with team members who are all over the world, and in the languages you want.

Speech and handwriting recognition

Users will be able to navigate menus using speech and voice commands.

Speech Use advanced speech recognition technology to automate common tasks by telling Microsoft FrontPage 2002 what you want it to do.

Handwriting Use advanced handwriting recognition technology to have FrontPage execute common through interpreting written commands

Security

Permissions Finer-Grained Permissions allow you to grant or deny access to users and groups through a "role-based" security model. New in Microsoft FrontPage 2002: More roles to give you even more control over who accesses the content on your site.

New Microsoft Office features

Everyday tasks

Office task panes The most common tasks in Microsoft Office are now organized in panes that display in place with your Office document. Continue working while you search for a file using the Search task pane, pick from a gallery of items to paste in the Office Clipboard task pane, and quickly create new documents or open files using the task pane that appears when you start an Office program. Other task panes vary per Office program.

New look Microsoft Office XP has a cleaner, simpler look to its interface. Softer colors also contribute to this updated feel.

More convenient access to Help Get the full power of the Answer Wizard in an unobtrusive package. When you enter a question about an Office program in the Ask a Question box on the menu bar, you can see a list of choices and read a Help topic whether you are running the Office Assistant or not.

Control paste options and automatic changes with smart tags New in-place buttons called "smart tags" let you immediately adjust how information is pasted or how automatic changes occur in your Office programs. For example, when you paste text from Microsoft Word into Microsoft PowerPoint, a button appears next to the text. Click the button to see a list of choices for fine-tuning the formatting of the pasted text. Smart tags and their associated choices vary per Office program.

Updated Clip Organizer Hundreds of new clips, an easy task pane interface, as well as the same abilities to organize clips and find new digital art on the Web are part of the updated Clip Organizer (formerly Clip Gallery).

Conceptual diagrams Word, Microsoft Excel, and PowerPoint include a new gallery of conceptual diagrams. Choose from diagrams such as Pyramid for showing the building blocks of a relationship, Radial for showing items in relation to a core element, and more.

Voice commands and dictation In addition to mouse and keyboard methods, you can now select menu, toolbar, and dialog box items by speaking. You can also dictate text. This feature is available in the Simplified Chinese, English (U.S.), and Japanese language versions of Microsoft Office, and has some special hardware requirements.

Support for handwriting You can use handwriting recognition to enter text into an Office document. You can write by using a handwriting input device — such as a graphics tablet or a tablet-PC — or you can write using your mouse. Your natural handwriting is converted to typed characters. In Word and Microsoft Outlook, you can also choose to leave text in handwritten form.

Improved fidelity of pictures and drawings In Office XP, Word, Excel, PowerPoint, Microsoft FrontPage, and Microsoft Publisher are using an improved graphics system (GDI+). With this new graphics system, shapes and WordArt have smoother outlines and adjustable levels of transparency with true blending. Digital pictures stay sharper and clearer when you resize them.

Accessibility Office XP programs support Microsoft Active Accessibility 2.0. This technology makes accessibility aids, such as screen readers or screen enlargers, more effective.

Find printers If your organization uses Microsoft Windows 2000 and the Active Directory directory service, you can search for printers across your network from the Print dialog box in Office XP programs.

Storing documents with Microsoft Exchange Server 2000 You can store Microsoft Office documents on Exchange Server 2000 and access them through the File Open, File New, and File Save dialog boxes, as you would any other Office document.

Error prevention and recovery

Document recovery and safer shutdown Documents you are working on can be recovered if the program encounters an error or stops responding. The documents are displayed in the Document Recovery task pane the next time you open the program.

Office Safe Mode Microsoft Office XP programs can detect and isolate startup problems. You can bypass the problem, run your Office program in safe mode, and keep getting your work done.

Office crash reporting tool Diagnostic information about program crashes can be collected and sent to your company's information technology department or to Microsoft, allowing engineers to correct these problems so they don't interrupt you again.

Security

Digital signatures You can apply a digital signature to Microsoft Word, Microsoft Excel, and Microsoft PowerPoint files to confirm that the file has not been altered.

Increased protection against macro viruses Network administrators can remove Microsoft Visual Basic for Applications, the programming language of Microsoft Office, when deploying Office. This can decrease the possibility of viruses spreading via Office documents.

Language-specific features

If you are not using the specific language version of Microsoft Office for which one of these features is designed, then the feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office Proofing Tools for that language. In addition, you must enable support for the language through Microsoft Office Language Settings.

Improvements to changing the language of the user interface and Help More components across Microsoft Office support changing the language of their user interface. In addition, terms on the interface match the terms in Help, even when the main text of Help is in a different language than the interface. This feature is only available with the Office XP MUI Pack and a volume licensing agreement.

Hangul/Hanja converter improvements Over 20,000 new characters are supported by this converter for Korean language documents. The converter automatically uses new fonts that have the proper glyphs for the new characters.

Full support for Windows 2000 language features Microsoft Office programs now support all the languages that Microsoft Windows 2000 does. Office also supports the latest extensions to Chinese character encoding via Unicode, including support for almost 70,000 Chinese characters.

East Asian character support on non-East Asian systems Now you can enter characters from East Asian languages in all Office programs, even if your system software is a non-East Asian language version. (This was previously only supported in Microsoft Word and Microsoft Outlook, or on Windows 2000.) For example, on a computer running English (U.S.) Microsoft Windows 98, you can enter Japanese characters in Microsoft Excel.


Customize list forms and views

  1. In Page view in the Normal pane, right click on a form or view of an interactive list or document library, and then click Layout Customization View.
  2. Do one of the following:

    Modify a form

    1. In the region that displays list fields, do one or more of the following:
      • To change the order of the fields, click and drag a field (displayed either as a form field, such as a text box, or by field name) to another location within the form.
      • To remove a field, click a field (displayed either as a form field, such as a text box, or by field name) and press DELETE.

        Note Deleting a field from a form does not delete it from the list or document library.

      • To replace a field with another one, double-click a field (displayed either as a form field, such as a text box, or by field name), and in the Field to display box, select a different field.

      • To add a new field, right-click in the form, and click List Field. In the Field to display box, select a field, and under Display options, click an option to display either the name of the field or the field itself (such as a text box).

    2. To modify another part of the page, click outside of the form, and add custom content and formatting.

    Modify a view

    1. In the region that displays list fields — including the region that repeats for every item — do one or more of the following:

      • To change the order of the fields, click and drag a field (displayed either as a hyperlink or as <<FIELD NAME>>) to another location within the view.

      • To remove a field, click a field (displayed either as a hyperlink or as <<FIELD NAME>>) and press DELETE.

        Note Deleting a field from a view does not delete it from the list or document library.

      • To replace an existing field with another field, double-click a field (displayed either as a hyperlink or as <<FIELD NAME>>), and in the Field to display box, select a different field.

      • To add a new field, right-click in the view, and click List Field. In the Field to display box, select a field, and under Display options, click an option to display either the name of the field or the data that the field stores.

        Note In the beginning section of a view, when you click the Show the field data option for a field, the field is rendered as a hyperlink that site visitors can click to sort the list.

    2. To modify another part of the page, click outside of the view, and add custom content and formatting.
  3. To cancel your changes, right click the form or view, and click Live Data View; otherwise, click Save [image].

Note Once you have modified a form or view with layout customization view in Microsoft FrontPage, you can no longer edit the form or view using a Web browser. However, you can continue to maintain the customized version in FrontPage.


Modify or remove a list form

  • In Page view, in the Normal pane, do one of the following:

    Modify a list form

    1. Double-click the list form.
    2. In the List or Document Library Form dialog box, do one or more of the following:

      Display a different list or document library

      • In the List or document library to use for form box, select the list or document library you want to associate with this form.

      Display a different type of form

      • Under Type of form to create, click one of the following:

        New item form Enables site visitors to add items to the list or document library, or to respond to a survey

        Edit item form Enables site visitors to edit items in the list or document library, or to edit their response to a survey

        Display item form Enables site visitors to view details about each item in the list, or to view a response to a survey

      Remove the command bar that enables site visitors to add items to the list or document library

      • Clear the Show standard toolbar check box.

    Remove a list form

    • Select the list form, and press DELETE.


Run document library rules or turn them off

  1. In Folders View, right-click the document library folder Document library folder, and click Properties.
  2. Do one of the following:

    Run rules manually

    1. On the Rules tab, click Run Rules now.
    2. In the Apply rules in the following order box, select the check boxes for the rules you want to run.
    3. If you want to change the order of the rules, in the Apply rules in the following order box, click the rule you want to move, and then click Move Up or Move Down.
    4. Click Run Now.

    Turn rules on or off

    • On the Rules tab, in the Apply rules in the following order box, select or clear the check box next to the rule.


Troubleshoot interactive lists, document libraries, and surveys

I can no longer modify a page by using my Web browser.

If you use layout customization view to modify a page, you must use FrontPage to make any further customizations to the page.

I cannot edit the properties of a list form in layout customization view.

You must open a list form in live data view to change the properties of the form.

Note Changing from layout customization view to live data view resets the layout of the form to the default layout and formatting.

The commands for creating a new list, document library, or survey are not available.

The web site may be on a server that does not have SharePoint Team Services from Microsoft installed. Verify that you are opening the web site on a Web server that is running SharePoint Team Services.

The file I want to use as a template in a document library is not available.

The template might be in a different location than the current web site. The template must be in the current web site. Do the following:

  1. On the File menu, click Import, and then click Add file to copy the file to the current web site.
  2. In Folders View, right-click the document library folder, and click Properties.
  3. On the Settings tab, select the Use a template for new documents check box, and then click Browse to find the file you imported in step 1.

When Microsoft Office XP users work with my document library, I want them to see a list of folders and files, not a web page, in the Open and Save dialog boxes in Office.

You can turn WebView off for all the document libraries in your web site. Do the following:

  1. On the Tools menu, click Web Settings.
  2. On the Advanced tab, clear the Display a web page view of available document libraries to Office users who open from or save to the web check box.

When I create a rule for a document library, I get a message saying that a service is needed.

Some services on the Web server may need to be enabled. If you create a rule that involves keeping track of time or sending e-mail (for example, set documents to expire after 6 months, and send e-mail notification to the creator of the document one week prior to expiration), the Web server that stores your web site must have the following services enabled:

  • SharePoint Team Services timer service
  • SMTP mail service

Contact your Internet Service Provider or Web server administrator to ensure that these services are running properly.

I updated document properties that should have triggered a rule to take effect, but it looks like the rule didn't work.

You may need to refresh the page or property for the change to take effect. Press F5, or click OK in the current dialog box and then reopen the dialog box to see the changes.

Site visitors report that they can't get to a list, document library, or survey, yet I can see the folder for it in Folders view.

The default view may have been deleted. Do one of the following:

Set an existing page as the default view

  1. In Folders view, right-click the document library folder, list folder, or survey folder, and click Properties.

  2. Click the Supporting Files tab, and in the Default view page box, select the page you want.

Create a new view to use as the default

  1. In Page view, in the Normal pane, position the cursor on the page where you want to place the view.

  2. On the Insert menu, click Web Component.

  3. In the Component type box, click List View to create a view of a list or survey, or click Document Library View to create a view of a document library, and in the Choose a view style box, click a layout for the view.

  4. Click Finish.

  5. If the view is of a list or survey, in the Choose a list box, select the list or survey, and click OK.

    If the view is of a document library, in the Choose a document library box, select the document library, and click OK.

  6. To add commands that enable users to add and edit items, click Options, and in the Toolbar type box, click Full toolbar.

    Note You can make other custom settings for this view in the List View Properties or Document Library View Properties dialog box.

  7. Click OK, and on the File menu, click Save to save the page.

  8. In Folders View, right-click the document library folder, list folder, or survey folder, and click Properties.

  9. Click the Supporting Files tab, and in the Default view page box, select the page you saved in step 7.

Microsoft FrontPage changed the name of my list, document library, or survey.

The name of the list, document library, or survey may include characters that cannot be used in URLs. If the name includes a character that cannot be used in a URL, FrontPage substitutes a new name for the list folder, document library folder, or survey folder. The name change effects the folder only. The name displayed on web pages and link bars is the name that includes the non-URL characters.

Site visitors get an error message when they go to a page to add or edit items in a list, document library, or survey.

There might be more than one list form on the page. A web page can have only one form for a list, document library or survey. Create separate pages for each form.

The default value for a Multiple lines of text field disappeared.

Someone may have modified the field using a Web browser. If a Multiple lines of text field is edited in a Web browser (for example, changing the name of the field or changing how many lines of text the field can hold), the default value is deleted. Re-enter the default value by modifying the field in Microsoft FrontPage.


Turn WebView on or off

  1. On the Tools menu, click Web Settings.
  2. On the Advanced tab, select or clear the Display a web page view of available document libraries to Office users who open from or save to the web check box.

Note This setting applies to all document libraries in your web site.


View the End-User License Agreement

  1. If the Contents tab isn't visible, click Show [image] in the Microsoft FrontPage Help window.
  2. On the Contents tab, click End-User License Agreement.


Change paragraph direction

The feature described in this Help topic is only available if support for a right-to-left language such as Arabic or Hebrew is enabled through Microsoft Office Language Settings.

In addition, you must be running a Microsoft Windows operating system that has right-to-left support — for example, Microsoft Windows 2000.

  1. Place the insertion point in the paragraph that you want to change, or select several paragraphs.
  2. Do one of the following:
    • To have text begin from the left, click Left-to-Right [image] on the Formatting toolbar.
    • To have text begin from the right, click Right-to-Left [image] on the Formatting toolbar.

When you change the paragraph direction, Microsoft FrontPage leaves justified and centered text as it is. In the case of left-aligned or right-aligned text, FrontPage flips the alignment to its opposite. For example, if you have a left-to-right paragraph that is right-aligned, such as the date at the top of a letter, clicking Right-to-Left [image] results in a right-to-left paragraph that is left aligned.

About tabs in right-to-left documents

The tab direction follows the paragraph direction — for example, when you change a left-to-right paragraph to a right-to-left paragraph, the left tabs become right tabs, that is they are repositioned relative to the direction of a paragraph.


Find and replace special right-to-left characters

The feature described in this Help topic is only available if support for a right-to-left language, such as Arabic or Hebrew, is enabled through Microsoft Office Language Settings.

In addition, you must be running a Microsoft Windows operating system that has right-to-left support — for example, Microsoft Windows 2000.

  1. On the Edit menu, click Find or Replace.
  2. Select one or more of the right-to-left-specific check boxes.

    You can select check boxes to search for text with matching kashidas (Arabic only), alef hamzas (Arabic only), diacritics, and control characters. Otherwise, Microsoft Word ignores these characters when searching.

    For Help on an option, click the question mark question mark, and then click the option.

  3. To search for right-to-left-specific control characters, click Special, and then click one of the following:

    • RTL Mark to search for Vertical line control character with arrowhead pointing left

    • LTR Mark to search for Vertical line control character with arrowhead pointing right

    • Zero Width Joiner to search for Vertical line control character with "v" head (Arabic only)

    • Zero Width No-Joiner to search for Vertical line control character (Arabic only)


Check the correct sequence of South Asian text

The feature described in this Help topic is only available if support for the appropriate South Asian language is enabled through Microsoft Office Language Settings.

In addition, you must be running a 32-bit Microsoft Windows operating system that has South Asian language support — for example, Microsoft Windows 2000.

  1. On the Tools menu, click Page Options, and then click the General tab.
  2. Select the Use sequence check check box.

Tip

You can have Microsoft FrontPage make logical substitutions for you by using Type and replace, a complementary feature.


Insert or replace invalid South Asian characters automatically

The feature described in this Help topic is only available if support for the appropriate South Asian language is enabled through Microsoft Office Language Settings.

In addition, you must be running a 32-bit Microsoft Windows operating system that has South Asian language support — for example, Microsoft Windows 2000.

  1. On the Tools menu, click Page Options, and then click the General tab.
  2. Select the Type and replace check box.

Note Type and replace is only available when the Use sequence check check box is selected.


Change the direction of text in a table

The feature described in this Help topic is only available if support for a right-to-left language, such as Arabic or Hebrew, is enabled through Microsoft Office Language Settings.

In addition, you must be running a Microsoft Windows operating system that has right-to-left support — for example, Microsoft Windows 2000.

  1. Place the insertion point in the table.
  2. On the Table menu, click Table Properties.
  3. Under Table direction, select the table direction you want.


About the SharePoint team Web site database

A Web site based on SharePoint Team Services from Microsoft relies on a SQL server database to store information such as:

  • List data, including information about Events, Announcements, Tasks, and Contacts.
  • Document library information about properties, such as document title, date, and size.
  • Discussion and subscription data, such as subscription information and the actual threaded comments from web document discussions.
  • Security data, such as who is allowed to view and change site information.

Each virtual server has its own database. Webs and subwebs on the same virtual server share a database, although their information is stored in separate tables within the database.


About managing web document discussions

The web document discussions feature enables users to attach comments to a web page or to any document that can be opened with a browser (such as .htm, .xls, .doc, and .ppt files). Users can place comments in the document or have them appear in the discussion pane at the bottom of the web browser window. All comments are stored on the team web site. Anyone reviewing a document can view and reply to comments. The document owner can then review discussions and incorporate changes based on the feedback received.

Managing discussions involves:

  • Enabling or disabling discussions for the team web site
  • Specifying discussion settings
  • Monitoring discussions
  • Deleting old discussions

You can also specify whether team members can discuss any document on the Internet or just those on the team web site. You can also specify how long discussion threads will be saved.

Note Don't confuse the web document discussions feature with the discussion boards that you can create. A discussion board is a web page on your team web site that hosts discussions. The web document discussions feature appears within individual documents.


About the Server Health Check

The Server Health Check feature is available when working with web servers running SharePoint Team Services from Microsoft or FrontPage Server Extensions 2002. This feature lets you maintain the database (for Web sites based on SharePoint Team Services) and and other supporting files. This feature can also ensure that your site security settings are still functioning and that none of your subwebs has allowed anonymous users to modify site content. As a site administrator, you can enable or disable the Server Health Check and specify how often it occurs

The Server Health Check can perform the following checks and make repairs when it detects errors:

  • Synchronize database This ensures that database information matches that of the SharePoint team Web site file system. (This option is not available for FrontPage Server Extensions-based webs.)
  • Verify existence of webs This ensures that all subwebs are present.
  • Check roles configuration This ensures that user role settings can be enforced.
  • Tighten security This ensures that all the necessary web site files and directories are present, and that only users with the proper permissions have access to them.
  • Check anonymous authoring This checks the anonymous user access rights for the web site and all subwebs to ensure that anonymous users don't have the right to modify any content.

Note if a subweb exists on a shared folder that is not currently available, the Server Health Check will report this when the Verify existence of webs option is turned on. In that case, do not use the Repair option. Doing so will cause the subweb to lose security settings and appear as a folder (not a subweb) when the shared folder becomes available again. If this problem occurs, use FrontPage 2002 to re-establish the folder as a subweb.


About managing subscriptions

Subscriptions allow users of a Web site based on SharePoint Team Services from Microsoft to be notified when there are changes to files and folders that they specify. For example, if a member wants to know when a new file is added to a document library, he or she simply navigates to that library and subscribes to it. When a library file is added, he or she is notified with an e-mail message. Team web site members can either choose to be notified immediately when there's a change, or they can receive a daily or weekly list of changes. By default, members can subscribe to individual files or folders, such as discussion boards or document libraries.

Managing subscriptions involves enabling or disabling subscriptions for the team web site and specifying what members can subscribe to. You can also specify the interval for immediate notifications (between 1 and 59 minutes) and when members receive daily and weekly notifications.

When enabling or disabling subscriptions, keep the following in mind:

  • If you're making major changes to your team web site, you may want to temporarily disable notifications and then re-enable them when you're done.

When specifying what members can subscribe to, keep in mind the following:

  • If you allow subscriptions to folders and documents, members can be notified whenever there is a change to any file in a folder (including document libraries) that the member subscribes to.
  • If you allow subscriptions to documents only, members cannot be notified when new files are added to document libraries or other folders. They can only be notified when there are changes to documents that they have already subscribed to.

When specifying the interval for sending immediate notifications, keep the following in mind:

  • If there are frequent changes to documents and folders, setting a longer wait interval will reduce the number of e-mail messages that members receive.
  • If your team web site only has only a few changes per day, you may want to set a short interval (such as two minutes) for immediate notifications.
  • If you're making major changes to your team web site, you may want to temporarily disable notifications and then re-enable them when you're done.

Tip

As the number of site users using subscriptions increases, so too does the amount of server resources required to send the e-mail notifications. To increase performance, consider using Microsoft SQL Server as the backend mail server. See your network administrator or Internet service provider (ISP) for more information.


About Subwebs Based on SharePoint Team Services and FrontPage Server Extensions 2002

When working with a large web site, it's often easier to break up the site into smaller subwebs. A subweb is a complete Web site based on SharePoint Team Services from Microsoft or FrontPage Server Extensions 2002 that is located in a subdirectory of the root web site or of another subweb. Each subweb can have many levels of subdirectories. A web that has subwebs is called a parent web.

A root web site is a web site that is the top-level content directory of a web server or, in a multi-hosting environment, of a virtual web server. The content of the root web site can be contained in many levels of subdirectories. However, there is only one root web site per web server or virtual web server.

For example, if a company has an intranet, each major department can have a subweb. That way, each group can manage its own site and the main home page in the parent web site can provide links between the departmental sites.

There are several benefits to setting up your web site with subwebs:

  • Each subweb can be maintained by a different owner.
  • Each subweb can maintain separate security settings.
  • Performance can improve, because the time required to recalculate hyperlinks is directly proportional to the number and size of the documents stored in a single web.

Even though subwebs appear below other web sites in the web server's file system and URL space, the content of a subweb is not included in its parent web site. An author of a web site does not automatically have permission to edit any of its subwebs, and users cannot browse from a parent web site to a subweb. The web server maintains this separation of content automatically.

About managing subwebs

Using the Site Administration pages you can:

  • Create or delete subwebs.
  • Merge subwebs.
  • Change the name or description of a subweb.
  • Recalculate the links for a web or subweb.
  • Specify unique permissions for the subweb or use the user accounts and roles of the parent web.

Administrative options not available when working in a subweb

Some site administration options are not available from within a subweb, including:

  • Usage analysis.
  • Some server health settings.
  • Managing web document discussions.
  • Managing subscriptions.

Also, if a subweb is set up to use the parent web site's account and roles, options for managing accounts and roles do not appear.

To configure any of the above options, you must use the site administration pages from the root-level web site of the server or virtual server. See your network administrator or ISP for more information.

Note If you're using FrontPage 2002 to manage a SharePoint team web site based on SharePoint Team Services, you do not publish the team web site as you would regular FrontPage Server Extensions-enabled web. Instead, you simply open the web from within FrontPage and edit it directly on the server. For more information, see your network administrator or ISP.


Delete a user role

User roles are only available on webs hosted by servers running SharePoint Team Services from Microsoft or FrontPage Server Extensions 2002.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site administration page, under Users and roles, click Manage roles.
  3. Select the check box next to the role you would like to delete.
  4. Click Delete selected role(s).

Notes

  • If you don't see the Manage roles option, you are probably in a subweb that uses the user account and roles settings of a higher-level web site of the server or virtual server. To work with accounts and roles, either go to the top-level web site, or set up unique permissions for this subweb. See your network administrator or ISP for more information.
  • You cannot delete the user role that is assigned to anonymous users. To delete this role, assign anonymous users to another role and then delete the desired role.


View a web document discussion

Web document discussions are available only on webs hosted by web servers running SharePoint Team Services from Microsoft.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Web Discussions and Subscriptions, click Manage web discussions.
  3. Specify whether you want to view a list of all web document discussions or just those starting from an URL that you specify, and then click Update.
  4. Click the web document discussion you would like to view.

Note If you don't see the Manage web discussions option, you are probably in a subweb and need to go to the top-level web site of the server or virtual server. See your network administrator or ISP for more information.


Delete a web document discussion

Web document discussions are available only on webs hosted by web servers running SharePoint Team Services from Microsoft.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Web Discussions and Subscriptions, click Manage web discussions.
  3. Select the check box next to the web document discussion that you would like to delete, and then click Delete.

Note If you don't see the Manage web discussions option, you are probably in a subweb and need to go to the top-level web site of the server or virtual server. See your network administrator or ISP for more information.


Specify web document discussion settings

Web document discussions are available only on webs hosted by web servers running SharePoint Team Services.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Web Discussions and Subscriptions, click Change web discussions settings.
  3. In the Enable Web Discussions option, click the On or Off button.
  4. If web document discussions are enabled, specify whether members may create discussions for documents located anywhere on the Internet or only those on the web site.
    • To allow discussions for documents located anywhere on the Internet, in the Web Discussions Settings area, click Documents located anywhere on the Web.
    • To allow discussions for documents on the web site only, in the Web Discussions Settings area, click Documents located on this server only.
  5. To delete old discussion entries automatically, select the Automatically delete stored discussions after checkbox. Then, in the field provided, type the number of days that you want discussion entries to appear before they are deleted.
  6. Click Submit.

Note If you don't see the Change web discussion settings option, you are probably in a subweb and need to go to the top-level web site of the server or virtual server. See your network administrator or ISP for more information.


Run Server Health Check for a web site

The Server Health Check is available on webs hosted by web servers running SharePoint Team Services from Microsoft and FrontPage Server Extensions 2002 only.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Server Health, click Check server health.
  3. Select the check boxes next to Detect and/or Repair to enable the actions that you want the Server Health Check to complete.
  4. Click Ok.

Note If you don't see the Check server health option, you are probably in a subweb and need to navigate to the top-level web site of the server or virtual server. See your network administrator or ISP for more information.


Specify Server Health Check settings

The Server Health Check is available on webs hosted by web servers running SharePoint Team Services from Microsoft and FrontPage Server Extensions 2002 only.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Server Health, click Change server health settings.
  3. In the Enable Server Health area, select On or Off.
  4. If Server Health Checking is enabled, in the Recurrence Settings area, specify how often you want the Server Health Check to occur.
  5. Click Submit.

Notes

  • If you don't see the Change server health settings option, you are probably in a subweb and need to go to the top-level web site of the server or virtual server. See your network administrator or ISP for more information.
  • You can run a Server Health Check any time using the Check server health option on the Site Administration page.


Invite users to a web site

Use these steps to quickly invite a group of users to your site and create accounts for them. This feature is available on webs hosted by web servers running SharePoint Team Services from Microsoft and FrontPage Server Extensions 2002 only.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Users and Roles, click Send an invitation.
  3. Type the e-mail addresses of the users that you would like to invite to the site. Add one e-mail account per line. You can also add multiple users by entering a network domain name (Microsoft Windows networks only). When you're finished, click Next.
  4. Verify that the information for each account is correct.
    • In the E-mail Address column, verify the e-mail address.
    • In the Account Name column, specify the name of the new user accounts. If the user is part of a network domain, you can add that name to the account name. For example, mydomain\user1.
    • In the Full Name column, type the name that will appear when the user posts documents to document libraries, participates in discussion boards, and uses other site features.
  5. Click Next.
  6. Type the greeting that will be sent as an e-mail message to the people that you want to invite to the web site.
  7. Click the drop-down list below the message you typed, and then select the role for all the users that you are inviting to the site.
  8. Click Finish.

Notes

  • You will be assigning the same role to all users; however, you can customize each account's settings after it is created.
  • If none of the default roles seem appropriate for a group of users, create a custom role first and then complete the steps above to create the accounts and invite the users to the site.
  • If you don't see the Send an invitation option, you are probably in a subweb that uses the user account and roles settings of a higher-level web site of the server or virtual server. To work with accounts and roles, either go to the top-level web site, or set up unique permissions for this subweb. See your network administrator or Internet service provider (ISP) for more information.


Create a user role

User roles are available on webs hosted by web servers running SharePoint Team Services from Microsoft and FrontPage Server Extensions 2002 only.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Users and Roles, click Manage roles.
  3. Click Add a role.
  4. Type a name and a description for the role in the fields provided.
  5. Select the check boxes next to the access rights that you would like allow for the users who will be assigned this role.
  6. Click Create role.

Note If you don't see the Manage roles option, you are probably in a subweb that uses the user account and roles settings of a higher-level web site of the server or virtual server. To work with accounts and roles, either go to the top-level web site, or set up unique permissions for this subweb. See your network administrator or ISP for more information.


Specify anonymous user access settings

This feature is available on webs hosted by web servers running SharePoint Team Services from Microsoft and FrontPage Server Extensions 2002 only.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Users and Roles, click Change anonymous access settings.
  3. Click On or Off to enable or disable anonymous (guest) browsing to your web site.
  4. If anonymous user access is enabled, select a role from the Assign anonymous users to the following role list.
  5. Click Submit.

Tip

If none of the current roles offer the level of access that you want anonymous (guest) users to have, create a custom role for them.


Enable or disable rights for a user role

User roles are available on webs hosted by web servers running SharePoint Team Services from Microsoft and FrontPage Server Extensions 2002 only.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Users and Roles, click Manage roles.
  3. Click the role you would like to modify.
  4. Set or clear the checkboxes to enable or disable access rights for the role.
  5. Click Submit.

Note If you don't see the Show a list of roles option, you are probably in a subweb that uses the user account and roles settings of a higher-level web site of the server or virtual server. To work with accounts and roles, either go to the top-level web site, or set up unique permissions for this subweb. See your network administrator or ISP for more information.


Enable or Disable unique permissions for a subweb

This feature is available on webs hosted by web servers running SharePoint Team Services from Microsoft and FrontPage Server Extensions 2002 only.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page of the subweb that you wish to configure, under Users and Roles, click Change subweb permissions.
  3. In the Permissions area, specify whether or not you want the subweb to use the same accounts and roles information as the parent web site.
  4. Click Submit.

Note When you enable unique permissions, a copy of the parent web's user accounts and roles remain with the subweb. You can then delete any accounts and roles that you don't want and add new ones as needed. The subweb will also retain the same user role setting for anonymous (guest) users as the parent web unless you specify a different role.


Specify subscription settings

This feature is available only on webs hosted by web servers running SharePoint Team Services from Microsoft.

  1. On Tools menu, point to Server, and then click Administration Home.
  1. On the Site Administration page, under Web Discussions and Subscriptions, click Change web subscription settings.
  2. In the Enable Web Subscriptions area, click On or Off. If you disable subscriptions, skip to the last step. If subscriptions are enabled, complete the following steps.
  3. In the Subscription Restrictions area, specify whether members may subscribe to folders and documents, or to documents only.
  4. In the Notification Recurrence Settings area, specify when web site members will be notified of changes to subscribed items.
    • In the Immediate notifications every n minutes field, type the number of minutes that SharePoint Team Services will wait before notifying web site members of changes to subscribed items.
    • In the Daily notifications at field, specify what time members will receive a daily summary of the changes to subscribed items.
    • In the Weekly notifications field, specify the day of the week and time of day that members will receive a weekly summary of changes to subscribed items.
  5. In the Mail settings area:
    • Enter the e-mail address that will appear in the From line in notifications.
    • Enter the e-mail address where replies will be sent when users reply to notifications.
  6. Click Submit.

Note If you don't see the Change web subscriptions settings option, you are probably in a subweb and need to go to the top-level web site of the server or virtual server. See your network administrator or Internet service provider (ISP) for more information.


Create a subweb based on SharePoint Team Services or FrontPage Server Extensions 2002

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Subwebs, click Create a subweb.
  3. Type a name for the new subweb in the space provided.
  4. In the Permissions area, specify whether or not you want the subweb to use the same accounts and roles information as the current web site. If you choose unique permissions, type the administrator user name.
  5. In the Site Type area, specify whether you want the site created as a SharePoint team web site or as a blank web site. (This option is only available on webs hosted by web servers running SharePoint Team Services.)
  6. Click Submit.

Note If you enable unique permissions, a copy of the parent web's user accounts and roles remain with the subweb. You can then delete any accounts and roles that you don't want and add new ones as needed. The subweb will also retain the same user role setting for anonymous (guest) users as the parent web unless you specify a different role.


Delete a subweb based on SharePoint Team Services or FrontPage Server Extensions 2002

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Subwebs, click Delete a subweb.
  3. Click the Web Name drop-down list and then click the name of the subweb that you would like to delete.
  4. Click Delete Subweb.


Merge a subweb based on SharePoint Team Services or FrontPage Server Extensions 2002

When you merge a subweb based on SharePoint Team Services from Microsoft or FrontPage Server Extensions 2002 to a parent web, it becomes another folder with web pages under in the parent web. You will lose no information on pages within the subweb; however, the subweb loses whatever unique permissions it might have had. Any subwebs below the merged subweb are promoted to subwebs under the parent web site.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Subwebs, click Merge a subweb.
  3. Click the Web name drop-down list, and then click the name of the subweb that you would like to merge with the parent web.
  4. Click Merge Subweb.

Note You cannot merge a subweb if it contains document libraries or SharePoint Team Services-based lists such as discussion boards or task lists. If you want to merge a subweb that contains a list, you must first export the list to a spreadsheet program (such as Microsoft Excel 2002), then merge the subweb, and then import the list again. To merge a subweb that contains a document library, you must copy the documents out of the document library, delete the document library, merge the subweb, create a new document library, and then copy the documents into the new document library.


Recalculate hyperlinks for a web or subweb

This feature is available on webs hosted by web servers running SharePoint Team Services from Microsoft or FrontPage Server Extensions 2002 only.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Server Health, click Recalculate the web.
  3. Click Recalculate.

Note You do not need to recalculate hyperlinks for a web or subweb if all your links are set up and maintained by SharePoint Team Services or Frontpage 2002. You need to recalculate hyperlinks only if you have set up some hyperlinks manually.


View user account limit information

Your server administrator can specify a limit to the number of local accounts that you can create for a web server or virtual server. Once you reach this limit, you must either delete unnecessary accounts or have the server administrator raise the limit. This limit includes only accounts created through the SharePoint Team Services from Microsoft or FrontPage Server Extensions 2002 site administration pages. The limit does not include accounts from a network group or domain. Complete the step below to view the maximum number of accounts allowed for your web or subweb and the number of accounts already created.

  1. On Tools menu, point to Server, and then click Administration Home.
  2. On the Site Administration page, under Users and roles, click Manage virtual server accounts.

Tip

You can add or delete accounts from the User Tracking page.


About document libraries

A document library provides a structure for storing files in your web site that is easy for you to set up and maintain, and is easy for site visitors to use. You can create separate document libraries for different kinds of files. For example, you might create one document library for expense reports and another for memos.

Important To create a document library, your web site must be on a server that is running SharePoint Team Services from Microsoft.

1 Document libraries provide a built-in structure and commands for adding documents.

2 Templates provide a seamless experience for users of a SharePoint Team Services-compatible client program, such as Microsoft Office XP.

3 Users fill in custom properties when they save a document.

Built-in structure

By using document libraries, site visitors can contribute content to the appropriate page on your web site even if they know nothing about the structure of your web site. Hyperlinks to documents are kept up to date automatically, and a view of the library is automatically displayed on a page on your web site.

When you create a document library, a document library folder Document library folder is added to the folder list of your web site. The pages in this folder enable site visitors to add documents to the library, edit and delete documents and properties, display properties, create custom views, and modify the document library.

Using commands on these pages, site visitors can start the program appropriate for creating a document for the library, and site visitors can also subscribe to be notified of changes to the library.

Note To start a client program from a document library, site visitors must have a SharePoint Team Services-compatible client program, such as Microsoft Office XP, installed.

Customizable properties

By defining a custom set of properties for a document library, you can make the library informative and make documents easy to find. You can also use document properties in conjunction with rules to automate the flow of information on your web site.

Integration with client programs

Site visitors can store any file in a document library, but users of a SharePoint Team Services-compatible client program, such as Microsoft Office XP, will have more capabilities and a more seamless experience of working with the library. For example, Microsoft Word 2002 users can open a template from the document library to create a document, save the document directly to the library, and fill out any custom properties for the document — all using dialog boxes in Word.


About permission settings for lists, document libraries, and surveys

When you create an interactive list, document library, or survey, you have control over the access to the information. You can control which items site visitors can read or edit, and whether they can change the design of the list, document library, or survey.

Note The following permission settings apply to site visitors who have explicit site-wide permission to read or edit content. If your web site can be accessed anonymously, these settings apply to anonymous users only if you grant them rights greater than the Browser role. Users with Administrator role can read and edit all content, regardless of the permission settings of a particular list, document library, or survey.

For example, you can set security settings as follows:

Example of security settings for a read-only list of events

If you are managing a schedule for a project, you might want to be the only one who can add or edit items, although you would want all site visitors to be able to view all the items. The security settings for such an events list would be:

  • Read access: All items
  • Edit access: None
  • Design access: Only the creator

Example of security settings for a list of contacts

In a list of contacts, you might want all site visitors to be able to read and update all the items. The security settings for such a list would be:

  • Read access: All items
  • Edit access: All items
  • Design access: Only the creator

Example of security settings for a discussion board

In a discussion board, you probably want all site visitors to be able to read all the comments, but you don't want them to be able to edit each other's comments. The security settings for such a discussion board would be:

  • Read access: All items
  • Edit access: Only their own
  • Design access: Only the creator

Example of security settings for a document library

In a document library, you might want site visitors to be able to add their own custom properties so that they can store information that you hadn't anticipated when you created the document library. The security setting for such a document library would be:

  • Design access: Everyone

Note Site visitors must have Advanced Author or higher role to modify the design of a list, document library, discussion board, or survey.

Permissions are hierarchical. That is, if you give site visitors permission to edit all items, you have also given them permission to read all items. Similarly, if you give all site visitors permission to modify columns and views, you have given them permission to read and edit all items.


About interactive lists

Some of the content in this topic may not be applicable to some languages.

An interactive list is a framework that you design to enable site visitors to store and view information in your web site. For example, you could create an online sign-up sheet for an event, or you could create a list that allows you to add content to your web site remotely, via a Web browser.

Important To create a list, your web site must be on a server that is running SharePoint Team Services from Microsoft.

When you create a list, a list folder List folder is added to the folder list of your web site. The pages in this folder enable site visitors to add items to the list, edit and delete items, display items, create custom views, and modify the list.

Using commands on these pages, site visitors can copy a list to a SharePoint Team Services-compatible spreadsheet program, and also subscribe to be notified of changes to that list.

Note To copy a list to a spreadsheet, site visitors must have a SharePoint Team Services-compatible spreadsheet program, such as Microsoft Excel 2002, installed.

Lists provide ways of entering and displaying data that is stored on your Web server. You can modify lists in Microsoft FrontPage, but FrontPage provides no tools for managing the data.

You can use the New List Wizard to create a list, or create a list based on the following templates:

Announcements

An announcements list provides a place to post information, such as bulletins. An announcements list is especially effective if you put it on the home page of your site.

Contacts

A contacts list is designed to store information such as name, telephone number, e-mail address, and street address. If site visitors have a SharePoint Team Services-compatible address book, such as Microsoft Outlook 2002 installed, they can copy contact information between their address book and the contacts list in your web site.

Events

An events list is designed to store information such as dates and location. If site visitors have a SharePoint Team Services-compatible calendar, such as Microsoft Outlook 2002 installed, they can copy items from the events list to their calendar.

Tasks

A tasks list is designed to store information such as priority, due date, and who a task is assigned to.

Links

A links list is designed to store hyperlinks to favorite web sites.

Discussion Boards

Discussion boards provide a forum for conversing about topics that interest your site visitors.


About surveys

Surveys provide a way of polling site visitors. You specify questions for the survey, and define how respondents enter their answers. You can choose whether to hide respondents' names and whether to allow site visitors to respond more than once.

Important To create a survey, your web site must be on a server that is running SharePoint Team Services from Microsoft.

When you create a survey, a survey folder Survey folder is added to the folder list of your web site. The pages in this folder enable site visitors to respond to the survey and display survey results.

A built-in view of a survey displays survey results as a list of responses. Another built-in view displays survey results as a graphical compilation of responses.


Change permission settings for an interactive list, survey, or document library

  1. In Folders view, right-click the list folder List folder, survey folder Survey folder, or document library folder Document library folder, and click Properties.
  2. On the Security tab, specify permissions as follows:
    • If you want to allow site visitors to read only those items that they create, click Only their own in the Specify which items users can read box; to allow site visitors to read all items, click All items.
    • If you want to allow site visitors to edit only those items that they create, click Only their own in the Specify which items users can edit box; to allow site visitors to edit all items, click All items.
    • If you do not want to allow site visitors to create or edit items, click None in the Specify which items users can edit box.
    • If you want to allow anyone with the Design Lists right to modify the design, click Everyone in the Specify who can modify... box.
    • If you want to allow only the creator of the list, survey, or document library to change the design, click Only the creator of this list in the Specify who can modify... box.

Note These permission settings apply to site visitors who have explicit site-wide permission to read or edit content. If your web site can be accessed anonymously, these settings apply to anonymous users only if you grant them rights greater than the Browser role.


Set up a template for a document library

  1. In Folders View, right-click the document library folder Document library folder, and then click Properties.
  2. On the Settings tab, select the Use template for new documents check box.
  3. Click Browse to locate a file in your web site to use as the template.


Information types and options

The following types of information are the available, with options for each type as shown.

Single line of text

Use this information type when you want site visitors to type just a few words.

Default value
If you want new items to display information in this field automatically, type that information here. Site visitors can change this value if they want to.
Allow blank values?
If you want to require site visitors to enter information in this field, clear this check box.
Maximum number of characters allowed
Type a number to limit the number of characters site visitors can type.

Multiple lines of text

Use this information type when you want site visitors to type a sentence or more.

Default value
If you want new items to display information in this field automatically, type that information here. Site visitors can change this value if they want to.
Allow blank values?
If you want to require site visitors to enter information in this field, clear this check box.
Number of lines
Type a number to limit the number of lines site visitors can type in this field.

Number

Use this information type when you want site visitors to type a numerical value.

Default value
If you want new items to display information in this field automatically, type that information here. Site visitors can change this value if they want to.
Allow blank values?
If you want to require site visitors to enter information in this field, clear this check box.
Number of decimal places
Select the number of decimal places to enable site visitors to enter decimal values in tenths, hundredths, and so on.
Percentage option
If you want the number to represent a percentage, select this check box.
Minimum and maximum values
If you want site visitors to enter values within a certain range, select the Minimum value allowed check box and type a value for the lower limit, and select the Maximum value allowed check box and type a value for the upper limit.

Currency

Use this information type when you want site visitors to type a monetary value.

Default value
If you want new items to display information in this field automatically, type that information here. Site visitors can change this value if they want to.
Allow blank values?
If you want to require site visitors to enter information in this field, clear this check box.
Display format
Select a currency based on geographic region.
Number of decimal places
Select the number of decimal places to enable site visitors to enter decimal values in tenths, hundredths, and so on.
Minimum and maximum values
If you want site visitors to enter values within a certain range, select the Minimum value allowed check box and type a value for the lower limit, and select the Maximum value allowed check box and type a value for the upper limit.

Date and Time

Use this information type when you want to store calendar or time-of-day information.

Default value
If you want new items to display a date and time, do one of the following:
  • To display date and time that an item is created, click Use date and time of item creation as default.

    Note In a document library, click Use date and time of document save as default.

  • To display a custom date and time, click Default value, and select the date and time you want to display.

Site visitors can change this value if they want to.

Allow blank values?
If you want to require site visitors to enter information in this field, clear this check box.
Date format
Select whether you want to display the date or the date and time of day.

Choice

Use this information type when you want site visitors to choose from a set of selections that you provide.

Choices
In the Choices box, type the selections you want site visitors to choose from. Type each selection on a separate line. To start a new line, press ENTER.
Default value
New items will automatically display the selection you typed first in the Choices box. If you want to use another selection as the default, copy and paste that selection here. Site visitors can change this value if they want to.
Display options
If you want the selections displayed in an expanding box, click Drop-down menu. If you want the selections displayed in a list, click Radio buttons.

Lookup

Use this information type when you want to make it easy to select information that's already stored on your web site.

List or document library
Select a list, document library, or survey from your web site.
Field
Select the field that stores the information you want site visitors to be able to select.

Yes/No

Use this information type when you want to store true/false information. To indicate a value of "yes," site visitors select the check box; to indicate a value of "no," site visitors clear the check box.

Default value
If you want new items to display a value in this field automatically, click Yes or No here. Site visitors can change this value if they want to.

User

Use this information type when you want to make it easy to select the name of an authenticated user of the site.

Hyperlink or Picture

Use this information type when you want to display a hyperlink to a web page or display an image from the World Wide Web.

Default address
If you want new items to display information in this field automatically, type the URL or click Browse to select a web address. If you want the hyperlink to display text other than the URL, type the text in the Default text box. Site visitors can change these values if they want to.
Allow blank values?
If you want to require site visitors to enter information in this field, clear this check box.
Link type
If you want the hyperlink to be text, click Hyperlink. If you want the hyperlink to display an image, click Picture. To display a picture, site visitors enter a web address that is the URL of an image, such as http://example.microsoft.com/image.gif.


Display and enter the euro and other currency symbols

Microsoft FrontPage provides full support for displaying and entering the euro Euro currency symbol and other currency symbols.

Use the Symbol dialog box to insert the euro and other currency symbols

  1. On the Insert menu, click Symbol.
  2. In the Font box, click a font that supports the symbol you want.
  3. In the from box, click Unicode (hex).

    The set of characters is limited if you select something other than Unicode in the from box. For example, if you select a local code page rather than Unicode, you will see a correspondingly reduced set of characters in the Symbol dialog box.

  4. In the Subset box, select Currency Symbols.

    If Currency Symbols is not available, then the selected font does not support currency symbols.

  5. Select the currency symbol you want, and then click Insert.

Tip

The name of the selected symbol is displayed in the lower-left corner of the Symbols tab.

Type the euro currency symbol

Depending on your keyboard layout, you can also use the following keyboard shortcuts:
ALT+0128 (numeric pad)
Arabic, Hebrew, Turkish, or United States 101 keyboard
ALT+0136 (numeric pad)
Cyrillic keyboard

Notes

  • If you use Microsoft Windows NT Workstation version 4.0, you may need to add Microsoft euro currency support to your system.

  • If your printer does not have the euro currency symbol in its resident fonts, a box will be printed instead of the euro currency symbol. Contact your printer vendor to find out how to update your printer fonts to include the euro currency symbol.